(function() {

	function frameHeight() {
        var sideTop1 = 0;
        var sideTop2 = 0;
        if (jQuery("#side-top-area1").length) {
            sideTop1 = jQuery('#side-top-area1').height();
        }
        if (jQuery("#side-top-area2").length) {
            sideTop2 = jQuery('#side-top-area2').height();
        }
		var copyrightInfo = jQuery('.copyrightInfo').height();
		var pageHeight = jQuery(document.body).height()-jQuery('#frame-top').height();
		var sideNav = pageHeight-(sideTop1+sideTop2+copyrightInfo+40);

		jQuery('#frames-wrapper').height(pageHeight);
		jQuery('#frame-side').height(pageHeight);
		jQuery('#frame-main').height(pageHeight);
		jQuery('#frame-switcher').height(pageHeight);
		jQuery('#navLayout').height(sideNav);
	}

	function initSkin() {
        jQuery('#navArea .navTitle').each(function() {
            jQuery(this).click(function() {
                var block = jQuery(this).parents('.side-nav:first');
                block.toggleClass('navOpened');
                block.toggleClass('navClosed');
            });
        });

		jQuery('#imgLeftFrameSwitcher').each(function() {
			jQuery(this).click(function() {
				jQuery('#frames-wrapper').toggleClass('side-collapsed');
                var src = jQuery('#imgLeftFrameSwitcher').attr('src');
                if (-1 != src.indexOf('bar-close')) {
                    jQuery('#imgLeftFrameSwitcher').attr('src', src.replace('close', 'open'));
                } else {
                    jQuery('#imgLeftFrameSwitcher').attr('src', src.replace('open', 'close'));
                }

			});
		});

		jQuery('.dropdown-box').each(function() {
			jQuery(this).mouseover(function() {
				jQuery(this).addClass('dropdown-box-active');
			});
			jQuery(this).mouseleave(function() {
				jQuery(this).removeClass('dropdown-box-active');
			});
		});

		jQuery('.dropdown-item a').each(function() {
			jQuery(this).click(function() {
				jQuery('#gotoPanelUrl').val(jQuery(this).find(':input').val());
				jQuery(this).parents('.dropdown-box').find('.dropdown-heading-area-label').html(jQuery(this).html());
				jQuery(this).parents('.dropdown-box').removeClass('dropdown-box-active');
			});
		});

		jQuery(window).resize(function () {
			frameHeight();
		}).resize();
	}

	jQuery(document).ready(function () {initSkin();});

})();

function OpenHelpWindow(url)
{
    try {
        var w = window.open(url, 'help', 'toolbar=no,scrollbars=yes,resizable=yes');
        w.focus();
        return true;
    } catch (e) {
        return false;
    }
}

function gotoPanel()
{
	document.location = jQuery('#gotoPanelUrl').val();
}

function cbx_register_click(ctype,clientID) {
	setTimeout('cbx_process_event("'+ctype+'","'+clientID+'");',100);
}

function cbx_process_event(ctype,clientID) {
	if (document.getElementById('cbx_'+ctype+'_'+clientID).checked) {
		if (ctype!='activate') cbx_select('cbx_activate_'+clientID);
		if (ctype!='cancel') cbx_select('cbx_cancel_'+clientID);
		if (ctype!='fraud') cbx_select('cbx_fraud_'+clientID);
	} else {
		if (ctype!='activate') cbx_deselect('cbx_activate_'+clientID);
		if (ctype!='cancel') cbx_deselect('cbx_cancel_'+clientID);
		if (ctype!='fraud') cbx_deselect('cbx_fraud_'+clientID);
	}
}

function cbx_select(targetID) {
	document.getElementById(targetID).disabled = true;
	document.getElementById(targetID).checked = false;
}

function cbx_deselect(targetID) {
	document.getElementById(targetID).disabled = false;
}
