<?php

require_once("lib-api-action/apiaction.php");

class DeleteClientContact extends MB_AdminAPIAction
{
	public function execute()
	{
		parent::execute();

		if ( !is_null($id = bgpc("clientContactID")) ) {
			$contact = Factory()->Contact($id);
		} else if ( !is_null($guid = bgpc("clientContactGUID")) ) {
			$contact = Factory()->Contact($guid, "guid");
		} else if ( !is_null($externalId = bgpc("contactExternalID")) ) {
			$contact = Factory()->Contact($externalId, "external_id");
		} else {
			throw new ProductException(ProductException::E_OBJECT_NOT_FOUND, "Missing contact identifier");
		}

		Service()->ContactManager->delete($contact);

		return $this->output();
	}
}
