<?php
require_once ("lib-api-action/apiaction.php");

use Billing\Object\Subscription;

class GetReportActivePerServerGroup extends MB_AdminAPIAction
{
	public function __construct()
    {
		parent::__construct();
		$this->params = array();
		if ((int)$_REQUEST["serverGroupID"]){
			$this->params["serverGroupID"] = $_REQUEST["serverGroupID"];
		}
	}

	public function execute()
    {
		parent::execute();
		$this->addTemplate("", $output = array("reportData" => $this->getReportData()));
		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();
	}

	public function getReportData()
    {
		dbg("RUNNING IN API REPORT!!!");
		$ret = array();
        $params["packageStatus"] = Subscription::STATUS_ACTIVE;
        if (!is_null($vendorId = getCurrentSession()->getVendorId())) {
            $params["vendorID"] = $vendorId;
        }
		if ((int)$this->params["serverGroupID"]){
            $params["serverGroupID"] = $this->params["serverGroupID"];
		}
        $ret["serverGroupTotals"] = grabResultsFromMBAPIArray(array(
            "mbapi" => array(
                "command" => "GetServerGroupPackages",
                "params" => $params,
            ),
        ));
		return $ret;
	}
}