<?php
require_once ("lib-api-action/apiaction.php");

class GetReportBilledServerRevenue extends MB_AdminAPIAction
{
	public function __construct()
    {
		parent::__construct();
		$this->params = array();

		if ((int)$_REQUEST["serverID"]){
			$this->params["serverID"] = $_REQUEST["serverID"];
		}

		$this->beginMonth = (int)$_REQUEST["bsrBeginMonth"];
		$this->beginDay = (int)$_REQUEST["bsrBeginDay"];
		$this->beginYear = (int)$_REQUEST["bsrBeginYear"];

		$this->endMonth = (int)$_REQUEST["bsrEndMonth"];
		$this->endDay = (int)$_REQUEST["bsrEndDay"];
		$this->endYear = (int)$_REQUEST["bsrEndYear"];

		$this->startTime = mktime(0,0,0,$this->beginMonth,$this->beginDay,$this->beginYear);
		$this->endTime = mktime(0,0,0,$this->endMonth,$this->endDay+1,$this->endYear)-1;

	}

	public function execute()
    {
		parent::execute();
		$this->addTemplate("", $output = array("reportData" => $this->getReportData()));
		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();

	}

	public function getReportData()
    {
		dbg("RUNNING IN API REPORT!!!");
		$ret = $params = array(
			"startTime" => $this->startTime,
			"endTime" => $this->endTime,
		);
		if (!is_null($vendorId = getCurrentSession()->getVendorId())) {
            $params["vendorID"] = $vendorId;
        }
		if ((int)$this->params["serverID"]){
            $params["serverID"] = $this->params["serverID"];
        }

        $ret["revenueTotals"] = grabResultsFromMBAPIArray(array(
            "mbapi" => array(
                "command" => "GetServerPackageRevenue",
                "params" => $params,
            ),
        ));

		dbg($ret);
		return $ret;
	}
}