<?php
require_once ("lib-api-action/apiaction.php");


class GetReportMostPopularPackages extends MB_AdminAPIAction
{
	public function __construct()
    {
		parent::__construct();
		$this->params = array();
	}

	public function execute()
    {
		parent::execute();
		$this->addTemplate("", $output = array("reportData" => $this->getReportData()));
		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();
	}
	
	public function getReportData()
    {
		dbg("RUNNING IN API REPORT!!!");
		$ret = array();
        $params = array();
        if (!is_null($vendorId = getCurrentSession()->getVendorId())) {
            $params["vendorID"] = $vendorId;
        }
		$ret["packageTotals"] = grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetPopularPackages",
				"params" => $params,
			),
		));
		
		return $ret;
	}
}