<?php

require_once("lib-api-action/apiaction.php");

/**
 */
class UnsuspendVendorPackage extends MB_ClientAPIAction {
	/**
	 */
	function UnsuspendVendorPackage() {
		parent::MB_ClientAPIAction();
		$this->stringRep = "UnsuspendVendorPackage";
		$this->params = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();
		$this->mergeMarketplaceSellerInfo();

		if (!(int)$this->sellerInfo["sellerActive"]){
			Error::api(1001, "[Ax".str_pad((int) __LINE__, 6, "0", STR_PAD_LEFT)."] Failed to pass a valid product variant ID.");
		}
		if (!(int)$_REQUEST["packageID"]){
			Error::api(1002, "[Ax".str_pad((int) __LINE__, 6, "0", STR_PAD_LEFT)."] Failed to pass a valid package ID.");
		}

		$packageInfo = oneByID("packages", (int)$_REQUEST["packageID"], array(
			"clientID" => $this->clientInfo["clientID"],
		));

		if (!(int)$packageInfo["packageID"]){
			Error::api(1003, "[Ax".str_pad((int) __LINE__, 6, "0", STR_PAD_LEFT)."] Failed to pass a valid package ID.");
		}

		$this->changePackageStatus($packageInfo["packageID"], array("unsuspend", "unsuspend"));

		$output = array("success" => 1);

		return $this->output($output);

	}
} // UnsuspendVendorPackage
?>