<?php
require_once ("lib-action/action.php");

class AddAdminGroupResponse extends MB_Action
{
    public $params = array("adminGroupName",);

	public function execute()
    {
		parent::execute();

		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			redirect('admins.php', getActionID("ShowAdminGroups"));
		}

		$query = $this->getMBAPIQuery("SetAdminGroups", "insert");
		$data = dispatchMBAPI($query, 1);

		if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {

			if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
				redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
			} else {
				$adminGroupID = ((int) $data["mbapi"][0]["header"][0]["lastInsertID"][0]);
				redirect("admins.php",getActionID("ShowAdminGroupDetails"), array("adminGroupID"=>$adminGroupID));
			}

		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
