<?php
require_once ("lib-action/action.php");


class CloneAdminGroupResponse extends MB_Action {

	public $params = array('adminGroupName');

	public function execute()
    {
		parent::execute();

		$adminGroupID = ((int) $_REQUEST["adminGroupID"]);
		if(!$adminGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No AdminGroup ID given.");
		} else {

			$query = $this->getMBAPIQuery("GetAdminGroups");
			$data = dispatchMBAPI($query, 1);

			$query = $this->getMBAPIQuery("SetAdminGroups", "insert",collapseArrayElements($data['mbapi'][0]['results'][0]['adminGroups'][0]['adminGroup'][0]));
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				
				if(!redirect("adminGroups.php",getActionID("ShowAdminGroupDetails"), array("adminGroupID"=>((int) $data["mbapi"][0]["header"][0]["lastInsertID"][0])))) {
					$this->addError('TRANS_ACTIONERROR', "Failed to redirect to adminGroup detail.");
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}