<?php
require_once("lib-action/action.php");

class ShowAffiliateProgramsPartners extends MB_Action
{
	public function execute()
	{
		parent::execute();

        $currencyId = bgpc("currencyId", null);
		$page  = UIFactory()->Page();

        $page->title = blmsg("TRANS_AFFILIATE_PROGRAM_PARTNERS_TITLE");
        $payoutData = Service()->AffiliateProgramManager->getPayoutsData(getCurrentSession()->getVendorId());
        if (0 < Service()->AffiliateProgramManager->getAffiliateProgramsCount(getCurrentSession()->getVendorId()) || !empty($payoutData)) {
            require_once("UI/Tabs/UICustomersScreenTabs.php");
            $tabs = new UICustomersScreenTabs();
            $tabs->setCurrent("affiliates");
            $page->setScreenTabs($tabs);
        }
            
		require_once("UI/List/UIAffiliateProgramPartnerList.php");
		$page->addListPanel(new UIAffiliateProgramPartnerList($currencyId));
		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}