<?php
require_once("lib-action/action.php");

class ShowAffiliatePrograms extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_AFFILIATE_PROGRAMS");
		$page->parent_title = blmsg("TRANS_MENU_BUSINESS_SETUP_DISCOUNTS_AND_PROMOTIONS");
		$page->description = blmsg("TRANS_DISCOUNTS_AND_PROMOTIONS_PAGE_DESC");
		require_once("UI/Tabs/UIDiscountsAndPromotionsScreenTabs.php");
		$tabs = new UIDiscountsAndPromotionsScreenTabs();
		$tabs->setCurrent("affiliatePrograms");
		$page->setScreenTabs($tabs);

		$description = UIFactory()->TipsPanel("", "TRANS_AFFILIATE_PROGRAMS_LIST_DESC");
		$page->addTipsPanel($description);

		require_once("UI/List/UIAffiliateProgramList.php");
		$page->addListPanel(new UIAffiliateProgramList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}