<?php
require_once("lib-action/action.php");

class ShowCoupons extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_COUPONS");
		$page->parent_title = blmsg("TRANS_MENU_BUSINESS_SETUP_DISCOUNTS_AND_PROMOTIONS");
		$page->description = blmsg("TRANS_DISCOUNTS_AND_PROMOTIONS_PAGE_DESC");
		require_once("UI/Tabs/UIDiscountsAndPromotionsScreenTabs.php");
		$tabs = new UIDiscountsAndPromotionsScreenTabs();
		$tabs->setCurrent("coupons");
		$page->setScreenTabs($tabs);

		$description = UIFactory()->TipsPanel("", "TRANS_COUPONS_LIST_DESC");
		$page->addTipsPanel($description);

		require_once("UI/List/UICouponsList.php");
		$page->addListPanel(new UICouponsList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}