<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class AddEmailTemplate extends MB_Action
{
	public $params = array("emailTplGroupID");

	public function execute()
	{
		global $CONF;
		parent::execute();

		$this->smartyVars["emailTplGroupID"] = (int) $_REQUEST["emailTplGroupID"];
		$this->smartyVars["countryTypes"] = getTypes("countryTypes");
		$this->smartyVars["regionNames"] = getRegions("names");
		$this->smartyVars["nestedRegions"] = getRegions("nested");
		$this->mergeCountryData($CONF["user"]["locale"]->country);
		$this->mergeLanguageData($CONF["user"]["locale"]->language);

		$this->addTemplate("emails/AddEmailTemplate", $this->smartyVars);
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}