<?php
require_once ("lib-action/action.php");

class AddEmailTemplateResponse extends MB_Action
{
	public $params = array(
		"emailTplID",
		"emailTplPrimary",
		"emailTplGroupID",
		"languageID",
		"countryType",
		"countriesID",
		"regionsID",
		"emailTplSubject",
		"emailTplBody",
		"emailTplTextBody",
	);

	public function execute()
    {
		parent::execute();

		$emailTplGroupID = ((int) $_REQUEST["emailTplGroupID"]);

		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			redirect('emails.php', getActionID("AddEmailTemplate"), array("emailTplGroupID" => $emailTplGroupID));
		}

		$query = $this->getMBAPIQuery("SetEmailTemplates", "insert");
		$data = dispatchMBAPI($query, 1);
		if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
			redirect("emails.php",getActionID("EditEmailTemplateGroup"),array("emailTplGroupID" => $emailTplGroupID));
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}