<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class RemoveEmailTemplateResponse extends MB_Action
{
	public $params = array("emailTplID");

	public function execute()
	{
		parent::execute();

		$emailTplID = ((int) $_REQUEST["emailTplID"]);
		if(!$emailTplID) {
			$this->addError('TRANS_ACTIONERROR', "No email template ID given.");
		} else {
			if (!getCurrentSession()->isValidToken()) {
				billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
				redirect('emails.php', getActionID("RemoveEmailTemplate"), array("emailTplID" => $emailTplID));
			}
			$query = $this->getMBAPIQuery("SetEmailTemplates", "delete");
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				redirect("emails.php", getActionID("ShowEmailTemplateGroups"));
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}