<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class ShowEmailTemplateDetails extends MB_Action
{
	public $params = array("emailTplID");

	public function execute()
	{
		parent::execute();

		$emailTplID = ((int) $_REQUEST["emailTplID"]);
		if(!$emailTplID) {
			$this->addError('TRANS_ACTIONERROR', "No email template ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetEmailTemplates", "", array());
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				if(((int) $data["mbapi"][0]["header"][0]["numResults"][0]) > 0) {
					$smartyVars = array();
					$smartyVars["emailTemplate"] =
						collapseArrayElements($data["mbapi"][0]["results"][0]
						["emailTemplates"][0]["emailTemplate"][0]);
					$this->addTemplate("emails/ShowEmailTemplateDetails", $smartyVars);

				} else {
					$this->addError('TRANS_ACTIONERROR', "Email template does not exist.");
				}
			}
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}