<?php

require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * @author Michael Fountain
 */
class EditDbgPageloadsSettings extends MB_Action {
	/**
	 */
	function EditDbgPageloadsSettings() {
		parent::MB_Action();
		$this->stringRep = "EditDbgPageloadsSettings";
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->smartyVars["debugToLog"] = (int) $CONF["system"]["internal"]["debugToLog"];

		$this->addTemplate("events/EditDbgPageloadsSettings", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
