<?php

require_once ("lib-action/action.php");

class EditEmailConfig extends MB_Action
{
	public function execute()
    {
		global $CONF;
		parent::execute();
        $configGroupID = (int) $_REQUEST["configGroupID"];
		if(!$configGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No ID given for EditEmailConfig.");
		} else {
			$this->smartyVars["configGroupID"] = $configGroupID;
			$this->smartyVars["methodsAvailable"] = array(
				"php" => "PHP Internal",
				"sendmail" => "Sendmail",
				"smtp" => "SMTP",
				"none" => blmsg('TRANS_NONE'));
			loadConfigs("email");

            $emailSettings = array();
            foreach($CONF["email"]["emailSettings"] as $config) {
                $emailSettings[$config['configParamName']] = $config['configParamValue'];
            }
            $this->mergeFormState($emailSettings);
			$this->mergeSystemNavData();
			$this->addTemplate("modules/EditEmailConfig");
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
}
