<?php

require_once("lib-action/action.php");

class EditSSLFactoryConfig extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$configParams = Factory()->ConfigGroup(0)->getChild("ssl")->getChild("sslfactory")->ConfigParams;
		$this->smartyVars["configParams"] = array(
		    "enableSSLFactory" => $configParams["enableSSLFactory"]->value,
		    "usernameSSLFactory" => $configParams["usernameSSLFactory"]->value,
		    "accessCodeSSLFactory" => $configParams["accessCodeSSLFactory"]->value
		);
		$this->addTemplate("modules/EditSSLFactoryConfig");

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}