<?php

require_once("lib-action/action.php");

class ShowSSLPlugins extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page = UIFactory()->Page();
		$page->title = blmsg("TRANS_SSL_PLUGINS");
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$page->parent_url = admin_action_url("configs", "system", "show");

		require_once("UI/List/UISSLPluginList.php");
		$page->addListPanel(new UISSLPluginList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
