<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");
require_once("lib-tk/include/xml/xml.php");

class RemoveAttributeResponse extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$attributeID = ((int) $_REQUEST["attributeID"]);
		if(!$attributeID) {
			$this->addError(blmsg("TRANS_ACTIONERROR"), "No attribute ID given.");
		} else {
			if (!getCurrentSession()->isValidToken()) {
				billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
				redirect('orderforms.php', getActionID("RemoveAttribute"), array("attributeID" => $attributeID));
			}
			$attributeName = Factory()->Attribute($attributeID)->attribute_name;
			deleteFor("attributes", array("attributeID" => $attributeID));
			
			billing_put_info(blmsg("TRANS_REMOVE_ATTRIBUTE_SUCCESS_MSG", array("NAME" => billing_safetyhtml($attributeName))));
			redirect("orderforms.php?sid=".$_REQUEST["sid"]."&action=".getActionID("ShowAttributes"));
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}