<?php
require_once ("lib-action/genericactions.php");
require_once ("lib-action/include/wizard/questions.php");

class ShowAttributes extends ShowAction
{
	public $panelOptions;

    public function __construct()
    {
        if ('' == $_REQUEST['attributeSubtype']) {
            unset($_REQUEST['attributeSubtype']);
        }
		parent::__construct();
		$this->setDataSource(
			new DataSource(
				"attributes",
				array(
					"question" => array(
						"questionParams" => array(
							"questionParamValues" => array(),
						),
					),

					"questionValueMap" => array(
						"questionValueMappings" => array(
							"attributeMap" => array(
								"attributeMappings" => array(
									"attribute" => array(),
								),
							),
						),
					),

				)
			)
		);
		// We have to clear the system-tab-provided configGroupID by checking to see if the configGroupID specified is actually a panel.
		$configGroupID = $_REQUEST["configGroupID"];
		$this->panelOptions = $this->getConfigOptionsByParentName("panel");
		if(!isset($this->panelOptions[$configGroupID])) {
			unset($_REQUEST["configGroupID"]);
		}
		unset($_REQUEST["configGroupID"]);
	}

	public function showHandler()
    {
		$questions = array();
		$valueMaps = array();
		foreach($this->smartyVars["attributes"] as $attribute) {
			if(isset($attribute["question"][0])) {
				$question = $attribute["question"][0];
				$q = new Questions(array($question));
				$questions[$question["questionID"]] = $q->getHTML();
			}
			if(isset($attribute["questionValueMap"][0])) {
				$valueMap = $attribute["questionValueMap"][0];
				$valueMaps[$valueMap["valueMapID"]] = $valueMap;
			}
		}

		$d = new DataSource("attributes");
		$this->smartyVars["attributeOptions"] = $d->getOptions();

		$d = new DataSource("attributeMaps");
		$this->smartyVars["attributeMapOptions"] = $d->getOptions();

		$this->smartyVars["panelOptions"] = $this->panelOptions;

		$this->smartyVars["questionHTML"] = $questions;
		$this->smartyVars["valueMapDetails"] = $valueMaps;

		$this->mergeSystemNavData();
	}
}
