<?php

require_once("lib-action/genericactions.php");
require_once("lib-action/include/wizard/questions.php");

class ShowWizardQuestions extends ShowAction
{
	public function __construct()
	{
		parent::ShowAction();
		$this->setDataSource(
			new DataSource(
				"questions",
				array(
					"questionParams" => array(
						"questionParamValues" => array(),
					),
				)
			)
		);
	}

	public function ShowHandler()
	{
		$s =& $this->d->getSubject();
		$questions = $s->getEssential();
		$questionInfo = array();
		foreach($questions as $question) {
			$q = new Questions(array($question));
			$questionID = $q->questions[0]["questionID"];
			$questionInfo[$questionID] = array(
				"name" => $question["questionDisplayName"],
				"html" => $q->getHTML(),
			);
		}
		$this->smartyVars["questionInfo"] = $questionInfo;
		$this->mergeSystemNavData();
	}
}
