<?php
require_once ("lib-action/action.php");

class AddPackageResponse extends MB_Action
{
	public $params  = array(
        "packageID",
        "productID",
        "clientID",
        "domainID",
        "invoiceID",
        "certID",
        "productName",
        "packagePriceLessThan",
        "packagePrice",
        "packagePriceGreaterThan",
        "packageSetupFeeLessThan",
        "packageSetupFee",
        "packageSetupFeeGreaterThan",
        "packageQuantityLessThan",
        "packageQuantity",
        "packageQuantityGreaterThan",
        "packageDiscountLessThan",
        "packageDiscount",
        "packageDiscountGreaterThan",
        "packageBillingCycle",
        "packageStatus",
        "packageComments",
        "packageDateBeginRenewalGreaterThan",
        "packageDateBeginRenewal",
        "packageDateBeginRenewalLessThan",
        "packageDateNextRenewalGreaterThan",
        "packageDateNextRenewal",
        "packageDateNextRenewalLessThan",
        "packageDateLastRenewalGreaterThan",
        "packageDateLastRenewal",
        "packageDateLastRenewalLessThan",
        "sortDir",
        "sortColumn",
        "recordOffset",
        "numRecords"
    );

	public function execute()
    {
		global $CONF;
		parent::execute();
		
		$query = $this->getMBAPIQuery("SetPackages", "insert");
		$CONF["debug"]->add("Action Command", htmlentities($query), __FILE__, __LINE__);
		$data = dispatchMBAPI($query, 1);
		$CONF["debug"]->add("Action Result", $data, __FILE__, __LINE__);
		if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
			
			mbHeader("Location: packages.php?action=".getActionID("ShowPackageDetails")."&packageID="
				.$data["mbapi"][0]["header"][0]["lastInsertID"][0]);
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}