<?php

require_once('lib-action/action.php');

class ShowResellerPanels extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg('TRANS_SYSTEM_MANAGE_PANELS_TITLE');
		$page->parent_title = blmsg('TRANS_MANAGE_SYSTEM');
		$page->parent_url = admin_action_url('configs', 'system', 'show');

		require_once('UI/List/UIResellerPanelList.php');
		$page->addListPanel(new UIResellerPanelList(getCurrentSession()->getVendorId()));

		$this->smartyVars['page'] = $page;
		$this->addTemplate('page');
		return $this->hasExecutedSuccessfully();
	}
}
