<?php

class Panel_ResellerController extends Billing_Zend_Controller_Action_AdminController
{
    public function editAction()
   	{
   		$this->view->placeholder('pageTitle')->set($this->view->translate('TRANS_EDIT_PANEL_OPTIONS'));
		$backUrl = (PACKAGE_TYPE == 'msp') ? admin_action_url('configs', 'system', 'show') : $this->view->ActionUrl('panel', 'ShowResellerPanels');
        $panelForm = new Billing_Zend_Form_Final_ResellerPanelForm(array('context' => array(
           'panelId' => $this->getRequest()->getParam('id'),
           'resellerId' => getCurrentSession()->getVendorId(),
           'cancelLink' =>  $backUrl,
        )));
        if ($this->_request->isPost() && $panelForm->isValid($this->_request->getPost())) {
			try {
				$panelForm->process();
				$this->_redirectWithMessage($backUrl, $this->_translator->translate("TRANS_PANEL_UPDATED_SUCCESSFULLY_MSG"), "info");
			} catch (ProductException $e) {
				$this->_status->addError($e->getMessage());
			}
        }
        $this->view->form = $panelForm;
   	}
}