<?php
require_once ("lib-action/action.php");

class ShowPaymentQueueDetails extends MB_Action
{
    public $params = array("paymentID");

	public function execute()
    {
		parent::execute();

		$paymentID = ((int) $_REQUEST["paymentID"]);
		if(!$paymentID) {
			$this->addError('TRANS_ACTIONERROR', "No Payment ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetPaymentQueue");
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				if(((int) $data["mbapi"][0]["header"][0]["numResults"][0]) > 0) {
					$smartyVars = array();
					$smartyVars["paymentqueue"] =
						collapseArrayElements($data["mbapi"][0]["results"][0]
							["paymentqueue"][0]["payment"][0]);
					$this->addTemplate("paymentqueue/ShowPaymentQueueDetails", $smartyVars, 1);

				} else {
					$this->addError('TRANS_ACTIONERROR', "PaymentQueue does not exist.");
				}
			}
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}