<?php
require_once("lib-action/action.php");

class EditProductVariantResponse extends MB_Action
{
	public $params = array(
        "productVariantID",
        "productVariantDisplayName",
        "productVariantActive",
        "productID",
        "tldID",
    );

	public function execute()
    {
		parent::execute();
		
		do {
			$this->setReferralActionID(getActionID("ShowProductVariants"));
			$this->setReferralActionFile("products.php");
			if(!$this->validateMultiInputs(
				array(
					"productVariantID" => INPUT_RESTRICTION_POSITIVE_INT|INPUT_RESTRICTION_REQUIRED,
					"productVariantDisplayName" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
					"productVariantActive" => INPUT_RESTRICTION_BOOL|INPUT_RESTRICTION_REQUIRED,
					"productID" => INPUT_RESTRICTION_POSITIVE_INT|INPUT_RESTRICTION_REQUIRED,
					"tldID" => INPUT_RESTRICTION_POSITIVE_INT|INPUT_RESTRICTION_REQUIRED,
				),
				array(),
				array(),
				1
			)) break;

			$productVariantID = (int) $_REQUEST["productVariantID"];
			$productID = (int) $_REQUEST["productID"];
			
 			$params = array();
			$this->applyRequestTo($params);
			$setQuery = new MBQuery(
				"SetProducts", "update",
				array(
					//"productID" => $productID,
					"productVariants" => array(
						"productVariant" => $params,
					),
				)
			);
			
			if(!$this->addErrorsFromResult($setResult =& $setQuery->getResult())) break;

			if(!$this->goBack()) {
				redirect("products.php", getActionID("ShowProductVariants"), array("productVariantID"=>$productVariantID));
			}
		} while(false);
	}
}
?>