<?php
require_once ("lib-action/action.php");

class RemoveLedgerGroupResponse extends MB_Action
{
	public function execute()
    {
		parent::execute();
		$productVariantID = (int)$_REQUEST["productVariantID"];
		$ledgerGroupID = (int)$_REQUEST["ledgerGroupID"];
		if (!$ledgerGroupID){
			$this->addError('TRANS_ACTIONERROR', "No Ledger Group ID given.");
		} else {

			$removeXML = "	<mbapi>
								<command>SetLedgerGroups</command>
								<subCommand>delete</subCommand>
								<params>
									<ledgerGroupID>".$ledgerGroupID."</ledgerGroupID>
								</params>
							</mbapi>";
			dispatchMBAPI($removeXML, 1);
            if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
                redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
            } else {
            	$variantInfo = oneByID(":productVariants", $productVariantID);
                redirect("products.php",getActionID("EditLedgerGroups"), array("productID"=>$variantInfo["productID"]));
            }
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
