<?php
require_once ("admin/include/lib-action/reports/ShowReportAction.php");

class ShowReportContainer extends ShowReportAction
{
	public function execute()
	{
		parent::execute();
		$this->mergeReportsData();
		list($category, $name, $fullName) = $this->getNamePieces($_REQUEST["reportName"]);
		$this->smartyVars["reportInfo"] = (array)$this->reportData[$fullName]+array("reportName" => $fullName);
		$rn = "MB_Report_".$name;
		$report = new $rn();
		$this->smartyVars = $this->smartyVars + (array)$report->getParamData($_REQUEST);
		$this->smartyVars["tunnelVars"] = base64_encode(serialize(array_merge($_POST, $_GET)));
		$this->addTemplate("reports/ShowReportContainer");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
