{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
    {include file="$tplDirectory/widgets/form-box-header.tpl"}
    <div class="form-row"><div class="single-row"><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=yesterday"}">{"TRANS_YESTERDAY"|lmsg}</a>&nbsp;<a target="_blank" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=yesterday&print=1"}">[{"TRANS_PRINT"|lmsg}]</a></div></div>
    <div class="form-row"><div class="single-row"><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=today"}">{"TRANS_TODAY"|lmsg}</a>&nbsp;<a target="_blank" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=today&print=1"}">[{"TRANS_PRINT"|lmsg}]</a></div></div>
    <div class="form-row"><div class="field-name">{"TRANS_SELECT_INVOICE_SHEET_DATE"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="invoiceSheetDate" setID="true" fieldOrder=$localeData.locale_date_order}
            <script>
                {literal}
                    function goInvoiceSheet(prefix) {
                        {/literal}
                            var url = '{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`"}' + '&invoiceSheetDay=' + jQuery('#'+prefix+'Month').val()+'/'+jQuery('#'+prefix+'Day').val()+'/'+jQuery('#'+prefix+'Year').val();
                        {literal}
                        window.location = url;
                    }
                {/literal}
            </script>
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="button" onclick="javascript: goInvoiceSheet('invoiceSheetDate');">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
{elseif $invoices}
    {****** end parameters section, start report template section ******}
    <h2 class="text-center">{"TRANS_INVOICE_SHEET"|lmsg}: {"TRANS_FOR"|lmsg} {"TRANS_DATE"|lmsg} {$startDate|getDate:short}</h2>
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_INVOICE_NUMBER"|lmsg}</th>
                    <th>{"TRANS_CLIENT"|lmsg}</th>
                    <th>{"TRANS_CURRENCY"|lmsg}</th>
                    <th class="text-right">{"TRANS_AMOUNT"|lmsg}</th>
                    <th class="text-right">{"TRANS_PAID"|lmsg}</th>
                    <th class="text-right">{"TRANS_AMOUNT_DUE_OPTION"|lmsg}</th>
                </tr>
            </thead>
            <tbody>
                {foreach item="invoice" key="i" from=$invoices}
                    {assign var="clientName" value="`$invoice.contactFirstName` `$invoice.contactLastName`"}
                    <tr class="{cycle values="odd,even"}">
                        <td><a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`"}">{$invoice.invoiceNumber}</a></td>
                        <td>{include file="$tplDirectory/widgets/actionLink.tpl"
                                page="clients.php"
                                actionName="ShowClientDetails"
                                args="clientID=`$invoice.clientID`"
                                clientID=$invoice.clientID
                                clientContactID=$invoice.clientContactID
                                altText=$clientName
                                linkText=$clientName
                            }</td>
                        <td>{$invoice.currencyID}</td>
                        <td class="text-right">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
                        <td class="text-right">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
                        <td class="text-right">{$invoice.invoiceAmount-$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
                    </tr>
                {foreachelse}
                    <tr>
                        <td colspan="6"><em>{"TRANS_NONE"|lmsg}</em></td>
                    </tr>
                {/foreach}
            </tbody>
        </table>
    </div>

    {if $numInvoices>0}
        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_SUMMARY"}
        <div class="form-row"><div class="single-row list">
            <div class="list">
                <table width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>{"TRANS_CURRENCIES"|lmsg}</th>
                            <th class="text-right">{"TRANS_INVOICES"|lmsg}</th>
                            <th class="text-right">{"TRANS_CLIENTS"|lmsg}</th>
                            <th class="text-right">{"TRANS_AMOUNT"|lmsg}</th>
                            <th class="text-right">{"TRANS_AMOUNT_PAID"|lmsg}</th>
                            <th class="text-right">{"TRANS_AMOUNT_DUE"|lmsg}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach name="body" item="totals" key="currencyID" from=$currencies}
                            <tr class="odd">
                                <td>{$currencyID}</td>
                                <td class="text-right">{$totals.numInvoices}</td>
                                <td class="text-right">{$totals.numClients}</td>
                                <td class="text-right">{$totals.totalAmount|getAmount:$currencyID}</td>
                                <td class="text-right">{$totals.totalAmountPaid|getAmount:$currencyID}</td>
                                <td class="text-right">{$totals.totalAmount-$totals.totalAmountPaid|getAmount:$currencyID}</td>
                            </tr>
                        {/foreach}
                    </tbody>
                    <tfoot>
                        <tr class="{if ($smarty.foreach.body.index%2) == 0}even{else}odd{/if}">
                            <td>&nbsp;</td>
                            <td class="text-right">{$numInvoices}</td>
                            <td class="text-right">{$numClients}</td>
                            <td colspan="3">&nbsp;</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div></div>
        {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {/if}
{else}
    {"TRANS_NO_DATA_IN_PERIOD"|lmsg}
{/if}