{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
    {include file="$tplDirectory/widgets/form-box-header.tpl"}
    <div class="form-row"><div class="single-row"><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&ptBeginDay=`$thirtyDaysStart.0`&ptBeginMonth=`$thirtyDaysStart.1`&ptBeginYear=`$thirtyDaysStart.2`&ptEndDay=`$thirtyDaysEnd.0`&ptEndMonth=`$thirtyDaysEnd.1`&ptEndYear=`$thirtyDaysEnd.2`"}">{"TRANS_LAST_THIRTY_DAYS"|lmsg}: {$thirtyDaysStartTime|getDate:short} - {$thirtyDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&ptBeginDay=`$thirtyDaysStart.0`&ptBeginMonth=`$thirtyDaysStart.1`&ptBeginYear=`$thirtyDaysStart.2`&ptEndDay=`$thirtyDaysEnd.0`&ptEndMonth=`$thirtyDaysEnd.1`&ptEndYear=`$thirtyDaysEnd.2`&print=1"}">[{"TRANS_PRINT"|lmsg}]</a></div></div>
    <form method="GET" action="{getFormAction controller="default"}">
        <input type="hidden" name="token" value="{$token}">
        <input type="hidden" name="ctr" value="reports">
        <input type="hidden" name="act" value="{getActionID action="ShowReportContainer"}">
        <input type="hidden" name="reportName" value="{$reportInfo.reportName}">
        <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
            <div class="field-value">
                {html_select_locale_date start_year=1993 end_year=2029 prefix="ptBegin" setID="true" fieldOrder=$localeData.locale_date_order}
            </div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
            <div class="field-value">
                {html_select_locale_date start_year=1993 end_year=2029 prefix="ptEnd" setID="true" fieldOrder=$localeData.locale_date_order}
            </div>
        </div>
        <div class="form-row"><div class="single-row">
            <span class="btn action"><button id="billing-id-generate" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
        </div></div>
    </form>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
{elseif $transactionTotals}
    {****** end parameters section, start report template section ******}
    <h2 class="text-center">{"TRANS_PAYMENT_STATISTICS_FOR_PERIOD"|lmsg}: {$startDate|getDate:short} {"TRANS_THROUGH"|lmsg} {$endDate|getDate:short}</h2>
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_PAYMENT_TYPE"|lmsg}</th>
                    <th>{"TRANS_PAYMENT_GROUP_NAME"|lmsg}</th>
                    <th>{"TRANS_CAUSE"|lmsg}</th>
                    <th>{"TRANS_CURR"|lmsg}</th>
                    <th>{"TRANS_NUMSIGN"|lmsg}</th>
                    <th class="text-right">{"TRANS_REFUNDED"|lmsg}</th>
                    <th class="text-right">{"TRANS_RECEIVED"|lmsg}</th>
                </tr>
            </thead>
            <tbody>
                {foreach item="trans" key="i" from=$transactionTotals}
                    {assign var="rowSpan" value=$trans.fullCount}
                    {assign var="echodTypeGateway" value=0}

                    {if $curClass=="odd"}
                        {assign var="curClass" value="even"}
                    {else}
                        {assign var="curClass" value="odd"}
                    {/if}

                    {foreach item="totals" key="xk" from=$trans.statuses}
                        {assign var="echodStatus" value=0}
                        {foreach item="stat" key="currencyID" from=$totals}
                            <tr class="{$curClass}">
                                {if $echodTypeGateway==0}
                                    {assign var="echodTypeGateway" value=1}
                                    <td rowspan="{$rowSpan}">{$paymentTypes[$trans.transactionPaymentMethod]|lmsg}</td>
                                    <td rowspan="{$rowSpan}">{$trans.gatewayName}</td>
                                {/if}
                                {if $echodStatus==0}
                                    <td rowspan="{$trans.statusCounts[$stat.authReturn]}">{$paymentStatuses[$stat.0.authReturn]}</td>
                                    {assign var="echodStatus" value=1}
                                {/if}
                                <td>{$currencyID}</td>
                                <td>{$stat.0.numTransactions}</td>
                                <td class="text-right">{$stat.0.transactionsRefundedTotal|getAmount:$currencyID}</td>
                                <td class="text-right">{$stat.0.transactionsTotal|getAmount:$currencyID}</td>
                            </tr>
                        {/foreach}
                    {/foreach}

                {/foreach}
            </tbody>
        </table>
    </div>
{/if}