<?php

require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 *
 */
class SearchDispatchResponse extends MB_Action {

	function SearchDispatchResponse() {
		parent::MB_Action();
		$this->stringRep = "SearchDispatchResponse";
	}

	function execute() {
		global $CONF;
		parent::execute();

		// set easy vars
		$searchQuery = trim($_REQUEST["searchQuery"]);
		$searchType = $_REQUEST["searchType"];

		// parse search params
		list($searchCat,$searchCol) = explode(":",$searchType);

		// build the URI
		$query = array("query" => $searchQuery);

		if ($searchCol) {
			$query = array_merge($query,array("queryColumn" => $searchCol));
		}

		// build the search redirect
		redirect($searchCat.".php", getActionID("Show".ucfirst($searchCat)),$query);

		return true;
	}

} // MB_Action
?>