<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");
require_once("lib-tk/include/xml/xml.php");

class CloneServerGroup extends MB_Action
{
	public $params = array("serverGroupID", "serverGroupFillType");

	public function execute()
	{
		parent::execute();

		$serverGroupID = ((int) $_REQUEST["serverGroupID"]);
		if(!$serverGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No ServerGroup ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetServerGroups");
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$s = array();
				$s["serverGroup"] = collapseArrayElements($data["mbapi"][0]["results"][0]["serverGroups"][0]["serverGroup"][0]);
				$this->addTemplate("servers/CloneServerGroup", $s, 1);
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}