<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");
require_once("lib-tk/include/xml/xml.php");

class CloneServerGroupResponse extends MB_Action
{
	public $params = array("serverGroupID", "serverGroupFillType");

	public function execute()
	{
		parent::execute();

		$serverGroupID = ((int) $_REQUEST["serverGroupID"]);
		if(!$serverGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No ServerGroup ID given.");
		} else {
			if (!getCurrentSession()->isValidToken()) {
				billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
				redirect("servergroups.php", "CloneServerGroup", array("serverGroupID" => $serverGroupID));
			}
			$query = $this->getMBAPIQuery("GetServerGroups");
			$data = dispatchMBAPI($query, 1);
			$query = $this->getMBAPIQuery("SetServerGroups", "insert",collapseArrayElements($data['mbapi'][0]['results'][0]['serverGroups'][0]['serverGroup'][0]));
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {

				if(!redirect("serverGroups.php",getActionID("ShowServerGroupDetails"), array("serverGroupID"=>((int) $data["mbapi"][0]["header"][0]["lastInsertID"][0])))) {
					$this->addError('TRANS_ACTIONERROR', "Failed to redirect to serverGroup detail.");
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}