<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class EditServerGroupResponse extends MB_Action
{
	public $params = array("serverGroupID", "serverGroupFillType", "serverGroupName");

	public function execute()
	{
		parent::execute();

		$serverGroupID = ((int) $_REQUEST["serverGroupID"]);
		if(!$serverGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No servergroup ID given.");
		} else {
			if (!getCurrentSession()->isValidToken()) {
				billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
				redirect("servergroups.php", "EditServerGroup", array("serverGroupID" => $serverGroupID));
			}
			$query = $this->getMBAPIQuery("SetServerGroups", "update", array());
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {

				if(!redirect("servergroups.php",getActionID("ShowServerGroups"))) {
					$this->addError('TRANS_ACTIONERROR', "Failed to redirect to Server Group detail.");
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}