<?php
require_once mb_path("/lib-action/action.php");

class ShowIPLog extends MB_Action
{
	function execute()
	{
		parent::execute();

		$configGroupID = bgpc("configGroupID");

		if(!$configGroupID) {
			throw new Exception("Missing parameter 'configGroupID'");
		}

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_LIST_IPLOG");

		require_once("UI/List/UIIPLogList.php");
		$page->addListPanel(new UIIPLogList($configGroupID));

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
?>