<?php
require_once ("lib-action/action.php");

class RemoveTaxZoneGroup extends MB_Action
{
	public $params = array("taxZoneGroupID");

	public function execute()
    {
		parent::execute();
		$taxZoneID = ((int) $_REQUEST["taxZoneGroupID"]);
		if(!$taxZoneID) {
			$this->addError(blmsg("TRANS_ACTIONERROR"), "No Tax Zone ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetTaxZoneGroups");
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				if(((int) $data["mbapi"][0]["header"][0]["numResults"][0]) > 0) {
					$this->smartyVars["taxzone"] = collapseArrayElements($data["mbapi"][0]["results"][0]["taxZoneGroups"][0]["taxZoneGroup"][0]);
					$this->addTemplate("taxes/RemoveTaxZoneGroup");
				} else {
					$this->addError(blmsg("TRANS_ACTIONERROR"), "TaxZoneGroup not found.");
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}