<?php
require_once("lib-action/DomainAction.php");

class EditDomainRegistrarLockOptionsResponse extends DomainAction
{
	public function execute()
    {
		parent::execute();
		$mbapiData = $this->getDomain();
		// fetching domain data from the registrar
		$domainSLD = $mbapiData["mbapi"][0]["results"][0]["domains"][0]["domain"][0]["domainSLD"][0];
		$domainTLD = $mbapiData["mbapi"][0]["results"][0]["domains"][0]["domain"][0]["domainTLD"][0];
		$domainID = $mbapiData["mbapi"][0]["results"][0]["domains"][0]["domain"][0]["domainID"][0];

		$domainRegistrarLock = ($_REQUEST["domainRegistrarLock"]) ? 1 : 0 ;

		$xml = "
		<mbapi>
			<command>ProcessRegistrar</command>
			<subCommand>setDomainRegistrarLockOptions</subCommand>
			<showXMLHeader>0</showXMLHeader>
			<params>
				<subCommand>setDomainRegistrarLockOptions</subCommand>
				<configGroupName>0</configGroupName>
				<configID>0</configID>
			    <vendorID>".getCurrentSession()->getVendorId()."</vendorID>
				<domainSLD>".$domainSLD."</domainSLD>
				<domainTLD>".$domainTLD."</domainTLD>
				<domainID>".$domainID."</domainID>
				<domainRegistrarLock>".$domainRegistrarLock."</domainRegistrarLock>
			</params>
		</mbapi>";
		$data = dispatchMBAPI($xml,1);
		$this->processRegistrarResponse($data);
		return $this->hasExecutedSuccessfully();
	} // execute
}
