<?php

require_once("lib-action/genericactions.php");

class RemoveBillingAccount extends RemoveAction
{
	public function __construct()
	{
		global $CONF;
		$clientContactID = $CONF["user"]["clientContactID"];

		$contacts = arrayFor(":contacts", array(
			"clientID" => (int)$CONF["user"]["id"],
		));

		$keyedContacts = array();
		foreach ($contacts as $x=>$c){
			$keyedContacts[$c["clientContactID"]] =& $contacts[$x];
		}

		// if we are the primary contact and we can remove the billing accounts of
		// any contact for this client, else just remove our own
		if ((int)$keyedContacts[$clientContactID]["contactPrimary"] && is_array($keyedContacts[(int)$_REQUEST["clientContactID"]])){
			$clientContactID = (int)$_REQUEST["clientContactID"];
		}
		$_REQUEST["clientContactID"] = $clientContactID;

		$this->d = new DataSource("billingAccounts", array("clientContactID" => $clientContactID));
		$description = $this->d->getDescription();
		$description["names"]["file"] = "profile";
		$description["display"]["removeTemplate"] = "profile/RemoveBillingAccount";
		$this->d->setDescription($description);
		parent::RemoveAction();
	}
}
