<?php

require_once("lib-action/action.php");

class ShowClientContacts extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$contact = Factory()->Contact(getCurrentSession()->user_id);
		if (1 != $contact->contact_primary)	{
			$this->addError(blmsg("TRANS_ACCESS_DENIED"));
			$this->addErrorTemplates();
			return $this->hasExecutedSuccessfully();
		}

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_MENU_CLIENT_PROFILE_CONTACTS");
		require_once("UI/List/UIClientContactList.php");
		$page->addListPanel(new UIClientContactList( $contact->client_id));
		$this->smartyVars["page"] = $page;
		$this->smartyVars["showScreenTitle"] = true;
		$this->addTemplate("page", $this->smartyVars);
		return $this->hasExecutedSuccessfully();
	}
}
