<?php

function smarty_function_getAdminActionUrl($params)
{
	$arguments = array();
	if (isset($params['arguments'])) {
		if (is_array($params['arguments'])) {
			$arguments = $params['arguments'];
		} else {
			$pairs = explode('&', $params['arguments']);
			foreach ($pairs as $pair) {
				if (!$pair = trim($pair)) {
					continue;
				}
				$tmp = explode('=', $pair);
				$arguments[$tmp[0]] = isset($tmp[1]) ? $tmp[1] : null;
			}
		}
	}
	return admin_action_url(
		$params['module'],
		isset($params['controller']) ? $params['controller'] : 'index',
		isset($params['action']) ? $params['action'] : 'index',
		$arguments
	);
}