<?php

require_once("lib-tk/mbapimap.php");

function languageColumnGenerator(&$row) {
	$row['languageDisplayName'] = $row['languageISO2'] ." - " . $row['languageName'];
	$row['languageIDNName'] = $row['languageISO3'] ." - " . $row['languageName'];
	return true;
}
$CONF['sources']['languages'] = array(
	"names" => array(
		"singular" => "language",
		"plural" => "languages",
		"file" => "system",
	),
	"request" => array(
		"command" => "GetLanguages",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("languages", "language"),
	),
	"insert" => array(
		"command" => "SetLanguages",
		"subCommand" => "insert",
		"params" => array(), // $allParamsRoot
	),
	"update" => array(
		"command" => "SetLanguages",
		"subCommand" => "update",
		"params" => array(), // $allParamsRoot
	),
	"delete" => array(
		"command" => "SetLanguages",
		"subCommand" => "delete",
		"params" => new Params(new Param("languageID")),
	),
	"table" => "languages",
	"columns" => array(
		"languageID" => COLUMN_PRIMARY_KEY,
		"languageISO2" => COLUMN_TEXT,
		"languageISO3" => COLUMN_TEXT,
		"languageName" => COLUMN_TEXT,
		"languageC1" => COLUMN_BOOL,
		"languageC2" => COLUMN_NULL,
		"languageDisplayName" => COLUMN_PRIMARY_NAME, // generated here
		"languageIDNName" => COLUMN_STRING, // generated here
	),
	"refColumnGenerator" => "languageColumnGenerator",
);
