<?php

require_once("lib-tk/mbapimap.php");

$CONF['sources']['themes'] = array(
	"names" => array(
		"singular" => "theme",
		"plural" => "themes",
		"file" => "system",
	),
	"request" => array(
		"command" => "GetThemes",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("themes", "theme"),
	),
	"insert" => array(
		"command" => "SetThemes",
		"subCommand" => "insert",
		"params" => array(), // $allParamsRoot
	),
	"update" => array(
		"command" => "SetThemes",
		"subCommand" => "update",
		"params" => array(), // $allParamsRoot
	),
	"delete" => array(
		"command" => "SetThemes",
		"subCommand" => "delete",
		"params" => new Params(new Param("themeID")),
	),
	"columns" => array(
		"themeID" => COLUMN_PRIMARY_KEY,
		"themeName" => COLUMN_TEXT,
		"themeDisplayName" => COLUMN_PRIMARY_NAME,
		"themeActive" => COLUMN_ACTIVE,
	),
	"display" => array(
		"showTemplate" => "themes/ShowThemes",
	),
);
