<?php
	$translation_keys = array(
		"TRANS_REGISTRAR_REGRU"				=> "Reg.ru",
		"TRANS_REGISTRAR_REGRU_EXAMPLE"		=> "Example",
		"TRANS_REGISTRAR_REGRU_ORG_TYPE"	=> "Organization",
		"TRANS_REGISTRAR_REGRU_INDIVIDUAL_TYPE"	=> "Individual",
		"TRANS_REGISTRAR_REGRU_LOGIN"	=> "User name (login) in the RegRuSRS system",
		"TRANS_REGISTRAR_REGRU_PASSWORD"	=> "Basic user password in the REG.RU registration system, or alternative password for API entered in the “Partner Settings” page",
		"TRANS_REGISTRAR_REGRU_ERROR_MISSED"	=> "'@FIELD_TITLE@' field is mandatory",
		"TRANS_REGISTRAR_REGRU_ERROR_MIN"	=> "Minimum length shall be at least '@VALUE@' in a field '@FIELD_TITLE@'",
		"TRANS_REGISTRAR_REGRU_ERROR_MAX"	=> "Maximum length shall be up to '@VALUE@' in a field '@FIELD_TITLE@'",
		"TRANS_REGISTRAR_REGRU_ERROR_WRONG"	=> "You have entered an invalid value in a field '@FIELD_TITLE@'",
		"TRANS_REGISTRAR_REGRU_RU_DESCR_TITLE"	=> "Domain description",
		"TRANS_REGISTRAR_REGRU_RU_ORG_TITLE"	=> "Name of the domain administrator organization in Latin letters",
		"TRANS_REGISTRAR_REGRU_RU_ORG_DESCRIPTION"	=> "Full name of domain administrator organization in Latin letters for the use in &rsquo; whois&rsquo service",
		"TRANS_REGISTRAR_REGRU_RU_ORG_EXAMPLE"	=> "Karla-Marla Uryupinsk State University",
		"TRANS_REGISTRAR_REGRU_RU_ORG_R_TITLE"	=> "Name of the domain administrator organization in Russian",
		"TRANS_REGISTRAR_REGRU_RU_ORG_R_DESCRIPTION"	=> "Full name of domain administrator organization in Russian, according to constituent documents. Name in the national language (or in English) as indicated for non-residents",
		"TRANS_REGISTRAR_REGRU_RU_ORG_R_EXAMPLE"	=> "Karla-Marla State University of Uriypinsk",
		"TRANS_REGISTRAR_REGRU_RU_KPP_TITLE"	=> "KPP",
		"TRANS_REGISTRAR_REGRU_RU_KPP_DESCRIPTION"	=> "KPP of organization (for Russian organizations). Optional field",
		"TRANS_REGISTRAR_REGRU_RU_KPP_EXAMPLE"	=> "632946014",
		"TRANS_REGISTRAR_REGRU_RU_ADDRESS_R_TITLE"	=> "Legal address of organization",
		"TRANS_REGISTRAR_REGRU_RU_ADDRESS_R_DESCRIPTION"	=> "Legal address of organization in accordance with constituent documents. The entry might contain several lines",
		"TRANS_REGISTRAR_REGRU_RU_ADDRESS_R_EXAMPLE"	=> "2 Pupkin St. Building 1, 101000 Moscow",
		"TRANS_REGISTRAR_REGRU_RU_PERSON_TITLE"	=> "First name, first letter of patronymic (without period) and family name of domain administrator in Latin letters",
		"TRANS_REGISTRAR_REGRU_RU_PERSON_DESCRIPTION"	=> "Intended for the use by 'whois' service. For foreigners this field should indicate the name in original version (or in English transcription)",
		"TRANS_REGISTRAR_REGRU_RU_PERSON_EXAMPLE"	=> "Vassily N Pupkin",
		"TRANS_REGISTRAR_REGRU_RU_PERSON_R_TITLE"	=> "Family name, first name and patronymic of domain administrator in Russian",
		"TRANS_REGISTRAR_REGRU_RU_PERSON_R_DESCRIPTION"	=> "Family name, first name and patronymic of domain administrator in Russian, according to passport details. For foreigners this field should indicate the name in original version (or, if this option is unavailable, in English transcription)",
		"TRANS_REGISTRAR_REGRU_RU_PERSON_R_EXAMPLE"	=> "John Smith",
		"TRANS_REGISTRAR_REGRU_RU_PASSPORT_TITLE"	=> "Passport details",
		"TRANS_REGISTRAR_REGRU_RU_PASSPORT_DESCRIPTION"	=> "Serial number and number of passport, as well as the name of issuing body and date of issue (in the indicated sequence separated by spaces). Only Latin letters are permitted for Roman numerals. Dates are indicated in DD.MM.YYYY format. No hash mark before the passport number. Passports issued in the USSR (old versions) are not permitted. Type of document to be indicated in the beginning of the line in case of presentation of a document other than passport (this is permitted ONLY for Russian nonresidents)",
		"TRANS_REGISTRAR_REGRU_RU_PASSPORT_EXAMPLE"	=> "",
		"TRANS_REGISTRAR_REGRU_RU_BIRTH_DATE_TITLE"	=> "Birth date of domain administrator",
		"TRANS_REGISTRAR_REGRU_RU_BIRTH_DATE_DESCRIPTION"	=> "Birth date of domain administrator in DD.MM.YYYY format",
		"TRANS_REGISTRAR_REGRU_RU_BIRTH_DATE_EXAMPLE"	=> "07.11.1967",
		"TRANS_REGISTRAR_REGRU_RU_CODE_TITLE"	=> "INN",
		"TRANS_REGISTRAR_REGRU_RU_CODE_DESCRIPTION"	=> "Tax identification number (INN) of domain administrator. This parameter is indicated only in the case where the administrator acts as a private entrepreneur",
		"TRANS_REGISTRAR_REGRU_RU_CODE_EXAMPLE"	=> "7736050003 (for organizations) или 500100732259 (for individuals).",
		"TRANS_REGISTRAR_REGRU_RU_COUNTRY_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_RU_COUNTRY_DESCRIPTION"	=> "Country of citizenship of the individual",
		"TRANS_REGISTRAR_REGRU_RU_P_ADDR_TITLE"	=> "Postal address of the domain administrator in Russian",
		"TRANS_REGISTRAR_REGRU_RU_P_ADDR_DESCRIPTION"	=> "Postal address of the domain administrator in Russian. (This address can differ from the place of residence indicated in passport)",
		"TRANS_REGISTRAR_REGRU_RU_P_ADDR_EXAMPLE"	=> "V. Lokhankin, 15 Vorobianinov Street, Apt. 22, 101000, Moscow",
		"TRANS_REGISTRAR_REGRU_RU_PHONE_TITLE"	=> "Phone number of domain administrator",
		"TRANS_REGISTRAR_REGRU_RU_PHONE_DESCRIPTION"	=> "Phone number is indicated with international code (including + sign); international code, city code and local number are separated by spaces. No parentheses or hyphens are permitted",
		"TRANS_REGISTRAR_REGRU_RU_PHONE_EXAMPLE"	=> "+7 495 8102233",
		"TRANS_REGISTRAR_REGRU_RU_FAX_TITLE"	=> "Fax number of domain administrator",
		"TRANS_REGISTRAR_REGRU_RU_FAX_DESCRIPTION"	=> "Fax number is indicated with international code (including + sign); international code, city code and local number are separated by spaces. No parentheses or dashes are permitted",
		"TRANS_REGISTRAR_REGRU_RU_FAX_EXAMPLE"	=> "+7 3432 811221",
		"TRANS_REGISTRAR_REGRU_RU_E_MAIL_TITLE"	=> "E-mail address of domain administrator",
		"TRANS_REGISTRAR_REGRU_RU_E_MAIL_DESCRIPTION"	=> "E-mail address of domain administrator in RFC-822 format",
		"TRANS_REGISTRAR_REGRU_RU_E_MAIL_EXAMPLE"	=> "ncc@test.ru or test@test.ru",
		"TRANS_REGISTRAR_REGRU_RU_PRIVATE_PERSON_FLAG_TITLE"	=> "Partial personal data hiding service",
		"TRANS_REGISTRAR_REGRU_RU_PRIVATE_PERSON_FLAG_DESCRIPTION"	=> "Activation of partial personal data hiding service",
		"TRANS_REGISTRAR_REGRU_RU_TOTAL_PP_FLAG_TITLE"	=> "Complete personal data hiding service",
		"TRANS_REGISTRAR_REGRU_RU_TOTAL_PP_FLAG_DESCRIPTION"	=> "Activation of complete personal data hiding service",
		"TRANS_REGISTRAR_REGRU_TJ_INFO_DESCRIPTION"	=> "All contact info to be entered with the use of Latin letters ",
		"TRANS_REGISTRAR_REGRU_TJ_OWNER_DESCRIPTION"	=> "Details of domain owner",
		"TRANS_REGISTRAR_REGRU_TJ_O_TYPE_TITLE"	=> "Type of contract",
		"TRANS_REGISTRAR_REGRU_TJ_O_WHOIS_TITLE"	=> "Domain description",
		"TRANS_REGISTRAR_REGRU_TJ_O_WHOIS_DESCRIPTION"	=> "Displayed in whois-query",
		"TRANS_REGISTRAR_REGRU_TJ_O_FULL_NAME_TITLE"	=> "Domain owner",
		"TRANS_REGISTRAR_REGRU_TJ_O_FULL_NAME_DESCRIPTION"	=> "Full name of organization or individual owner",
		"TRANS_REGISTRAR_REGRU_TJ_O_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_TJ_O_EMAIL_DESCRIPTION"	=> "E-mail address of domain owner in RFC-822 format",
		"TRANS_REGISTRAR_REGRU_TJ_O_PHONE_TITLE"	=> "Phone number of domain owner",
		"TRANS_REGISTRAR_REGRU_TJ_O_PHONE_DESCRIPTION"	=> "Indicated in international format with spaces between country code, city code and internal number",
		"TRANS_REGISTRAR_REGRU_TJ_O_PHONE_EXAMPLE"	=> "+7 495 123 4567",
		"TRANS_REGISTRAR_REGRU_TJ_O_FAX_TITLE"	=> "Fax number of domain owner",
		"TRANS_REGISTRAR_REGRU_TJ_O_FAX_DESCRIPTION"	=> "Indicated in international format with spaces between country code, city code and internal number",
		"TRANS_REGISTRAR_REGRU_TJ_O_FAX_EXAMPLE"	=> "+7 495 123 4567",
		"TRANS_REGISTRAR_REGRU_TJ_O_ADDR_TITLE"	=> "Address of domain owner",
		"TRANS_REGISTRAR_REGRU_TJ_O_ADDR_DESCRIPTION"	=> "Legal address of organization in accordance with constituent documents or residential address of domain owner",
		"TRANS_REGISTRAR_REGRU_TJ_O_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_TJ_O_CITY_DESCRIPTION"	=> "Address of domain owner: city",
		"TRANS_REGISTRAR_REGRU_TJ_O_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_TJ_ADMIN_DESCRIPTION"	=> "Details of domain administrator",
		"TRANS_REGISTRAR_REGRU_TJ_A_FULL_NAME_TITLE"	=> "Full name of domain administrator",
		"TRANS_REGISTRAR_REGRU_TJ_A_NIC_NAME_TITLE"	=> "Short name or nickname of administrator, one word",
		"TRANS_REGISTRAR_REGRU_TJ_A_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_TJ_A_EMAIL_DESCRIPTION"	=> "E-mail address of domain administrator in RFC-822 format",
		"TRANS_REGISTRAR_REGRU_TJ_A_FAX_TITLE"	=> "Phone number of domain administrator",
		"TRANS_REGISTRAR_REGRU_TJ_A_FAX_DESCRIPTION"	=> "Indicated in international format with spaces between country code, city code and internal number",
		"TRANS_REGISTRAR_REGRU_TJ_A_FAX_EXAMPLE"	=> "+7 495 123 4567",
		"TRANS_REGISTRAR_REGRU_TJ_A_ADDR_TITLE"	=> "Address of domain administrator",
		"TRANS_REGISTRAR_REGRU_TJ_A_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_TJ_A_CITY_DESCRIPTION"	=> "Address of domain administrator: city",
		"TRANS_REGISTRAR_REGRU_TJ_A_POSTCODE_TITLE"	=> "Zip code",
		"TRANS_REGISTRAR_REGRU_TJ_A_POSTCODE_DESCRIPTION"	=> "Address of domain administrator: zip code",
		"TRANS_REGISTRAR_REGRU_TJ_A_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_TJ_TADMIN_DESCRIPTION"	=> "Details of domain technical administrator",
		"TRANS_REGISTRAR_REGRU_TJ_T_FULL_NAME_TITLE"	=> "Full name of domain technical administrator",
		"TRANS_REGISTRAR_REGRU_TJ_T_NIC_NAME_TITLE"	=> "Short name or nickname of technical administrator, one word",
		"TRANS_REGISTRAR_REGRU_TJ_T_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_TJ_T_EMAIL_DESCRIPTION"	=> "E-mail address of domain technical administrator in RFC-822 format",
		"TRANS_REGISTRAR_REGRU_TJ_T_FAX_TITLE"	=> "Phone number of domain technical administrator",
		"TRANS_REGISTRAR_REGRU_TJ_T_FAX_DESCRIPTION"	=> "Indicated in international format with spaces between country code, city code and internal number",
		"TRANS_REGISTRAR_REGRU_TJ_T_FAX_EXAMPLE"	=> "+7 495 123 4567",
		"TRANS_REGISTRAR_REGRU_TJ_T_ADDR_TITLE"	=> "Address of domain technical administrator",
		"TRANS_REGISTRAR_REGRU_TJ_T_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_TJ_T_CITY_DESCRIPTION"	=> "Address of domain technical administrator: city",
		"TRANS_REGISTRAR_REGRU_TJ_T_POSTCODE_TITLE"	=> "Zip code",
		"TRANS_REGISTRAR_REGRU_TJ_T_POSTCODE_DESCRIPTION"	=> "Address of domain technical administrator: zip code",
		"TRANS_REGISTRAR_REGRU_TJ_T_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_COM_UA_INFO_DESCRIPTION"	=> "Currently all contact info to be entered in Latin letters For the com.ua, kiev.ua domain zones there are only two types of contacts: administrative and technical. No change of contact info is possible after domain registration.",
		"TRANS_REGISTRAR_REGRU_COM_UA_OWNER_DESCRIPTION"	=> "Details of domain owner",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_COMPANY_TITLE"	=> "Organization",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_COMPANY_DESCRIPTION"	=> "Name of the domain owner organization (minimum two words)",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_FIRST_NAME_TITLE"	=> "Name of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_LAST_NAME_TITLE"	=> "Family name of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_EMAIL_DESCRIPTION"	=> "Contact e-mail of domain owner",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_PHONE_TITLE"	=> "Phone number of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_PHONE_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_PHONE_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_FAX_TITLE"	=> "Fax number of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_FAX_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_FAX_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_ADDR_TITLE"	=> "Address",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_ADDR_DESCRIPTION"	=> "Address of contact person: office (apartment), house number, street",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_CITY_DESCRIPTION"	=> "Address of contact person: city",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_STATE_TITLE"	=> "Region/district/state",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_STATE_DESCRIPTION"	=> "Address of contact person: region/district/state",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_POSTCODE_TITLE"	=> "Zip code",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_POSTCODE_DESCRIPTION"	=> "Zip code of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_O_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_COM_UA_TADMIN_DESCRIPTION"	=> "Details of domain technical support",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_COMPANY_TITLE"	=> "Organization",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_COMPANY_DESCRIPTION"	=> "Organization in charge of domain technical support",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_FIRST_NAME_TITLE"	=> "Name of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_LAST_NAME_TITLE"	=> "Family name of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_EMAIL_TITLE"	=> "Contact e-mail of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_PHONE_TITLE"	=> "Phone number of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_PHONE_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_PHONE_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_FAX_TITLE"	=> "Fax number of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_FAX_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_FAX_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_ADDR_TITLE"	=> "Office (apartment), house number, street",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_ADDR_DESCRIPTION"	=> "Address of contact person: office (apartment), house number, street",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_CITY_DESCRIPTION"	=> "Address of contact person: city",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_STATE_TITLE"	=> "Region/district/state",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_STATE_DESCRIPTION"	=> "Address of contact person: region/district/state",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_POSTCODE_TITLE"	=> "Zip code of contact person",
		"TRANS_REGISTRAR_REGRU_COM_UA_T_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_DEFAULT_OWNER_DESCRIPTION"	=> "Details of domain owner",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_COMPANY_TITLE"	=> "Organization",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_COMPANY_DESCRIPTION"	=> "Name of the domain owner organization (minimum two words)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_FIRST_NAME_TITLE"	=> "Name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_LAST_NAME_TITLE"	=> "Family name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_EMAIL_DESCRIPTION"	=> "Contact e-mail of domain owner",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_PHONE_TITLE"	=> "Phone number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_PHONE_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_PHONE_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_FAX_TITLE"	=> "Fax number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_FAX_DESCRIPTION"	=> "Fax number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_FAX_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_ADDR_TITLE"	=> "Address",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_ADDR_DESCRIPTION"	=> "Address of contact person: office (apartment), house number, street",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_CITY_DESCRIPTION"	=> "Address of contact person: city",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_STATE_TITLE"	=> "Region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_STATE_DESCRIPTION"	=> "Address of contact person: region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_POSTCODE_TITLE"	=> "Zip code",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_POSTCODE_DESCRIPTION"	=> "Zip code of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_O_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_DEFAULT_ADMIN_DESCRIPTION"	=> "Details of domain administrator",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_COMPANY_TITLE"	=> "Organization",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_COMPANY_DESCRIPTION"	=> "Name of the domain owner organization (minimum two words)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_FIRST_NAME_TITLE"	=> "Name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_LAST_NAME_TITLE"	=> "Family name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_EMAIL_DESCRIPTION"	=> "Contact e-mail of domain owner",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_PHONE_TITLE"	=> "Phone number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_PHONE_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_PHONE_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_FAX_TITLE"	=> "Fax number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_FAX_DESCRIPTION"	=> "Fax number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_FAX_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_ADDR_TITLE"	=> "Address",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_ADDR_DESCRIPTION"	=> "Address of contact person: office (apartment), house number, street",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_CITY_DESCRIPTION"	=> "Address of contact person: city",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_STATE_TITLE"	=> "Region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_STATE_DESCRIPTION"	=> "Address of contact person: region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_POSTCODE_TITLE"	=> "Zip code",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_POSTCODE_DESCRIPTION"	=> "Zip code of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_A_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_DEFAULT_TADMIN_DESCRIPTION"	=> "Details of domain technical support",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_COMPANY_TITLE"	=> "Organization",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_COMPANY_DESCRIPTION"	=> "Name of the domain owner organization (minimum two words)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_FIRST_NAME_TITLE"	=> "Name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_LAST_NAME_TITLE"	=> "Family name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_EMAIL_DESCRIPTION"	=> "Contact e-mail of domain owner",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_PHONE_TITLE"	=> "Phone number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_PHONE_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_PHONE_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_FAX_TITLE"	=> "Fax number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_FAX_DESCRIPTION"	=> "Fax number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_FAX_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_ADDR_TITLE"	=> "Address",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_ADDR_DESCRIPTION"	=> "Address of contact person: office (apartment), house number, street",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_CITY_DESCRIPTION"	=> "Address of contact person: city",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_STATE_TITLE"	=> "Region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_STATE_DESCRIPTION"	=> "Address of contact person: region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_POSTCODE_TITLE"	=> "Zip code",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_POSTCODE_DESCRIPTION"	=> "Zip code of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_T_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_DEFAULT_BILLING_DESCRIPTION"	=> "Domain billing contacts",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_COMPANY_TITLE"	=> "Organization",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_COMPANY_DESCRIPTION"	=> "Name of the domain owner organization (minimum two words)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_FIRST_NAME_TITLE"	=> "Name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_LAST_NAME_TITLE"	=> "Family name of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_EMAIL_TITLE"	=> "E-mail",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_EMAIL_DESCRIPTION"	=> "Contact e-mail of domain owner",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_PHONE_TITLE"	=> "Phone number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_PHONE_DESCRIPTION"	=> "Phone number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_PHONE_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_FAX_TITLE"	=> "Fax number of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_FAX_DESCRIPTION"	=> "Fax number in international format: “+” sign, country code, full stop, internal phone number including city code (without spaces)",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_FAX_EXAMPLE"	=> "+7.4952171179",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_ADDR_TITLE"	=> "Address",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_ADDR_DESCRIPTION"	=> "Address of contact person: office (apartment), house number, street",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_CITY_TITLE"	=> "City",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_CITY_DESCRIPTION"	=> "Address of contact person: city",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_STATE_TITLE"	=> "Region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_STATE_DESCRIPTION"	=> "Address of contact person: region/district/state",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_POSTCODE_TITLE"	=> "Zip code",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_POSTCODE_DESCRIPTION"	=> "Zip code of contact person",
		"TRANS_REGISTRAR_REGRU_DEFAULT_B_COUNTRY_CODE_TITLE"	=> "Country",
		"TRANS_REGISTRAR_REGRU_COM_INFO_DESCRIPTION"	=> "All contact info to be entered with the use of Latin letters ",
		"TRANS_REGISTRAR_REGRU_COM_PRIVATE_PERSON_FLAG_TITLE"	=> "Privacy Protection",
		"TRANS_REGISTRAR_REGRU_COM_PRIVATE_PERSON_FLAG_DESCRIPTION"	=> "Activation of Privacy Protection service",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSAPPPURPOSE_TITLE"	=> "Sphere of domain use",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSAPPPURPOSE_P1"	=> "Profit-raising business",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSAPPPURPOSE_P2"	=> "Non-profit-raising business",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSAPPPURPOSE_P3"	=> "For personal use",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSAPPPURPOSE_P4"	=> "For educational purposes",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSAPPPURPOSE_P5"	=> "For public purposes",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSCATEGORY_TITLE"	=> "Domain owner",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSCATEGORY_C11"	=> "Individual – citizen of USA",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSCATEGORY_C12"	=> "Individual – permanent resident of USA or any territories thereof",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSCATEGORY_C21"	=> "Legal entity or organization incorporated in one of 50 states of USA",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSCATEGORY_C31"	=> "Legal entity or organization engaged in regular activities in USA",
		"TRANS_REGISTRAR_REGRU_US_RSELNEXUSCATEGORY_C32"	=> "Legal entity or organization with an office or other property in USA",
	);
?>