<?php

namespace Module\Ssl\Opensrs\Response;

use Billing\Module\Exception;

class Attributes
{
	public function __construct($node)
	{
		$this->_node = $node;
	}
	
	public function __get($name)
	{
		$node = reset($this->_node->xpath('//item[@key="' . $name . '"]'));
		if (!$node) {
			throw new Exception('Attribute "' . $name . '" is not supported.');
		}
		return $node;
	}
	
	private $_node;
}