{* $Id: EditGeneralJournalEntry.tpl 7409 2006-06-12 21:59:48Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_ACCOUNTING' => action_url('accounting', 'ShowGeneralJournal'), 'TRANS_EDIT_LEDGER_ACCOUNT_DETAILS');{/php}

<form name="generalform" method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="generalJournalID" value="{$generalJournalID}">
    <input type="hidden" name="act" value="{getActionID action="EditGeneralJournalEntryResponse"}">
    {section name=i loop=$failreason}
        {include file="$tplDirectory/widgets/showInvalidCustom.tpl" message=$failreason[i] identifier=$smarty.section.i.index class="error"}
    {/section}

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_EDIT_GENERAL_JOURNAL_ENTRY"}
    <div class="form-row"><div class="field-name">{"TRANS_DATE"|lmsg}</div>
        <div class="field-value">
            {include file="$tplDirectory/widgets/dateSelector.tpl" param="generalDateCreated" real="generalDateCreated"}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_GENERAL_JOURNAL_DESCRIPTION"|lmsg}</div>
        <div class="field-value">
            <input type="text" size="50" name="generalDescription" value="{$generalDescription}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_CURRENCY_ID"|lmsg}</div>
        <div class="field-value">
            <input type="text" size="3" maxlength="3" name="currencyID" value="{$currencyID}" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');">
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_LEDGER_ENTRY"}
    {include file="$tplDirectory/widgets/ledgerForm.tpl"
          containerClass="box01"
          containerName="leDiv"
          fieldPrefix="addGeneral"
          printScript=1
          currency=""
          formname="generalform"
          existingEntries=$existingEntries
          ledgerAccounts=$ledgerAccounts
          ledgerTypes=$ledgerTypes}
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>