{* $Id: RemoveLedgerAccount.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$ledgerAccounts (array of ledger account data)
 *		ledgerAccountID
 *		ledgerAccountNumber
 *		ledgerAccountType
 * 		ledgerAccountName
 *		ledgerAccountTransKey
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{php}$GLOBALS['__pagePath'] = array('TRANS_ACCOUNTING' => action_url('accounting', 'ShowLedgerAccounts'), 'TRANS_REMOVE_LEDGER_ACCOUNT');{/php}
{assign var="ledgerAccountID" value=$account.ledgerAccountID}
{assign var="tkey" value=$account.ledgerAccountTransKey}
{include file="$tplDirectory/widgets/form-box-header.tpl"}

{if $canRemove}
    <div class="form-row"><div class="single-row">
        {"TRANS_CONFIRM_REMOVE_ACCOUNT"|lmsg}
    </div></div>
    <div class="form-row"><div class="field-name">{"TRANS_GL_NUMBER"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            {$account.ledgerAccountNumber}
        </div></div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_LEDGER_ACCOUNT_LABEL"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            {$tkey|lmsg}
        </div></div>
    </div>
{else}
    <div class="form-row"><div class="single-row">
        {"TRANS_CANNOT_REMOVE_NOT_EMPTY"|lmsg}
    </div></div>
{/if}

<div class="btns-box">
    <div class="box-area">
        <table width="100%" cellspacing="0" class="form-table">
            <tbody><tr class="form-row">
                <td class="single-row">
                    {if $canRemove}
                        <span class="btn action"><button id="billing-id-yes" name="yes" value="{"TRANS_YES_I_DO"|lmsg}" type="button" onclick="document.location.href='{getHREF page="accounting.php" actionName="RemoveLedgerAccount" args="ledgerAccountID=`$account.ledgerAccountID`&removeLedgerAccount=1"}'">{"TRANS_YES_I_DO"|lmsg}</button></span>
                        <span class="btn"><button id="billing-id-no" name="no" value="{"TRANS_NO_I_DONT"|lmsg}" type="button" onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowLedgerAccounts" args=""}'">{"TRANS_NO_I_DONT"|lmsg}</button></span>
                    {else}
                        <span class="btn action"><button id="billing-id-chart" name="chart" value="{"TRANS_CHART_OF_ACCOUNTS"|lmsg}" type="button" onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowLedgerAccounts" args=""}'">{"TRANS_CHART_OF_ACCOUNTS"|lmsg}</button></span>
                    {/if}
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}