{* $Id: ShowLedgersMenu.tpl 10261 2006-12-11 19:48:58Z kbailey $
 * --------------------------------------------------------------
 * This template displays a the accounting ledgers menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_GENERAL_LEDGERS');{/php}
{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_GENERAL_LEDGER" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_GENERAL_LEDGER_DESC"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowGeneralLedger"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="generalLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="generalLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate1" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_ACCOUNTS_RECEIVABLE_LEDGER" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_ACCOUNTS_RECEIVABLE_LEDGER_DESC"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowAccountsReceivableLedger"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="arLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="arLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate2" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_ACCOUNTS_PAYABLE_LEDGER" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_ACCOUNTS_PAYABLE_LEDGER_DESC"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowAccountsPayableLedger"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="apLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="apLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate3" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_TAX_PAYABLE_LEDGER" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_TAX_PAYABLE_LEDGER_DESC"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowTaxPayableLedger"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="taxLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="taxLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate4" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}