{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CLIENTS', 'TRANS_EDIT');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include
    file="$tplDirectory/widgets/context/client.tpl"
    client=$client
    suppressEditLink=1
    suppressDeleteLink=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="{getFormAction controller="clients"}">
    <input type="hidden" name="act" value="{getActionID action="EditClientResponse"}">
    <input type="hidden" name="clientID" value="{$formValues.clientID}">
    <input type="hidden" name="token" value="{$token}">

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CLIENT_DETAILS_LEGEND"}
    <div class="form-row"><div class="field-name">{"TRANS_CLIENTID"|lmsg}</div><div class="field-value"><div class="text-value">{$formValues.clientID}</div></div></div>
    <div class="form-row {if $invalid.clientActive}error{/if}"><div class="field-name">{"TRANS_IS_ARCHIVED_OPTION"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            {$formValues.clientActive|getStatusName:"archived"}
            [{include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="EditClientArchiveState"
                args="clientID=`$formValues.clientID`"
                altText="TRANS_EDIT"
                linkText="TRANS_EDIT"}]
        </div></div>
    </div>
    <div class="form-row {if $invalid.countriesID}error{/if}"><div class="field-name">{"TRANS_CUSTOMER_TYPE_OPTION"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <select id="clientType" id="clientType" name="clientType">{html_options options=$clientTypes selected=$formValues.clientType}</select> {if $invalid.clientType}<span class="error-hint">{$invalid.clientType}</span>{/if}
        </div></div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CLIENT_STATUS"}
    <div class="form-row {if $invalid.clientStatus}error{/if}"><div class="field-name">{"TRANS_CURRENT_CLIENT_STATUS"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <select id="clientStatus" name="clientStatus">
                {html_options options=$statusList selected=$formValues.clientStatus}
            </select>
            <div class="hint">{"TRANS_CURRENT_STATUS_CHANGING"|lmsg}</div>
        </div></div>
    </div>
    <div class="form-row {if $invalid.clientStatusReason}error{/if}"><div class="field-name">{"TRANS_STATUS_CHANGE_REASON"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <textarea id="clientStatusReason" id="clientStatusReason" maxlength="255" cols="35" rows="2" name="clientStatusReason">{$formValues.clientStatusReason|escape:html}</textarea> {if $invalid.clientStatusReason}<span class="error-hint">{$invalid.clientStatusReason}</span>{/if}
        </div></div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_BILLING_AND_TAX_SETTINGS"}
    <div class="form-row {if $invalid.clientBillingDay}error{/if}"><div class="field-name">{"TRANS_BILLING_DAY_OF_MONTH"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <select id="clientBillingDay" name="clientBillingDay" class="select">
                {html_options options=$billingDays selected=$formValues.clientBillingDay}
            </select>
            {$invalid.clientBillingDay}
            <div class="hint">{"TRANS_BILLING_DAY_EXPLAINED"|lmsg}</div>
        </div></div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_DEFAULT_BILLING_METHOD"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <select id="defaultBillingAccountID" name="defaultBillingAccountID" class="select">
                {html_options options=$selectableBillingAccounts selected=$client.defaultBillingAccountID}
            </select>
        </div></div>
    </div>
    <div class="form-row {if $invalid.applyTax}error{/if}"><div class="field-name">{"TRANS_IS_TAXABLE"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <label for="billing-id-applyTax1">
                <input id="billing-id-applyTax1" type="radio" class="radio" name="applyTax" value="1" {if $formValues.applyTax=="1"}checked="checked"{/if}>{"TRANS_YES"|lmsg}
            </label>
            <br>
            <label for="billing-id-applyTax2">
                <input id="billing-id-applyTax2" type="radio" class="radio" name="applyTax" value="0" {if $formValues.applyTax!="1"}checked="checked"{/if}>{"TRANS_NO"|lmsg}
            </label>
            <br>
            <div class="hint">{"TRANS_IS_TAXABLE_DESC"|lmsg}</div>
        </div></div>
    </div>
    <div class="form-row {if $invalid.taxIDNumber}error{/if}"><div class="field-name">{"TRANS_TAX_ID_NUMBER"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <input maxlength="50" id="taxIDNumber" type="text" class="text" name="taxIDNumber" value="{$formValues.taxIDNumber|safetyhtml}"> {if $invalid.taxIDNumber}<span class="error-hint">{$invalid.taxIDNumber}</span>{/if}
            <div class="hint">{"TRANS_TAX_ID_NUMBER_DESC"|lmsg}</div>
        </div></div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons}
</form>
