{if $clientIsReseller}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_RESELLERS', 'TRANS_RESELLER_ARCHIVE_TITLE');{/php}
	{assign var='warningActivePackages' value='TRANS_RESELLER_WARNING_ACTIVE_PACKAGES'}
{else}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_EDIT_CLIENT_ARCHIVE_TITLE');{/php}
	{assign var='warningActivePackages' value='TRANS_WARNING_ACTIVE_PACKAGES'}
{/if}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="{getFormAction controller="clients"}">
    <input type="hidden" name="act" value="{getActionID action="EditClientArchiveStateResponse"}">
    <input type="hidden" name="clientID" value="{$client.clientID}">
    <input type="hidden" name="token" value="{$token}">

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_EDIT_CLIENT_ARCHIVE_SETTINGS"}
        <div class="form-row {if $invalid.clientActive}error{/if}">
            <div class="single-row">
                {if $numActivePackages}
                    <span style="color:red;">
                        {$warningActivePackages|lmsg}
                    </span>
                {else}
                    {"TRANS_NOTICE_ACTIVE_PACKAGES"|lmsg}
                {/if}
            </div>
        </div>
        <div class="form-row {if $invalid.clientActive}error{/if}"><div class="field-name">{"TRANS_IS_ARCHIVED_OPTION"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {if $smarty.const.numClientsRemaining<1 AND $client.clientActive!="1"}
                    <input class="radio" type="radio" disabled="disabled" name="clientActive" value="0" checked="checked"> {"TRANS_YES"|lmsg}
                    <br>
                    <input class="radio" type="radio" disabled="disabled" name="clientActive" value="1"> {"TRANS_NO"|lmsg}
                    <br>
                    <div class="hint">{"TRANS_EXPLAIN_NO_CLIENTS_LEFT_NOTE"|lmsg}</div>
                {else}
                    <input class="radio" type="radio" name="clientActive" value="0" {if $client.clientActive!="1"}checked="checked"{/if}> {"TRANS_YES"|lmsg}
                    <br>
                    <input class="radio" type="radio" name="clientActive" value="1" {if $client.clientActive=="1"}checked="checked"{/if}> {"TRANS_NO"|lmsg}
                {/if}
            </div></div>
        </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    <div class="btns-box">
        <div class="box-area">
            <table width="100%" cellspacing="0" class="form-table">
                <tbody><tr class="form-row">
                    <td class="single-row">
                        <span class="btn action"><button id="billing-id-save" name="save" value="{"TRANS_SAVE"|lmsg}" type="submit" {if $smarty.const.numClientsRemaining<1 AND $client.clientActive!="1"}disabled="disabled"{/if}>{"TRANS_SAVE"|lmsg}</button></span>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</form>

{include file="$tplDirectory/footer.tpl"}
