{* $Id: SendClientEmail.tpl 10820 2007-03-05 22:45:34Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to e-mail a client.
 *
 * Smarty Variables:
 *	$clientID				The unique action ID for this page view
 *  $contacts
 *
 * Author: Andy Christ
 *}{strip}


{/strip}
{php}$GLOBALS['__pagePath'] = array('TRANS_EMAIL_CLIENTS', 'TRANS_CLIENTS', 'TRANS_EMAIL');{/php}
{include file="$tplDirectory/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{if $useEmailTemplates}
<script>
var cp = new cpaint();
cp.set_transfer_mode('get');
cp.set_response_type('text');
cp.set_use_cpaint_api(false);

var currentTemplateID = 0;

{literal}
function SelectTemplate( tplID ) {
	var theDiv = document.getElementById( 'emailTplID' );
	if (!confirm("Selecting a different template will reset your current email draft. Are you sure?")) {
		var i=0;
		var n=theDiv.options.length;
		for(; i<=n; i++) {
			if (theDiv.options[ i ].value == currentTemplateID) {
				theDiv.selectedIndex = i;
			}
		}
		return false;
	}

	currentTemplateID = theDiv.options[ theDiv.selectedIndex ].value;

	triggerLoader( true );
	cp.call('{/literal}{getBaseUrl page="emails.php" actionName="GetEmailTemplate"}&sid={$sid}&emailTplID='+tplID{literal}, 'SelectTemplate', SelectTemplateResponse);
	return true;
}
function triggerLoader( XKtoggle ) {
	if (!XKtoggle) {
		document.getElementById("ShowLoader").innerHTML = "";
		XKtoggleOff( 'ShowLoader' );
	} else {
		XKtoggleOn( 'ShowLoader' );
		document.getElementById("ShowLoader").innerHTML = "<br><br><center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\"></center>";
	}
	return;
}
function parseJSON( jsonDoc ) {
	var output;

	try {
		try {	// try to do this properly
			output = jsonDoc.parseJSON();
		} catch (e) {	// if fails, do it the ugly way :)
			output = eval( '(' + jsonDoc + ')' );
		}
	} catch (e) {
		handleError( e );
		return;
	}

	return output;
}
function SelectTemplateResponse(result) {
	triggerLoader( false );

	try {
		if ((dta = parseJSON( result )) == false) {
			return;
		}
		var ptr = "";

		if (dta['api']['errors']) {
			document.getElementById('ShowError').innerHTML = "";
			XKtoggleOn('ShowError');

			var i =0;
			var n = dta['api']['errors']['error'].length;

			for(; i<n; i++ ) {
				if ((ptr = dta['api']['errors']['error'][ i ]) != false) {
					try {
						handleError( ptr['title'].toString(), ptr['message'].toString());
					} catch (e) {

						handleError( e );
						// ignore error
					}
				}
			}
// 			return;
		}

		if (dta['api']['emailTemplates']['emailTemplate']) {
			XKtoggleOff( 'ShowError' );

			if ((ptr = dta['api']['emailTemplates']['emailTemplate'] ) != false) {
				try {
					if (ptr[0]['emailTplSubject']) {
						document.getElementById( 'emailSubject' ).value = ptr[0]['emailTplSubject'].toString();
					}

					if (ptr[0]['emailTplBody']) {
						document.getElementById( 'emailBody' ).value = ptr[0]['emailTplBody'].toString();
						if (tinyMCE) {
							tinyMCE.updateContent( 'emailBody' );
						}
					}
				} catch (e) {
					alert('err');
					handleError( e );
				}
			}
		}

	} catch (e) {
		handleError( e );
	}
	return true;
}
function handleError( err, msg ) {
	XKtoggleOn( 'ShowError');
	triggerLoader( false );
	var errSpan = document.getElementById( 'ShowError' );
	var errDL =false;

	if ((errDL = errSpan.getElementsByTagName( 'dl' )) != true) {
		errDL = document.createElement('dl');

		errSpan.appendChild( errDL );
	}

	// create new objects
	var newDT = document.createElement( 'dt' );
	var newDD = document.createElement( 'dd' );

	// populate
	if (err && msg) {
		newDT.appendChild( document.createTextNode( err.toString() ) );
		newDD.appendChild( document.createTextNode( msg.toString() ) );
	} else {
		newDT.appendChild( document.createTextNode( err.name.toString()+" ["+(err.lineNumber)+"] " ) );
		newDD.appendChild( document.createTextNode( err.message.toString() ) );
	}

	// attach them to the document model
	errDL.appendChild( newDT );
	errDL.appendChild( newDD );


	return true;
}
{/literal}
</script>
{/if}
<form method="post" action="{getFormAction controller="clients"}" name="clientEmail">
    <input type="hidden" name="act" value="{getActionID action="SendClientEmailResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="clientID" value="{$clientID}">
    {if $email && is_array($email.emailAttachments)}
        {foreach from=$email.emailAttachments.0.emailAttachment item=emailAttachment}
            <input type="hidden" name="emailAttachmentIDs[]" value="{$emailAttachment.emailAttachmentID}">
        {/foreach}
    {/if}
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CONTACTS"}
    <div class="field-value"><div class="single-row">
        {$doubleListSelector->doubleListSelector("contacts", "", $doubleListSelectorAttribs, $doubleListSelectorOptions) }
    </div></div>
    <div class="form-row {if $invalid.emailCC}error{/if}"><div class="field-name"><label for="emailCC">{"TRANS_EMAIL_CC"|lmsg}</label></div>
        <div class="field-value">
            <input class="f-middle-size" size="100" maxlength="500" type="text" id="emailCC" name="emailCC" value="{$formValues.emailCC}">
            {if $invalid.emailCC}<span class="error-hint">{$invalid.emailCC}</span>{/if}
            <span class="hint">{"TRANS_EMAIL_SEPARATE_DESC"|lmsg}</span>
        </div>
    </div>
    <div class="form-row {if $invalid.emailTo}error{/if}"><div class="field-name"><label for="emailBCC">{"TRANS_EMAIL_BCC"|lmsg}</label></div>
        <div class="field-value">
            <input class="f-middle-size" size="100" maxlength="500" type="text" id="emailBCC" name="emailBCC" value="{$formValues.emailBCC}">
            {if $invalid.emailTo}<span class="error-hint">{$invalid.emailTo}</span>{/if}
            <span class="hint">{"TRANS_EMAIL_SEPARATE_DESC"|lmsg}</span>
        </div>
    </div>

    {if $useEmailTemplates}
        <div class="form-row {if $invalid.emailTo}error{/if}"><div class="field-name"><label for="emailTplID">{"TRANS_EMAIL_TEMPLATE"|lmsg}</label></div>
            <div class="field-value">
                <select class="f-middle-size" name="emailTplID" id="emailTplID"  onChange="javascript:SelectTemplate( this.options[ this.selectedIndex ].value );">
                    <option value="0">{"TRANS_NONE"|lmsg}</option>
                    {foreach from=$emailTemplates item=emlGrp}
                        <optgroup label="{$emlGrp.emailTplGroupName}">
                            {if $emlGrp.emailTemplates.0}
                                {foreach from=$emlGrp.emailTemplates.0.emailTemplate item=emlTpl}
                                    <option value="{$emlTpl.emailTplID}">{$emlTpl.emailTplSubject}</option>
                                {/foreach}
                            {/if}
                        </optgroup>
                    {/foreach}
                </select>
            </div>
        </div>
    {/if}
    <div class="form-row {if $invalid.emailSubject}error{/if}"><div class="field-name"><label for="emailSubject">{"TRANS_EMAIL_MESSAGE_SUBJECT"|lmsg}</label></div>
        <div class="field-value">
            <input class="f-middle-size" size="100" maxlength="500" type="text" id="emailSubject" name="emailSubject" value="{$formValues.emailSubject}{$email.emailSubject}">
            {if $invalid.emailSubject}<span class="error-hint">{$invalid.emailSubject}</span>{/if}
        </div>
    </div>

    <div class="form-row {if $invalid.clientLastName}error{/if}"><div class="field-name"><label for="emailBody">{"TRANS_EMAIL_MESSAGE_BODY"|lmsg}</label></div>
        <div class="field-value">
            <span id="ShowLoader"></span>
            <span id="ShowError" style="background-color:pink;"></span>
            <script language="javascript" type="text/javascript">XKtoggleOff('ShowError');</script>
            {include file="$tplDirectory/widgets/showTinymce.tpl" mode="exact" elements="emailBody" convertURL=false}
            <textarea name="emailBody" id="emailBody" style="width:90%" rows="25">{$email.emailBody}{$event.systemQueueCommandInput}</textarea>
            {if $invalid.emailBody}<span class="error-hint">{$invalid.emailBody}</span>{/if}
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {buttons id='billing-id-send' class='action' name='send' value='TRANS_EMAIL_SEND' type='submit' label='TRANS_EMAIL_SEND' onclick='selectAllOptions(document.clientEmail.elements["addClientContactIDs[]"]);'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}

</form>