{assign var="filterArgs" value="clientActive=$clientActive&clientStatus=$clientStatus"}

<form method="post" action="{getFormAction controller="clients"}">
<input type="hidden" name="act" value="{getActionID action="EditNewOrdersResponse"}" />
<input type="hidden" name="referralActionID" value="{getActionID action="ShowDashboardNewOrders"}" />
<input type="hidden" name="token" value="{$token}" />

<table class="form-table" width="100%">
{section name=i loop="$clients"}
{assign var="clientID" value=$clients[i].clientID}
{assign var="trans_countriesISO2" value="TRANS_ISO_3166_`$clients[i].countriesISO2`"}
	<tr class="form-row">
        <td class="field-name nowrap">
            <div class="b-indent">
                {if $clients[i].isReseller}
                    <img alt="" src="/theme/icons/16/billing/reseller.png" class="b-indent-icon">
                {else}
                    <img alt="" src="/theme/icons/16/billing/customer.png" class="b-indent-icon">
                {/if}
                <b>
                    <a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=$clientID&__print=1"}" target="_blank">
                        {if $clients[i].clientCompany}
                            {$clients[i].clientCompany|safetyhtml|mb_truncate:22}
                            <br>
                        {/if}
                        {$clients[i].contactFullName|safetyhtml|mb_truncate:24}
                        <br>
                        {$clients[i].contactEmail|safetyhtml|mb_truncate:25}
                    </a>
                </b>
            </div>
        </td>
		<td>
            <img src="{$imageDirectory}/flags/flag-{$clients[i].countriesISO2|safetyhtml}.gif">
			{$smarty.const.$trans_countriesISO2|mb_truncate:15}
			<br />
			{$clients[i].clientDateCreated|getDateTime}
			<br />
			{if $clients[i].invoices[0]}
				{"TRANS_INVOICE"|lmsg} {$clients[i].invoices[0].invoiceAmount|getAmount:$clients[i].invoices[0].currencyID}
				{if $clients[i].invoices[0].invoiceStatus|getAPIStatusName:"invoice" == "closed"}
					{assign var="color" value="green"}
				{else}
					{assign var="color" value="red"}
				{/if}
                {$clients[i].invoices[0].invoiceStatus|getStatusName:"invoice"}
			{else}
				{"TRANS_INVOICE"|lmsg} {"TRANS_UNKNOWN"|lmsg}
			{/if}
		</td>
		<td>
            <input type="checkbox" name="activate[]" id="cbx_activate_{$clientID}" value="{$clientID}" onmouseup="cbx_register_click('activate', '{$clientID}');" onkeyup="cbx_register_click('activate', '{$clientID}');">&nbsp;{"TRANS_ACTIVATE"|lmsg}<br>
            <input type="checkbox" name="cancel[]" id="cbx_cancel_{$clientID}" value="{$clientID}" onmouseup="cbx_register_click('cancel', '{$clientID}');" onkeyup="cbx_register_click('cancel', '{$clientID}');">&nbsp;{"TRANS_CANCEL"|lmsg}<br>
            <input type="checkbox" name="fraud[]" id="cbx_fraud_{$clientID}" value="{$clientID}" onmouseup="cbx_register_click('fraud', '{$clientID}');" onkeyup="cbx_register_click('fraud', '{$clientID}');">&nbsp;{"TRANS_FRAUD"|lmsg}
        </td>
	</tr>
{sectionelse}
	<tr class="form-row">
		<td class="text-center">{"TRANS_NO_NEW_ORDERS"|lmsg}</td>
	</tr>
{/section}
{if count($clients)>0}
    <tr class="form-row">
        <td>
            <b>{"TRANS_SET_CANCEL_ACTION"|lmsg}</b>
        </td>
        <td>
            <select name="cancelAction">
                <option value="suspend">{"TRANS_SUSPEND_PACKAGE_IF_PROVISIONED"|lmsg}</option>
                <option value="delete">{"TRANS_DELETE_PACKAGE_IF_PROVISIONED"|lmsg}</option>
            </select>
        </td>
        <td>
            <span class="btn action"><button type="submit" name="submitActivateClients" value="{"TRANS_SUBMIT"|lmsg}"><span>OK</span></button></span>
        </td>
    </tr>
    <tr class="form-row">
        <td colspan="3">{"TRANS_SET_CANCEL_ACTION_DESC"|lmsg}</td>
    </tr>
{/if}
</table>

</form>
