<table class="form-table" width="100%">
<tbody>
    <tr class="form-row">
        <td>
            {if !$isReseller}
                <table class="form-table" width="100%">
                    <tr class="form-row">
                        <td>{"TRANS_SYNC_TASK_STATUS_OPTION"|lmsg}:</td>
                        {if "no-active-task" == $syncTaskInfo.status}
                            <td colspan="3"><span style="color: rgb(70, 70, 150);">{"TRANS_SYNC_TASK_STATUS_NO_ACTIVE_TASK"|lmsg}</span></td>
                        {else}
                            <td>
                                {if "failed-run" == $syncTaskInfo.status}
                                    <a href="{getAdminActionUrl module="tasks" controller="task" action="show" arguments="taskId=`$syncTaskInfo.taskId`"}">{"TRANS_SYNC_TASK_STATUS_FAILED_RUN"|lmsg}</a>
                                {elseif "not-run" == $syncTaskInfo.status}
                                    <span style="color: rgb(150, 70, 70);">{"TRANS_SYNC_TASK_STATUS_NOT_RUN"|lmsg}</span>
                                {elseif "successful-run" == $syncTaskInfo.status}
                                    <span style="color: rgb(70, 150, 70);">{"TRANS_SYNC_TASK_STATUS_SUCCESSFUL_RUN"|lmsg}</span>
                                {/if}
                            </td>
                            <td>{"TRANS_SYNC_TASK_STATUS_NEXT_RUN_TIME"|lmsg}:&nbsp;{$syncTaskInfo.runDate|getDateTime:medium}</td>
                        {/if}
                    </tr>
                    {if "msp" != $smarty.const.PACKAGE_TYPE && $ssoSyncInfo}
                        <tr class="form-row">
                            <td>{"TRANS_SYNC_SSO"|lmsg}:</td>
                            <td>
                                {if "error" == $ssoSyncInfo.status}
                                    <span style="color: rgb(70, 70, 150);">{"TRANS_SYNC_SSO_STATUS_ERROR"|lmsg}</span>
                                {elseif "syncing" == $ssoSyncInfo.status}
                                    <span style="color: rgb(150, 70, 70);">{"TRANS_SYNC_SSO_STATUS_SYNCING"|lmsg}</span>
                                {else}
                                    <span style="color: rgb(70, 150, 70);">{"TRANS_SYNC_SSO_STATUS_SYNCED"|lmsg}</span>
                                {/if}
                            </td>
                            <td><a href="{$ssoSyncInfo.sync_url}">{"TRANS_SYNC_SSO_LINK"|lmsg}</a></td>
                        </tr>
                        <tr class="form-row">
                            <td>{"TRANS_SSO_MODE"|lmsg}:</td>
                            <td>{$ssoSyncInfo.mode|lmsg}</td>
                            <td><a href="{$ssoSyncInfo.mode_docs_url}" target="_blank">{"TRANS_SSO_MODE_DOCUMENTATION_LINK"|lmsg}</a></td>
                        </tr>
                    {/if}
                    {if $masterPanelSyncInfo}
                        <tr class="form-row">
                            <td>{$masterPanelSyncInfo.label}:</td>
                            <td>
                                {if $masterPanelSyncInfo.statistics.error}
                                    <a style="color: rgb(150, 70, 70);" href="{$masterPanelSyncInfo.error_url}">{"TRANS_SYNC_PANELS_STATUS_ERROR"|lmsg}</a>
                                {elseif $masterPanelSyncInfo.statistics.syncing}
                                    <span style="color: rgb(70, 70, 150);">{"TRANS_SYNC_PANELS_STATUS_SYNCING"|lmsg}</span>
                                {else}
                                    <span style="color: rgb(70, 150, 70);">{"TRANS_SYNC_PANELS_STATUS_SYNCED"|lmsg}</span>
                                {/if}
                            </td>
                            <td><a href="{$masterPanelSyncInfo.sync_url}">{"TRANS_LINK_RECONNECT"|lmsg}</a></td>
                        </tr>
                    {/if}
                </table>
                <hr>
            {/if}
            <table class="form-table">
                {foreach from=$syncStatistics key=name item=data}
                    <tr class="form-table">
                        <td>{$data.label}</td>
                        <td class="text-right">
                            {if $data.statistics.synced > 0}
                                <a style="color: rgb(70, 150, 70);" href="{$data.synced_url}">{$data.statistics.synced} {if "panels" == $name}{"TRANS_SYNC_PANELS_STATUS_SYNCED"|lmsg}{else}{"TRANS_SYNC_STATUS_SYNCED"|lmsg}{/if}</a>
                            {else}
                                {$data.statistics.synced} {if "panels" == $name}{"TRANS_SYNC_PANELS_STATUS_SYNCED"|lmsg}{else}{"TRANS_SYNC_STATUS_SYNCED"|lmsg}{/if}
                            {/if}
                        </td>
                        <td class="text-right">
                            {if $data.statistics.error > 0}
                                <a style="color: rgb(150, 70, 70);" href="{$data.error_url}">{$data.statistics.error} {if "panels" == $name}{"TRANS_SYNC_PANELS_STATUS_ERROR"|lmsg}{else}{"TRANS_SYNC_STATUS_ERROR"|lmsg}{/if}</a>
                            {else}
                                {$data.statistics.error} {if "panels" == $name}{"TRANS_SYNC_PANELS_STATUS_ERROR"|lmsg}{else}{"TRANS_SYNC_STATUS_ERROR"|lmsg}{/if}
                            {/if}
                        </td>
                        <td class="text-right">
                            {if $data.statistics.syncing > 0}
                                <a style="color: rgb(70, 70, 150);" href="{$data.syncing_url}">{$data.statistics.syncing} {if "panels" == $name}{"TRANS_SYNC_PANELS_STATUS_SYNCING"|lmsg}{else}{"TRANS_SYNC_STATUS_SYNCING"|lmsg}{/if}</a>
                            {else}
                                {$data.statistics.syncing} {if "panels" == $name}{"TRANS_SYNC_PANELS_STATUS_SYNCING"|lmsg}{else}{"TRANS_SYNC_STATUS_SYNCING"|lmsg}{/if}
                            {/if}
                        </td>
                        <td class="text-right">
                            {if isset($data.statistics.warnings) && $data.statistics.warnings > 0 && "panels" == $name}
                                <a style="color: rgb(70, 70, 150);" href="{$data.synced_url}">{$data.statistics.warnings} {"TRANS_PANELS_STAT_WARNINGS"|lmsg}</a>
                            {/if}
                        </td>
                    </tr>
                {/foreach}
            </table>
        </td>
    </tr>
</tbody>
</table>