{if $warningHide == 0}
    <div id="dashboard-system-setup-warning" class="msg-box msg-warning">
        <div><div><div><div><div>
            <div class="msg-content">
                <span onclick="hideSystemSetupWarning('{$vendorId}')" class="close"></span>{"TRANS_DASHBOARD_SYSTEM_SETUP_PANEL_DESC"|lmsg}
            </div>
        </div></div></div></div></div>
    </div>
{/if}
<table class="system-setup-panel form-table" width="100%">
<tbody>
{if $showEncriptionSettings}
    <tr class="form-row">
        <td><span>{"TRANS_ENCRYPTION_SETTINGS"|lmsg}</td>
        <td>
            {if "not-configured" == $encryption.status}
                <img src="/theme/icons/16/billing/off.png">
            {else}
                <img src="/theme/icons/16/billing/on.png">
            {/if}
        </td>
        <td>
            {if "not-configured" == $encryption.status}
                <a class="link-01" href="{getAdminActionUrl module='configs' controller='encryption' action='turn-on' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_SET_UP"|lmsg}</a>
            {else}
                <a class="link-01" href="{getAdminActionUrl module='configs' controller='encryption' action='overview' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {/if}
        </td>
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_ENCRYPTION_DESC"|lmsg}</td>
    </tr>
{/if}
{if $showTaxationPolicies}
    <tr class="form-row">
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_TAXES"|lmsg}</td>
        <td>
            {if "not-configured" == $taxes.status}
                <img src="/theme/icons/16/billing/off.png">
            {else}
                <img src="/theme/icons/16/billing/on.png">
            {/if}
        </td>
        <td>
            {if "not-configured" == $taxes.status}
                <a class="link-01" href="{getAdminActionUrl module='taxes' controller='index' action='add' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_ADD"|lmsg}</a>
            {else}
                <a class="link-01" href="{getHREF page='taxes.php' actionName='ShowTaxZoneGroups'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {/if}
        </td>
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_TAXES_DESC"|lmsg}</td>
    </tr>
{/if}
{if $showPaymentGateways}
    <tr class="form-row">
        <td>{"TRANS_PAYMENT_GATEWAYS"|lmsg}</td>
        <td>
            {if "not-configured" == $paymentGateways.status}
                <img src="/theme/icons/16/billing/off.png">
            {else}
                <img src="/theme/icons/16/billing/on.png">
            {/if}
        </td>
        <td>
            {if "not-configured" == $paymentGateways.status}
                <a class="link-01" href="{getHREF page='paymentgateways.php' actionName='AddPaymentGateway' args='redirectAction=ShowDashboard'}">{"TRANS_LINK_ADD"|lmsg}</a>
            {else}
                <a class="link-01" href="{getHREF page='paymentgateways.php' actionName='ShowPaymentGateways' args='filter[gateway_module_type]'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {/if}
        </td>
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_PAYMENT_GATEWAYS_DESC"|lmsg}</td>
    </tr>
{/if}
{if $showDomainRegistrars}
    <tr class="form-row">
        <td>{"TRANS_DOMAIN_REGISTRARS_TITLE"|lmsg}</td>
        <td>
            {if "done" == $registrars.status}
                <img src="/theme/icons/16/billing/on.png">
            {else}
                <img src="/theme/icons/16/billing/off.png">
            {/if}
        </td>
        <td>
            {if "not-configured" == $registrars.status}
                <a class="link-01" href="{getHREF page='registrars.php' actionName='AddDomainRegistrar' args='redirectAction=ShowDashboard'}">{"TRANS_LINK_ADD"|lmsg}</a>
            {else}
                <a class="link-01" href="{getHREF page='registrars.php' actionName='ShowRegistrars' args='filter[module_enabled]'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {/if}
        </td>
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_DOMAIN_REGISTRARS_DESC"|lmsg}</td>
    </tr>
{/if}
{if $showFraudStatus}
    <tr class="form-row">
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_FRAUD_MANAGEMENT"|lmsg}</td>
        <td>
            {if "not-configured" == $fraud.status}
                <img src="/theme/icons/16/billing/off.png">
            {else}
                <img src="/theme/icons/16/billing/on.png">
            {/if}
        </td>
        <td>
            {if "not-configured" == $fraud.status}
                <a class="link-01" href="{getAdminActionUrl module='fraudsets' controller='fraud-protection' action='edit' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_SET_UP"|lmsg}</a>
            {else}
                <a class="link-01" href="{getAdminActionUrl module='fraudsets' controller='fraud-protection' action='edit' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {/if}
        </td>
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_FRAUD_MANAGEMENT_DESC"|lmsg}</td>
    </tr>
{/if}
{if $showCompanyDetails}
    <tr class="form-row">
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_COMPANY_DETAILS"|lmsg}</td>
        <td>
            {if "not-configured" == $company.status}
                <img src="/theme/icons/16/billing/off.png">
            {else}
                <img src="/theme/icons/16/billing/on.png">
            {/if}
        </td>
        <td>
            {if "not-configured" == $company.status}
                <a class="link-01" href="{getAdminActionUrl module='companies' controller='index' action='index' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_SET_UP"|lmsg}</a>
            {else}
                <a class="link-01" href="{getAdminActionUrl module='companies' controller='index' action='index' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {/if}
        </td>
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_COMPANY_DETAILS_DESC"|lmsg}</td>
    </tr>
{/if}
{if $showBranding}
    <tr class="form-row">
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_BRANDING"|lmsg}</td>
        <td>
            {if "not-configured" == $branding.status}
                <img src="/theme/icons/16/billing/off.png">
            {else}
                <img src="/theme/icons/16/billing/on.png">
            {/if}
        </td>
        <td>
            {if "not-configured" == $branding.status}
                <a class="link-01" href="{getAdminActionUrl module='companies' controller='branding' action='index' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_SET_UP"|lmsg}</a>
            {else}
                <a class="link-01" href="{getAdminActionUrl module='companies' controller='branding' action='index' arguments='redirectAction=ShowDashboard'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {/if}
        </td>
        <td>{"TRANS_DASHBOARD_SYSTEM_SETUP_BRANDING_DESC"|lmsg}</td>
    </tr>
{/if}
<tr class="form-row">
    <td colspan="4">
        <a href="{getAdminActionUrl module='configs' controller='system' action='show'}">{"TRANS_DASHBOARD_SYSTEM_SETUP_ALL_SETTINGS"|lmsg}</a>
    </td>
</tr>
</tbody>
</table>