{* $Id: AddEmailTemplateGroup.tpl 6350 2006-04-18 03:13:17Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTplGroup  --  An array of data found for the given email template ID.
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_EMAILS' => action_url('events', 'ShowEmailQueue'), 'TRANS_EMAIL_TEMPLATE_GROUPS', '');{/php}
{include file="$tplDirectory/header.tpl"}

<form method="post" action="{getFormAction controller="emails"}">
    <input type="hidden" name="act" value="{getActionID action="EditEmailTemplateGroupResponse"}">
    <input type="hidden" name="token" value="{$token}">
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_ADD_EMAIL_TPL_GROUP"}
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_ACTION"|lmsg}</div>
        <div class="field-value">
            <select class="f-middle-size" id="emailActionID" name="emailActionID" size="1">
                {html_options options=$emailActions selected=$emailActionID}
            </select>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TPL_GROUP_NAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" type="text" name="emailTplGroupName" size="30" value="">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TPL_GROUP_PRIORITY"|lmsg}</div>
        <div class="field-value">
            <select class="f-middle-size" id="emailTplGroupPriority" name="emailTplGroupPriority" size="1">
                <option label="1" value="1">1</option>
                <option label="2" value="2">2</option>
                <option label="3" value="3" selected="selected">3</option>
                <option label="4" value="4">4</option>
                <option label="5" value="5">5</option>
            </select>
            <span class="hint">{"TRANS_EMAIL_PRIORITY_DESC"|lmsg}</span>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_FROM_NAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupFromName" type="text" size="20" maxlength="255" value="">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_FROM_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupFromAddress" type="text" size="30" maxlength="255" value="">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_REPLY_NAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupReplyName" type="text" size="20" maxlength="255" value="">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_REPLY_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupReplyAddress" type="text" size="30" maxlength="255" value="">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_CC_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupCCAddress" type="text" size="20" maxlength="255" value="">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_BCC_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupBCCAddress" type="text" size="30" maxlength="255" value="">
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {buttons id='billing-id-save' class='action' name='save' value='TRANS_SAVE_EMAIL_TPL_GROUP_DATA' type='submit' label='TRANS_SAVE_EMAIL_TPL_GROUP_DATA'}
    {buttons id='billing-id-reset' name='reset' value='TRANS_CLEAR' type='reset' label='TRANS_CLEAR'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>