{* $Id: EditEmailTemplate.tpl 12310 2007-12-04 20:05:30Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTemplate  --  An array of data found for the given email template ID.
 *
 *}{strip}



{/strip}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_EMAIL_TEMPLATES', '');{/php}
{include file="$tplDirectory/header.tpl"}

<script type="text/javascript">
	{literal}
	function showCountryOptions(x) {
		if (x=="all") {
			hideobjbyid("countriesID");
			hideobjbyid("regionsID");
		} else if(x=="one") {
			showobjbyid("countriesID");
			hideobjbyid("regionsID");
		} else if(x=="region") {
			showobjbyid("regionsID");
			hideobjbyid("countriesID");
		}
	}


	function previewHTML(){
		$('previewHTMLBody').value = tinyMCE.get('mce_editor_0').getContent();
		$('previewHTMLBody').name = "emailTplBody";
		document.htmlPreviewForm.submit();
		$('previewHTMLBody').name = "xemailTplBody";
	}

	function previewTEXT(){
		$('previewTEXTBody').value = $('previewTEXTContent').value;
		$('previewTEXTBody').name = "emailTplTextBody";
		document.textPreviewForm.submit();
		$('previewTEXTBody').name = "xemailTplTextBody";
	}

	{/literal}
</script>

{if $saved}
    {include file="$tplDirectory/widgets/showInvalidCustom.tpl" duration="4" message="TRANS_SETTINGS_SAVED_SUCCESSFULLY"|lmsg}
{/if}

{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_EDIT_EMAIL_TPL"}
<form method="post" name="mainForm" action="{getFormAction controller="emails"}" accept-charset="UTF-8">
    <input type="hidden" name="act" value="{getActionID action="EditEmailTemplateResponse"}">
    <input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}">
    <input type="hidden" name="emailTplGroupID" value="{$emailTemplate.emailTplGroupID}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_LOCALE_LANGUAGE"|lmsg}</div>
        <div class="field-value">
            <select id="languageID" name="languageID">
                {html_options options=$languages selected=$emailTemplate.languageID}
            </select>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_LOCALE_REGION"|lmsg}</div>
        <div class="field-value">
            <label for="countryType0"><input class="radio" type="radio" name="countryType" id="countryType0" value="0" onclick="showCountryOptions('all');" checked="checked"> {"TRANS_APPLY_TO_ALL_COUNTRIES"|lmsg}</label><br>
            <label for="countryType1"><input class="radio" type="radio" name="countryType" id="countryType1" value="1" onclick="showCountryOptions('one');"> {"TRANS_APPLY_TO_ONE_COUNTRY"|lmsg}</label><br>
            <label for="countryType2"><input class="radio" type="radio" name="countryType" id="countryType2" value="2" onclick="showCountryOptions('region');"> {"TRANS_APPLY_TO_REGION_OF_COUNTRIES"|lmsg}</label>
        </div>
    </div>
    <div id="countriesID" style="display: none;" class="form-row"><div class="field-name">&nbsp;</div>
        <div class="field-value">
            <select class="f-middle-size" name="countriesID">
            {html_options options=$countryList selected=$selectedCountry}
            </select>
        </div>
    </div>
    <div id="regionsID" style="display: none;" class="form-row"><div class="field-name">&nbsp;</div>
        <div class="field-value">
            <select class="f-middle-size" name="regionsID">
            {foreach key=regionID item=childRegions from=$nestedRegions}
                <option value="{$regionID}" label="{$regionNames[$regionID]}">{$regionNames[$regionID]}</option>
                {section name=i loop=$childRegions}
                    {assign var="regionID" value=$childRegions[i]}
                    <option value="{$regionID}" label="-- {$regionNames[$regionID]}">-- {$regionNames[$regionID]}</option>
                {/section}
            {/foreach}
            </select>
        </div>
    </div>
    <div class="form-row">
        <div class="single-row">
            <label for="billing-id-emailTplPrimary"><input id="billing-id-emailTplPrimary"  name="emailTplPrimary" type="checkbox" value="1" {if $emailTemplate.emailTplPrimary == 1}checked="checked"{/if}> {"TRANS_DEFAULT_LOCALE"|lmsg}</label>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TPL_SUBJECT"|lmsg}</div>
        <div class="field-value">
            <input class="f-large-size" type="text" name="emailTplSubject" size="50" value="{$emailTemplate.emailTplSubject}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TPL_HTML_BODY"|lmsg}</div>
        <div class="field-value">
            {include file="$tplDirectory/widgets/showTinymce.tpl" mode="exact" elements="emailTplBody" editEmailTemplates="1"}
            <textarea id="previewHTMLContent" name="emailTplBody" rows="25" cols="100" style="width: 100%;">{$emailTemplate.emailTplBody}</textarea>
        </div>
    </div>
    {if $canPreview}
        <div class="form-row"><div class="field-name">{"TRANS_HTML_PREVIEW"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                <span class="btn action"><button type="button" value="{"TRANS_PREVIEW"|lmsg}" name="preview" id="billing-id-preview-html" onclick="previewHTML();"> &darr; {"TRANS_PREVIEW"|lmsg} &darr;</button></span>
            </div></div>
        </div>
        <div class="form-row"><div class="field-name">&nbsp;</div>
            <div class="field-value">
                <iframe id="emailPreviewHTML" name="emailPreviewHTML" width="100%" height="500" src="{getHREF page="emails.php" actionName="PreviewEmailTemplate" args="emailActionID=`$emailTemplateGroup.emailActionID`&emailTplID=`$emailTemplate.emailTplID`&preview=html"}"></iframe>
            </div>
        </div>
    {/if}
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TPL_TEXT_BODY"|lmsg}</div>
        <div class="field-value">
            <textarea {if $canPreview}onblur="previewTEXT()"{/if} id="previewTEXTContent" name="emailTplTextBody" rows="25" cols="100" style="width: 100%;">{$emailTemplate.emailTplTextBody}</textarea>
        </div>
    </div>
    {if $canPreview}
        <div class="form-row"><div class="field-name">{"TRANS_TEXT_PREVIEW"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                <span class="btn action"><button type="button" value="{"TRANS_PREVIEW"|lmsg}" name="preview" id="billing-id-preview-text" onclick="previewTEXT();"> &darr; {"TRANS_PREVIEW"|lmsg} &darr;</button></span>
            </div></div>
        </div>
        <div class="form-row"><div class="field-name">&nbsp;</div>
            <div class="field-value">
                <iframe id="emailPreviewTEXT" name="emailPreviewTEXT" width="100%" height="500" src="{getHREF page="emails.php" actionName="PreviewEmailTemplate" args="emailActionID=`$emailTemplateGroup.emailActionID`&emailTplID=`$emailTemplate.emailTplID`&preview=text"}"></iframe>
            </div>
        </div>
    {/if}
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {buttons id='billing-id-save' class='action' name='save' value='TRANS_SAVE' type='submit' label='TRANS_SAVE'}
    {buttons id='billing-id-reset' name='reset' value='TRANS_CLEAR' type='reset' label='TRANS_CLEAR'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>

{if $availableTemplates}
    <form action="{getFormAction controller="emails"}" method="POST">
        <input type="hidden" name="token" value="{$token}">
        <input type="hidden" name="act" value="{getActionID action="ReloadEmailTemplateResponse"}">
        <input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}">
        <input type="hidden" name="emailTplGroupID" value="{$emailTemplate.emailTplGroupID}">
        {include file="$tplDirectory/widgets/form-box-header.tpl" title="Reload Options"}
        <div class="form-row"><div class="field-name">{"TRANS_SELECT_TEMPLATE"|lmsg}</div>
            <div class="field-value">
                <select name="templateName">{html_options options=$availableTemplates selected=$selectedTemplate}</select>
            </div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_RELOAD_HTML"|lmsg}</div>
            <div class="field-value">
                {html_radios name="reloadHTML" options=$yesNo checked="0"}
            </div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_RELOAD_TEXT"|lmsg}</div>
            <div class="field-value">
                {html_radios name="reloadTXT" options=$yesNo checked="0"}
            </div>
        </div>
        <div class="form-row">
            <div class="single-row">{"TRANS_REPLACE_TEMPLATE_CAUTION_NOTICE"|lmsg}</div>
        </div>
        {include file="$tplDirectory/widgets/form-box-footer.tpl"}

        {buttons id='billing-id-reload' class="action" name='reload' value='TRANS_RELOAD' type='submit' label='TRANS_RELOAD' substitute=true}
        {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
    </form>
{/if}


<form method="post" name="htmlPreviewForm" action="{getFormAction controller="emails"}" target="emailPreviewHTML">
    <input type="hidden" name="emailActionID" value="{$emailTemplateGroup.emailActionID}">
    <input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}">
    <input type="hidden" name="preview" value="html">
    <input type="hidden" name="act" value="{getActionID action="PreviewEmailTemplate"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" id="previewHTMLBody" name="XemailTplBody" value="">
</form>

<form method="post" name="textPreviewForm" action="{getFormAction controller="emails"}" target="emailPreviewTEXT">
    <input type="hidden" name="emailActionID" value="{$emailTemplateGroup.emailActionID}">
    <input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}">
    <input type="hidden" name="preview" value="text">
    <input type="hidden" name="act" value="{getActionID action="PreviewEmailTemplate"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" id="previewTEXTBody" name="XemailTplTextBody" value="">
</form>