{* $Id: EditEmailTemplateGroup.tpl 12616 2008-02-07 00:29:39Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTplGroup  --  An array of data found for the given email template ID.
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_EMAILS' => action_url('emails', 'ShowEmailTemplateGroups'), 'TRANS_EMAIL_TEMPLATE_GROUPS', '');{/php}
{include file="$tplDirectory/header.tpl"}
<form method="post" action="{getFormAction controller="emails"}">
    <input type="hidden" name="act" value="{getActionID action="EditEmailTemplateGroupResponse"}">
    <input type="hidden" name="emailTplGroupID" value="{$emailTplGroup.emailTplGroupID}">
    <input type="hidden" name="token" value="{$token}">
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_EDIT_EMAIL_TPL_GROUP"}
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_ACTION"|lmsg}</div>
        <div class="field-value">
            <select class="f-middle-size" id="emailActionID" name="emailActionID" size="1">
                {html_options options=$emailActions selected=$emailTplGroup.emailActionID}
            </select>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TPL_GROUP_NAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" type="text" name="emailTplGroupName" size="30" value="{$emailTplGroup.emailTplGroupName|safetyhtml}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TPL_GROUP_PRIORITY"|lmsg}</div>
        <div class="field-value">
            <select class="f-middle-size" id="emailTplGroupPriority" name="emailTplGroupPriority" size="1" style="width: 40px;">
                <option label="1" value="1" {if $emailTplGroup.emailTplGroupPriority == 1}selected="selected"{/if}>1</option>
                <option label="2" value="2" {if $emailTplGroup.emailTplGroupPriority == 2}selected="selected"{/if}>2</option>
                <option label="3" value="3" {if $emailTplGroup.emailTplGroupPriority == 3}selected="selected"{/if}>3</option>
                <option label="4" value="4" {if $emailTplGroup.emailTplGroupPriority == 4}selected="selected"{/if}>4</option>
                <option label="5" value="5" {if $emailTplGroup.emailTplGroupPriority == 5}selected="selected"{/if}>5</option>
            </select>
            <span class="hint">{"TRANS_EMAIL_PRIORITY_DESC"|lmsg}</span>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_FROM_NAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupFromName" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupFromName|safetyhtml}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_FROM_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupFromAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupFromAddress|safetyhtml}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_REPLY_NAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupReplyName" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupReplyName|safetyhtml}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_REPLY_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupReplyAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupReplyAddress|safetyhtml}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_CC_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupCCAddress" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupCCAddress|safetyhtml}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_BCC_ADDRESS"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" name="emailTplGroupBCCAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupBCCAddress|safetyhtml}">
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {buttons id='billing-id-save' class='action' name='save' value='TRANS_SAVE_EMAIL_TPL_GROUP_DATA' type='submit' label='TRANS_SAVE_EMAIL_TPL_GROUP_DATA'}
    {buttons id='billing-id-reset' name='reset' value='TRANS_CLEAR' type='reset' label='TRANS_CLEAR'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_EDIT_EMAIL_TEMPLATES_LION"}
{assign var="emailTplGroupID" value=$emailTplGroup.emailTplGroupID}
<div class="form-row"><div class="single-row">
    {include file="$tplDirectory/widgets/actionLink.tpl"
        page="emails.php"
        actionName="AddEmailTemplate"
        args="emailTplGroupID=$emailTplGroupID"
        icoImage="add-new-locale.png"
        altText="TRANS_ADD_LOCALE"
        linkText="TRANS_ADD_LOCALE"}
</div></div>
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_ID"|lmsg}</th>
                <th>{"TRANS_LOCALE_LANGUAGE"|lmsg}</th>
                <th>{"TRANS_LOCALE_REGION"|lmsg}</th>
                <th>{"TRANS_SUBJECT"|lmsg}</th>
                <th>{"TRANS_ACTIONS"|lmsg}</th>
            </tr>
        </thead>
        {section name="i" loop="$emailTemplates"}
            {assign var="emailTplID" value=$emailTemplates[i].emailTplID}
            <tbody>
                <tr class="{cycle values="odd,even"}">
                    <td class="cursor: pointer;">
                        {$emailTemplates[i].emailTplID}
                    </td>
                    <td class="cursor: pointer;">{$emailTemplates[i].languageName|safetyhtml}</td>
                    <td>{assign var="countryType" value=$emailTemplates[i].countryType}
                    {if ($countryType==0)}
                        {"TRANS_COUNTRY"|lmsg} *
                    {elseif ($countryType==1)}
                        {assign var="countriesID" value=$emailTemplates[i].countriesID}
                        {"TRANS_COUNTRY"|lmsg} {$countryList[$countriesID]}
                    {elseif ($countryType==2)}
                        {assign var="regionsID" value=$emailTemplates[i].regionsID}
                        {"TRANS_REGION"|lmsg} {$countryRegions[$regionsID]}
                    {/if}
                    </td>
                    <td>{$emailTemplates[i].emailTplSubject|html_entity_encode}</td>
                    <td>
                        {if $previewAvailable}
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="emails.php"
                                actionName="PreviewEmailTemplate"
                                args="emailActionID=`$emailTplGroup.emailActionID`&emailTplID=$emailTplID"
                                icoImage="view"
                                altText="TRANS_PREVIEW"
                                linkText="TRANS_PREVIEW"}
                                &nbsp;&nbsp;&nbsp;
                        {/if}
                        {include file="$tplDirectory/widgets/actionLink.tpl"
                            page="emails.php"
                            actionName="EditEmailTemplate"
                            args="emailTplID=`$emailTplID`"
                            icoImage="edit"
                            altText="TRANS_EDIT"
                            id="edit_template_`$emailTplID`"
                            linkText="TRANS_EDIT"}
                            &nbsp;&nbsp;&nbsp;
                        {include file="$tplDirectory/widgets/actionLink.tpl"
                            page="emails.php"
                            actionName="RemoveEmailTemplate"
                            args="emailTplID=`$emailTplID`"
                            icoImage="remove"
                            altText="TRANS_REMOVE"
                            linkText="TRANS_REMOVE"}
                    </td>
                </tr>
            </tbody>
        {sectionelse}
            <tr class="odd">
                <td colspan="5">{"TRANS_NO_EMAIL_TEMPLATES"|lmsg}</td>
            </tr>
        {/section}
    </table>
</div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}