{* $Id: ShowFraudSets.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the fraud sets configured in ModernBill.
 *
 * Smarty Variables:
 *  $fraudSets (array of fraud sets)
 *
 * Author: Michael Fountain
 *}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM' => admin_action_url("configs", "system", "show"), 'TRANS_MANAGE_FRAUD_SETTINGS', '');{/php}

<script>
    {literal}
    function showCountryOptions(x) {
        if (x=="all") {
            hideobjbyid("countriesID");
            hideobjbyid("regionsID");
        } else if(x=="one") {
            showobjbyid("countriesID");
            hideobjbyid("regionsID");
        } else if(x=="region") {
            showobjbyid("regionsID");
            hideobjbyid("countriesID");
        }
    }
    {/literal}
</script>

{if $saved}
    {include file="$tplDirectory/widgets/showInvalidCustom.tpl" duration="4" message="TRANS_SETTINGS_SAVED_SUCCESSFULLY"|lmsg}
{/if}

<form action="{getFormAction controller="fraudsets"}" method="post" name="removeFraudSet" id="removeFraudSet">
	<input type="hidden" name="token" value="{$token}">
	<input type="hidden" name="act" value="{getActionID action="RemoveFraudSetResponse"}">
	<input type="hidden" name="fraudSetID" value="">
</form>
<script>
	{literal}
		function removeFraudSet(fraudSetId) {
				var form = jQuery('#removeFraudSet');
				form.find('input[name="fraudSetID"]').val(fraudSetId);
				form.submit();
		}
	{/literal}
</script>

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_CURRENT_FRAUD_SETS"}
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_FRAUD_SET_NAME"|lmsg}</th>
                <th>{"TRANS_FRAUD_SET_EMAIL"|lmsg}</th>
                <th>{"TRANS_ACTIONS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
        {section name=i loop=$fraudSets}
            {assign var="fraudSetID" value=$fraudSets[i].fraudSetID}
            <tr class="{cycle values="odd,even"}">
                <td>
                    {$fraudSets[i].fraudSetName|safetyhtml}
                    {include
                        file="$tplDirectory/widgets/quickEditLink.tpl"
                        editActionName="EditFraudSetResponse"
                        editID=$fraudSetID
                        editKey="fraudSetID"
                        editName="TRANS_FRAUD_SET_NAME"
                        editColumn="fraudSetName"
                        editValue=$fraudSets[i].fraudSetName}
                </td>
                <td>
                    {$fraudSets[i].fraudSetEmail|safetyhtml}
                    {include
                        file="$tplDirectory/widgets/quickEditLink.tpl"
                        editActionName="EditFraudSetResponse"
                        editID=$fraudSetID
                        editKey="fraudSetID"
                        editName="TRANS_FRAUD_SET_EMAIL"
                        editColumn="fraudSetEmail"
                        editValue=$fraudSets[i].fraudSetEmail}
                </td>
                <td>
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="fraudsets.php"
                        actionName="ShowFraudSetDetails"
                        args="fraudSetID=$fraudSetID"
                        icoImage="view"
                        altText="TRANS_MANAGE"
                        linkText="TRANS_MANAGE"}
                    &nbsp;&nbsp;&nbsp;
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        javascriptLink="removeFraudSet($fraudSetID);"
                        icoImage="remove"
                        altText="TRANS_REMOVE"
                        linkText="TRANS_REMOVE"}
                </td>
            </tr>
        {sectionelse}
            <tr class="odd">
                <td colspan="3">
                        {"TRANS_NO_FRAUD_SETS_DEFINED"|lmsg}
                </td>
            </tr>
        {/section}
        <form method="post" action="{getFormAction controller="fraudsets"}">
            <input type="hidden" name="act" value="{getActionID action="AddFraudSetResponse"}">
            <input type="hidden" name="token" value="{$token}">
            <tr>
                <td><input type="text" name="fraudSetName" value="" class="f-middle-size"></td>
                <td><input type="text" name="fraudSetEmail" value="" class="f-middle-size"></td>
                <td><span class="btn action"><button name="define" type="submit" value="{"TRANS_DEFINE_NEW_FRAUD_SET"|lmsg}">{"TRANS_DEFINE_NEW_FRAUD_SET"|lmsg}</button></span></td>
            </tr>
        </form>
        </tbody>
    </table>
</div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

<form action="{getFormAction controller="fraudsets"}" method="post" name="removeFraudCountryThreshold" id="removeFraudCountryThreshold">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="act" value="{getActionID action="RemoveFraudCountryThresholdResponse"}">
    <input type="hidden" name="thresholdID" value="">
</form>
<script>
    {literal}
        function removeFraudCountryThreshold(thresholdId)
        {
                var form = jQuery('#removeFraudCountryThreshold');
                form.find('input[name="thresholdID"]').val(thresholdId);
                form.submit();
        }
    {/literal}
</script>
{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_CURRENT_COUNTRY_THRESHOLDS"}
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_THRESHOLD_NAME"|lmsg}</th>
                <th>{"TRANS_THRESHOLD_TYPE"|lmsg}</th>
                <th>{"TRANS_THRESHOLD_COUNTRY_OR_REGION"|lmsg}</th>
                <th>{"TRANS_ACTIONS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {section name=i loop=$countryThresholds}
                {assign var="thresholdID" value=$countryThresholds[i].thresholdID}
                <tr class="{cycle values="odd,even"}">
                    <td>
                        {$countryThresholds[i].thresholdName|safetyhtml}
                        {include
                            file="$tplDirectory/widgets/quickEditLink.tpl"
                            editActionName="EditFraudCountryThresholdResponse"
                            editID=$thresholdID
                            editKey="thresholdID"
                            editName="TRANS_THRESHOLD_NAME"
                            editColumn="thresholdName"
                            editValue=$countryThresholds[i].thresholdID}
                    </td>
                    <td>
                        {assign var="countryType" value=$countryThresholds[i].countryType}
                        {if ($countryType==0)}
                            {"TRANS_APPLY_TO_ALL_COUNTRIES"|lmsg}
                        {elseif ($countryType==1)}
                            {"TRANS_APPLY_TO_ONE_COUNTRY"|lmsg}
                        {elseif ($countryType==2)}
                            {"TRANS_APPLY_TO_REGION_OF_COUNTRIES"|lmsg}
                        {/if}
                    </td>
                    <td>
                        {if ($countryType==0)}
                            {"TRANS_COUNTRY"|lmsg} *
                        {elseif ($countryType==1)}
                            {assign var="countriesID" value=$countryThresholds[i].countriesID}
                            {"TRANS_COUNTRY"|lmsg} {$countryList[$countriesID]}
                        {elseif ($countryType==2)}
                            {assign var="regionsID" value=$countryThresholds[i].regionsID}
                            {"TRANS_REGION"|lmsg} {$regionNames[$regionsID]}
                        {/if}
                    </td>
                    <td>
                        {include file="$tplDirectory/widgets/actionLink.tpl"
                            page="fraudsets.php"
                            actionName="EditFraudCountryThreshold"
                            args="thresholdID=$thresholdID"
                            icoImage="view"
                            altText="TRANS_CONFIGURE"
                            linkText="TRANS_CONFIGURE"}
                        &nbsp;&nbsp;&nbsp;
                        {include file="$tplDirectory/widgets/actionLink.tpl"
                            javascriptLink="removeFraudCountryThreshold($thresholdID);"
                            icoImage="remove"
                            altText="TRANS_REMOVE"
                            linkText="TRANS_REMOVE"}
                    </td>
                </tr>
            {sectionelse}
                <tr class="odd">
                    <td colspan="4">
                            {"TRANS_NO_COUNTRY_THRESHOLDS_DEFINED"|lmsg}
                    </td>
                </tr>
            {/section}
            <form method="post" action="{getFormAction controller="fraudsets"}">
                <input type="hidden" name="act" value="{getActionID action="AddFraudCountryThresholdResponse"}">
                <input type="hidden" name="token" value="{$token}">
                <tr>
                    <td><input type="text" name="thresholdName" value="" class="f-middle-size"></td>
                    <td>
                        <div class="form-row"><div class="single-row">
                            <label for="countryType0"><input type="radio" name="countryType" id="countryType0" value="0" checked="checked" onclick="showCountryOptions('all');"> {"TRANS_APPLY_TO_ALL_COUNTRIES"|lmsg}</label><br>
                            <label for="countryType1"><input type="radio" name="countryType" id="countryType1" value="1" onclick="showCountryOptions('one');"> {"TRANS_APPLY_TO_ONE_COUNTRY"|lmsg}</label><br>
                            <label for="countryType2"><input type="radio" name="countryType" id="countryType2" value="2" onclick="showCountryOptions('region');"> {"TRANS_APPLY_TO_REGION_OF_COUNTRIES"|lmsg}</label>
                        </div></div>
                    </td>
                    <td>
                        <select name="countriesID" id="countriesID" style="display:none;">
                            {html_options options=$countryList selected=$selectedCountry}
                        </select>
                        <select name="regionsID" id="regionsID" style="display:none;">
                            {foreach key=regionID item=childRegions from=$nestedRegions}
                                <option value="{$regionID}" id="{$regionID}">{$regionNames[$regionID]}</option>
                                {section name=i loop=$childRegions}
                                    {assign var="regionID" value=$childRegions[i]}
                                    <option value="{$regionID}" id="{$regionID}">-- {$regionNames[$regionID]}</option>
                                {/section}
                            {/foreach}
                        </select>
                    </td>
                    <td><span class="btn action"><button name="define" type="submit" value="{"TRANS_DEFINE_NEW_COUNTRY_THRESHOLD"|lmsg}">{"TRANS_DEFINE_NEW_COUNTRY_THRESHOLD"|lmsg}</button></span></td>
                </tr>
            </form>
        </tbody>
    </table>
</div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}