{* $Id: ConfirmCreditNote.tpl 10908 2007-03-26 17:21:41Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to confirm the creation of a credit note
 *
 * Smarty Variables:
 *	n/a
 *
 *}



{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_MANAGE_INVOICES', 'TRANS_CREATE_INVOICE_REVERSAL');{/php}

{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CREDIT_NOTE_CONFIRM_QUESTION"}
{if !$creditNote.invoiceID}
    <script>
        {literal}
            function checkReversalInvoice(){
                if (document.reversalInvoiceForm.confirmReversalInvoice.checked){
                    return true;
                } else {
                    alert("{/literal}{"TRANS_YOU_MUST_CONFIRM_INVOICE_REVERSAL"|lmsg|escape:javascript}{literal}");
                    return false;
                }
            }
        {/literal}
    </script>
    <form method="post" action="{getFormAction controller="invoices"}" name="reversalInvoiceForm" onsubmit="return checkReversalInvoice();">
        <input type="hidden" name="act" value="{getActionID action="ConfirmCreditNoteResponse"}">
        <input type="hidden" name="token" value="{$token}">
        <input type="hidden" name="invoiceID" value="{$invoice.invoiceID}">
        <div class="form-row">
            <div class="field-name">{"TRANS_INVOICE_NUMBER"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {$invoice.invoiceNumber}
            </div></div>
        </div>
        <div class="form-row">
            <div class="field-name">{"TRANS_INVOICE_AMOUNT"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {$invoice.invoiceAmount|getAmount:$invoice.currencyID}
            </div></div>
        </div>
        <div class="form-row">
            <div class="field-name">{"TRANS_COMMENTS"|lmsg}</div>
            <div class="field-value">
                <textarea cols="35" rows="3" name="invoiceComments"></textarea>
            </div>
        </div>
        <div class="form-row">
            <div class="single-row">
                <label for="billing-id-rollbackRenewDates"><input id="billing-id-rollbackRenewDates" type="checkbox" value="1" name="rollbackRenewDates" checked="checked"> {"TRANS_RESET_PACKAGE_RENEW_DATES"|lmsg}</label>
            </div>
        </div>
        <div class="form-row">
            <div class="single-row">
                <label for="billing-id-confirmReversalInvoice"><input id="billing-id-confirmReversalInvoice" type="checkbox" value="1" name="confirmReversalInvoice"> {"TRANS_CONFIRM_REVERSAL_INVOICE"|lmsg}</label>
            </div>
        </div>
        {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
    </form>
{else}
    <div class="form-row">
        <div class="single-row">
            {"TRANS_CREDIT_NOTE_ALREADY_EXISTS"|lmsg}
        </div>
    </div>
{/if}
{include file="$tplDirectory/widgets/form-box-footer.tpl"}