{* $Id: EditInvoice.tpl 8953 2006-09-16 22:17:05Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Invoice.
 *
 * Smarty Variables:
 *	n/a
 *
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_MANAGE_INVOICES', 'TRANS_EDIT_INVOICE');{/php}

<form method="post" action="{getFormAction controller="invoices"}">
    <input type="hidden" name="act" value="{getActionID action="EditInvoiceResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="invoiceID" value="{$invoice.invoiceID}">
    <input type="hidden" name="redirectURL" value="invoices.php">
    <input type="hidden" name="redirectAction" value="ShowInvoiceDetails">
    <input type="hidden" name="redirectArgs" value="invoiceID={$invoice.invoiceID}">

    {include file="$tplDirectory/widgets/form-box-header.tpl"}
    <div class="form-row"><div class="field-name">{"TRANS_INVOICE_NUMBER"|lmsg}</div>
        <div class="field-value">
            <a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`"}">{$invoice.invoiceNumber}</a>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_INVOICE_DATE_DUE"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date time=$invoice.invoiceDateDueX prefix="invoiceDateDue" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_INVOICE_COMMENTS"|lmsg}</div>
        <div class="field-value">
            <textarea id="invoiceComments" name="invoiceComments" rows="10" cols="70">{$invoice.invoiceComments}</textarea>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_INVOICE_STATUS"|lmsg}</div>
        <div class="field-value">
            <select name="invoiceStatus">{html_options options=$statuses selected=$invoice.invoiceStatus}</select>
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>