{* $Id: EditEmailConfig.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of config groups
 *
 * Smarty Variables:
 *	$configParams (array of config group data)
 *
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_EDIT_EMAIL_OPTIONS', '');{/php}
{include file="$tplDirectory/header.tpl"}

<form action="{getFormAction controller="modules"}" method="post">
    <input type="hidden" name="act" value="{getActionID action="EditEmailConfigResponse"}">
    <input type="hidden" name="configGroupID" value="{$configGroupID}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row {if $invalid.emailMethod}error{/if}"><div class="field-name">{"TRANS_EMAIL_METHOD"|lmsg}</div>
        <div class="field-value">
            <select class="f-middle-size" id="emailMethod" name="emailMethod" onChange="javascript:methodChosen( this );">
                {html_options options=$methodsAvailable selected=$formValues.emailMethod}
            </select>
            {if $invalid.emailMethod}<span class="error-hint">{$invalid.emailMethod}</span>{/if}
        </div>
    </div>
    <div id="brow_sendmail">
        <div class="form-row {if $invalid.emailSendmailLocation}error{/if}"><div class="field-name">{"TRANS_SENDMAIL_LOCATION"|lmsg}</div>
            <div class="field-value">
                <input class="f-middle-size" type="text" name="emailSendmailLocation" size="50" value="{$formValues.emailSendmailLocation}">
                {if $invalid.emailSendmailLocation}<span class="error-hint">{$invalid.emailSendmailLocation}</span>{/if}
            </div>
        </div>
    </div>
    <div id="brow_smtp">
        <div class="form-row {if $invalid.emailSMTPServer}error{/if}"><div class="field-name">{"TRANS_SMTP_SERVER"|lmsg}</div>
            <div class="field-value">
                <input class="f-middle-size" type="text" name="emailSMTPServer" size="50" value="{$formValues.emailSMTPServer}">
                {if $invalid.emailSMTPServer}<span class="error-hint">{$invalid.emailSMTPServer}</span>{/if}
            </div>
        </div>
        <div class="form-row {if $invalid.emailSMTPAuth}error{/if}"><div class="field-name">{"TRANS_SMTP_REQUIRE_AUTH"|lmsg}</div>
            <div class="field-value">
                <input type="radio" id="emailSMTPAuthYes" name="emailSMTPAuth" value="1" {if $formValues.emailSMTPAuth == 1}checked="checked"{/if} onClick="javascript:enableSMTPAuth();"> {"TRANS_YES"|lmsg}<br>
                <input type="radio" id="emailSMTPAuthNo" name="emailSMTPAuth" value="0" {if !$formValues.emailSMTPAuth}checked="checked"{/if} onClick="javascript:disableSMTPAuth();"> {"TRANS_NO"|lmsg}
                {if $invalid.emailSMTPAuth}<span class="error-hint">{$invalid.emailSMTPAuth}</span>{/if}
            </div>
        </div>
    </div>
    <div id="brow_smtpAuth">
        <div class="form-row {if $invalid.emailSMTPUsername}error{/if}"><div class="field-name">{"TRANS_SMTP_USERNAME"|lmsg}</div>
            <div class="field-value">
                <input class="f-middle-size" type="text" name="emailSMTPUsername" size="50" value="{$formValues.emailSMTPUsername}">
                {if $invalid.emailSMTPUsername}<span class="error-hint">{$invalid.emailSMTPUsername}</span>{/if}
            </div>
        </div>
        <div class="form-row {if $invalid.emailSMTPPassword}error{/if}"><div class="field-name">{"TRANS_SMTP_PASSWORD"|lmsg}</div>
            <div class="field-value">
                <input class="f-middle-size" type="password" name="emailSMTPPassword" size="50">
                {if $invalid.emailSMTPPassword}<span class="error-hint">{$invalid.emailSMTPPassword}</span>{/if}
            </div>
        </div>
    </div>

    {buttons id='billing-id-ok' class='action' name='ok' value='TRANS_OK' type='submit' label='TRANS_OK'}
    {buttons id='billing-id-cancel' name='cancel' value='TRANS_CANCEL' type='button' label='TRANS_CANCEL' onclick='history.go(-1);'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>

<script>
    {literal}
    function methodChosen( theSelector ) 
    {
        switch( theSelector.options[ theSelector.selectedIndex ].value ) {
        case "sendmail":
            XKtoggleOn( "brow_sendmail" );
            XKtoggleOff( "brow_smtp" );
            XKtoggleOff( "brow_smtpAuth" );
        break;

        case "smtp":
            XKtoggleOn( "brow_smtp" );
            XKtoggleOff( "brow_sendmail" );
            if (document.getElementById('emailSMTPAuthYes').checked) {
                XKtoggleOn( "brow_smtpAuth" );
            } else {
                XKtoggleOff( "brow_smtpAuth" );
            }
        break;

        case "php":
        default:
            XKtoggleOff( "brow_sendmail" );
            XKtoggleOff( "brow_smtp" );
            XKtoggleOff( "brow_smtpAuth" );
        break;
        }

        return true;
    }
    function enableSMTPAuth() 
    {
        XKtoggleOn( "brow_smtpAuth" );
    }
    function disableSMTPAuth() 
    {
        XKtoggleOff( "brow_smtpAuth" );
    }
    methodChosen(document.getElementById('emailMethod'));
    {/literal}
</script>

