{* $Id: EditSSLFactoryConfig.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit the SSLFactory module.
 *
 * Smarty Variables:
 *	$configParams
 *	$configGroupID
 *
 * @author Brian Smith
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_SSLFACTORY', '');{/php}
{include file="$tplDirectory/header.tpl"}

<form method="post" action="{getFormAction controller="modules"}">
    <input type="hidden" name="act" value="{getActionID action="EditSSLFactoryConfigResponse"}">
    <input type="hidden" name="configGroupID" value="{$configGroupID}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row">
        <div class="single-row">
            <input id="enableSSLFactory"  name="enableSSLFactory" type="checkbox" value="1" {if $configParams.enableSSLFactory == 1}checked="checked"{/if}> 
            <label for="enableSSLFactory">{"TRANS_ENABLED"|lmsg}</label>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_USERNAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" type="text" name="usernameSSLFactory" size="50" value="{$configParams.usernameSSLFactory}">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_SSL_MODULES_ACCESSCODESSLFACTORY"|lmsg}</div>
        <div class="field-value">
            <input class="f-middle-size" type="text" name="accessCodeSSLFactory" size="50" value="{$configParams.accessCodeSSLFactory}">
        </div>
    </div>
    {buttons id='billing-id-ok' class='action' name='ok' value='TRANS_OK' type='submit' label='TRANS_OK'}
    {buttons id='billing-id-cancel' name='cancel' value='TRANS_CANCEL' type='button' label='TRANS_CANCEL' onclick='history.go(-1);'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>