{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_VIRTUAL_TERMINAL', '');{/php}

<form method="post" action="{getFormAction controller="paymentgroups"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="act" value="{getActionID action="ChargeVirtualTerminal"}">
    <input type="hidden" name="invoiceID" value="{$invoiceInfo.invoiceID}">

    {if is_null($paymentGatewayID)}
        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CHOOSE_GATEWAY"}
    {else}
        {include file="$tplDirectory/widgets/form-box-header.tpl"}
    {/if}

    {if $invoiceInfo.invoiceID}
        <div class="form-row"><div class="field-name">{"TRANS_INVOICE_NUMBER"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {$invoiceInfo.invoiceNumber}
            </div></div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_AMOUNT"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}
            </div></div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_INVOICE_AMOUNT_PAID"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {$invoiceInfo.invoiceAmountPaid|getAmount:$invoiceInfo.currencyID}
            </div></div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_CLIENT"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                <a href="{getBaseUrl page="clients.php" actionName="ShowClientDetails"}&clientID={$clientInfo.clientID}&sid={$sid}">{$clientInfo.contactFirstName|safetyhtml} {$clientInfo.contactLastName|safetyhtml}</a>
            </div></div>
        </div>
    {else}
        <div class="form-row">
            <div class="single-row">
                <label for="billing-id-doaccounting"><input type="checkbox" id="billing-id-doaccounting" name="doaccounting" value="1" checked="checked"> {"TRANS_CREATE_INCOME_ACCOUNTING_ENTRIES"|lmsg}</label>
            </div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_CURRENCY"|lmsg}</div>
            <div class="field-value">
                <select name="currencyID">{html_options options=$currencyList selected=$selectedCurrency}</select>
            </div>
        </div>
    {/if}
    <div class="form-row"><div class="field-name">{"TRANS_GATEWAY"|lmsg}</div>
        <div class="field-value">
            {section name="i" loop=$paymentGateways}
                {assign var="paymentGateway" value=$paymentGateways[i]}
                {if is_null($paymentGatewayID)}
                    <label for="billing-id-paymentGatewayID"><input id="billing-id-paymentGatewayID" class="radio" type="radio" name="paymentGatewayID" value="{$paymentGateway->id}" {if $smarty.section.i.index==0}checked="checked"{/if}></label>
                {else}
                    <input type="hidden" name="paymentGatewayID" value="{$paymentGatewayID}">
                {/if}
                {$paymentGateway->moduleName}
                <span class="hint-inline">({$paymentGateway->payment_gateway_name})</span>
            {/section}
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {if $paymentGateways}
        {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
    {/if}
</form>
