{* $Id: EditPackageAddon.tpl 7529 2006-06-16 19:10:08Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PACKAGES', 'TRANS_MANAGE_PACKAGE_ADDONS', 'TRANS_ADD_PACKAGE_ADDON');{/php}
{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_PACKAGES"
    childName="TRANS_MANAGE_PACKAGE_ADDONS"
    grandchildName="TRANS_ADD_PACKAGE_ADDON"
    sideNavMajor="clients"
    sideNavMinor="packages"}

{include file="$tplDirectory/widgets/context/package.tpl" package=$packageInfo}

{assign var="currencyID" value=$packageInfo.currencyID}

<fieldset>
<legend>{"TRANS_ADD_ADDON"|lmsg}</legend>

{if count($addons)}
    <table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
        <form method="post" action="{getFormAction controller="packages"}">
        <input type="hidden" name="token" value="{$token}">
        <input type="hidden" name="act" value="{getActionID action="EditPackageAddonResponse"}">
        <input type="hidden" name="packageID" value="{$packageInfo.packageID}">
        <tr>
            <td colspan="2"><fieldset><legend>{$addonGroup.productAddonGroupName}</legend></fieldset></td>
	    </tr>
        {if "c" == $addonGroup.productAddonGroupInputType}
            {assign var="inputType" value="checkbox"}
        {else}
            {assign var="inputType" value="radio"}
        {/if}
        {foreach key="id" item="addon" from=$addons}
            <tr>
                <td class="title"><input type="{$inputType}"{if $addon.isSelected} checked="checked"{/if} name="addons[]" value="{$id}" />
                    &nbsp;- {$addon.productName|constant|safetyhtml}
                    {if !$addon.productActive}({"TRANS_INACTIVE"|lmsg|lower}){/if}
                    {if $displayAddonCycles}<br>[{$addon.cycleID|getCycleName|lmsg}]{/if}
                    {if $addon.isSelected}<input type="hidden" name="packageAddonIDs[]" value="{$addon.packageAddonID}" />{/if}</td>
                <td>
                    <table>
                        {if $displayAddonCycles && $addon.isSelected}
                            <tr>
                                <td>{"TRANS_LAST_RENEWAL_DATE"|lmsg} </td>
                                <td>{$addon.packageAddonDateLastRenewal|getDate:long}</td>
                            </tr>
                        {/if}
                        {if $displayAddonCycles}
                            <tr>
                                <td>{"TRANS_NEXT_RENEWAL_DATE"|lmsg} </td>
                                <td>{include file="$tplDirectory/widgets/dateSelector.tpl" param="$id-nextrenewal"}</td>
                            </tr>
                        {/if}
                        <tr>
                            <td>{"TRANS_PRICE"|lmsg} </td>
                            <td><input type="text" name="prices[{$id}][general]" value="{$addon.generalPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
                            <td>{"TRANS_COUPON_PRICE"|lmsg} </td>
                            <td><input type="text" name="prices[{$id}][coupon]" value="{$addon.couponPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
                        </tr>
                        <tr>
                            <td>{"TRANS_PLUS_SETUP"|lmsg} </td>
                            <td><input type="text" name="prices[{$id}][setup]" value="{$addon.setupPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
                            <td>{"TRANS_COUPON_NUM_CYCLES"|lmsg} </td>
                            <td><input type="text" name="prices[{$id}][couponcycles]" value="{$addon.couponCycles}" /></td>
                        </tr>
                    </table>
                </td>
            </tr>
        {/foreach}
        {if "radio" == $inputType}
            <tr>
                <td colspan="2"><input type="radio" name="addons[]" value="0" /> - {"TRANS_NONE"|lmsg}</td>
            </tr>
        {/if}
        <tr class="listButtons">
            <td colspan="2"><div><input class="submit" type="submit" value="{"TRANS_UPDATE"|lmsg}"></div></td>
        </tr>
    </form>
    </table>
{else}
    <div class="form-row">
        <div class="single-row">
            {if $displayAddonCycles}
                {"TRANS_NO_ADDONS"|lmsg}
            {else}
                {"TRANS_NO_ADDONS_FOR_CYCLE"|lmsg}
            {/if}
        </div>
    </div>
{/if}
</fieldset>

{include file="$tplDirectory/footer.tpl"}



