{* $Id: ShowUncapturedFunds.tpl 10754 2007-02-24 01:30:43Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{* assign var="filterArgs" value="invoiceStatus=$invoiceStatus" *}
{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_BUSINESS_MONITORING_PAYMENTS', 'TRANS_SHOW_UNCAPTURED_FUNDS');{/php}

{include file="$tplDirectory/header.tpl"}
{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<p>
    {"TRANS_UNCAPTURED_FUNDS_PAGE_DESC"|lmsg}
</p>
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
        <tr>
            <th><input type="checkbox" name="XKtoggler" onchange="XKtoggleFormCheckboxes(document.captureform, 'captureIDs');"></th>
        {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_TID" sortColumn="transactionID"}
        {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_TRANSACTION_CODE" sortColumn="transactionCode"}
        {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GATEWAY" sortColumn="configGroupID"}
        {include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" headerName="TRANS_CREATED" sortColumn="transactionDateCreated"}
        {include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerName="TRANS_AMOUNT" sortColumn="transactionAmount"}
        {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_CURRENCY" sortColumn="currencyID"}
        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CLIENT"}
        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CLIENT_STATUS"}
        </tr>
        </thead>
        <form method="post" action="{getFormAction controller="paymentqueue"}" name="captureform">
            <input type="hidden" name="act" value="{getActionID action="CaptureFunds"}">
            <input type="hidden" name="token" value="{$token}">
            <tbody>
            {if empty($transactions)}
                <tr class="odd">
                    <td colspan="9">{"TRANS_NORESULTS"|lmsg}</td>
                </tr>
            {else}
                {foreach from=$transactions item="transaction"}
                <tr id="transrow{$transaction.transactionID}" class="{cycle values="odd,even"}">
                    <td><input type="checkbox" name="captureIDs[{$transaction.transactionID}]" value="y" id="transchbx{$transaction.transactionID}"></td>
                    <td>{$transaction.transactionID}</td>
                    <td>{$transaction.transactionCode}</td>
                    <td><a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=`$transaction.configGroupID`"}">{$transaction.configGroupTransKey}</a></td>
                    <td>{$transaction.transactionDateCreated|getDate:short}</td>
                    <td>{$transaction.transactionAmount|getAmount:$transaction.currencyID}
                    <td>{$transaction.currencyID}</td>
                    <td>
                        {strip}
                                            {assign var="contactName" value="`$transaction.contactLastName`, `$transaction.contactFirstName`"}
                                            {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="clients.php"
                        actionName="ShowClientDetails"
                        args="clientID=`$transaction.clientID`"
                        clientID=$transaction.clientID
                        clientContactID=$transaction.clientContactID
                        altText=$contactName
                        linkText=$contactName}
                                        {/strip}
                    </td>
                    <td>
                        {$transaction.clientStatus|getStatusName:"client"}
                    </td>
                </tr>
                {/foreach}
            {/if}
            </tbody>
    </table>
{include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
    </form>
</div>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}