{* $Id: ShowServerGroups.tpl 11377 2007-06-18 15:37:21Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 *	$serverGroups (array of servergroups that match criteria)
 *  $canGetServerLoad (array of server group IDs with 1 if it can get the server load)
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_SYSTEM_MANAGE_PANELS_TITLE', '');{/php}
<script>
	var the_v = "{"TRANS_SERVER_VERSION"|lmsg}";
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);

	var slURL = '';
	var servergroup = '';

	{literal}
	function checkServerLoad() {
		if (document.getElementById("xloading"+servergroup)){
			document.getElementById("xloading"+servergroup).src = '{/literal}/theme/icons/16/billing/loading.gif{literal}';
		}
		cp.call(slURL, 'checkServerLoad', checkServerLoadResponse);
		return false;
	}

	function setimgtarget(x){
		if (x!=servergroup && servergroup!=''){
			document.getElementById("xloading"+servergroup).src = '{/literal}{$imageDirectory}/spacer.gif{literal}';
			servergroup = x;
		} else {
			servergroup = x;
		}
	}

	function checkServerLoadResponse(result) {
		if (result) {
			processLoadReturn(result);
		} else {
			alert("Error getting server load data.");
		}
	}

	function processLoadReturn(data){
		var datapart = data.substring(data.indexOf('BEGINRECORDS:')+13,data.indexOf('ENDRECORDS:'));
		var records = datapart.split("\n");
		var record = '';
		var loaditems;
		var items;

		var prec = '';
		for (i=0; i<records.length; i++){
			record = records[i];
			if (record.substring(0,6)=='RECORD'){
				prec = record.substring(7, record.indexOf("="));

				loaditems = record.substring(record.indexOf("=")+1);
				items = loaditems.split("|");

				if(items[0]!='disabled'){
					document.getElementById(prec).innerHTML = "<b>[ </b>"+items[0]+" <b>][</b> "+items[1]+" <b>][</b> "+items[2]+"<b> ]</b>";
				}
				if(items[0]=='disabled'){
					document.getElementById(prec).innerHTML = "<b>[ </b>"+items[0]+" <b>]";
				}
				if (items[3]!='' && items[3]!=' '){
					prec = prec.replace("serverLoad", "serverVersion");
					document.getElementById(prec).innerHTML = "{/literal}{"TRANS_SERVER_VERSION"|lmsg}{literal}"+items[3]+"";
				}

			}
		}
		setimgtarget('');

	}

	{/literal}
</script>
<div class="actions-box">
    <div class="objects-toolbar clearfix">
        <a class="s-btn sb-add-new-server-group" href="{getHREF page="servergroups.php" actionName="AddServerGroup"}">
            <i><i><i><span>{"TRANS_ADD_SERVER_GROUP"|lmsg}</span></i></i></i>
        </a>
        <a class="s-btn sb-show-server-group-report" href="{getHREF page="servergroups.php" actionName="ShowServerGroupsReport" args="activePanelsOnly=1"}">
            <i><i><i><span>{"TRANS_SERVER_GROUP_REPORT"|lmsg}</span></i></i></i>
        </a>
    </div>
</div>
{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_SERVER_GROUPS"}
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ID" sortColumn="serverGroupID"}
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_SERVERGROUPNAME" sortColumn="serverGroupName"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS"}
            </tr>
        </thead>
        <tbody>
        {section name=i loop="$serverGroups"}
            {assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
            <tr class="{if ($smarty.section.i.index+1)%2==0}even{else}odd{/if}">
                <td>
                    {include
                        file="$tplDirectory/widgets/actionLink.tpl"
                        icoImage="expand.png"
                        altText=$serverGroups[i].serverGroupID
                        linkText=$serverGroups[i].serverGroupID
                        javascriptLink="void(0);"
                        onclick="return XKtoggle('row_`$serverGroupID`');"}
                </td>
                <td>
                    {$serverGroups[i].serverGroupName}
                    <img name="xloading{$serverGroupID}" id="xloading{$serverGroupID}">
                </td>
                <td>
                    {strip}
                    {if $serverGroups[i].canGetServerLoad}
                        {capture name=slURL}
                            {getHREF page="servergroups.php" actionName="CheckServerLoad" args="serverGroupID=$serverGroupID"}
                        {/capture}
                        {include
                            file="$tplDirectory/widgets/actionLink.tpl"
                            icoImage="show-server-load.png"
                            altText="TRANS_SERVER_LOAD"
                            linkText="TRANS_SERVER_LOAD"
                            javascriptLink="void(0);"
                            onclick="slURL='`$smarty.capture.slURL`';setimgtarget('`$serverGroupID`');checkServerLoad();"}
                        &nbsp;&nbsp;&nbsp;
                    {/if}
                    {if $serverGroups[i].useInternalIPQueue}
                        {assign var="useIIPQueue" value=1}
                    {else}
                        {assign var="useIIPQueue" value=0}
                    {/if}
                    {include
                        file="$tplDirectory/widgets/actionLink.tpl"
                        icoImage="show-list-of-server.png"
                        altText="TRANS_LIST_SERVERS"
                        linkText="TRANS_LIST_SERVERS"
                        javascriptLink="void(0);"
                        onclick="return XKtoggle('row_`$serverGroupID`');"}
                    &nbsp;&nbsp;&nbsp;
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="servergroups.php"
                        actionName="EditServerGroup"
                        args="serverGroupID=$serverGroupID"
                        icoImage="edit"
                        altText="TRANS_EDIT"
                        linkText="TRANS_EDIT"}
                    &nbsp;&nbsp;&nbsp;
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="servergroups.php"
                        actionName="RemoveServerGroup"
                        args="serverGroupID=$serverGroupID"
                        icoImage="remove"
                        altText="TRANS_REMOVE"
                        linkText="TRANS_REMOVE"}
                    {/strip}
                </td>
            </tr>
            <tr id="row_{$serverGroupID}" class="{if $serverGroups[i].panels and !$serverGroups[i].hasSyncErrors and !$serverGroups[i].hasWarnings}hidden{/if} {if ($smarty.section.i.index+1)%2==0}even{else}odd{/if}">
                <td colspan="3">
                    <table width="100%" cellspacing="0">
                        {assign var="panels" value=$serverGroups[i].panels}
                        {section name="j" loop="$panels"}
                            {assign var="configID" value=$panels[j].configGroupID}
                            {assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
                            {assign var="configGroupID" value=$panels[j].configGroupID}
                            {assign var="parentConfigGroupID" value=$panels[j].parentConfigGroupID}
                            {assign var="configGroupName" value=$panels[j].configGroupTransKey|lmsg}
                            <tr>
                                <td width="60%">
                                    {if $panels[j].moduleEnabled == 0 }
                                        <img src="/theme/icons/16/billing/off.png" alt="{"TRANS_PANEL_DISABLED"|lmsg}" title="{"TRANS_PANEL_DISABLED"|lmsg}">
                                    {else}
                                        <img src="/theme/icons/16/billing/on.png" alt="{"TRANS_PANEL_ENABLED"|lmsg}" title="{"TRANS_PANEL_ENABLED"|lmsg}">
                                    {/if}
                                    &nbsp;
                                    {if "synced" == $panels[j].syncStatus || "non-syncable" == $panels[j].syncStatus}
                                        <img src="/theme/icons/16/billing/sync-status-synced.png" alt="{"TRANS_SYNC_PANEL_STATUS_SYNCED_DESC"|lmsg}" title="{"TRANS_SYNC_PANEL_STATUS_SYNCED_DESC"|lmsg}">
                                    {elseif "syncing" == $panels[j].syncStatus}
                                        <img src="/theme/icons/16/billing/sync-status-syncing.png" alt="{"TRANS_SYNC_PANEL_STATUS_SYNCING_DESC"|lmsg}" title="{"TRANS_SYNC_PANEL_STATUS_SYNCING_DESC"|lmsg}">
                                    {elseif "error" == $panels[j].syncStatus}
                                        <a href="{getHREF page="modules.php" actionName="EditPanelConfig" args="configGroupID=$configGroupID"}">
                                            <img src="/theme/icons/16/billing/sync-status-error.png" alt="{"TRANS_SYNC_PANEL_STATUS_SYNC_ERROR_DESC"|lmsg}" title="{"TRANS_SYNC_PANEL_STATUS_SYNC_ERROR_DESC"|lmsg}">
                                        </a>
                                    {/if}
                                    &nbsp;
                                    {if $panels[j].hasWarnings == 1 }
                                        <img src="/theme/icons/16/billing/warning.png" alt="{"TRANS_PANEL_HAS_WARNINGS"|lmsg}" title="{"TRANS_PANEL_HAS_WARNINGS"|lmsg}">
                                    {/if}
                                    &nbsp;
                                    <b>{$serverNames[$configID].configParamValue}:</b> {$configGroupName}
                                    {if $serverNames[$configGroupID].panelMaxAccounts > 0}
                                        &nbsp;{$serverNames[$configGroupID].panelCurrentAccounts} / {$serverNames[$configGroupID].panelMaxAccounts}
                                    {else}
                                        &nbsp;{"TRANS_NO_LIMIT"|lmsg}
                                    {/if}

                                    &nbsp;
                                    <span id="serverLoad{$configGroupID}"></span>
                                    &nbsp;
                                    <span id="serverVersion{$configGroupID}"></span>
                                </td>
                                <td width="40%">
                                    {include file="$tplDirectory/widgets/actionLink.tpl"
                                        page="modules.php"
                                        actionName="ShowPanelDetails"
                                        args="configGroupID=$configGroupID&serverGroupID=$serverGroupID"
                                        icoImage="view"
                                        altText="SERVER_DETAILS"
                                        linkText="SERVER_DETAILS"}
                                    &nbsp;&nbsp;&nbsp;
                                    {strip}
                                    {if ($serverGroups[i].panelType == "pleskwin" || $serverGroups[i].panelType == "pleskunix") }
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                            page="modules.php"
                                            actionName="LoginToPanel"
                                            args="configGroupID=$configGroupID"
                                            icoImage="login-to-panel.png"
                                            altText="TRANS_LOGIN"
                                            linkText="TRANS_LOGIN"
                                            target="_blank"}
                                        &nbsp;&nbsp;&nbsp;
                                    {/if}
                                    {include file="$tplDirectory/widgets/actionLink.tpl"
                                        page="modules.php"
                                        actionName="EditPanelConfig"
                                        args="configGroupID=$configGroupID"
                                        icoImage="edit"
                                        altText="TRANS_EDIT"
                                        linkText="TRANS_EDIT"}
                                    &nbsp;&nbsp;&nbsp;
                                    {if $useIIPQueue}
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                            page="servers.php"
                                            actionName="ShowIPLog"
                                            args="configGroupID=$configGroupID"
                                            icoImage="show-ip-pool.png"
                                            altText="TRANS_IP_QUEUE"
                                            linkText="TRANS_IP_QUEUE"}
                                        &nbsp;&nbsp;&nbsp;
                                    {/if}
                                    {if "non-syncable" != $panels[j].syncStatus}
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                            page="modules.php"
                                            actionName="EditPanelConfig"
                                            args="sync=1&configGroupID=$configGroupID"
                                            icoImage="refresh"
                                            altText="TRANS_PANEL_SYNC_CMD_DESC"
                                            linkText="TRANS_PANEL_SYNC_CMD"}
                                        &nbsp;&nbsp;&nbsp;
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                            page="modules.php"
                                            actionName="EditPanelConfig"
                                            args="syncAll=1&configGroupID=$configGroupID"
                                            icoImage="refresh"
                                            altText="TRANS_PANEL_SYNC_ALL_CMD_DESC"
                                            linkText="TRANS_PANEL_SYNC_ALL_CMD"}
                                        &nbsp;&nbsp;&nbsp;
                                    {/if}
                                    {include file="$tplDirectory/widgets/actionLink.tpl"
                                        page="servergroups.php"
                                        actionName="RemovePanel"
                                        args="configGroupID=$configGroupID"
                                        icoImage="remove"
                                        altText="TRANS_REMOVE"
                                        linkText="TRANS_REMOVE"}
                                {/strip}
                                {assign var="rowOpen" value=""}
                                </td>
                            </tr>
                            {if $serverNames[$configGroupID].panelMaxAccounts > 0}
                                <tr>
                                    <td>
                                        {if $useIIPQueue}
                                            {"TRANS_IP_QUEUE_LENGTH"|lmsg:"NUMBER":$ips[$configGroupID]}
                                        {/if}
                                    </td>
                                    <td>
                                        {if $panels[i].showServerLoad == 1}
                                            <img class="graph" src="{getBaseUrl page="graphs.php" actionName="ShowGenericBar"}&amount={$serverNames[$configGroupID].panelCurrentAccounts}&limit={$serverNames[$configGroupID].panelMaxAccounts}&height=30&width=250">
                                        {/if}
                                    </td>
                                </tr>
                            {/if}
                        {sectionelse}
                            <tr>
                                <td colspan="2">
                                    <form method="post" action={getHREF page="servergroups.php" actionName="AddPanelResponse"}>
                                        {"TRANS_ADD_A_PANEL"|lmsg}
                                        <select id="panelName" name="panelName">
                                            {html_options options=$controlPanels}
                                            {assign var="configGroupID" value=0}
                                        </select>
                                        <input type="hidden" name="serverGroupID" value="{$serverGroupID}">
                                        <span class="btn action"><button id="billing-id-add" name="add" value="{"TRANS_ADD"|lmsg}" type="submit">{"TRANS_ADD"|lmsg}</button></span>
                                    </form>
                                </td>
                            </tr>
                        {/section}
                        {if $configGroupID && $configGroupName}
                            <tr>
                                <td colspan="2">
                                    {include file="$tplDirectory/widgets/actionLink.tpl"
                                        page="servergroups.php"
                                        actionName="AddPanelResponse"
                                        args="serverGroupID=$serverGroupID&parentConfigGroupID=$parentConfigGroupID"
                                        icoImage="add-new-server.png"
                                        altText=$configGroupName
                                        linkText=$configGroupName}
                                </td>
                            </tr>
                        {/if}
                   </table>
                </td>
            </tr>
        {sectionelse}
            <tr class="odd">
                <td colspan="2">{"TRANS_NORESULTS"|lmsg}</td>
            </tr>
        {/section}
        </tbody>
    </table>
</div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}