{* $Id: ShowServerGroupsReport.tpl 10454 2007-01-09 16:46:14Z achrist $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 *	$serverGroups (array of servergroups that match criteria)
 *  $canGetServerLoad (array of server group IDs with 1 if it can get the server load)
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM' => admin_action_url("configs", "system", "show"), 'TRANS_SYSTEM_MANAGE_PANELS_TITLE' => action_url('servergroups', 'ShowServerGroups'), 'TRANS_SHOW_SERVERGROUPS', '');{/php}
{include file="$tplDirectory/header.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl"}

<form method="post" action="{getFormAction controller="servergroups"}">
    <input type="hidden" name="act" value="{getActionID action="ShowServerGroupsReport"}">
    <input type="hidden" name="configGroupID" value="{$configGroupID}">
    <input type="hidden" name="redirectURL" value="{$fileName}">
    <input type="hidden" name="redirectAction" value="{$actionName}">
    <input type="hidden" name="redirectArgs" value="{$bookmarkArgs}">
    <input type="hidden" name="token" value="{$token}">
    {if $activePanelsOnly}
        {assign var="activeOnlyCheck" value="checked"}
    {/if}
    <!--
    <div style="float:right; margin-right: 30px;">
        <input type="checkbox" name="activePanelsOnly" {$activeOnlyCheck}"> {"TRANS_SERVER_INCLUDE_INACTIVE_PANELS"|lmsg}
    </div>
    -->
</form>

{foreach key="group_key" item="serverGroup" from=$serverGroups}
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_SERVER_GROUP"|lmsg} {$serverGroup.serverGroupID}</th>
                    <th width="80%">{$serverGroup.serverGroupName}</th>
                </tr>
            </thead>
            <tbody>
                {if $serverGroup.panels}
                    {assign var="panels" value=$serverGroup.panels}
                    {foreach name="panels" key="panel_key" item="panel" from=$panels}
                        <tr class="{cycle values="odd,even"}">
                            <td class="field-name">{"TRANS_PANEL_SERVERNAME"|lmsg} / {"TRANS_LOAD"|lmsg}</td>
                            <td class="field-value">
                              <!--	{$panel.configGroupID} -->
                                {$panel.configParamValue}
                                {if $serverNames[$panel.configGroupID].panelMaxAccounts > 0}
                                    &nbsp;{$serverNames[$panel.configGroupID].panelCurrentAccounts} / {$serverNames[$panel.configGroupID].panelMaxAccounts}
                                {else}
                                    &nbsp;{"TRANS_NO_LIMIT"|lmsg}
                                {/if}
                            </td>
                        </tr>
                        {if $serverNames[$panel.configGroupID].panelCurrentPackages}
                            <tr>
                                <td class="title">{"TRANS_CURRENT_PACKAGES"|lmsg}</td>
                                <td>
                                    <ul>
                                        {assign var="packages" value= $serverNames[$panel.configGroupID].panelCurrentPackages}
                                        {foreach key="package_key" item="package" from=$packages}
                                            <li>{$package_key}: {$package}</li>
                                        {/foreach}
                                    </ul>
                                </td>
                            </tr>
                        {/if}
                    {/foreach}
                {/if}
            </tbody>
        </table>
    </div>
{/foreach}

{include file="$tplDirectory/widgets/list-box-footer.tpl"}