{* $Id: addTodo.tpl 6881 2006-05-16 03:50:36Z mfountain $
 * --------------------------------------------------------------
 *
 *}

{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_TODOS"}
<div class="form-row  {if $invalid.todoTitle}error{/if}"><div class="field-name">{"TRANS_SUBJECT"|lmsg} <span class="required">*</span></div>
    <div class="field-value">
        <input class="f-large-size" type="text" name="todoTitle" size="50" value="{$formValues.todoTitle}">
        {if $invalid.todoTitle}<span class="error-hint">{$invalid.todoTitle}</span>{/if}
    </div>
</div>
<div class="form-row  {if $invalid.todoDesc}error{/if}"><div class="field-name">{"TRANS_DESCRIPTION"|lmsg}</div>
    <div class="field-value">
        <textarea class="f-large-size" type="text" name="todoDesc" cols="40" rows="5">{$formValues.todoDesc}</textarea>
        {if $invalid.todoDesc}<span class="error-hint">{$invalid.todoDesc}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.todoAssignedAdminID}error{/if}"><div class="field-name">{"TRANS_ASSIGNED_ADMINS"|lmsg}</div>
    <div class="field-value">
        <select class="f-middle-size" id="todoAssignedAdminID" name="todoAssignedAdminID">
            {html_options options=$adminsList selected=$formValues.todoAssignedAdminID}
        </select>
        {if $invalid.todoAssignedAdminID}<span class="error-hint">{$invalid.todoAssignedAdminID}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.todoStatusID}error{/if}"><div class="field-name">{"TRANS_STATUS"|lmsg}</div>
    <div class="field-value">
        <select class="f-middle-size" id="todoStatusID" name="todoStatusID">
            {html_options options=$todostatus selected=$formValues.todoStatusID}
        </select>
        {if $invalid.todoStatusID}<span class="error-hint">{$invalid.todoStatusID}</span>{/if}
    </div>
</div>
<div class="form-row">
    <div class="single-row">
        <input id="todoIsPublic"  name="todoIsPublic" type="checkbox" value="1" onchange="elemDisable(this, 'todoAssignedAdminID'); return false;" {if $formValues.todoIsPublic}checked="checked"{/if}> 
        <label for="todoIsPublic">{"TRANS_IS_PUBLIC"|lmsg}</label>
    </div>
</div>
<div class="form-row {if $invalid.todoDateDue}error{/if}"><div class="field-name">{"TRANS_DATE_DUE"|lmsg}</div>
    <div class="field-value">
        {include file="$tplDirectory/widgets/dateSelector.tpl" param="todoDateDue"}
        {if $invalid.todoDateDue}<span class="error-hint">{$invalid.todoDateDue}</span>{/if}
    </div>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}

<script>
    {literal}
    function elemDisable(elem, idElemToDisable) 
    {
        var elemToDisable = document.getElementById(idElemToDisable);
        elemToDisable.disabled = elem.checked;
    }
    elemDisable(document.getElementById('todoIsPublic'), 'todoAssignedAdminID');
    {/literal}
</script>
