{if $client.clientStatus == "client"|getStatusID:"none"}{* client is active *}
    {assign var=suspendClientActionLink value=true}
    {assign var=cancelClientActionLink value=true}
{elseif $client.clientStatus == "client"|getStatusID:"pending"}
    {assign var=activateClientActionLink value=false}
{elseif $client.clientStatus == "client"|getStatusID:"canceled"}
    {assign var=purgeClientActionLink value=false}
    {assign var=archiveClientActionLink value=true}
    {assign var=purgeClientActionLink value=true}
{elseif $client.clientStatus == "client"|getStatusID:"fraudulent"}
    {assign var=archiveClientActionLink value=false}
    {assign var=purgeClientActionLink value=false}
{elseif $client.clientStatus == "client"|getStatusID:"suspended"}
    {assign var=unsuspendClientActionLink value=true}
    {assign var=cancelClientActionLink value=true}
{elseif $client.clientStatus == "client"|getStatusID:"inactive"}
    {assign var=archiveClientActionLink value=false}
    {assign var=purgeClientActionLink value=false}
{/if}

{if $client.clientActive == 1}
    {assign var=archiveClientActionLink value=true}
    {assign var=reinstateClientActionLink value=false}
{else}
    {assign var=archiveClientActionLink value=false}
    {assign var=reinstateClientActionLink value=true}
{/if}

{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_ADMINISTRATIVE_ACTIONS"}

{if $clientIsReseller}
    {assign var='activateLink' value='TRANS_RESELLER_ACTIVATE'}
    {assign var='suspendLink' value='TRANS_RESELLER_SUSPEND'}
    {assign var='enableLink' value='TRANS_RESELLER_ENABLE'}
    {assign var='cancelLink' value='TRANS_RESELLER_CANCEL'}
    {assign var='archiveLink' value='TRANS_RESELLER_ARCHIVE'}
    {assign var='reinstateLink' value='TRANS_RESELLER_REINSTATE'}
{else}
    {assign var='activateLink' value='TRANS_ACTIVATE_CLIENT'}
    {assign var='suspendLink' value='TRANS_SUSPEND_CLIENT'}
    {assign var='enableLink' value='TRANS_ENABLE_CLIENT'}
    {assign var='cancelLink' value='TRANS_CANCEL_CLIENT'}
    {assign var='archiveLink' value='TRANS_ARCHIVE_CLIENT'}
    {assign var='reinstateLink' value='TRANS_REINSTATE_CLIENT'}
{/if}
{if $activateClientActionLink}
    <div class="form-row">
        <div class="single-row">
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="ManageClientActionActivate"
                args="clientID=$clientID"
                icoImage="activate-customer.png"
                altText=$activateLink
                linkText=$activateLink}
        </div>
    </div>
{/if}
{if $suspendClientActionLink}
    <div class="form-row">
        <div class="single-row">
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="ManageClientActionSuspend"
                args="clientID=$clientID"
                icoImage="suspend-customer.png"
                altText=$suspendLink
                linkText=$suspendLink}
        </div>
    </div>
{/if}
{if $unsuspendClientActionLink}
    <div class="form-row">
        <div class="single-row">
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="ManageClientActionUnsuspend"
                args="clientID=$clientID"
                icoImage="unsuspend-customer.png"
                altText=$enableLink
                linkText=$enableLink}
        </div>
    </div>
{/if}
{if $cancelClientActionLink}
    <div class="form-row">
        <div class="single-row">
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="ManageClientActionCancel"
                args="clientID=$clientID"
                icoImage="cancel-customer.png"
                altText=$cancelLink
                linkText=$cancelLink}
        </div>
    </div>
{/if}
{if $archiveClientActionLink}
    <div class="form-row">
        <div class="single-row">
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="EditClientArchiveState"
                args="clientID=$clientID"
                icoImage="archive-customer.png"
                altText=$archiveLink
                linkText=$archiveLink}
        </div>
    </div>
{/if}
{if $reinstateClientActionLink}
    <div class="form-row">
        <div class="single-row">
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="EditClientArchiveState"
                args="clientID=$clientID"
                icoImage="activate-customer.png"
                altText=$reinstateLink
                linkText=$reinstateLink}
        </div>
    </div>
{/if}

{include file="$tplDirectory/widgets/form-box-footer.tpl"}