{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CLIENT_DETAILS"}

<div class="form-row"><div class="field-name">{"TRANS_IS_ARCHIVED"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientActive|getStatusName:"archived"}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_CURRENT_STATUS_OPTION"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientStatus|getStatusName:"client"}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_TAX"|lmsg}</div><div class="field-value"><div class="text-value">{if $client.applyTax}{"TRANS_APPLIED"|lmsg}{else}{"TRANS_NOT_APPLIED"|lmsg}{/if}</div></div></div>
{if $client.taxIDNumber}
    <div class="form-row"><div class="field-name">{"TRANS_TAX_ID_NUMBER"|lmsg}</div><div class="field-value"><div class="text-value">{$client.taxIDNumber|safetyhtml}</div></div></div>
{/if}
<div class="form-row"><div class="field-name">{"TRANS_DEFAULT_BILLING_METHOD"|lmsg}</div><div class="field-value"><div class="text-value">
    {if $defaultBillingAccount.billingAccountID}
        [ <a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="billingAccountID=`$defaultBillingAccount.billingAccountID`&clientID=`$client.clientID`&clientContactID=`$defaultBillingAccount.clientContactID`"}">{"TRANS_EDIT_CLICKABLE_OPTION"|lmsg}</a> ]
        {else}
        {"TRANS_NONE"|lmsg}
    {/if}
</div></div></div>
{if $smarty.const.USE_PREDEFINED_RESELLER_VOLUME_DISCOUNTS}
    <div class="form-row"><div class="field-name">{"TRANS_RESELLER_DISCOUNT"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientDiscountLevel|round:2|getPercent}</div></div></div>
{/if}
<div class="form-row"><div class="field-name">{"TRANS_DATE_CREATED"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientDateCreated|getDateTime:"full"}</div></div></div>
{if $client.clientDateCancelled}
    <div class="form-row"><div class="field-name">{"TRANS_DATE_CANCELED"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientDateCancelled|getDateTime:"full"}</div></div></div>
{/if}
{if $client.clientSignupIP}
    <div class="form-row"><div class="field-name">{"TRANS_SIGNUP_IP"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientSignupIP|getIP}</div></div></div>
{/if}
{if $client.clientLastIP}
    <div class="form-row"><div class="field-name">{"TRANS_LAST_IP"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientLastIP|getIP}</div></div></div>
{/if}
<div class="form-row">
    <div class="single-row">
        {include
            file="$tplDirectory/widgets/actionLink.tpl"
            page="clients.php"
            actionName="EditClient"
            args="clientID=`$client.clientID`"
            icoImage="edit-customer.png"
            altText="TRANS_EDIT_DETAILS"
            linkText="TRANS_EDIT_DETAILS"}
    </div>
</div>
{if $enableMergeCustomers}
    <div class="form-row">
        <div class="single-row">
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                id="billing-id-merge-customers"
                javascriptLink="void(0);"
                icoImage="merge-customers.png"
                altText="TRANS_MERGE_WITH_OTHER_CLIENT"
                linkText="TRANS_MERGE_WITH_OTHER_CLIENT"}

            {include file="$tplDirectory/widgets/popup-panel-header.tpl" id="billing-id-merge-customers-popup-panel" heading="TRANS_MERGE_WITH_OTHER_CLIENT" class="merge-customers"}
                <div class="popup-content-area">
                    <form method="post" action="{getFormAction controller="clients"}">
                        <input type="hidden" name="act" value="{getActionID action="MergeClient"}">
                        <input type="hidden" name="token" value="{$token}">
                        <input type="hidden" name="mergeClientID" value="{$clientID}">
                        <div class="form-box">
                            <div class="box-area">
                                <div class="form-row">
                                    <div class="field-name">{"TRANS_CLIENT_ID"|lmsg}</div>
                                    <div class="field-value"><input class="f-short-size input-text" type="text" name="masterClientID" value=""></div>
                                </div>
                            </div>
                        </div>
                        <div class="btns-box">
                            <div class="box-area">
                                <div class="form-row">
                                    <div class="single-row">
                                        <div class="field-value">
                                            <span class="btn action"><button id="billing-id-next-merge-customers" value="" type="submit">{"TRANS_NEXT"|lmsg}</button></span>
                                            <span class="btn"><button id="billing-id-cancel-merge-customers" value="" type="submit">{"TRANS_CANCEL"|lmsg}</button></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            {include file="$tplDirectory/widgets/popup-panel-footer.tpl"}
        </div>
    </div>
{/if}
{include file="$tplDirectory/widgets/form-box-footer.tpl"}