{if $clientIsReseller}
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_RESELLER_DETAILS"}
{else}
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_PRIMARY_CONTACT"}
{/if}
<div class="form-row"><div class="field-name">{"TRANS_FIRST_NAME"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactFirstName|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_LAST_NAME"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactLastName|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_EMAIL_ADDRESS_OPTION"|lmsg}</div>
<div class="field-value"><div class="text-value">
    {strip}
        <a href="{getHREF page="clients.php" actionName="SendClientEmail" args="clientID=$clientID"}" title="{$primaryContact.contactEmail|safetyhtml}">
            {$primaryContact.contactEmail|safetyhtml|mb_truncate:25}
        </a>
    {/strip}
</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_USERNAME"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactUsername|safetyhtml}
    {if $isContactBlocked}
        [ <a href="{getAdminActionUrl module="security" controller="login-attempts" action="unblock-contact" arguments="id=`$primaryContact.clientContactID`"}">{"TRANS_UNBLOCK"|lmsg}</a> ]
    {/if}
</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_COMPANY"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactCompany|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_ADDRESS_1"|lmsg}:</div><div class="field-value"><div class="text-value">{$primaryContact.contactAddress1|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_ADDRESS_2"|lmsg}:</div><div class="field-value"><div class="text-value">{$primaryContact.contactAddress2|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_CITY"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactCity|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_STATE_OR_REGION"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactState|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_ZIP_OR_POSTALCODE"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactZip|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_COUNTY"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactCounty|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_LANGUAGE"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.languageISO2|safetyhtml} - {$primaryContact.languageName|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_COUNTRY"|lmsg}</div><div class="field-value"><div class="text-value"><img src="{$imageDirectory}/flags/flag-{$primaryContact.countriesISO2|safetyhtml}.gif"> {$primaryContactCountry|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_PRIMARY_PHONE"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactPhone1|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_SECONDARY_PHONE"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactPhone2|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_FAX"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactFax|safetyhtml}</div></div></div>
<div class="form-row"><div class="field-name">{"TRANS_MOBILE_PHONE"|lmsg}</div><div class="field-value"><div class="text-value">{$primaryContact.contactMobilePhone|safetyhtml}</div></div></div>
{if $clientIsReseller}
    <div class="form-row"><div class="field-name">{"TRANS_IS_ARCHIVED"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientActive|getStatusName:"archived"}</div></div></div>
    <div class="form-row"><div class="field-name">{"TRANS_CURRENT_STATUS_OPTION"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientStatus|getStatusName:"client"}</div></div></div>
    <div class="form-row"><div class="field-name">{"TRANS_SKIN"|lmsg}</div><div class="field-value"><div class="text-value">{assign var="clientSkin" value=$skinID} {$skinList.$skinID}</div></div></div>
    <div class="form-row"><div class="field-name">{"TRANS_TAX"|lmsg}</div><div class="field-value"><div class="text-value">{if $client.applyTax}{"TRANS_APPLIED"|lmsg}{else}{"TRANS_NOT_APPLIED"|lmsg}{/if}</div></div></div>
    {if $client.taxIDNumber}
        <div class="form-row"><div class="field-name">{"TRANS_TAX_ID_NUMBER"|lmsg}</div><div class="field-value"><div class="text-value">{$client.taxIDNumber|safetyhtml}</div></div></div>
    {/if}
    <div class="form-row"><div class="field-name">{"TRANS_DEFAULT_BILLING_METHOD"|lmsg}</div>
    <div class="field-value"><div class="text-value">
        {if $defaultBillingAccount.billingAccountID}
            [ <a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="billingAccountID=`$defaultBillingAccount.billingAccountID`&clientID=`$client.clientID`&clientContactID=`$defaultBillingAccount.clientContactID`"}">{"TRANS_EDIT_CLICKABLE_OPTION"|lmsg}</a> ]
        {else}
        {"TRANS_NONE"|lmsg}
        {/if}
    </div></div></div>
    <div class="form-row"><div class="field-name">{"TRANS_DATE_CREATED"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientDateCreated|getDateTime:"full"}</div></div></div>
    {if $client.clientDateCancelled}
        <div class="form-row"><div class="field-name">{"TRANS_DATE_CANCELED"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientDateCancelled|getDateTime:"full"}</div></div></div>
    {/if}
    {if $client.clientSignupIP}
        <div class="form-row"><div class="field-name">{"TRANS_SIGNUP_IP"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientSignupIP|getIP}</div></div></div>
    {/if}
    {if $client.clientLastIP}
        <div class="form-row"><div class="field-name">{"TRANS_LAST_IP"|lmsg}</div><div class="field-value"><div class="text-value">{$client.clientLastIP|getIP}</div></div></div>
    {/if}
{/if}
{if ($client.clientStatus == 0) && ($client.clientActive == 1) && ($client.contacts.contact.contactActive == 1)}
    {if !$clientIsReseller}
        <div class="form-row">
            <div class="single-row">
                {include
                    file="$tplDirectory/widgets/actionLink.tpl"
                    page="clients.php"
                    actionName="AddClientContact"
                    args="clientID=`$clientID`"
                    icoImage="add-new-contact.png"
                    altText="TRANS_ADD_NEW_CONTACT"
                    linkText="TRANS_ADD_NEW_CONTACT"}
            </div>
        </div>
    {/if}
    <div class="form-row">
        <div class="single-row">
        {include
            file="$tplDirectory/widgets/actionLink.tpl"
            page="clients.php"
            actionName="ResetContactPassword"
            args="clientContactID=`$primaryContact.clientContactID`"
            icoImage="reset-contact-password.png"
            altText="TRANS_RESET_RESEND_PASSWORD"
            linkText="TRANS_RESET_RESEND_PASSWORD"}
        </div>
    </div>
{/if}
<div class="form-row">
    <div class="single-row">
        {if $clientIsReseller}
            {assign var='editLinkText' value='TRANS_RESELLER_EDIT_DETAILS'}
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                id="editClientLink"
                controller="reseller-profile"
                module="resellers"
                arguments="&id=$resellerId"
                icoImage="edit-reseller.png"
                altText=$editLinkText
                linkText=$editLinkText}
        {else}
            {assign var='editLinkText' value='TRANS_EDIT_PRIMARY_CONTACT'}
            {assign var=p value=$primaryContact.clientContactID}
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="EditClientContact"
                args="clientContactID=$p"
                icoImage="edit-contact-info.png"
                id="editClientLink"
                altText=$editLinkText
                linkText=$editLinkText}
        {/if}
    </div>
</div>
{if !$clientIsReseller}
    <div class="form-row">
        <div class="single-row">
            {assign var=p value=$client.clientID}
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="ShowClientContacts"
                args="clientID=$p"
                icoImage="show-all-contacts.png"
                altText="TRANS_SHOW_ALL_CONTACTS"
                linkText="TRANS_SHOW_ALL_CONTACTS"}
        </div>
    </div>
{/if}

{include file="$tplDirectory/widgets/form-box-footer.tpl"}