{if $invoicePageLinks.1==1}
    {include file="$tplDirectory/widgets/paging.tpl" pages=$invoicePageLinks showSearch=true}
{/if}
{assign var="lineItems" value=$invoice.lineItems}
<script>
    {literal}
    function checkSure(url){
        if (confirm("{/literal}{"TRANS_ARE_YOU_SURE_FINALIZE"|lmsg|escape:javascript}{literal}")){
        document.location.href = url;
    }
    }
    function checkSure2(url){
        if (confirm("{/literal}{"TRANS_ARE_YOU_SURE_CANCEL"|lmsg|escape:javascript}{literal}")){
        document.location.href = url;
    }
    }
    {/literal}
</script>

{include file="$tplDirectory/widgets/list-box-header.tpl"}
<div class="form-row"><div class="field-name">{"TRANS_EMAIL_TO"|lmsg}: </div>
    <div class="field-value"><div class="text-value">
        {strip}
            {if $clientData.clientCompany && $invoice.clientContactID==0}
                {assign var="contactName" value="`$clientData.clientCompany`"}
                {else}
                {assign var="contactName" value="`$contactData.contactFirstName` `$contactData.contactLastName`"}
            {/if}
            {include file="$tplDirectory/widgets/actionLink.tpl"
                page="clients.php"
                actionName="ShowClientDetails"
                args="clientID=`$clientData.clientID`"
                clientID=$clientData.clientID
                clientContactID=$clientData.clientContactID
                altText=$contactName
                linkText=$contactName}
            , {$contactData.contactAddress1|safetyhtml}
            {if $contactData.contactAddress2!=""}
                , {$contactData.contactAddress2|safetyhtml}
            {/if}
            , {$contactData.contactCity|safetyhtml}, {$contactData.contactState|safetyhtml} {$contactData.contactZip|safetyhtml}
            , {$contactData.contactPhone1|safetyhtml} {if $contactData.contactPhone2!=''}- {$contactData.contactPhone2|safetyhtml}{/if}
            , {$contactData.countriesISO2|safetyhtml}
            {if $clientData.taxIDNumber!=''}
                , {"TRANS_TAX_ID_NUMBER"|lmsg} {$clientData.taxIDNumber|safetyhtml}
            {/if}
            {if $clientData.billingAccountID}
                , {"TRANS_DEFAULT_BILLING_METHOD"|lmsg} {$clientData.billingAccountType|getTypeName:"billingAccount"}
            {/if}
        {/strip}
    </div></div>
</div>
<div class="form-row"><div class="field-name">{"TRANS_EMAIL_FROM"|lmsg}: </div>
    <div class="field-value"><div class="text-value">
        {strip}
            {$companyData.companyName}
            {if $companyData.companyAddress1}
                , {$companyData.companyAddress1}
            {/if}
            {if $companyData.companyAddress2!=""}
                , {$companyData.companyAddress2}
            {/if}
            {if $companyData.companyCity!=""}
                , {$companyData.companyCity}, {$companyData.companyState} {$companyData.companyZip}
            {/if}
            {if $companyData.companyPhone1}
                , {$companyData.companyPhone1} {if $companyData.companyPhone2!=''}- {$companyData.companyPhone2} {/if}
            {/if}
            {if $companyData.companyTaxIDNumber!=''}
                , {"TRANS_TAX_ID_NUMBER"|lmsg} {$companyData.companyTaxIDNumber}
            {/if}
        {/strip}
    </div></div>
</div>
{if $invoice.invoiceComments}
    <div class="form-row"><div class="field-name">{"TRANS_INVOICE_COMMENTS"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            {$invoice.invoiceComments}
        </div></div>
    </div>
{/if}
<div class="form-row">
    <div class="single-row list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_INVOICE_NUMBER"|lmsg}</th>
                    <th>{"TRANS_ENTERED"|lmsg}</th>
                    <th>{"TRANS_DUE"|lmsg}</th>
                    <th>{"TRANS_STATUS"|lmsg}</th>
                    <th class="text-right">{"TRANS_SUB_TOTAL"|lmsg}</th>
                    <th class="text-right">{"TRANS_TAX_TOTAL"|lmsg}</th>
                    <th class="text-right">{"TRANS_INVOICETOTAL"|lmsg}</th>
                    <th class="text-right">{"TRANS_AMOUNT_PAID"|lmsg}</th>
                    <th class="text-right">{"TRANS_AMOUNT_DUE"|lmsg}</th>
                </tr>
            </thead>
            <tbody>
                {if $totalTax}
                    {else}
                    {section name="j" loop=$taxZones}
                        {assign var="totalTax" value=$totalTax+$taxZones[j].taxTotal}
                    {/section}
                {/if}
                <tr class="odd">
                    <td>{$invoice.invoiceNumber}</td>
                    <td>{$invoice.invoiceDateEntered|getDate:"short"}</td>
                    <td>{$invoice.invoiceDateDue|getDate:"short"}</td>
                    <td>{$invoiceStatuses[$invoice.invoiceStatus]|lmsg}
                    {if $sourceInvoice.invoiceID>0}
                        <br> {"TRANS_FOR"|lmsg}
                        <a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$sourceInvoice.invoiceID`"}">{$sourceInvoice.invoiceNumber}</a>
                    {/if}
                    {if $creditNote.invoiceID>0}
                        <br> {"TRANS_REVERSAL"|lmsg}
                        <a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$creditNote.invoiceID`"}">{$creditNote.invoiceNumber}</a>
                    {/if}
                    </td>
                    {assign var="subTot" value=$invoice.invoiceAmount-$totalTax}
                    <td class="text-right">{$subTot|getAmount:$invoice.currencyID}</td>
                    <td class="text-right">{$totalTax|getAmount:$invoice.currencyID}</td>
                    <td class="text-right">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
                    <td class="text-right">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
                    <td class="text-right">{$invoice.invoiceAmountDue|getAmount:$invoice.currencyID}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
<div class="form-row">
    <div class="single-row list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>#</th>
                    <th>{"TRANS_DESCRIPTION"|lmsg}</th>
                    <th>{"TRANS_BEGIN"|lmsg}</th>
                    <th>{"TRANS_CURRENT"|lmsg}</th>
                    <th>{"TRANS_NEXT_RENEWAL"|lmsg}</th>
                    <th>{"TRANS_QUANTITY_ABBR"|lmsg}</th>
                    <th class="text-right">{"TRANS_PRICE"|lmsg}</th>
                    <th class="text-right">{"TRANS_DISCOUNT"|lmsg}</th>
                    <th class="text-right">{"TRANS_SETUP"|lmsg}</th>
                    <th class="text-right">{"TRANS_SUB_TOTAL"|lmsg}</th>
                    <th class="text-right">{"TRANS_TAX"|lmsg}</th>
                    <th class="text-right">{"TRANS_TOTALS"|lmsg}</th>
                    <th class="text-right">{"TRANS_ACTION"|lmsg}</th>
                </tr>
            </thead>
            <tbody>
                {assign var="lastPackageId" value=0}
                {assign var="isOdd" value=true}
                {section name="j" loop=$lineItems}
                    {assign var="currentLineItemID" value=$lineItems[j].lineItemID}
                    {assign var="tpid" value=$lineItems[j].packageID}
                    {if $lineItems[j].packageAddonID>0}
                        {if $tpid != $lastPackageId}
                            {assign var="rowspan" value="2"}
                        {else}
                            {assign var="rowspan" value="1"}
                        {/if}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td rowspan="{$rowspan}">{$smarty.section.j.index+1}</td>
                            <td>
                                [ {"TRANS_ADDON"|lmsg}
                                {include file="$tplDirectory/widgets/actionLink.tpl"
                                    page="packages.php"
                                    actionName="ShowPackageAddons"
                                    args="packageID=`$tpid`"
                                    altText=$lineItems[j].packageAddonID
                                    linkText=$lineItems[j].packageAddonID}]
                                {$lineItems[j].lineItemDescription|safetyhtml|highlightTerm}
                            </td>
                            {if $displayAddonDates}
                                <td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                                <td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                                <td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                            {else}
                                <td colspan="3"></td>
                            {/if}
                            <td>{$lineItems[j].lineItemQuantity}</td>
                            <td class="text-right">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td class="text-right">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID|highlightTerm}
                                {if $lineItems[j].lineItemDiscountAmount>0}
                                    <br>
                                    {"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
                                    {if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                                        {$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                                        {elseif $lineItems[j].lineItemDiscount>0}
                                        {$lineItems[j].lineItemDiscount*100}%
                                        {elseif $lineItems[j].prorationDiscount>0}
                                        {$lineItems[j].prorationDiscount*100}%
                                    {/if}
                                {/if}
                            </td>
                            <td class="text-right">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td class="text-right">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td class="text-right">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td class="text-right">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td>
                                {assign var="partialRefundData" value=$lineItemsPartialRefund.$currentLineItemID}
                                {if $partialRefundData}
                                    {assign var="transactionIDArg" value="invoiceID=`$invoice.invoiceID`&lineItemIDs[]=$currentLineItemID&"}
                                    {foreach item="yes" key="currentTransactionID" from=$partialRefundData}
                                        {assign var="transactionIDArg" value="`$transactionIDArg`transactionIDs[]=`$currentTransactionID`&"}
                                        {assign var="transactionIDsForTotalsRefund" value="`$transactionIDsForTotalsRefund`transactionIDs[]=`$currentTransactionID`&"}
                                    {/foreach}
                                {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="invoices.php"
                                actionName="ProcessTransactionRefund"
                                args=$transactionIDArg
                                icoImage="process-refund.png"
                                altText="TRANS_REFUND"
                                titleText="TRANS_REFUND"
                                linkText="TRANS_REFUND"}
                                    {else}
                                    <em>{"TRANS_NONE"|lmsg}</em>
                                {/if}
                            </td>
                        </tr>
                        {if $tpid != $lastPackageId}
                            <tr class="{if $isOdd}odd{else}even{/if}">
                                <td colspan="12">
                                    {"TRANS_SUBSCRIPTION"|lmsg}
                                    {include file="$tplDirectory/widgets/actionLink.tpl"
                                        page="packages.php"
                                        actionName="ShowPackageDetails"
                                        args="packageID=`$tpid`"
                                        altText=$tpid
                                        linkText="`$tpid` `$lineItems[j].packageName`"}
                                </td>
                            </tr>
                        {/if}
                        {assign var="isOdd" value=$isOdd-1|abs}
                    {else}
                        {if $lineItems[j].packageComments!=""}
                            {assign var="rowspan" value="2"}
                        {else}
                            {assign var="rowspan" value="1"}
                        {/if}
                        {assign var="lastPackageId" value=$tpid}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td rowspan="{$rowspan}">{$smarty.section.j.index+1}</td>
                            <td>
                                [{include file="$tplDirectory/widgets/actionLink.tpl"
                                    page="packages.php"
                                    actionName="ShowPackageDetails"
                                    args="packageID=`$tpid`"
                                    altText=$tpid
                                    linkText=$tpid}]
                                {$lineItems[j].lineItemDescription|safetyhtml|highlightTerm}
                                {if $domains.$tpid.0.domainID}
                                    {foreach item="domain" key="dkey" from=$domains.$tpid}
                                        <br>{"TRANS_DOMAIN"|lmsg} {$domain.domainSLD|highlightTerm}.{$domain.domainTLD|highlightTerm}
                                    {/foreach}
                                {/if}
                            </td>
                            <td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                            <td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                            <td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                            <td>{$lineItems[j].lineItemQuantity}</td>
                            <td class="text-right">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td class="text-right">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID|highlightTerm}
                                {if $lineItems[j].lineItemDiscountAmount>0}
                                    <br>
                                    {"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
                                    {if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                                        {$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                                        {elseif $lineItems[j].lineItemDiscount>0}
                                        {$lineItems[j].lineItemDiscount*100}%
                                        {elseif $lineItems[j].prorationDiscount>0}
                                        {$lineItems[j].prorationDiscount*100}%
                                    {/if}
                                {/if}
                            </td>
                            <td class="text-right">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td class="text-right">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td class="text-right">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td class="text-right">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID|highlightTerm}</td>
                            <td>
                                {assign var="partialRefundData" value=$lineItemsPartialRefund.$currentLineItemID}
                                {if $partialRefundData}
                                    {assign var="transactionIDArg" value="lineItemIDs[]=`$currentLineItemID`&invoiceID=`$invoice.invoiceID`&"}
                                    {foreach item="yes" key="currentTransactionID" from=$partialRefundData}
                                        {assign var="transactionIDArg" value="`$transactionIDArg`transactionIDs[]=`$currentTransactionID`&"}
                                        {assign var="transactionIDsForTotalsRefund" value="`$transactionIDsForTotalsRefund`transactionIDs[]=`$currentTransactionID`&"}
                                    {/foreach}
                                    {include file="$tplDirectory/widgets/actionLink.tpl"
                                        page="invoices.php"
                                        actionName="ProcessTransactionRefund"
                                        args=$transactionIDArg
                                        icoImage="refund.png"
                                        altText="TRANS_REFUND"
                                        titleText="TRANS_REFUND"
                                        linkText="TRANS_REFUND"}
                                {else}
                                    <em>{"TRANS_NONE"|lmsg}</em>
                                {/if}
                            </td>
                        </tr>
                        {if $lineItems[j].packageComments!=""}
                            <tr class="{if $isOdd}odd{else}even{/if}">
                                <td colspan="12">{$lineItems[j].packageComments|highlightTerm}</td>
                            </tr>
                        {/if}
                        {assign var="isOdd" value=$isOdd-1|abs}
                    {/if}
                {/section}
            </tbody>
        </table>
    </div>
</div>

{if $taxZones.0.taxZoneID}
    <div class="form-row">
        <div class="single-row list">
            <table width="100%" cellspacing="0">
                <thead>
                <tr>
                    <th colspan="6" class="text-center">{"TRANS_TAX_ZONES"|lmsg}</th>
                </tr>
                <tr>
                    <th>{"TRANS_TAX_ZONE_ID"|lmsg}</th>
                    <th>{"TRANS_TAX_ZONE_NAME"|lmsg}</th>
                    <th>{"TRANS_TAX_ZONE_DESCRIPTION"|lmsg}</th>
                    <th>{"TRANS_TAX_ZONE_TYPE"|lmsg}</th>
                    <th>{"TRANS_TAX_ZONE_RATE"|lmsg}</th>
                    <th>{"TRANS_TAX_ZONE_TOTAL"|lmsg}</th>
                </tr>
                </thead>
                <tbody>
                    {section name="j" loop=$taxZones}
                        {if $taxZones[j].taxZoneID>0}
                        <tr class="{cycle values="odd,even"}">
                            <td>{$taxZones[j].taxZoneID}</td>
                            <td>{$taxZones[j].taxZoneName}</td>
                            <td>{$taxZones[j].taxZoneDescription}</td>
                            <td>
                                {if $taxZones[j].lineItemTaxAmountType==0}
                                    {"TRANS_PERCENTAGE"|lmsg}
                                    {else}
                                    {"TRANS_SET_AMOUNT"|lmsg}
                                {/if}
                                {if $taxZones[j].taxZoneStackable==1} -- {"TRANS_STACKABLE"|lmsg}{/if}
                            </td>
                            <td class="text-right">
                                {if $taxZones[j].lineItemTaxAmountType==0}
                                    {$taxZones[j].lineItemTaxAmount}%
                                    {else}
                                    {$taxZones[j].lineItemTaxAmount|getAmount:$currencyID}
                                {/if}
                            </td>
                            <td class="text-right">{$taxZones[j].taxTotal|getAmount:$currencyID}</td>
                        </tr>
                        {/if}
                    {/section}
                </tbody>
            </table>
        </div>
    </div>
{/if}
{if $transactions}
    <div class="form-row">
        <div class="single-row list">
            <table width="100%" cellspacing="0">
                <thead>
                <tr>
                    <th colspan="10" class="text-center">{"TRANS_TRANSACTIONS"|lmsg}</th>
                </tr>
                <tr>
                    <th>{"TRANS_ID"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_PAYMENT_METHOD"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_STATUS"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_CODE"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_NOTES"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_DATE"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_GATEWAY"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_AMOUNT"|lmsg}</th>
                    <th>{"TRANS_TRANSACTION_AMOUNT_REFUNDED"|lmsg}</th>
                    <th>{"TRANS_ACTION"|lmsg}</th>
                </tr>
                </thead>
                <tbody>
                    {section name="j" loop=$transactions}
                    <tr class="{cycle values="odd,even"}">
                        <td>{$transactions[j].transactionID}</td>
                        {assign var="tkey" value=$transactions[j].transactionPaymentMethod|getArrayValueByID:$paymentMethods}
                        <td>{$tkey|lmsg}</td>
                        {assign var="tkey" value=$transactions[j].authReturn|getArrayValueByID:$transactionStatuses}
                        <td>{strip}{$tkey|lmsg}{/strip}</td>
                        <td>{$transactions[j].transactionCode}</td>
                        <td>{$transactions[j].transactionNotes}</td>
                        <td>{$transactions[j].transactionDateCreated|getDateTime}</td>
                        <td>{$transactions[j].moduleName|lmsg}</td>
                        <td class="text-right">{$transactions[j].transactionAmount|getAmount:$transactions[j].currencyID}</td>
                        <td class="text-right">{$transactions[j].transactionAmountRefunded|getAmount:$transactions[j].currencyID}</td>
                        <td>
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="invoices.php"
                                actionName="RemoveInvoiceTransaction"
                                args="invoiceID=`$invoice.invoiceID`&transactionID=`$transactions[j].transactionID`"
                                icoImage="remove"
                                altText="TRANS_REMOVE"
                                linkText="TRANS_DELETE"}
                            {if $transactions[j].canRefund==1}
                                {include file="$tplDirectory/widgets/actionLink.tpl"
                                    page="invoices.php"
                                    actionName="ProcessTransactionRefund"
                                    args="invoiceID=`$invoice.invoiceID`&transactionIDs[]=`$transactions[j].transactionID`"
                                    icoImage="refund.png"
                                    altText="TRANS_REFUND"
                                    titleText="TRANS_REFUND"
                                    linkText="TRANS_REFUND"}
                            {/if}
                            {if $transactions[j].canFinalize==1}
                                {capture name="cancelLink"}{getHREF page="invoices.php" actionName="CancelAuthTransaction" args="transactionID=`$transactions[j].transactionID`"}{/capture}
                                {assign var="cancelLink" value="checkSure2('`$smarty.capture.cancelLink`&invoiceID=`$invoice.invoiceID`');"}
                                {include file="$tplDirectory/widgets/actionLink.tpl"
                                    javascriptLink=$cancelLink
                                    icoImage="cancel.png"
                                    altText="TRANS_CANCEL"
                                    linkText="TRANS_CANCEL"}

                                {capture name="captureLink"}
                                {getHREF page="paymentqueue.php" actionName="CaptureFunds" args="captureIDs[`$transactions[j].transactionID`]=y"}{/capture}
                                {assign var="captureLink" value="checkSure('`$smarty.capture.captureLink`&invoiceID=`$invoice.invoiceID`');"}
                                {include file="$tplDirectory/widgets/actionLink.tpl"
                                    javascriptLink=$captureLink
                                    icoImage="capture.png"
                                    altText="TRANS_CAPTURE"
                                    titleText="TRANS_CAPTURE"
                                    linkText="TRANS_CAPTURE"}
                            {/if}
                            {if $transactions[j].canCancel==1}
                                 {include file="$tplDirectory/widgets/actionLink.tpl"
                                    page="invoices.php"
                                    actionName="ProcessTransactionRefund"
                                    args="invoiceID=`$invoice.invoiceID`&transactionIDs[]=`$transactions[j].transactionID`"
                                    icoImage="cancel.png"
                                    altText="TRANS_CANCEL"
                                    titleText="TRANS_CANCEL"
                                    linkText="TRANS_CANCEL"}
                            {/if}
                        </td>
                    </tr>
                    {/section}
                </tbody>
            </table>
        </div>
    </div>
{/if}
{include file="$tplDirectory/widgets/list-box-footer.tpl"}
{if $invoicePageLinks.1==1}
    {include file="$tplDirectory/widgets/paging.tpl" pages=$invoicePageLinks}
{/if}