{include file="$tplDirectory/widgets/form-box-header.tpl"}
<div class="form-row {if $invalid.tldName}error{/if}"><div class="field-name"><label for="tldName">{"TRANS_NAME"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-middle-size" size="80" maxlength="100" type="text" id="tldName" name="tldName" value="{$formValues.tldName|safetyhtml}"> {if $invalid.tldName}<span class="error-hint">{$invalid.tldName}</span>{/if}
        <span class="hint">{"TRANS_TLD_NAME_DESC"|lmsg}</span>
    </div>
</div>
<div class="form-row {if $invalid.registrarID || $tldNotSupported}error{/if}"><div class="field-name"><label for="registrarID">{"TRANS_REGISTRAR_NAME_OPTION"|lmsg}</label></div>
    <div class="field-value">
        <select class="f-middle-size" id="registrarID" name="registrarID" onchange="updateExtensionsSelector(this.value);"> {html_options options=$registrars selected=$formValues.registrarID} </select> {if $invalid.registrarID}{if $tldNotSupported}{"TRANS_UNSUPPORTED_TLD"|lmsg}{/if}<span class="error-hint">{$invalid.registrarID}{if $tldNotSupported}{"TRANS_UNSUPPORTED_TLD"|lmsg}{/if}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldExtension || $invalid.tldCustomExtension}error{/if}"><div class="field-name"><label for="tldExtension">{"TRANS_EXTENSION"|lmsg}</label></div>
    <div class="field-value">
        <input type="hidden" name="tldCustomExtensionActive" value="0">
        <div id="tldExtensionDiv">
            <select class="f-middle-size" id="tldExtension" name="tldExtension" value="{$formValues.tldExtension|safetyhtml}"></select>
            <label for="tldCustomExtensionActive"><input type="checkbox" id="tldCustomExtensionActive" name="tldCustomExtensionActive" value="1" onclick="tldCustomExtensionActive_onclick(this);" {if $formValues.tldCustomExtensionActive}checked="checked"{/if}> {"TRANS_CUSTOM_EXTENSION_TITLE"|lmsg}</label>
        </div>
        <input type="text" class="f-middle-size" id="tldCustomExtension" name="tldCustomExtension" value="{$formValues.tldCustomExtension|safetyhtml}"> {if $invalid.tldCustomExtension}<span class="error-hint">{$invalid.tldCustomExtension}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldAccepted}error{/if}">
    <div class="single-row">
        <input type="hidden" name="tldActive" value="0">
        <label for="tldActive"><input type="checkbox" id="tldActive" name="tldActive" value="1" {if $formValues.tldActive} checked="checked" {/if}> {"TRANS_ACTIVE"|lmsg}</label>
        <span class="hint">{"TRANS_TLD_ACTIVE_DESC"|lmsg}</span>
    </div>
</div>
<div class="form-row {if $invalid.tldWhoisServer}error{/if}"><div class="field-name"><label for="tldWhoisServer">{"TRANS_WHOIS_SERVER"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-middle-size" size="80" maxlength="100" type="text" id="tldWhoisServer" name="tldWhoisServer" value="{$formValues.tldWhoisServer|safetyhtml}"> {if $invalid.tldWhoisServer}<span class="error-hint">{$invalid.tldWhoisServer}</span>{/if}
        <span class="hint">{"TRANS_WHOIS_SERVER_DESC"|lmsg}</span>
    </div>
</div>
<div class="form-row {if $invalid.tldWhoisResp}error{/if}"><div class="field-name"><label for="tldWhoisResp">{"TRANS_WHOIS_RESPONSE"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-middle-size" size="80" maxlength="100" type="text" id="tldWhoisResp" name="tldWhoisResp" value="{$formValues.tldWhoisResp|safetyhtml}"> {if $invalid.tldWhoisResp}<span class="error-hint">{$invalid.tldWhoisResp}</span>{/if}
    </div>
</div>
<div id='tldWhoisMatchRule' class="form-row {if $invalid.tldWhoisResp}error{/if}"><div class="field-name"><label for="tldWhoisMatchRule">{"TRANS_WHOIS_MATCH_RULE"|lmsg}</label></div>
    <div class="field-value">
        <label for="tldWhoisMatchRuleIn"><input {if $formValues.tldWhoisMatchRule == "IN"} checked="checked"{/if} {if $formValues.tldWhoisResp == ''} disabled{/if} id="tldWhoisMatchRuleIn" type="radio" name="tldWhoisMatchRule" value="IN"> {"TRANS_WHOIS_MATCH_RULE_IN"|lmsg}</label><br>
        <label for="tldWhoisMatchRuleNotIn"><input {if $formValues.tldWhoisMatchRule == "NOT IN"} checked="checked"{/if} {if $formValues.tldWhoisResp == ''} disabled{/if} id="tldWhoisMatchRuleNotIn" type="radio" name="tldWhoisMatchRule" value="NOT IN"> {"TRANS_WHOIS_MATCH_RULE_NOT_IN"|lmsg}</label> {if $invalid.tldWhoisMatchRule}<br>{$invalid.tldWhoisMatchRule}{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldAutoSearch}error{/if}">
    <div class="single-row">
        <input type="hidden" name="tldAutoSearch" value="0">
        <label for="tldAutoSearch"><input type="checkbox" id="tldAutoSearch" name="tldAutoSearch" value="1" {if $formValues.tldAutoSearch} checked="checked"{/if}> {"TRANS_AUTO_SEARCH"|lmsg}</label> {if $invalid.tldAutoSearch}<span class="error-hint">{$invalid.tldAutoSearch}</span>{/if}
        <span class="hint">{"TRANS_AUTO_SEARCH_DESC"|lmsg}</span>
    </div>
</div>
<div class="form-row {if $invalid.tldIsTransferable}error{/if}">
    <div class="single-row">
        <input type="hidden" name="tldIsTransferable" value="0">
        <label for="tldIsTransferable"><input type="checkbox" id="tldIsTransferable" name="tldIsTransferable" value="1" {if $formValues.tldIsTransferable} checked="checked"{/if}> {"TRANS_IS_TRANSFERABLE"|lmsg}</label> {if $invalid.tldIsTransferable}<span class="error-hint">{$invalid.tldIsTransferable}</span>{/if}
        <span class="hint">{"TRANS_IS_TRANSFERABLE_DESC"|lmsg}</span>
    </div>
</div>
<div class="form-row {if $invalid.tldTransferType}error{/if}"><div class="field-name"><label for="tldTransferType">{"TRANS_TRANSFER_TYPE"|lmsg}</label></div>
    <div class="field-value">
        <select id="tldTransferType" class="f-middle-size" name="tldTransferType"> {html_options options=$transferTypes selected=$formValues.tldTransferType} </select> {if $invalid.tldTransferType}<span class="error-hint">{$invalid.tldTransferType}</span>{/if}
        <span class="hint">{"TRANS_TRANSFER_TYPE_DESC"|lmsg}</span>
    </div>
</div>
<div class="form-row {if $invalid.tldTransferMinimumCycleID}error{/if}"><div class="field-name"><label for="tldTransferMinimumCycleID">{"TRANS_TRANSFER_MINIMUM_CYCLE"|lmsg}</label></div>
    <div class="field-value">
        <select id="tldTransferMinimumCycleID" class="f-middle-size" name="tldTransferMinimumCycleID"> {html_options options=$cycleList selected=$formValues.tldTransferMinimumCycleID} </select> {if $invalid.tldTransferMinimumCycleID}<span class="error-hint">{$invalid.tldTransferMinimumCycleID}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldMinimumCycleID}error{/if}"><div class="field-name"><label for="tldMinimumCycleID">{"TRANS_MINIMUM_TERM"|lmsg}</label></div>
    <div class="field-value">
        <select id="tldMinimumCycleID" class="f-middle-size" name="tldMinimumCycleID"> {html_options options=$cycleList selected=$formValues.tldMinimumCycleID} </select> {if $invalid.tldMinimumCycleID}<span class="error-hint">{$invalid.tldMinimumCycleID}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldMaximumCycleID}error{/if}"><div class="field-name"><label for="tldMaximumCycleID">{"TRANS_MAXIMUM_TERM"|lmsg}</label></div>
    <div class="field-value">
        <select id="tldMaximumCycleID" class="f-middle-size" name="tldMaximumCycleID"> {html_options options=$cycleList selected=$formValues.tldMaximumCycleID} </select> {if $invalid.tldMaximumCycleID}<span class="error-hint">{$invalid.tldMaximumCycleID}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldRenewType}error{/if}"><div class="field-name"><label for="tldRenewType">{"TRANS_LOCAL_RENEW_TYPE"|lmsg}</label></div>
    <div class="field-value">
        <select id="tldRenewType" class="f-middle-size" name="tldRenewType"> {html_options options=$tldRenewTypes selected=$formValues.tldRenewType} </select> {if $invalid.tldRenewType}<span class="error-hint">{$invalid.tldRenewType}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldIDNSupport}error{/if}">
    <div class="single-row">
        <input type="hidden" name="tldIDNSupport" value="0">
        <label for="tldIDNSupport"><input type="checkbox" id="tldIDNSupport" name="tldIDNSupport" value="1" {if $formValues.tldIDNSupport} checked="checked" {/if}> {"TRANS_IDN_SUPPORT"|lmsg}</label> {if $invalid.tldIDNSupport}<span class="error-hint">{$invalid.tldIDNSupport}</span>{/if}
        <span class="hint">{"TRANS_IDN_SUPPORT_DESC"|lmsg}</span>
    </div>
</div>
<div class="form-row {if $invalid.tldIDNType}error{/if}"><div class="field-name"><label for="tldIDNType">{"TRANS_IDN_TYPE"|lmsg}</label></div>
    <div class="field-value">
        <select id="tldIDNType" class="f-middle-size" name="tldIDNType"> {html_options options=$IDNTypes selected=$formValues.tldIDNType} </select> {if $invalid.tldIDNType}<span class="error-hint">{$invalid.tldIDNType}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.tldRemoteLockEnabled}error{/if}">
    <div class="single-row">
        <input type="hidden" name="tldRemoteLockEnabled" value="0">
        <label for="tldRemoteLockEnabled"><input type="checkbox" id="tldRemoteLockEnabled" name="tldRemoteLockEnabled" value="1" {if $formValues.tldRemoteLockEnabled} checked="checked" {/if}> {"TRANS_REMOTE_LOCK"|lmsg}</label> {if $invalid.tldRemoteLockEnabled}<span class="error-hint">{$invalid.tldRemoteLockEnabled}</span>{/if}
    </div>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}
<script>
    var currentTLD = document.getElementById('tldCustomExtensionActive').checked ? '{$formValues.tldCustomExtension}' : '{$formValues.tldExtension}';
    var registrarTLDs = new Array();
    {foreach from=$registrarTLDs key=registrarID item=TLDs}
    registrarTLDs['{$registrarID}'] = new Array();
        {foreach from=$TLDs key=index item=TLD}
        registrarTLDs['{$registrarID}']['{$index}'] = '{$TLD}';
        {/foreach}
    {/foreach}

    {literal}
    function updateExtensionsSelector(registrarID)
    {
        var oldSelector = $('tldExtension');

        var newSelector = document.createElement('select');
        newSelector.id = 'tldExtension';
        newSelector.name = 'tldExtension';
        for(var i = 0; i < registrarTLDs[registrarID].length; i++)
        {
            var option = document.createElement('option');
            option.value = registrarTLDs[registrarID][i];
            option.innerHTML = registrarTLDs[registrarID][i];
            if(registrarTLDs[registrarID][i] == currentTLD) {
                option.selected = true;
            }
            newSelector.appendChild(option);
        }
        var container = oldSelector.parentNode;
        container.insertBefore(newSelector, oldSelector);
        container.removeChild(oldSelector);

        if ('0' == registrarID || 0 == registrarTLDs[registrarID].length) {
            document.getElementById('tldCustomExtensionActive').checked = true;
            tldCustomExtensionActive_onclick(document.getElementById('tldCustomExtensionActive'));
            document.getElementById('tldExtensionDiv').style.display = 'none';
        } else {
            document.getElementById('tldExtensionDiv').style.display = 'block';
            tldCustomExtensionActive_onclick(document.getElementById('tldCustomExtensionActive'));
        }
    }
    function tldCustomExtensionActive_onclick(self) {
        if (self.checked) {
            document.getElementById("tldExtension").disabled = true;
            document.getElementById("tldCustomExtension").disabled = false;
            document.getElementById("tldCustomExtension").focus();
        } else {
            document.getElementById("tldExtension").disabled = false;
            document.getElementById("tldCustomExtension").disabled = true;
            document.getElementById("tldExtension").focus();
        }
    }

    updateExtensionsSelector($('registrarID').value);
    tldCustomExtensionActive_onclick(document.getElementById("tldCustomExtensionActive"));

    jQuery('#tldWhoisResp').change(function () {
        if (jQuery(this).val() == '') {
            jQuery('#tldWhoisMatchRuleIn').attr('disabled', 'disabled');
            jQuery('#tldWhoisMatchRuleNotIn').attr('disabled', 'disabled');
        } else {
            jQuery('#tldWhoisMatchRuleIn').removeAttr('disabled');
            jQuery('#tldWhoisMatchRuleNotIn').removeAttr('disabled');
        }
    });
    {/literal}
</script>