{* $Id: billingAccount.tpl 9081 2006-09-21 19:26:12Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display the billing account context bar.
 *
 * Smarty Variables:
 * $client              array of client information
 * $contact             array of contact information
 * $billingAccount      array of billing account information
 * $billingAccountTypes array of billing account types for display
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}
 *}

{assign var="clientID" value=$client.clientID}
{assign var="clientContactID" value=$contact.clientContactID}
{assign var="billingAccountID" value=$billingAccount.billingAccountID}

<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr class="headerRow">
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_BILLING_ID"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="75%" headerName="TRANS_BILLING_ACCOUNT_TYPE"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_ACTIONS"}
            </tr>
        </thead>
        <tbody>
        <tr class="odd">
            <td>
                {include file="$tplDirectory/widgets/actionLink.tpl"
                    page="clients.php"
                    actionName="EditBillingAccount"
                    args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"
                    altText=$billingAccount.billingAccountID
                    linkText=$billingAccount.billingAccountID}
            </td>
            <td>
                {assign var="thisBillingAccountType" value=$billingAccount.billingAccountType}
                {$billingAccountTypes.$thisBillingAccountType} {if !empty($billingAccount.billingAccountNumLastFour)}- {$billingAccount.billingAccountNumLastFour} {/if}
            </td>
            <td>
                {include file="$tplDirectory/widgets/actionLink.tpl"
                    page="clients.php"
                    actionName="EditBillingAccount"
                    args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"
                    icoImage="edit-billing-account.png"
                    altText="TRANS_DETAILS"
                    linkText="TRANS_DETAILS"}
            </td>
        </tr>
        </tbody>
    </table>
</div>