{* $Id: contact.tpl 9068 2006-09-21 14:44:51Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 * $client  array of client information
 * $contact array of contact information
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/context/client.tpl" client=$client contact=$contact}
 *}

{if !$clientIsReseller}
    {assign var="clientContactID" value=$contact.clientContactID}
    {assign var="clientID" value=$client.clientID}
    {assign var="contactPrimary" value=$contact.contactPrimary}
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
            <tr>
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_CONTACT_ID"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_IS_PRIMARY_CONTACT"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_CLIENT_CONTACT_NAME"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_CLIENT_CONTACT_EMAIL"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_ACTIONS"}
            </tr>
            </thead>
            <tbody>
                <tr class="odd">
                    <td>
                        {include file="$tplDirectory/widgets/actionLink.tpl"
                            page="clients.php"
                            actionName="ShowClientContacts"
                            args="clientID=$clientID&clientContactID=$clientContactID"
                            altText=$contact.clientContactID
                            linkText=$contact.clientContactID}
                    </td>
                    <td>{$yesNo[$contactPrimary]}</td>
                    <td>
                        <a href="{getHREF page="clients.php" actionName="ShowClientContacts" args="clientID=$clientID&clientContactID=$clientContactID"}">
                            {$contact.contactLastName|safetyhtml|mb_truncate:25}, {$contact.contactFirstName|safetyhtml|mb_truncate:25}
                        </a>
                    </td>
                    <td><a href="mailto:{$client.contactEmail}">{$contact.contactEmail|safetyhtml|mb_truncate:45}</a></td>
                    <td>
                        {strip}
                        {if !$suppressDetailsLink}
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="clients.php"
                                actionName="ShowClientContacts"
                                args="clientID=$clientID&clientContactID=$clientContactID"
                                icoImage="view.png"
                                altText="TRANS_DETAILS"
                                linkText="TRANS_DETAILS"}
                            &nbsp;&nbsp;&nbsp;
                        {/if}
                        {if !$suppressEditLink}
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="clients.php"
                                actionName="EditClientContact"
                                args="clientID=$clientID&clientContactID=$clientContactID"
                                icoImage="edit-contact.png"
                                altText="TRANS_EDIT"
                                linkText="TRANS_EDIT"}
                            &nbsp;&nbsp;&nbsp;
                        {/if}
                        {if !$suppressDeleteLink}
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="clients.php"
                                actionName="RemoveClientContact"
                                args="clientID=$clientID&id=$clientContactID"
                                icoImage="remove-contact.png"
                                altText="TRANS_REMOVE"
                                linkText="TRANS_REMOVE"}
                        {/if}
                        {/strip}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
{/if}