<div class="form-box">
{if $getDataFrom.fields}
	{assign var="inTable" value=$getDataFrom.inTable}
	{assign var="inForm" value=$getDataFrom.inForm}
	{assign var="formName" value=$getDataFrom.formName}
	{assign var="tableClass" value=$getDataFrom.tableClass}
	{assign var="formEncType" value=$getDataFrom.formEncType}
	{assign var="suppressInputValidation" value=$getDataFrom.suppressInputValidation}
	{assign var="submitLabel" value=$getDataFrom.submitLabel}
	{assign var="formAction" value=$getDataFrom.formAction}
	{assign var="actionName" value=$getDataFrom.actionName}
	{assign var="hiddenFields" value=$getDataFrom.hiddenFields}
	{assign var="fields" value=$getDataFrom.fields}
	{assign var="showOnly" value=$getDataFrom.showOnly}

{/if}

{if $inForm!="yes"}
    <form method="post" action="{getFormAction controller="`$formAction`"}" {if $formName!=""}name="{$formName}"{/if} {if $formEncType!=""}enctype="{$formEncType}"{/if} onsubmit="XKselectAllOptionsInMultiSelects(this);">
        <input type="hidden" name="act" value="{getActionID action=$actionName}">
        <input type="hidden" name="token" value="{$token}">
{/if}

{foreach key="fieldName" item="fieldValue" from=$hiddenFields}
    <input type="hidden" name="{$fieldName}" value="{$fieldValue|escape:html}">
{/foreach}

{if $autoEditTitle}
    {include file="$tplDirectory/widgets/list-box-header.tpl" title=$autoEditTitle}
{/if}

{if $inTable!="yes"}
{/if}

{assign var="reset" value=1}

{foreach key="fieldName" item="data" from=$fields}
	{assign var="reset" value=0}
	{if $nextLoopReset==1}
		{assign var="reset" value=1}
		{assign var="nextLoopReset" value=0}
	{/if}

	{* // Separator // *}
	{if $data.fieldType=="titleRow"}
		{assign var="nextLoopReset" value=1}
		{assign var="title" value=$data.fieldTitle}
        <div class="form-row">
            <div class="single-row">{$title|lmsg}</div>
        </div>
	{* // Text field input // *}
	{elseif $data.fieldType=="" || $data.fieldType=="text"}
		{assign var="title" value=$data.fieldTitle}
        <div class="form-row {if $invalid.$fieldName}error{/if}"><div class="field-name"><label name="{$fieldName}">{$title|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                {if $showOnly=="yes" || $data.showOnly==1}
                    {if is_array($data.fieldValue)}
                        {foreach item="fieldValue" from=$data.fieldValue}
                            gggggg{$fieldValue}<br>
                        {/foreach}
                    {elseif $data.currencyID}
                        {$data.fieldValue|getAmount:$data.currencyID}
                    {else}
                        {$data.fieldValue}
                    {/if}
                    {else}
                    <input type="text" class="f-middle-size text-input" name="{$fieldName}" id="{$fieldName}" value="{if $data.currencyID!=""}{$data.fieldValue|getAmount:$data.currencyID}{else}{$data.fieldValue|escape:html}{/if}" {if $data.currencyID!=""}onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" {/if}> {$invalid.$fieldName}
                {/if}
                {if $data.helpTitle && $data.helpText}
                    {include file="$tplDirectory/widgets/smallTip.tpl" title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
                {/if}
            </div></div>
        </div>
	{* // Password field input // *}
	{elseif $data.fieldType=="password"}
		{assign var="title" value=$data.fieldTitle}
        <div class="form-row {if $invalid.$fieldName}error{/if}"><div class="field-name"><label name="{$fieldName}">{$title|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                {if $showOnly=="yes" || $data.showOnly==1}********{else}<input type="password" class="f-middle-size text-input" name="{$fieldName}" onkeyup="if (this.value!=document.getElementById('{$fieldName}Confirm').value){literal}{{/literal}document.getElementById('{$fieldName}ConfirmStatus').innerHTML='{"TRANS_X"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}ConfirmStatus').innerHTML='{"TRANS_OK"|lmsg}';{literal}}{/literal}" id="{$fieldName}" value=""> {$invalid.$fieldName}{/if}
                {if $data.helpTitle && $data.helpText}
                    {include file="$tplDirectory/widgets/smallTip.tpl" title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
                {/if}
            </div></div>
        </div>
        {if $showOnly=="yes" || $data.showOnly==1}{else}
            <div class="form-row {if $invalid.$fieldName}error{/if}"><div class="field-name">{"TRANS_CONFIRM"|lmsg}</div>
                <div class="field-value"><div class="text-value">
                    <input type="password" class="f-middle-size text-input" onkeyup="if (this.value!=document.getElementById('{$fieldName}').value){literal}{{/literal}document.getElementById('{$fieldName}ConfirmStatus').innerHTML='{"TRANS_X"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}ConfirmStatus').innerHTML='{"TRANS_OK"|lmsg}';{literal}}{/literal}" name="{$fieldName}Confirm" id="{$fieldName}Confirm" value=""> <div id="{$fieldName}ConfirmStatus"></div>
                </div></div>
            </div>
		{/if}
	{* // Textarea field input // *}
	{elseif $data.fieldType=="textarea"}
		{assign var="title" value=$data.fieldTitle}
        <div class="form-row {if $invalid.$fieldName}error{/if}"><div class="field-name"><label name="{$fieldName}">{$title|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                {if $showOnly=="yes" || $data.showOnly==1}{$data.fieldValue}{else}<textarea class="f-middle-size" rows="4" cols="35" name="{$fieldName}" id="{$fieldName}">{$data.fieldValue|escape:html}</textarea> {$invalid.$fieldName}{/if}
                {if $data.helpTitle && $data.helpText}
                    {include file="$tplDirectory/widgets/smallTip.tpl" title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
                {/if}
            </div></div>
        </div>
	{* // Textarea field input with base64 stuff // *}
	{elseif $data.fieldType=="base64SerializedData"}
		{assign var="title" value=$data.fieldTitle}
        <div class="form-row {if $invalid.$fieldName}error{/if}"><div class="field-name"><label name="{$fieldName}">{$title|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                {if $showOnly=="yes" || $data.showOnly==1}{$data.fieldValue|decodeSerialized}{else}<textarea rows="4" cols="35" name="{$fieldName}" id="{$fieldName}">{$data.fieldValue|decodeSerialized:1|escape:html}</textarea> {$invalid.$fieldName}{/if}
                {if $data.helpTitle && $data.helpText}
                    {include file="$tplDirectory/widgets/smallTip.tpl" id=$fieldName title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
                {/if}
            </div></div>
        </div>
	{* // Select menu field input // *}
	{elseif $data.fieldType=="select"}
		{assign var="title" value=$data.fieldTitle}
            <div class="form-row {if $invalid.$fieldName}error{/if}"><div class="field-name"><label name="{$fieldName}">{$title|lmsg}</label></div>
                <div class="field-value"><div class="text-value">
                    {if $showOnly=="yes" || $data.showOnly==1}
                        {assign var="selected" value=$data.fieldValue.selected}

                        {$data.fieldValue.selectable.$selected}{else}<select class="f-middle-size" name="{$fieldName}" id="{$fieldName}">

                        {if $data.allowBlankChoice==1}
                            <option value="">{"TRANS_NONE"|lmsg}</option>
                        {/if}
                        {html_options options=$data.fieldValue.selectable selected=$data.fieldValue.selected}
                    </select>
                        {if $data.addDomainField}
                            <a href="javascript:void(0);" onclick="jQuery('#{$fieldName}_additionalOptions').show();">{"TRANS_SUBSCRIPTION_DOMAIN_ADDITIONAL_OPTIONS"|lmsg}</a><br>
                            <span class="hint">{"TRANS_SUBSCRIPTION_DOMAIN_PRIMARY_DESC"|lmsg}</span>
                            <div id="{$fieldName}_additionalOptions" style="display: none;" class="list">
                                <table width="100%" cellspacing="0">
                                    <tr>
                                        <td width="100px">
                                            <input type="radio" name="{$fieldName}_operation" value="add" id="{$fieldName}_operationAdd"> <label for="{$fieldName}_operationAdd">{"TRANS_SUBSCRIPTION_DOMAIN_OPERATION_ADD"|lmsg}</lable>
                                        </td>
                                        <td>
                                            <input type="text" class="f-middle-size" size="15" name="{$fieldName}_newDomainSLD" value="">.
                                            <input type="text" class="f-small-size" size="5" name="{$fieldName}_newDomainTLD" value="">
                                        </td>
                                    </tr>
                                    {if $data.fieldValue.selectable}
                                        <tr>
                                            <td width="100px">
                                                <input type="radio" name="{$fieldName}_operation" value="replace" id="{$fieldName}_operationReplace"> <label for="{$fieldName}_operationReplace">{"TRANS_SUBSCRIPTION_DOMAIN_OPERATION_REPLACE"|lmsg}</lable>
                                            </td>
                                            <td>
                                                <select name="{$fieldName}_replaceDomainID" id="{$fieldName}_replaceDomainID">
                                                    {html_options options=$data.fieldValue.selectable}
                                                </select>
                                                <input type="text" class="f-middle-size" size="15" name="{$fieldName}_replaceDomainSLD" value="">.
                                                <input type="text" class="f-small-size" size="5" name="{$fieldName}_replaceDomainTLD" value="">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px">
                                                <input type="radio" name="{$fieldName}_operation" value="remove" id="{$fieldName}_operationRemove"> <label for="{$fieldName}_operationRemove">{"TRANS_SUBSCRIPTION_DOMAIN_OPERATION_REMOVE"|lmsg}</lable>
                                            </td>
                                            <td>
                                                <select name="{$fieldName}_removeDomainID" id="{$fieldName}_removeDomainID">
                                                    {html_options options=$data.fieldValue.selectable}
                                                </select>
                                            </td>
                                        </tr>
                                    {/if}
                                </table>
                            </div>
                        {/if}
                        {$invalid.$fieldName}{/if}
                    {if $data.helpTitle && $data.helpText}
                        {include file="$tplDirectory/widgets/smallTip.tpl" id=$fieldName title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
                    {/if}
                </div></div>
            </div>

	{* // Radio button field input // *}
	{elseif $data.fieldType=="radio"}
		{assign var="title" value=$data.fieldTitle}
		<tr {if $invalid.$fieldName}class="highlight"{else}reset=$reset{/if}>
			<td width="25%" class="title"><label name="{$fieldName}">{$title|lmsg}</label>:</td>
			<td>{if $showOnly=="yes" || $data.showOnly==1}
				{assign var="selected" value=$data.fieldValue.selected}
				{$data.fieldValue.selectable.$selected}{else}{html_radios separator=$data.fieldSeparator options=$data.fieldValue.selectable selected=$data.fieldValue.selected}
			    {$invalid.$fieldName}{/if}
			{if $data.helpTitle && $data.helpText}
				{include file="$tplDirectory/widgets/smallTip.tpl" title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
			{/if}
			</td>
		</tr>
	{* // Checkbox button field input // *}
	{elseif $data.fieldType=="checkbox"}
		{assign var="title" value=$data.fieldTitle}
        <div class="form-row {if $invalid.$fieldName}error{/if}">
            <div class="single-row">
                {if $showOnly=="yes" || $data.showOnly==1}{else}<input type="hidden" name="{$fieldName}" value="0">{/if}
                <input class="checkbox" type="checkbox" name="{$fieldName}" value="1"{if $showOnly=="yes" || $data.showOnly==1}disabled="disabled"{/if} {if $data.fieldValue>0}checked="checked"{/if}>
                <label name="{$fieldName}">{$title|lmsg}</label>
                {if $data.helpTitle && $data.helpText}
                    {include file="$tplDirectory/widgets/smallTip.tpl" title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
                {/if}
                {$invalid.$fieldName}
            </div>
        </div>
	{* // Multi-select field input // *}
	{elseif $data.fieldType=="multiselect"}
        {assign var="title" value=$data.fieldTitle}
		<tr {if $invalid.$fieldName}class="highlight"{else}reset=$reset{/if}>
			<td width="25%" class="title"><label name="{$fieldName}">{$title|lmsg}</label>:</td>
			<td>{if $showOnly=="yes" || $data.showOnly==1}
				{section name="xi" loop=$data.fieldValue.selected}
					{assign var="selected" value=$data.fieldValue.selected[xi]}
					{if $smarty.section.i.index>0}<br>{/if}
					{$data.fieldValue.selectable.$selected}
				{/section}
				{else}{include file="$tplDirectory/widgets/comboBox.tpl"
				comboTitleLeft=TRANS_SELECTED
				comboNameLeft=$fieldName
				comboOptionsLeft=$data.selected

				comboTitleRight=TRANS_SELECTABLE
				comboNameRight="selectable`$fieldName`"
				comboOptionsRight=$data.selectable
				formName=$formName
				submitName="suppress"
				}
			    {$invalid.$fieldName}{/if}
			{if $data.helpTitle && $data.helpText}
				{include file="$tplDirectory/widgets/smallTip.tpl" title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
			{/if}
			</td>
		</tr>
	{* // Date selector field input // *}
	{elseif $data.fieldType=="dateselect"}
        {assign var="title" value=$data.fieldTitle}
        <div class="form-row {if $invalid.$fieldName}error{/if}"><div class="field-name"><label name="{$fieldName}">{$title|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                {if $showOnly=="yes" || $data.showOnly==1}{$data.fieldValue.$fieldName|getDate:long}{else}{include file="$tplDirectory/widgets/dateSelector.tpl" optional=$data.dateOptional formValues=$data.fieldValue param=$fieldName default=$fieldName real=$fieldName params=$data.params}
                    {$invalid.$fieldName}
                {/if}
                {if $data.helpTitle && $data.helpText}
                    {include file="$tplDirectory/widgets/smallTip.tpl" title=$data.helpTitle|stripslashes|escape:html text=$data.helpText|stripslashes|escape:html}
                {/if}
            </div></div>
        </div>

        {assign var="title" value=$data.fieldTitle}
	{/if}

{/foreach}

{if $autoEditTitle}
    {include file="$tplDirectory/widgets/list-box-footer.tpl"}
{/if}

{if $submitLabel!=""}
    <div class="btns-box">
        <div class="box-area">
            <table width="100%" cellspacing="0" class="form-table">
                <tbody><tr class="form-row">
                    <td class="single-row">
                        <span class="btn action"><button id="billing-id-save" class="submit" type="submit" value="{$submitLabel|lmsg}">{$submitLabel|lmsg}</button></span>
                        {if $backLabel!=""}
                            <span class="btn"><button id="billing-id-back" class="button" type="button" value="{$backLabel|lmsg}" onclick="history.go(-1);">{$backLabel|lmsg}</button></span>
                        {/if}
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
{/if}

{if $inTable!="yes"}

{/if}


{if $inForm!="yes"}
	</form>
{/if}
</div>