{* $Id: genericTemplate.tpl 9758 2006-10-23 15:52:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{if $genericType=="edit"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_SAVE_CHANGES"
		formAction=$fileName
		actionName=$editResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		}

{elseif $genericType=="editobject"}

	{if $saved}
		{include
			file="$tplDirectory/widgets/showInvalidCustom.tpl"
			duration="4"
			message="TRANS_SETTINGS_SAVED_SUCCESSFULLY"|lmsg}
	{/if}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl" getDataFrom=$editForm}

{elseif $genericType=="showdetails"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm="yes"
		suppressInputValidation="yes"
		submitLabel=""
		formAction=""
		actionName=""
		hiddenFields=""
		fields=$editFields
		}

{elseif $genericType=="add"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_ADD"
		formAction=$fileName
		actionName=$addResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		}

{elseif $genericType=="remove"}


	{if $headerMessage}
		<p>{$headerMessage|lmsg}</p>
	{/if}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="removeForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_YES"
		backLabel="TRANS_CANCEL"
		formAction=$fileName
		actionName=$removeResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		autoEditTitle=TRANS_ARE_YOU_SURE_YOU_WISH_TO_DELETE_THE_FOLLOWING
		autoEditTitleStyle="color:red;"
		}

{elseif $genericType=="show"}

    {if !is_null($tabs)}
        {include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
        <div style="margin-top: 16px;"></div>
    {/if}
	{if $showAddButton}
    <div class="actions-box">
        <div class="objects-toolbar clearfix">
            <a href="javascript:void(0);" class="s-btn sb-add-new" id="billing-id-add-item" onclick="window.location = '{getHREF actionName=$addAction}&{$addArgs}'; return false;" title="{"TRANS_ADD_NEW"|lmsg}">
                <i><i><i><span>{"TRANS_ADD_NEW"|lmsg}</span></i></i></i>
            </a>
        </div>
    </div>
	{/if}
	{include file="$tplDirectory/widgets/table/autoShowTable.tpl"
		rowActions=$rowActions
		tableFields=$showFields
		tableData=$showData
		queryArgs=$pagesArgs}
{else}
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_TEMPLATING_ERROR"}
    <div class="form-row error">
        <div class="single-row">
            {"TRANS_TEMPLATE_NOT_FOUND_FOR"|lmsg} {$actionName}
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
{/if}
