{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_PACKAGE_ADDONS"}
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_NAME"|lmsg}</th>
                <th>{"TRANS_CYCLE"|lmsg}</th>
                <th>{"TRANS_DISCOUNTABLE"|lmsg}</th>
                <th>{"TRANS_DISCOUNT"|lmsg}</th>
                <th>{"TRANS_SETUP"|lmsg}</th>
                <th>{"TRANS_PRICE"|lmsg}</th>
                <th>{"TRANS_CYCLE_DISCOUNT"|lmsg}</th>
                <th>{"TRANS_TOTAL"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
        {section name="i" loop=$packageAddonInfo}
            <tr class="{if ($smarty.section.i.index+1)%2==0}even{else}odd{/if}">
                <td>{$packageAddonInfo[i].packageAddonDisplayName|safetyhtml}</td>
                <td>{assign var="cycleID" value=$packageInfo.cycleID}
                    {$cycleList.$cycleID},
                    {if $packageInfo.moreCycles>0}
                        {"TRANS_FOR"|lmsg} <strong>{$packageInfo.moreCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg},
                        {"TRANS_STOPPING_ON"|lmsg} <strong>{$packageInfo.stopDate|getDate}</strong>
                    {else}
                        {"TRANS_INDEFINITELY"|lmsg}
                    {/if}</td>

                {assign var="packageAddonDiscountable" value=$packageAddonInfo[i].packageAddonDiscountable}
                <td>{$yesNo[$packageAddonDiscountable]}</td>
                <td>{$packageAddonInfo[i].packageAddonDiscount*1}%</td>
                <td>{$packageAddonInfo[i].packageAddonSetup|getAmount:$packageInfo.currencyID}</td>
                {if $packageAddonInfo[i].couponNumCycles>0}
                    <td>
                        {$packageAddonInfo[i].couponPrice|getAmount:$packageInfo.currencyID}
                        {"TRANS_FOR"|lmsg} <strong>{$packageAddonInfo[i].couponNumCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg}, {"TRANS_THEN"|lmsg}
                        {$packageAddonInfo[i].packageAddonPrice|getAmount:$packageInfo.currencyID} {"TRANS_INDEFINITELY"|lmsg}
                    </td>
                    <td>
                        {$packageAddonInfo[i].couponPriceDiscount|getAmount:$packageInfo.currencyID}
                        {"TRANS_FOR"|lmsg} <strong>{$packageAddonInfo[i].couponNumCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg}, {"TRANS_THEN"|lmsg}
                        {$packageAddonInfo[i].packageAddonPriceDiscount|getAmount:$packageInfo.currencyID} {"TRANS_INDEFINITELY"|lmsg}
                        ({$packageAddonInfo[i].cycleDiscount}%)
                    </td>
                    <td>
                        {$packageAddonInfo[i].couponPrice+$packageAddonInfo[i].couponPriceDiscount|getAmount:$packageInfo.currencyID}
                        {"TRANS_FOR"|lmsg} <strong>{$packageAddonInfo[i].couponNumCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg}, {"TRANS_THEN"|lmsg}
                        {$packageAddonInfo[i].packageAddonPrice+$packageAddonInfo[i].packageAddonPriceDiscount|getAmount:$packageInfo.currencyID} {"TRANS_INDEFINITELY"|lmsg}
                    </td>
                {else}
                    <td>
                        {$packageAddonInfo[i].packageAddonPrice|getAmount:$packageInfo.currencyID}
                    </td>
                    <td>
                        {$packageAddonInfo[i].packageAddonPriceDiscount|getAmount:$packageInfo.currencyID} ({$packageAddonInfo[i].cycleDiscount}%)
                    </td>
                    <td>
                        {$packageAddonInfo[i].packageAddonPrice+$packageAddonInfo[i].packageAddonPriceDiscount|getAmount:$packageInfo.currencyID}
                    </td>
                {/if}
            </tr>
        {/section}

        {section name="i" loop=$childPackageInfo}
            <tr class="{if ($smarty.section.i.index+1)%2==0}even{else}odd{/if}">
                <td>{$childPackageInfo[i].packageName}</td>
                <td>{assign var="cycleID" value=$childPackageInfo[i].cycleID}
                    {$cycleList.$cycleID},
                    {if $childPackageInfo[i].moreCycles>0}
                        {"TRANS_FOR"|lmsg} <strong>{$childPackageInfo[i].moreCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg},
                        {"TRANS_STOPPING_ON"|lmsg} <strong>{$childPackageInfo[i].stopDate|getDate}</strong>
                    {else}
                        {"TRANS_INDEFINITELY"|lmsg}
                    {/if}</td>
                {assign var="packageAddonDiscountable" value=$packageAddonInfo[i].packageAddonDiscountable}
                <td>{$yesNo[$packageAddonDiscountable]}</td>
                <td>{$childPackageInfo[i].packageDiscount*1}%</td>
                <td>{$childPackageInfo[i].packageSetup|getAmount:$childPackageInfo[i].currencyID}</td>
                {if $childPackageInfo[i].couponNumCycles>0}
                    <td>
                        {$childPackageInfo[i].couponPrice|getAmount:$childPackageInfo.currencyID}
                        {"TRANS_FOR"|lmsg} <strong>{$childPackageInfo[i].couponNumCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg}, {"TRANS_THEN"|lmsg}
                        {$childPackageInfo[i].packagePrice|getAmount:$packageInfo.currencyID} {"TRANS_INDEFINITELY"|lmsg}
                    </td>
                    <td>
                        {$childPackageInfo[i].couponPriceDiscount|getAmount:$childPackageInfo.currencyID}
                        {"TRANS_FOR"|lmsg} <strong>{$childPackageInfo[i].couponNumCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg}, {"TRANS_THEN"|lmsg}
                        {$childPackageInfo[i].packagePriceDiscount|getAmount:$childPackageInfo.currencyID} {"TRANS_INDEFINITELY"|lmsg}
                        ({$childPackageInfo[i].cycleDiscount}%)
                    </td>
                    <td>
                        {$childPackageInfo[i].couponPrice+$childPackageInfo[i].couponPriceDiscount|getAmount:$packageInfo.currencyID}
                        {"TRANS_FOR"|lmsg} <strong>{$childPackageInfo[i].couponNumCycles}</strong> {"TRANS_MORE_CYCLES"|lmsg}, {"TRANS_THEN"|lmsg}
                        {$childPackageInfo[i].packagePrice+$childPackageInfo[i].packageAddonPriceDiscount|getAmount:$childPackageInfo.currencyID} {"TRANS_INDEFINITELY"|lmsg}
                    </td>
                {else}
                    <td>
                        {$childPackageInfo[i].packagePrice|getAmount:$childPackageInfo.currencyID}
                    </td>
                    <td>
                        {$childPackageInfo[i].packagePriceDiscount|getAmount:$childPackageInfo.currencyID} ({$childPackageInfo[i].cycleDiscount}%)
                    </td>
                    <td>
                        {$childPackageInfo[i].packagePrice+$childPackageInfo[i].packagePriceDiscount|getAmount:$childPackageInfo.currencyID}
                    </td>
                {/if}
            </tr>
        {/section}
        </tbody>
    </table>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}