{if $paymentQueue_enableAdvancedShareEditing==1}
    {assign var="advancedShares" value=1}
{else}
    {assign var="advancedShares" value=0}
{/if}

<form method="post" name="editShares" action="{getFormAction controller="packages"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="act" value="{getActionID action="UpdatePackageBillingSharesResponse"}">
    <input type="hidden" name="packageID" value="{$packageInfo.packageID}">

    {if $advancedShares}
        <div class="list">
            <table cellspacing="0" width="100%" class="list">
                <thead>
                <tr>
                    <th>{"TRANS_BILLING_ACCOUNT"|lmsg}</th>
                    <th>{"TRANS_SHARE_VALUE"|lmsg}</th>
                    <th>{"TRANS_PERCENTAGE"|lmsg}</th>
                </tr>
                </thead>
                <tbody>
                    {foreach key="billingAccountID" item="billingAccount" from=$billingAccounts}
                        {assign var="share" value=$keyedShares[$billingAccountID]}
                    <tr>
                        <td>{$share.billingAccountShareValue}   ({"TRANS_ID"|lmsg} {$billingAccountID}) {$billingAccount.typeName}</td>
                        <td>
                            <input id="shareValue-{$billingAccountID}" type="text" class="shareValue" name="shareValue[{$billingAccountID}]" value="{if $share.billingAccountShareValue}{$share.billingAccountShareValue}{else}0{/if}"  />
                        </td>
                        <td>
                            <input disabled="disabled" id="shareValue-{$billingAccountID}-percent" type="text" class="shareValuePercent" name="shareValuePercent[{$billingAccountID}]" value="{if $share.billingAccountShareValue}{$share.billingAccountShareValue}{else}0{/if}"  />&nbsp;{$percentSymbol}
                        </td>
                    </tr>
                    {/foreach}
                </tbody>
            </table>
        </div>
    {else}
        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_PAYMENT_INFORMATION"}
        <div class="form-row">
            <div class="field-name">{"TRANS_SUBSCRIPTION_BILLING_ACCOUNT_OPTION"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                <select name="billingAccountID">
                    <option></option>
                    {foreach key="billingAccountID" item="billingAccount" from=$billingAccounts}
                        {assign var="share" value=$keyedShares[$billingAccountID]}
                        <option value="{$billingAccountID}"{if $sharePercentages[$share.billingAccountShareGroup][$share.billingAccountShareID]>0} selected="selected"{/if}>
                            ({"TRANS_ID"|lmsg} {$billingAccountID}) {$billingAccount.typeName}</option>
                    {/foreach}
                </select>
                <div class="hint">{"TRANS_SUBSCRIPTION_BILLING_ACCOUNT_OPTION_DESC"|lmsg}</div>
            </div></div>
        </div>
        {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {/if}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttonsForBillingShares isSingleRow=true}
</form>

{literal}
<script language="javascript" type="text/javascript">
    <!--
    jQuery('.shareValue').bind('change', function(){
        var total = 0;
        jQuery('.shareValue').each(function() {
            total += parseInt(jQuery(this).val());
        });
        jQuery('.shareValue').each(function() {
            var idShare = jQuery(this).attr('id');
            var value = jQuery(this).val()/total*100;
            jQuery('#' + idShare + '-percent').val(value.toFixed(2));
        });
    });
    jQuery('.shareValue').change();
    //-->
</script>
{/literal}