{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_PRICING_INFORMATION"}
<div class="form-row">
    <div class="field-name">{"TRANS_PACKAGE_PRICE_IS_LOCKED"|lmsg}</div>
    <div class="field-value"><div class="text-value">{if $packageInfo.packagePriceLock}{"TRANS_YES"|lmsg}{else}{"TRANS_NO"|lmsg}{/if}</div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_PACKAGE_SETUP_PRICE"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$packageInfo.packageSetup|getAmount:$packageInfo.currencyID}</div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_PACKAGE_PRORATABLE"|lmsg}</div>
    <div class="field-value"><div class="text-value">
        {$yesNo[$packageInfo.packageProratable]}
        <span class="hint">{"TRANS_PACKAGE_PRORATABLE_DESC"|lmsg}</span>
    </div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_TAX_ZONE_GROUP"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$taxZoneGroups[$packageInfo.taxZoneGroupID]}</div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_CYCLE_DISCOUNT_GROUP"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$cycleDiscountGroups[$packageInfo.cycleDiscountGroupID]}</div></div>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}

<div class="list">
    <table id="prices" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>&nbsp;</th>
                <th>{"TRANS_SUBSCRIPTION_PRICE_CYCLE"|lmsg}</th>
                <th>{"TRANS_SUBSCRIPTION_PRICE_DISCOUNT"|lmsg}</th>
                <th>{"TRANS_SUBSCRIPTION_PRICE_TAX"|lmsg}</th>
                <th>{"TRANS_SUBSCRIPTION_PRICE"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            <tr class="odd">
                <td>{$planName}</td>
                <td>{$planPrice.original|getAmount:$packageInfo.currencyID}</td>
                <td>{$planPrice.discount|getAmount:$packageInfo.currencyID}</td>
                <td>{$planPrice.tax|getAmount:$packageInfo.currencyID}</td>
                <td>{$planPrice.total|getAmount:$packageInfo.currencyID}</td>
            </tr>
            {foreach from=$addonPrices item=addon key=addonName}
                <tr class="{cycle values="even,odd"}">
                    <td>{$addonName}</td>
                    <td>{$addon.original|getAmount:$packageInfo.currencyID}</td>
                    <td>{$addon.discount|getAmount:$packageInfo.currencyID}</td>
                    <td>{$addon.tax|getAmount:$packageInfo.currencyID}</td>
                    <td>{$addon.total|getAmount:$packageInfo.currencyID}</td>
                </tr>
            {/foreach}
        </tbody>
        <tfoot>
            <tr>
                <td colspan="4">{"TRANS_SUBSCRIPTION_PRICE_TOTAL"|lmsg}</td>
                <td>{$totalPrice|getAmount:$packageInfo.currencyID}</td>
            </tr>
        </tfoot>
    </table>
</div>