{* $Id: packageInfo.tpl 8131 2006-07-24 22:19:43Z bsmith $
 * --------------------------------------------------------------
 * This bookmark template displays the admin's bookmarks.
 *
 * Smarty Variables:
 *	$title			The title of the ouput
 *	$message		The main body of the element
 *	$actionName		The current action name
 *  $sid			The current sessionID
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/showBookmarks.tpl"}
 *
 * Author: Brian Smith
 *}
{strip}
{if $title==""}
	{assign var=title value=$data.title}
{/if}

{/strip}

<div style="border:1px solid black;width:600px;padding:5px;margin:5px;" class="alt2">
	{if $title}
		{strip}
		<h2>
			{$title|lmsg}
		</h2>
		{/strip}
	{/if}
	
	{strip}
	{if $data.message.packageName}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_PACKAGE_NAME"|lmsg message=$data.message.packageName}
	{/if}

	{if $data.message.packageDateCreated}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_DATE_CREATED"|lmsg message=$data.message.packageDateCreated|getDateTime}
	{/if}
	
	{if $data.message.packageQuantity}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_QUANTITY"|lmsg message=$data.message.packageQuantity}
	{/if}

	{if $data.message.cycleID}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_CYCLE"|lmsg message=$data.message.cycleID|getArrayValueByID:$cycleList}
	{/if}
	{/strip}
</div>

