{* $Id: UpgradePackage.tpl 12256 2007-11-19 17:42:33Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_CLIENT_SUBSCRIPTIONS_SUBSCRIPTIONS', 'TRANS_SHOW_PACKAGE_DETAILS', 'TRANS_PACKAGE_UPGRADE');{/php}
{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}

{assign var="currencyID" value=$packageInfo.currencyID}
{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_UPGRADE_PACKAGE"}
<div class="form-row">
    <div class="single-row list">
        {if $cango}
            <table width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>{"TRANS_PACKAGE"|lmsg}</th>
                        <th>{"TRANS_PRICE"|lmsg}</th>
                        <th colspan="2">{"TRANS_UPGRADE_FEE"|lmsg}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach key="id" item="product" from=$upgradeProducts}
                        {if count($product.addons) OR $product.productID!=$packageInfo.productID}
                            <form method="post" action="{getFormAction controller="packages"}">
                                <input type="hidden" name="token" value="{$token}">
                                <input type="hidden" name="act" value="{getActionID action="UpgradePackageResponse"}">
                                <input type="hidden" name="packageID" value="{$packageInfo.packageID}">
                                <input type="hidden" name="productID" value="{$product.productID}">
                                <input type="hidden" name="productVariantID" value="{$product.productVariantID}">
                                <tr class="odd">
                                    <td style="cursor: pointer;" onclick="XKtoggle('configureRow{$product.productID}');">{$product.productName|safetyhtml}    {if $resellerProductType!=$packageInfo.packageType} <a href="javascript:;"> {"TRANS_ADDONS"|lmsg} </a> {/if}{if $product.productVariantName}<br><strong>{$product.productVariantName}</strong>{/if}</td>
                                    <td>{if $product.productID==$packageInfo.productID}--{else}{$product.prices.0.productVariantPriceAmount|getAmount:$product.prices.0.currencyID}{/if}</td>
                                    <td>{if $product.productID==$packageInfo.productID}--{else}{$product.prices[$feePriceType].productVariantPriceAmount|getAmount:$product.prices[$feePriceType].currencyID}{/if}</td>
                                    {if $product.productID==$packageInfo.productID}
                                        <td class="text-right"><span class="btn action"><button id="billing-id-adjust-{$product.productID}" name="adjust" value="{"TRANS_ADJUST_ADDONS"|lmsg}" type="submit">{"TRANS_ADJUST_ADDONS"|lmsg}</button></span></td>
                                    {else}
                                        <td class="text-right"><span class="btn action"><button id="billing-id-process-upgrade-{$product.productID}" name="process-upgrade" value="{"TRANS_ORDER_UPGRADE"|lmsg}" type="submit">{"TRANS_ORDER_UPGRADE"|lmsg}</button></span></td>
                                    {/if}
                                </tr>
                                {if $resellerProductType!=$packageInfo.packageType}
                                    <tr class="even {if $product.productID!=$packageInfo.productID}hidden{/if}" id="configureRow{$product.productID}">
                                        <td class="text-right">{"TRANS_ADDONS"|lmsg}</td>
                                        <td colspan="5">
                                            <div class="list">
                                                <table width="100%" cellspacing="0">
                                                    {foreach key="groupId" item="addons" from=$product.addons}
                                                        <thead>
                                                            <tr>
                                                                <th colspan="2">{assign var="group" value=$product.addonGroups.$groupId}{$group.productAddonGroupName}</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            {if "c" == $group.productAddonGroupInputType}
                                                                {assign var="inputType" value="checkbox"}
                                                            {else}
                                                                {assign var="inputType" value="radio"}
                                                            {/if}
                                                            {assign var="haveSelectedAddon" value=0}
                                                            {foreach key="id" item="addon" from=$addons}
                                                                {if isset($selectedAddons[$id])} {* && $product.productID==$packageInfo.productID *}
                                                                    {assign var="selectedAddon" value=$selectedAddons.$id}
                                                                    {assign var="taprice" value=$selectedAddon.packageAddonPrice}
                                                                    {assign var="tafeeprice" value=0}
                                                                    {assign var="addonSelected" value="1"}
                                                                    {assign var="haveSelectedAddon" value=1}
                                                                {else}
                                                                    {assign var="taprice" value=$addon.prices.0.productVariantPriceAmount}
                                                                    {assign var="tafeeprice" value=$addon.prices[$feePriceType].productVariantPriceAmount}
                                                                    {assign var="addonSelected" value="0"}
                                                                {/if}

                                                                {if $product.productID!=$packageInfo.productID && $group.defaultSelectedProductID==$addon.productID}
                                                                    {assign var="haveSelectedAddon" value=1}
                                                                    {assign var="addonSelected" value="1"}
                                                                {/if}

                                                                <tr class="odd">
                                                                    <td>
                                                                        <label for="addonSelector{$product.productID}_{$id}">
                                                                            <input type="{$inputType}" name="addons[{$groupId}][]" id="addonSelector{$product.productID}_{$id}" value="{$id}" {if $addonSelected==1}checked="checked"{/if}>
                                                                            &nbsp; - {$addon.productName|constant|safetyhtml}
                                                                            {if $displayAddonCycles}<br>[{$addon.cycleID|getCycleName|lmsg}]{/if}
                                                                        </label>
                                                                    </td>
                                                                    <td>
                                                                        {if $addonSelected==1}
                                                                            --
                                                                        {else}
                                                                            {$taprice|getAmount:$currencyID}
                                                                            {if $tafeeprice>0}
                                                                                {"TRANS_UPGRADE_FEE"|lmsg} {$tafeeprice|getAmount:$currencyID}
                                                                            {/if}
                                                                        {/if}
                                                                    </td>
                                                                </tr>
                                                            {/foreach}
                                                            {if "radio" == $inputType && $group.productAddonGroupNoneChoice==1}
                                                                <tr class="odd">
                                                                    <td colspan="2"><input type="radio" name="addons[{$groupId}][]" value="0" {if $haveSelectedAddon==0}checked="checked"{/if}>&nbsp; - {"TRANS_NONE"|lmsg}</label></td>
                                                                </tr>
                                                            {/if}
                                                        </tbody>
                                                    {foreachelse}
                                                        <tbody>
                                                            <tr>
                                                                <td>{"TRANS_NO_ADDONS"|lmsg}</td>
                                                            </tr>
                                                        </tbody>
                                                    {/foreach}
                                                    {if 0 < count($packageInfo.addonsAbsentInPlan) && $packageInfo.productID == $product.productID}
                                                        <thead>
                                                        <tr>
                                                            <th colspan="2">{"TRANS_ADDONS_ASSINGED_TO_SUBSCRIPTION_ABSENT_IN_PLAN_REMOVE"|lmsg}</th>
                                                        </tr>
                                                        </thead>
                                                        {foreach key="id" item="addon" from=$packageInfo.addonsAbsentInPlan}
                                                            <tr  class="odd">
                                                                <td colspan="2">
                                                                    <label for="assignedAddonSelector{$id}">
                                                                        <input type="checkbox" name="assignedAddons[]" id="assignedAddonSelector{$id}" value="{$id}">
                                                                        &nbsp; - {$addon.packageAddonDisplayName|constant|safetyhtml}
                                                                        {if $displayAddonCycles}&nbsp;[{$addon.cycleID|getCycleName|lmsg}]{/if}
                                                                    </label>
                                                                </td>
                                                            </tr>
                                                        {/foreach}
                                                    {/if}
                                                    <tfoot>
                                                        <tr>
                                                            <td colspan="2">
                                                                <span class="btn action"><button id="billing-id-action" name="billing-id-action" value="{if $product.productID==$packageInfo.productID}{"TRANS_ADJUST_ADDONS"|lmsg}{else}{"TRANS_PERFORM_UPGRADE"|lmsg}{/if}" type="submit">{if $product.productID==$packageInfo.productID}{"TRANS_ADJUST_ADDONS"|lmsg}{else}{"TRANS_PERFORM_UPGRADE"|lmsg}{/if}</button></span>
                                                            </td>
                                                        </tr>
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                {/if}
                            </form>
                        {/if}
                    {/foreach}
                </tbody>
            </table>
        {else}
            {"TRANS_WE_ARE_UNABLE_TO_PERFORM_UPGRADES_OR_DOWNGRADES_ON_YOUR_PACKAGE_AT_THIS_TIME"|lmsg}
        {/if}
    </div>
</div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}