{if $redirectToPlesk}
    <div id="main">
        <div class="btns-box">
            <div class="box-area">
                <div class="form-row">
                    <div class="field-name">
                        {"TRANS_YOU_MUST_CONFIGURE_PLESK_BEFORE_USING_MODERNBILL"|lmsg}
                    </div>
                    <div class="field-value">
                        <span class="btn action">
                            <button type="submit" value="" name="go-to-plesk" id="go-to-plesk" onclick="document.location.href='https://{$serverName|safetyhtml}:8443';">{"TRANS_CONTINUE_TO_PLESK"|lmsg}</button>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
{else}
	<div id="main">
		<form id="form-login" action="{getFormAction controller="login"}" method="post" autocomplete="off">
			{if ($redirectActionID && $redirectActionFile)}
				<input type="hidden" name="redirectActionID" value="{$redirectActionID|safetyhtml}" />
				<input type="hidden" name="redirectActionFile" value="{$redirectActionFile|safetyhtml}" />
				<input type="hidden" name="redirectArgs" value="{$loginRedirectArgs|safetyhtml}" />
			{/if}
			<input type="hidden" name="act" value="{getActionID action="LoginResponse"}" />

            <div id="loginSection" class="form-box">
                <div class="content">
                    <div class="content-area">
                        <div id="loginSection-content-area" class="box-area">

                            {include file="$commonTplDirectory/login/MessageBox.tpl"}

                            <div id="loginSection-username-form-row" class="form-row">
                                <div class="field-name">
                                    <label for="user_name">{"TRANS_USERNAME"|lmsg}&nbsp;</label>
                                </div>
                                <div class="field-value">
                                    <input type="text" name="user_name" id="user_name" value="" class="input-text">
                                </div>
                            </div>

                            <div id="loginSection-password-form-row" class="form-row">
                                <div class="field-name">
                                    <label for="billing-id-user_password">{"TRANS_PASSWORD"|lmsg}&nbsp;</label>
                                </div>
                                <div class="field-value">
                                    <input type="password" name="user_password" id="billing-id-user_password" value="" class="input-text">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

			<div class="btns-box">
				<div class="box-area">
					<div class="form-row">
						<div class="field-name">
							<a href="{getHREF page="login.php" actionName="ShowForgottenPassword"}">{"TRANS_FORGOT_YOUR_PASSWORD"|lmsg}</a>
						</div>
						<div class="field-value">
							<span id="spanid-login" class="btn action">
								<button type="submit" value="" name="bname_login" id="buttonid-login" >{"TRANS_LOGIN"|lmsg}</button>
							</span>

							<script>
                            {literal}
                            jQuery(document).ready(function() {
                                jQuery('#user_name').focus();
                                jQuery('#user_name').select();
                            });
                            {/literal}
							</script>

							<!-- ability to submit form via Enter -->
							<input type="image" src="/theme/images/blank.gif" style="border: 0; height: 0; width: 0; position: absolute; left: -9999px;">
						</div>
					</div>
				</div>
			</div>

		</form>
	</div>
{/if}