<style><!--
	{include file="$tplDirectory/widgets/cssbased/styles.css"}
--></style>

<center>

<table class="emailBody" cellpadding="0" cellspacing="0">
<tr><td class="emailTitle">
	Welcome to {$companyName}
</td></tr>
<tr><td>
	<table class="content" border="0" cellspacing="0">
		<tr>
			<td class="leftColumn">
				<p><strong>Welcome {$contactFirstName} {$contactLastName}!</strong></p>

				<p>Thank you for signing up with {$companyName}. Your new account information is provided below.</p>

				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">ACCOUNT INFORMATION</td></tr>
					<tr><td class="data">
						<span class="title">Plan:</span> {$packageName}<br/>
						<span class="title">Price:</span> {$packagePrice|getAmount:$currencyID}<br/>
						{if $resellerPackageType != $packageType}<span class="title">Domain:</span> {$domainSLD}.{$domainTLD}{/if}<br/>
						{if "msp" != PACKAGE_TYPE}{if $resellerPackageType != $packageType}<span class="title">IP Address:</span> {$packageIP}{/if}{/if}
					</td></tr>
				</table>
				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">LOGIN INFORMATION</td></tr>
					<tr><td class="data">
						<span class="title">Plan:</span> {$packageName}<br/>
                    {if $resellerPackageType != $packageType}<span class="title">Domain:</span> {$domainSLD}.{$domainTLD}<br/>{/if}
						<span class="title">Username:</span> {$contactUsername}<br/>
						<span class="title">Password:</span> use password specified during the ordering process<br/><br/>
							You may access your control panel at
                            {if $resellerPackageType != $packageType}
                                <a href="https://{$packageIP}:8443" target="_blank">https://{$packageIP}:8443</a> or
							    <a href="https://{$domainSLD}.{$domainTLD}:8443" target="_blank">https://{$domainSLD}.{$domainTLD}:8443</a>
							    if your domain has been transferred to our nameservers.
                            {else}
                                <a href="{$packagePanelUrl}" target="_blank">{$packagePanelUrl}</a>
                            {/if}
					</td></tr>
				</table>
                {if "msp" != PACKAGE_TYPE}
                {if $resellerPackageType != $packageType}
                    <table class="details" border="0" cellspacing="0">
                        <tr><td class="header">FTP INFORMATION</td></tr>
                        <tr><td class="data">
                            <span class="title">FTP:</span> {$packageIP}<br/>
                            <span class="title">Username:</span> {if $ftpUsername}{$ftpUsername}{else}{$packageUsername}{/if}<br/>
                            <span class="title">Password:</span> System password is generated randomly and you should replace it in Control Panel before using. Refer to Control Panel User Guide to find out how to change system password. <br/><br/>
							Use these settings if your service plan allows logging in by FTP.
                        </td></tr>
                    </table>
                    <table class="details" border="0" cellspacing="0">
                        <tr><td class="header">SSH/RDP INFORMATION</td></tr>
                        <tr><td class="data">
                            <span class="title">SSH/RDP:</span> {$packageIP}<br/>
                            <span class="title">Username:</span> {if $ftpUsername}{$ftpUsername}{else}{$packageUsername}{/if}<br/>
                            <span class="title">Password:</span> System password is generated randomly and you should replace it in Control Panel before using. Refer to Control Panel User Guide to find out how to change system password.  <br/><br/>
                            Use these settings if your service plan allows logging in by SSH/RDP.
                        </td></tr>
                    </table>
                {/if}
                {/if}
				{if $nameserver1 || $nameserver2 || $nameserver3 || $nameserver4}
					<table class="details" border="0" cellspacing="0">
						<tr><td class="header">NAMESERVER INFORMATION</td></tr>
						<tr><td class="data">
							{if $nameserver1}<span class="title">{$nameserver1}:</span> {$nameserver1IP}<br/>{/if}
							{if $nameserver2}<span class="title">{$nameserver2}:</span> {$nameserver2IP}<br/>{/if}
							{if $nameserver3}<span class="title">{$nameserver3}:</span> {$nameserver3IP}<br/>{/if}
							{if $nameserver4}<span class="title">{$nameserver4}:</span> {$nameserver4IP}<br/>{/if}
						</td></tr>
					</table>
				{/if}
			</td>
			<td class="rightColumn">
				{include file="$tplDirectory/widgets/cssbased/rightColumnContent.tpl"}
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table class="information" border="0" cellspacing="0">
					<tr><td class="header">BILLING</td></tr>
					<tr><td class="data">
						<p>Login to our client billing system at the following URL to view and pay your invoices,
						change your payment type or billing details, update contact information, and more!</p>

						<p>
                            <a href="{$companyClientURL}" target="_blank">{$companyClientURL}</a><br/>
							<strong>Username:</strong> {$contactUsername}<br/>
							<strong>Password:</strong> use password specified during the ordering process
						</p>

						<p>Need help with your password? Visit the URL above and click the Forgot your password?
						link to retrieve your password.</p>
					</td></tr>
				</table>
				<table class="information" border="0" cellspacing="0">
					<tr><td class="header">QUESTIONS?</td></tr>
					<tr><td class="data">
						<p>If you have any questions regarding your account, please contact us at your convenience.</p>
						<p>
							Thank you,<br/>
							{$companyName}
							{if $companyURL}
								<br/><a href="{$companyURL}" target="_blank">{$companyURL}</a>
							{/if}
						</p>
					</td></tr>
				</table>
			</td>
		</tr>
	</table>
</td></tr></table>

</center>
