<?php use_helper('BillingFormat') ?>
<div id="main" class="">

    <div class="p-store-order">

        <?php include_partial('navigationBar', array('router' => $router)); ?>

        <div class="p-box">
            <div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>

            <div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">

                <?php include_partial('header', array('cartItem' => $cartItem, 'selectedPurchase' => $selectedPurchase)); ?>

                <div class="p-box-title p-box-title-1">
                    <div class="p-box-title-area">
                        <h1><span><?php echo __('TRANS_SELECT_DOMAIN'); ?></span></h1>
                    </div>
                </div>

                <div class="p-box-content">

                    <?php if (isset($errorMessage)): ?>
                        <?php include_partial('errorMessage', array('message' => $errorMessage)); ?>
                    <?php endif; ?>

                    <div class="b-description"><p><?php echo __('TRANS_SELECT_DOMAIN_DESCRIPTION'); ?></p></div>

                    <?php if (isset($domainPlan)): ?>
                    <?php if ($allowRegister && isset($lowestCyclePrice)): ?>
                    <div class="p-box p-box-label p-box-label-active">
                        <div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
                        <div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
                            <div class="p-box-content">
                                <div class="b-options">
                                    <label class="b-option-name" for="register"><input type="radio" class="radio" value="dom-reg" id="register" name="domain-type"<?php if ($operation == selectDomainAction::OPERATION_REGISTER): ?> checked="checked"<?php endif; ?>/><b><?php echo __('TRANS_REGISTER_DOMAIN'); ?></b><br /></label>
                                    <div class="b-options-area">
                                        <p><?php echo __('TRANS_REGISTER_DOMAIN_DESCRIPTION'); ?></p>
                                        <div class="b-domain-options">
                                            <form id="registerDomain" action="<?php echo url_for('@select-domain'); ?>" method="post">
                                                <input type="hidden" name="operation" value="<?php echo selectDomainAction::OPERATION_REGISTER; ?>"/>
                                                <input type="hidden" name="domainPlanId" value="<?php echo $domainPlan->getId(); ?>"/>
                                                <?php if (!empty($selectedPurchase)) : ?>
                                                    <input type="hidden" name="purchaseId" value="<?php echo $selectedPurchase->getId(); ?>"/>
                                                <?php endif; ?>
                                                <?php foreach ($TLDs as $TLD): ?>
                                                <input type="hidden" name="TLDs[]" value="<?php echo $TLD; ?>"/>
                                                <?php endforeach; ?>
                                                <label class="b-domain-options-label"><?php echo __('TRANS_SEARCH_DOMAIN'); ?></label>
                                                <input type="text" class="input-text domain-name" onblur="this.value=this.value.toLowerCase();" name="SLD" value="<?php echo isset($registerSLD) ? $registerSLD : ""; ?>"/><b>&nbsp;</b><select class="domain-zone" name="masterTLD">
                                                    <?php foreach ($TLDs as $tldId => $TLD): ?>
                                                    <option value="<?php echo "{$tldId}_{$TLD}"; ?>" label="<?php echo $TLD; ?>">.<?php echo $TLD; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                                <a class="btn btn-action" href="#" onclick="$('#registerDomain').submit(); return false;"><span><i><?php echo __('TRANS_CHECK_DOMAIN'); ?></i></span></a>
                                            </form>
                                            <div class="b-domain-options-note"><?php echo __('TRANS_STARTING_FROM'); ?> <?php echo formatPrice($lowestCyclePrice->getCycleFee(), $currencyId); ?> <?php echo __('TRANS_FOR'); ?> <?php echo __($cycles[$lowestCyclePrice->cycleID]->cycleDisplayName); ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div></div></div>
                        <div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
                    </div>
                    <?php endif; ?>
                    <?php if ($allowTransfer && isset($lowestTransferPrice)): ?>
                    <div class="p-box p-box-label">
                        <div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
                        <div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
                            <div class="p-box-content">
                                <div class="b-options">
                                    <label class="b-option-name" for="transfer"><input type="radio" class="radio" value="dom-trans" id="transfer" name="domain-type"<?php if ($operation == selectDomainAction::OPERATION_TRANSFER): ?> checked="checked"<?php endif; ?>/><b><?php echo __('TRANS_TRANSFER_EXISTING_DOMAIN'); ?></b><br /></label>
                                    <div class="b-options-area">
                                        <p><?php echo __('TRANS_TRANSFER_DOMAIN_DESCRIPTION'); ?></p>
                                        <div class="b-domain-options">
                                            <form id="transferDomain" action="<?php echo url_for('@select-domain'); ?>" method="post">
                                                <input type="hidden" name="operation" value="<?php echo selectDomainAction::OPERATION_TRANSFER; ?>"/>
                                                <input type="hidden" name="domainPlanId" value="<?php echo $domainPlan->getId(); ?>"/>
                                                <?php if (!empty($selectedPurchase)) : ?>
                                                    <input type="hidden" name="purchaseId" value="<?php echo $selectedPurchase->getId(); ?>"/>
                                                <?php endif; ?>
                                                <?php foreach ($TLDs as $TLD): ?>
                                                <input type="hidden" name="TLDs[]" value="<?php echo $TLD; ?>"/>
                                                <?php endforeach; ?>
                                                <label class="b-domain-options-label"><?php echo __('TRANS_TRANSFER_DOMAIN_NAME'); ?>:</label>
                                                <input type="text" class="input-text domain-name" onblur="this.value=this.value.toLowerCase();" name="SLD" value="<?php echo isset($transferSLD) ? $transferSLD : ""; ?>"/><b>&nbsp;</b><select class="domain-zone" name="masterTLD">
                                                    <?php foreach ($TLDs as $TLD): ?>
                                                    <option value="<?php echo "{$tldId}_{$TLD}"; ?>" label="<?php echo $TLD; ?>">.<?php echo $TLD; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                                <a class="btn btn-action" href="#" onclick="$('#transferDomain').submit(); return false;"><span><i><?php echo __('TRANS_CHECK_DOMAIN'); ?></i></span></a>
                                            </form>
                                            <div class="b-domain-options-note"><?php echo __('TRANS_STARTING_FROM'); ?> <?php echo formatPrice($lowestTransferPrice->getTransferFee(), $currencyId); ?> <?php echo __('TRANS_FOR'); ?> <?php echo __($cycles[$lowestTransferPrice->cycleID]->cycleDisplayName); ?></div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div></div></div>
                        <div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
                    </div>
                    <?php endif; ?>
                    <?php endif; ?>

                    <?php if (!($plan->getRawValue() instanceof BillingDomainPlan) && $allowUseOwn): ?>
                    <div class="p-box p-box-label">
                        <div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
                        <div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
                            <div class="p-box-content">
                                <div class="b-options">
                                    <label class="b-option-name" for="use"><input type="radio" class="radio" value="dom-existing" id="use" name="domain-type" <?php if ($operation == selectDomainAction::OPERATION_USE): ?> checked="checked"<?php endif; ?>/><b><?php echo __('TRANS_USE_EXISTING_DOMAIN'); ?></b><br /></label>
                                    <p><?php echo __('TRANS_USE_EXISTING_DOMAIN_DESC'); ?></p>
                                    <div class="b-options-area">
                                        <div class="b-domain-options">
                                            <form id="useDomain" action="<?php echo url_for('@select-domain'); ?>" method="post">
                                                <input type="hidden" name="operation" value="<?php echo selectDomainAction::OPERATION_USE; ?>"/>
                                                <input type="hidden" name="purchaseId" value="<?php echo $selectedPurchase->getId(); ?>"/>
                                                <label class="b-domain-options-label"><?php echo __('TRANS_ENTER_YOUR_DOMAIN'); ?></label>
                                                <input type="text" class="input-text domain-name" onblur="this.value=this.value.toLowerCase();" name="domainName" value="<?php echo isset($useDomainName) ? $useDomainName : ""; ?>"/>
                                                <a class="btn btn-action" href="#" onclick="$('#useDomain').submit(); return false;"><span><i><?php echo __('TRANS_ORDERFORM_ADD_DOMAIN_TO_ORDER'); ?></i></span></a>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div></div></div>
                        <div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
                    </div>
                    <?php endif; ?>

                    <script type="text/javascript">
                        $("input[name='domain-type']").change(function () {
                            $(".p-box-label").removeClass('p-box-label-active');
                            $(".p-box-label input:radio:checked").parents(".p-box-label").addClass('p-box-label-active');
                        });
                        $(".p-box-label").removeClass('p-box-label-active');
                        $(".p-box-label input:radio:checked").parents(".p-box-label").addClass('p-box-label-active');
                    </script>

                </div>
            </div></div></div>
            <div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
        </div>

        <div class="p-store-actions">
            <div class="p-store-actions-area">
                <?php include_partial('backAction', array('router' => $router)); ?>
                <?php if (0 == $plan->productDomainRequired): ?>
                <div style="text-align: right; padding-right: 20px; font-size: 11px;">
                    <form id="skipStep" action="<?php echo url_for('@select-domain'); ?>" method="post">
                        <input type="hidden" name="operation" value="<?php echo selectDomainAction::OPERATION_SKIP; ?>"/>
                        <input type="hidden" name="purchaseId" value="<?php echo $selectedPurchase->getId(); ?>"/>
                        <a href="#" onclick="$('#skipStep').submit(); return false;">
                            <span><?php echo __('TRANS_SKIP_THIS_STEP'); ?>&nbsp;&gt;&gt;</span>
                        </a>
                    </form>
                </div>
                <?php endif; ?>
            </div>
        </div>

        <?php if (isset($taxZone)): ?>
            <div class="b-note-tax"><?php echo __('TRANS_INCLUDE_TAX_TO_PRODUCT_PRICES', array('%NAME%' => $taxZone->taxZoneDescription, '%AMOUNT%' => formatTax($taxZone->getRawValue(), $currencyId))); ?></div>
        <?php endif; ?>

    </div>

</div>