<td class="t-summary-actions">
    <?php if ($purchaseData['hasAddDomainAbility'] || $purchaseData['hasAddAddonAbility'] || $purchaseData['hasAdditionalServices']): ?>
        <div class="dropdown-box">
            <div class="dropdown-heading">
                <div class="dropdown-heading-area">
                    <em></em>
                    <span class="i-btn"><img src="<?php echo image_path('icons/add-new_16.gif'); ?>" alt="" /><span><?php echo __('TRANS_ORDERFORM_ADD_MORE'); ?></span></span>
                </div>
            </div>
            <div class="dropdown-content">
                <div class="dropdown-content-area">
                    <table class="dropdown-wrapper" cellspacing="0"><tbody><tr><td class="dropdown-container">
                        <ul class="dropdown-list">
                            <?php if ($purchaseData['hasAddDomainAbility']): ?>
                                <li class="dropdown-item">
                                    <a class="i-btn" href="#" onclick="addDomain('<?php echo $purchaseData['id']; ?>', '<?php echo $cartItemId; ?>'); return false;"><img src="<?php echo image_path('icons/add-domain_16.gif'); ?>" alt="" /><span><?php echo __('TRANS_ADD_DOMAIN'); ?></span></a>
                                    <?php if ($description = trim(__('TRANS_ADD_DOMAIN_DESC'))): ?>
                                        <div class="b-indent"><?php echo $description;?></div>
                                    <?php endif; ?>
                                </li>
                            <?php endif; ?>
                            <?php if ($purchaseData['hasAddAddonAbility']): ?>
                                <li class="dropdown-item">
                                    <a class="i-btn" href="#" onclick="addAddons('<?php echo $purchaseData['id']; ?>', '<?php echo $cartItemId; ?>'); return false;"><img src="<?php echo image_path('icons/add-addon_16.gif'); ?>" alt="" /><span><?php echo __('TRANS_ADD_MORE_FEATURES');?></span></a>
                                    <?php if ($description = trim(__('TRANS_ADD_MORE_FEATURES_DESC'))): ?>
                                        <div class="b-indent"><?php echo $description;?></div>
                                    <?php endif; ?>
                                </li>
                            <?php endif; ?>
                            <?php if (!$isSubPurchase && $purchaseData['hasAdditionalServices']): ?>
                                <li class="dropdown-item">
                                    <a class="i-btn" href="#" onclick="addServices('<?php echo $purchaseData['id']; ?>', '<?php echo $cartItemId; ?>'); return false;"><img src="<?php echo image_path('icons/recommended_16.gif'); ?>" alt="" /><span><?php echo __('TRANS_STORE_ADD_SERVICES');?></span></a>
                                    <?php if ($description = trim(__('TRANS_STORE_ADD_SERVICES_DESC'))): ?>
                                        <div class="b-indent"><?php echo $description;?></div>
                                    <?php endif; ?>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </td></tr></tbody></table>
                </div>
            </div>
        </div>
        <span class="separator">|</span>
    <?php endif; ?>
    <a class="i-btn" href="#" onclick="removePurchase('<?php echo $purchaseData['id']; ?>'); return false;"><img src="<?php echo image_path('icons/remove_16.gif'); ?>" alt="" /><span><?php echo __('TRANS_REMOVE'); ?></span></a>
</td>
