<?php

class IndexAction extends CatalogAction {
	
	public function execute($request) {
		$this->container = $this->_container;
		$this->store = $this->_store;
		$this->storeId = $this->_store->getId();
		$this->currencyId = $this->_store->currencyID;
		$this->taxZone = $this->getDefaultTaxZone();
		$this->plans = $this->getPlans();
		$this->landingTemplate = ucfirst($this->_widget ? $this->_widget->websiteWidgetTpl : $this->_store->defaultWidgetTemplate);

		if($customer = $this->getUser()->getAttribute('customer', null)) {
			if(
				$customer->clientType != $this->store->orderFormType ||
				"customer" == $customer->clientType && $customer->vendorID != $this->store->vendorID
			) {
				$this->getUser()->getAttributeHolder()->clear();
                $this->forward($this->getModuleName(), $this->getActionName());
			}
		}

		$this->purchasesCount = count(ResourceLocator::getInstance()->cart->getPurchases());
	}

}