<?php

class BuyUrlAction extends sfAction
{
	public function execute($request)
    {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);

		$planIdPlaceholder = $request->getParameter('planId');
		$priceIdPlaceholder = $request->getParameter('priceId');

		if ($container = $this->getRequest()->getParameter('container', false)) {
            $routes = $this->context->getRouting()->getRoutes();
            if (!isset($routes['buy'])) {
                return sfView::NONE;
            }
            return $this->renderText('@HOSTNAME@' . $routes['buy']->generate(array('container' => $container, 'plan' => $planIdPlaceholder, 'price' => $priceIdPlaceholder)));
		} else {
			return sfView::NONE;
		}
	}
}