<!DOCTYPE html>
<html lang="en" dir="ltr">
	<head>
		<?php include_http_metas(); ?>
		<?php include_metas(); ?>
		<?php include_title(); ?>
		<link rel="shortcut icon" href="/favicon.ico"/>
		<?php include_stylesheets(); ?>
		<?php if (sfContext::getInstance()->getUser()->getAttribute('theme')): ?>
			<?php echo stylesheet_tag('top.css'); ?>
		<?php endif; ?>
		<?php if (sfContext::getInstance()->getModuleName() == 'catalog'): ?>
		<!--[if lte IE 7]><?php echo stylesheet_tag('main-ie.css'); ?><![endif]-->
		<?php elseif (sfContext::getInstance()->getModuleName() == 'cart'): ?>
		<!--[if lte IE 7]><?php echo stylesheet_tag('order-ie.css'); ?><![endif]-->
		<?php endif; ?>
		<?php include_javascripts(); ?>
		<script type="text/javascript">jQuery(document).ready(function () {jQuery("input").attr("autocomplete", "off");});</script>
	</head>
	<body>
		<div id="page">
			<div id="top">
				<?php include_partial('catalog/header'); ?>
			</div>
			<?php if (sfContext::getInstance()->getUser()->getAttribute('theme')): ?>
				<div id="preview">
					<a href="<?php echo url_for('@preview-close?container=' . sfContext::getInstance()->getUser()->getAttribute('container')); ?>"><span><?php echo __('TRANS_STORE_PREVIEW_EXIT'); ?></span></a>
				</div>
			<?php endif; ?>
    		<?php echo $sf_content; ?>
    		<div id="bottom">
				<?php include_partial('catalog/footer'); ?>
			</div>
            <?php if (sfContext::getInstance()->getUser()->getAttribute('pleskUrl')): ?>
                <input id="pleskUrl" type="hidden" value="<?php echo sfContext::getInstance()->getUser()->getAttribute('pleskUrl'); ?>" />
            <?php endif; ?>
		</div>
	</body>
</html>