<?php

class BillingAffiliateProgramService extends BillingService {
	
	protected static $instance = null;
    protected $_isCacheEnabled = true;
	
	public function getById($id, $partnerId) {
		$responce = $this->executeGetAffiliateProgramById($id, $partnerId);
		if ($responce->hasErrors()) {
			throw new BillingObjectException('Affiliate program with id "' . $id . '" not found');
		} else {
			return new BillingAffiliateProgram($responce->getData());
		}
	}
    
	public static function getInstance() {
		if (self::$instance == null) {
			self::$instance = new self(self::prepareSoapClient('affiliate_program'));
		}
		return self::$instance;
	}

}