<?php

class BillingSettingsService extends BillingService {
	
	protected static $instance = null;
    protected $_isCacheEnabled = true;
	
	public function getInvoicingSettings($customer = null) {
		$clientId = is_null($customer) ? null : $customer->clientID;
		return $this->executegetInvoicingSettings()->getData($clientId);
	}
	
	public static function getInstance() {
		if (self::$instance == null) {
			self::$instance = new self(self::prepareSoapClient('settings'));
		}
		return self::$instance;
	}

}