<?php
require_once ("lib-api-action/apiaction.php");

use Billing\Object\Subscription;

class GetReportActivePerServer extends MB_AdminAPIAction
{
	public function __construct()
    {
		parent::__construct();
		$this->params = array();
		if ((int)$_REQUEST["serverID"]){
			$this->params["serverID"] = $_REQUEST["serverID"];
		}
	}

	public function execute()
    {
		parent::execute();
		$this->addTemplate("", $output = array("reportData" => $this->getReportData()));
		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();
	}

	public function getReportData()
    {
		dbg("RUNNING IN API REPORT!!!");
		$ret = array();
        $params["packageStatus"] = Subscription::STATUS_ACTIVE;
        if (!is_null($vendorId = getCurrentSession()->getVendorId())) {
            $params["vendorID"] = $vendorId;
        }
		if ((int)$this->params["serverID"]){
            $params["configGroupID"] = $this->params["serverID"];
		}
		$ret["serverTotals"] = grabResultsFromMBAPIArray(array(
            "mbapi" => array(
                "command" => "GetServerPackages",
                "params" => $params,
            ),
        ));

		return $ret;
	}
}