<?php
require_once ("lib-action/action.php");

class CloneAdminGroup extends MB_Action
{
    public $params = array("adminGroupID");

	public function execute()
    {
		parent::execute();

		$adminGroupID = ((int) $_REQUEST["adminGroupID"]);
		if(!$adminGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No AdminGroup ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetAdminGroups");
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$s = array();
				$s["adminGroup"] = collapseArrayElements($data["mbapi"][0]["results"][0]["adminGroups"][0]["adminGroup"][0]);
				$this->addTemplate("admins/CloneAdminGroup", $s, 1);

			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}