<?php

require_once mb_path("/lib-action/action.php");

class CreateVendorUserResponse extends MB_Action {
	function CreateVendorUserResponse() {
		parent::MB_Action();
		$this->stringRep = "CreateVendorUserResponse";
	}
	
	function execute() {
		global $CONF;
		
		if ($_REQUEST["username"] && $_REQUEST["password"] && $_REQUEST["vendorName"]){
		
			$this->smartyVars["adminID"] = $adminID = insertFor(":admins", array(
				"adminFirstName" => $_REQUEST["vendorName"],
				"adminLastName" => blmsg('TRANS_VENDOR'),
				"adminUsername" => $_REQUEST["username"],
				"adminPassword" => $_REQUEST["password"],
				"adminActive" => 1,
				"themeID" => $CONF["user"]["adminData"]["themeID"][0],
				"languageID" => $CONF["user"]["adminData"]["languageID"][0],
				"countriesID" => $CONF["user"]["adminData"]["countriesID"][0],
			));
			
			if (!($group = IDOf(":adminGroups", array("adminGroupName" => "MARKETPLACE VENDORS")))){
				dbg(dispatchMBAPI($cmd = toXML(array(
					"mbapi" => array(
						"command" => "SetAdminGroups",
						"subCommand" => "insert",
						"params" => array(
							"adminGroupName" => "MARKETPLACE VENDORS",
							"adminIDs" => array(
								"adminID" => array(
									$adminID,
								),
							),
							"actionNames" => array(
								"actionName" => array(
									"SyncSellerInventory",
									"UpdateSellerStatus",
									"SendSellerMessage",
									"UpdateVendorInformation",
									"GetCompanyInformation",
								),
							),
						),
					),
				)), 1));
				dbg($cmd);
			} else {
				dbg(dispatchMBAPI($cmd = toXML(array(
					"mbapi" => array(
						"command" => "SetAdminGroups",
						"subCommand" => "update",
						"params" => array(
							"adminGroupID" => $group,
							"adminIDs" => array(
								"adminID" => array(
									$adminID,
								),
							),
						),
					),
				)), 1));
				dbg($cmd);
			}
		
		}
		
		if ($_REQUEST["vendorReturnURL"]){
			mbHeader("Location: ".rawurldecode($_REQUEST["vendorReturnURL"]));
		} else {
			$this->addTemplate("admins/CreateVendorUserResponse");
		}
		
	}
}
?>
