<?php
require_once ("lib-action/action.php");

class EditAdminGroup extends MB_Action
{
	public $params = array("adminGroupID");

	public function execute()
	{
		parent::execute();

		$adminGroupID = ((int) $_REQUEST["adminGroupID"]);
		if(!$adminGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No AdminGroup ID given.");
		} else {

		    // --------------------------------------
		    // Fetch config_groups for the nav menu
		    // --------------------------------------
		    $xmlParams = array
		    (
			    "parentConfigGroupID"=>0,
			    "getNumChildren"=>1,
			    "getLevelOneChildren"=>1
		    );
		    $tmp = $this->params;
		    $this->params = array();
		    $query = $this->getMBAPIQuery("GetConfigGroups","",$xmlParams);
		    $this->params = $tmp;
		    $navConfigGroupData = dispatchMBAPI($query, 1);
		    $navConfigGroupsResults =& $navConfigGroupData["mbapi"][0]["results"][0];
		    // fix child config groups structure when only 1 child group exists
		    $numNavGroups = $navConfigGroupData["mbapi"][0]["header"][0]["numResults"][0];
		    for($i=0;$i<$numNavGroups;$i++) {
			    $c =& $navConfigGroupsResults["configGroups"][0]["configGroup"][$i];
			    if((int) $c["numChildren"][0]) {
				    $c["levelOneConfigGroups"][0]["levelOneConfigGroup"][0] =
					    array(0 => @$c["levelOneConfigGroups"][0]["levelOneConfigGroup"][0]);
			    }
		    }

			$query = $this->getMBAPIQuery("GetAdminGroups", "", array());
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
                $this->smartyVars["navConfigGroups"] =& $navConfigGroupsResults["configGroups"][0]["configGroup"];
				$this->smartyVars["adminGroup"] =& $data["mbapi"][0]["results"][0]["adminGroups"][0]["adminGroup"][0];
                $this->smartyVars = collapseArrayElements($this->smartyVars);
                $this->mergeFormState(array()); // for input validation
				$this->addTemplate("admins/EditAdminGroup", $this->smartyVars, 1);

			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}