<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class RemoveAdmin extends MB_Action
{
	public $params = array("adminID");

	public function execute()
	{
		parent::execute();

		$adminID = ((int) $_REQUEST["adminID"]);
		if(!$adminID) {
            $this->addError('TRANS_ACTIONERROR', "No Admin ID given.");
		} else {

			$query = $this->getMBAPIQuery("GetAdmins", "", array());
			$data = dispatchMBAPI($query, 1);

			// check for errors
			$header = $data["mbapi"][0]["header"][0];
			$results =  $data["mbapi"][0]["results"][0];

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
			    // Set the templete for output
                $this->smartyVars["admin"] = collapseArrayElements($results["admins"][0]["admin"][0]);
			    $this->mergeSystemNavData();
			    $this->addTemplate("admins/RemoveAdmin",$this->smartyVars, 1);
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}