<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");
require_once("lib-tk/include/xml/xml.php");

class RemoveAdminGroup extends MB_Action
{
	public $params = array("adminGroupID");

	public function execute()
	{
		parent::execute();

		$adminGroupID = ((int) $_REQUEST["adminGroupID"]);
		if(!$adminGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No AdminGroup ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetAdminGroups");
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				if(((int) $data["mbapi"][0]["header"][0]["numResults"][0]) > 0) {
					$s = array();
					$s["adminGroup"] =
						collapseArrayElements($data["mbapi"][0]["results"][0]["adminGroups"][0]["adminGroup"][0]);
					$this->addTemplate("admins/RemoveAdminGroup", $s, 1);

				} else {
					$this->addError('TRANS_ACTIONERROR', "AdminGroup not found.");
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}