<?php

require_once("lib-action/genericactions.php");

class RemoveAdminResponse extends RemoveResponseAction
{
	public function __construct()
	{
		parent::__construct();
		$this->d = new DataSource("admins");
	}

	public function execute()
	{
		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			redirect("admins.php", "RemoveAdmin", array("adminID" => bgpc("adminID")));
		}
		parent::execute();
	}
}
