<?php
require_once ("lib-action/action.php");

class ShowAdminGroups extends MB_Action
{
	public function __construct()
	{
		parent::__construct();
		$this->params = array(
			"adminGroupID",
			"adminGroupName"
		);
		$this->sortColumns = array(
			"adminGroupName",
			"adminGroupID",
		);
	}

	public function execute()
    {
		parent::execute();

		$query = $this->getMBAPIQuery("GetAdminGroups", "", array(), 1, 1, 1, 1);

		$data = dispatchMBAPI($query, 1);

		$results =& $data["mbapi"][0]["results"][0];
		if($this->addMBAPIErrors($data) === 0) {

			$this->smartyVars["adminGroups"] = $results["adminGroups"][0]["adminGroup"];

			if($data["mbapi"][0]["header"][0]["numResults"][0] == 1) {
				$this->smartyVars["adminGroups"] = array(0 => $results["adminGroups"][0]["adminGroup"]);
			}
			$this->smartyVars["paginationLinks"] = $results["paginationLinks"][0];

            $this->smartyVars = collapseArrayElements($this->smartyVars);

			$this->mergeSystemNavData();
			$this->addTemplate("admins/ShowAdminGroups",$this->smartyVars, 1);

		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}