<?php

require_once("lib-action/action.php");


class AddClientCreditResponse extends MB_Action
{
	public function execute()
    {
		parent::execute();

		$clientID = (int)$_REQUEST["clientID"];
		if (!$clientID){
			$this->addError('TRANS_ACTIONERROR', "No client ID given.");
		} else {

		 	if (BillingLocale::getNumberFromInput($_REQUEST["creditAmount"])){
				$creditXML = "	<mbapi>
									<command>SetCreditAccounting</command>
									<params>
										<clientID>".$clientID."</clientID>
										<ledgerAccountName>".secureInput($_REQUEST["ledgerAccountName"])."</ledgerAccountName>
										<amount>".BillingLocale::getNumberFromInput($_REQUEST["creditAmount"])."</amount>
										<currencyID>".secureInput($_REQUEST["creditCurrencyID"])."</currencyID>
										<description>".secureInput($_REQUEST["creditComments"])."</description>
									</params>
								</mbapi>";
				$data = dispatchMBAPI($creditXML, 1);
				dbg($data);
				if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
					if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
						redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
					} else {
						redirect("clients.php", getActionID("ShowClientDetails"), array("clientID"=>$clientID));
					}
				}
			} else {
			 	dbg("didnt get a credit amount.");
				redirect("clients.php", getActionID("ShowClientDetails"), array("clientID"=>$clientID));
			}

		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	} // execute
} 