<?php

require_once("lib-action/genericactions.php");

class RemoveBillingAccountResponse extends RemoveResponseAction
{
	function RemoveBillingAccountResponse()
	{
		parent::RemoveResponseAction();
		$this->stringRep = "RemoveBillingAccountResponse";
		$this->d = new DataSource("billingAccounts");
	}

	function setReferral()
	{
		$this->setReferralActionID(getActionID("RemoveBillingAccount"));
		$this->setReferralActionFile($this->d->getEntry("names", "file") . ".php");
	}

	function removeResponseParamHandler()
	{
		$billingAccountID = (int)$_REQUEST["billingAccountID"];
		if ($billingAccountID){
			Service()->BillingAccountManager->disable(Factory()->BillingAccount($billingAccountID));
		}
		return true;
	}
}
