<?php
require_once("lib-action/action.php");

class ShowAffiliatePayouts extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_AFFILIATE_PROGRAM_PAYOUT_HISTORY");
		$page->parent_title = blmsg("TRANS_AFFILIATE_PROGRAM_PARTNERS_TITLE");
		$page->description = blmsg("TRANS_AFFILIATE_PROGRAM_PAYOUT_HISTORY_PAGE_DESC");

		require_once("UI/List/UIAffiliatePayoutList.php");
		$page->addListPanel(new UIAffiliatePayoutList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}