<?php
require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowBillingAccounts extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$client_id = $this->_getClient()->id;

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_BILLING_ACCOUNTS");
		$client = Factory()->Customer($client_id);
		$page->parent_title = billing_safetyhtml($client->PrimaryContact->contact_fullname);
		$page->parent_url = action_url("clients", "ShowClientDetails", array("clientID"	=> $client_id));

		require_once("UI/List/UIBillingAccountList.php");
		$page->addListPanel(new UIBillingAccountList( $client_id ));
		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
