<?php

require_once("lib-action/action.php");

use Billing\Object\Customer;

class ShowClientStats extends MB_Action
{
	public function execute()
	{
		parent::execute();

        $statisticByStatus = Service()->CustomerManager->getStatusStatistics(getCurrentSession()->getVendorId());
        $templateElements = array();
        $templateElements["statusLabels"] = Customer::statuses();
        $templateElements["statusValues"] = $statisticByStatus;
        $templateElements["statusTotal"] = array_sum($statisticByStatus);

        $this->addTemplate("clients/ShowClientStats", collapseArrayElements($templateElements), 1);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}