<?php
class Configs_CreditCardController extends Billing_Zend_Controller_Action_AdminController
{
    public function editAction()
    {
        $form = new Billing_Zend_Form_Final_CreditCardSettingsForm(
            array('context' =>
                array(
                    'cancelLink' => $this->view->adminActionUrl("configs", "system", "show")
                )
            )
        );

        if ($this->_request->isPost()) {
            try {
                if ($form->isValid($this->_request->getPost())) {
                    $form->process();
                    $this->_redirectWithMessage($this->view->AdminActionUrl('configs', 'system', 'show'), $this->_translator->translate('TRANS_SETTINGS_SAVED_SUCCESSFULLY'));
                }
            } catch (ProductException $e) {
                $this->_status->addError($e->getMessage());
            }
        }

        $this->view->form = $form;
    }
}