<?php

require_once("lib-action/action.php");

class GotoCrashReport extends MB_Action
{
	public function execute()
	{
		// Check requested crash report on existing
		try {
			$crash_report = Factory()->ErrorReport(bgpc("number"), "number");
		} catch (ProductException $e) {
            if (ProductException::E_OBJECT_NOT_FOUND == $e->getCode()) {
                redirect(action_url("crashes", "GotoCrashReport", array(
                    "notfound" => "1",
                    "number" => $_REQUEST["number"],
                )));
            }
			throw $e;
		}

		redirect(crash_report_url($crash_report->number));
	}
}
