<?php
require_once("lib-action/action.php");

class RemoveCrashReports extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			redirect(action_url("crashes", "ShowCrashReports"));
		}

		$report_ids = bgpc("id");

		Service()->ErrorReportManager->deleteBy($report_ids);
		
		billing_put_info(blmsg("TRANS_REMOVE_CRASH_REPORTS"));
		redirect(action_url("crashes", "ShowCrashReports"));
	}
}
