<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class RemoveEmailTemplateGroupResponse extends MB_Action
{
	public $params = array("emailTplGroupID");

	public function execute()
	{
		parent::execute();

		$emailTplGroupID = ((int) $_REQUEST["emailTplGroupID"]);
		if(!$emailTplGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No email action group ID given.");
		} else {
			if (!getCurrentSession()->isValidToken()) {
				billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
				redirect('emails.php', getActionID("RemoveEmailTemplateGroup"), array("emailTplGroupID" => $emailTplGroupID));
			}
			$query = $this->getMBAPIQuery("SetEmailTemplateGroups", "delete");
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				redirect("emails.php", getActionID("ShowEmailTemplateGroups"));
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}