<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class ShowEmailTemplates extends MB_Action
{
	public function __construct()
	{
		parent::MB_Action();

		$this->params = array(
			"emailTplName",
			"emailTplSubject",
			"emailTplBody",
			"emailTplTextBody");
		$this->sortColumns = array("emailTplID", "emailTplName", "emailTplSubject");
	}

	public function execute()
	{
		parent::execute();

		$query = $this->getMBAPIQuery("GetEmailTemplates", "", array(), 1, 1, 1, 1);
		$data = dispatchMBAPI($query, 1);

		$results =& $data["mbapi"][0]["results"][0];
		if($this->addMBAPIErrors($data) === 0) {
			$smartyVars = array();
			$smartyVars["emailTemplates"] = $results["emailTemplates"][0]["emailTemplate"];
			if($data["mbapi"][0]["header"][0]["numResults"][0] == 1) {
				$smartyVars["emailtemplates"] = array(0 => $results["emailTemplates"][0]["emailTemplate"]);
			}
			$smartyVars["paginationLinks"] = $results["paginationLinks"][0];
			$this->addTemplate("emails/ShowEmailTemplates", collapseArrayElements($smartyVars));
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}