<?php

require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * @author Michael Fountain
 */
class PurgeDbgPageloads extends MB_Action {
	/**
	 */
	function PurgeDbgPageloads() {
		parent::MB_Action();
		$this->stringRep = "PurgeDbgPageloads";
        $this->params = array("debugToLog");
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		purgeDbgPageloads();
		purgeDbgEntries();

		redirect("events.php", getActionID("ShowDbgPageloads"), array("completed"=>1));

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}