<?php
require_once ("lib-action/action.php");

class ShowEmailQueue extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_SHOW_EMAILS");

		if (!is_null( $client_id = bgpc("clientID") ))
		{
			$client = Factory()->Customer($client_id);
			$page->parent_title = billing_safetyhtml($client->PrimaryContact->contact_fullname);
			$page->parent_url = action_url("clients", "ShowClientDetails", array("clientID"	=> $client_id));
		} else {
			$page->parent_url = action_url("dashboard", "ShowDashboard");
		}

		require_once("UI/List/UIEmailList.php");
		$page->addListPanel($list = new UIEmailList( $client_id ));
		if ($this->_isReseller()) {
			$list->setReseller($this->_getReseller());
		}

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
