<?php
class Invoices_CustomizationInvoiceFacturaController extends Billing_Zend_Controller_Action_AdminController
{
	public function editAction()
	{
		$this->view->placeholder('pageTitle')->set($this->_translator->translate('TRANS_CUSTOMIZATION_INVOICE_FACTURA_SETTINGS'));
		$formOptions = array(
			'cancelUrl' => $this->view->AdminActionUrl('configs', 'system', 'show')
		);

		$form = new Billing_Zend_Form_Final_EditCustomizationInvoiceFacturaForm($formOptions);
		if ($this->_request->isPost()) {
			try {
				if ($form->isValid($this->_request->getPost())) {
                    $form->process();
                    $this->_redirectWithMessage($this->view->AdminActionUrl('configs', 'system', 'show'), $this->_translator->translate('TRANS_SETTINGS_SAVED_SUCCESSFULLY'));
                }
			} catch (ProductException $e) {
    			$this->_status->addError($e->getMessage());
			}
		}
		$this->view->form = $form;
	}
}