<?php

require_once("lib-action/action.php");

class ShowForgottenPassword extends MB_Action
{
	public function execute()
	{
		global $CONF;
		parent::execute();

		$this->smartyVars['msg'] = (isset($_REQUEST['msg']) ? $_REQUEST['msg'] : null);
		$this->smartyVars['info_msg'] = (isset($_REQUEST['info_msg']) ? $_REQUEST['info_msg'] : null);

		// force usage of the admin login template since we are not logged in yet
		$CONF["theme"]["type"] = "admin";

		// We allow for action redirects here, so if someone's session expired, they can at least get to the same
		// page immediately
		if($_REQUEST["redirectActionID"] && $_REQUEST["redirectActionFile"]) {
			$smartyVars = array("redirectActionID" => $_REQUEST["redirectActionID"],
				"redirectActionFile" => $_REQUEST["redirectActionFile"], "redirectArgs" => $_REQUEST["redirectArgs"]);
		}

		$this->mergeFormState();

		$this->hasExecutedSuccessfully = (int) $this->addTemplate("login/ShowForgottenPassword");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}