<?php

require_once("lib-action/action.php");

class EnableSSLPlugins extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			$this->_completeAction();
		}

		$plugin_ids = bgpc("id");
		Service()->SSLPluginManager->updateBy($plugin_ids, array(
			"ssl_plugin_enabled" => 1,
		));
		billing_put_info(blmsg("TRANS_SSL_PLUGIN_ENABLE_SUCCESS_MSG"));
		$this->_completeAction();
	}

	private function _completeAction()
	{
		redirect(action_url("modules", "ShowSSLPlugins"));
	}
}
