<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");
require_once("lib-tk/include/xml/xml.php");

class RemoveAttribute extends MB_Action
{
	public $params = array("orderFormID");

	public function execute()
	{
		global $CONF;
		parent::execute();

		$attributeID = ((int) $_REQUEST["attributeID"]);
		if(!$attributeID) {
			$this->addError('TRANS_ACTIONERROR', "No attribute ID given.");
		} else {
			$this->smartyVars["attributeInfo"] = oneByID("attributes", $attributeID);
			//$this->smartyVars["questionInfo"] = oneByID("questions", $this->smartyVars["attributeInfo"]["questionID"]);
			//$this->smartyVars["questionInfo"]["other"] = arrayFor("questionParams", array("questionID" => $this->smartyVars["attributeInfo"]["questionID"]));

			$this->addTemplate("orderforms/RemoveAttribute", $this->smartyVars, 1);
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}