<?php
require_once ("lib-action/action.php");

class EditPaymentQueue extends MB_Action
{
    public $params = array("paymentID");

	public function execute()
    {
		parent::execute();

		$paymentID = ((int) $_REQUEST["paymentID"]);
		if(!$paymentID) {
			$this->addError('TRANS_ACTIONERROR', "No payment ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetPaymentQueue", "", array());
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$s = array();
				$s["payment"] = collapseArrayElements($data["mbapi"][0]["results"][0]["paymentqueue"][0]["payment"][0]);
				$this->addTemplate("paymentes/EditPaymentQueue", $s, 1);

			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}