<?php
require_once ("lib-action/action.php");

class EditPaymentQueueResponse extends MB_Action
{
    public $params = array(
        "paymentID",
        "invoiceID",
        "billingAccountID",
        "paymentDescription",
        "paymentAmount"
    );

	public function execute()
    {
		parent::execute();
		
		$paymentID = ((int) $_REQUEST["paymentID"]);
		if(!$paymentID) {
			$this->addError('TRANS_ACTIONERROR', "No payment ID given.");
		} else {
			$query = $this->getMBAPIQuery("SetPaymentQueuees", "update");
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				
				mbHeader("Location: paymentqueue.php?action=".getActionID("ShowPaymentQueueDetails")."&paymentID=".$paymentID);
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}