<?php

require_once ("lib-action/action.php");

class GeneratePaymentQueue extends MB_Action
{
	public function execute()
    {
		parent::execute();
		if (!Service()->CryptManager->isEncryptionEnabled()) {
			$this->smartyVars["warningMessages"][] = blmsg("TRANS_GENERATE_QUEUE_ENCRYPTION_IS_NOT_ENABLED");
		}

		$this->smartyVars["transactionAction"] = Settings()->paymentQueue_transactionAction;
        $this->smartyVars["buttons"] = array(
            array('id' => 'billing-id-generate', 'class' => 'action', 'name' => 'tsub', 'value' => "TRANS_GENERATE", 'type' => 'submit', 'label' => 'TRANS_GENERATE'),
        );

        $this->addTemplate("paymentqueue/GeneratePaymentQueue");

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}