<?php
require_once ("lib-action/action.php");

class RemovePaymentQueueResponse extends MB_Action
{
    public $params = array("paymentID");

	public function execute()
    {
		parent::execute();
		
		$paymentID = ((int) $_REQUEST["paymentID"]);
		if(!$paymentID) {
			$this->addError('TRANS_ACTIONERROR', "No Payment ID given.");
		} else {
			$query = $this->getMBAPIQuery("SetPaymentQueue", "delete");
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				mbHeader("Location: paymentqueue.php?action=".getActionID("ShowPaymentQueue"));
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}