<?php

class CloneProductResponse extends SourceAction {
	function CloneProductResponse() {
		parent::SourceAction();
		$this->stringRep = "CloneProductResponse";
	}

	function execute() {
		do {
			if($newProductID = cloneForKey("products", (int) $_REQUEST["productID"])) {

				// fetch the new cloned product
				$product = arrayFor("products", array("productID" => $newProductID));

				// update the cloned product name
				dispatchMBAPI(toXML(array(
					"mbapi" => array(
						"command" => "SetProducts",
						"subCommand" => "update",
						"params" => array(
							"productID" => $newProductID,
							"productName" => blmsg('TRANS_CLONE').": ".$product[0]["productName"]
						)
					)
				)));

				redirect("products.php", "ShowProductDetails", array("productID" => $newProductID, "cloned" => 1));
			} else {
				$this->addError('TRANS_ACTIONERROR', "Failure cloning product.");
			}

		} while(0);
		$this->addErrorTemplates();
	}
}
