<?php

require_once("lib-action/genericactions.php");

class RemoveCycleResponse extends RemoveResponseAction
{
	public function __construct()
	{
		parent::RemoveResponseAction();
		$this->setDataSource(new DataSource("cycles"));
        $cycleID = bgpc("cycleID");
	$cycleName = Factory()->Cycle($cycleID)->cycle_display_name;
        if (!Service()->CycleManager->canRemove($cycleID)) {
            throw new ForbiddenOperationException("Removal of current billing cycle is restricted because it used in related objects");
        }
	billing_put_info(blmsg("TRANS_REMOVE_CYCLE_SUCCESS_MSG", array("NAME" => billing_safetyhtml($cycleName))));
	}
}