<?php
require_once("lib-action/action.php");

class ShowTLDs extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_SHOW_TLDS");
        $page->description = blmsg('TRANS_WHOIS_SERVERS_IPS_RESOLVING_DESC');
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$page->parent_url = admin_action_url("configs", "system", "show");

		require_once("UI/List/UITLDList.php");
		$page->addListPanel(new UITLDList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
