{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
    {include file="$tplDirectory/widgets/form-box-header.tpl"}
    <div class="form-row"><div class="single-row"><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&bsrBeginDay=`$thirtyDaysStart.0`&bsrBeginMonth=`$thirtyDaysStart.1`&bsrBeginYear=`$thirtyDaysStart.2`&bsrEndDay=`$thirtyDaysEnd.0`&bsrEndMonth=`$thirtyDaysEnd.1`&bsrEndYear=`$thirtyDaysEnd.2`"}">{"TRANS_LAST_THIRTY_DAYS"|lmsg}: {$thirtyDaysStartTime|getDate:short} - {$thirtyDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&bsrBeginDay=`$thirtyDaysStart.0`&bsrBeginMonth=`$thirtyDaysStart.1`&bsrBeginYear=`$thirtyDaysStart.2`&bsrEndDay=`$thirtyDaysEnd.0`&bsrEndMonth=`$thirtyDaysEnd.1`&bsrEndYear=`$thirtyDaysEnd.2`&print=1"}">[{"TRANS_PRINT"|lmsg}]</a></div></div>
    <form method="GET" action="{getFormAction controller="default"}">
        <input type="hidden" name="token" value="{$token}">
        <input type="hidden" name="ctr" value="reports">
        <input type="hidden" name="act" value="{getActionID action="ShowReportContainer"}">
        <input type="hidden" name="reportName" value="{$reportInfo.reportName}">
        <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
            <div class="field-value">
                {html_select_locale_date start_year=1993 end_year=2029 prefix="bsrBegin" setID="true" fieldOrder=$localeData.locale_date_order}
            </div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
            <div class="field-value">
                {html_select_locale_date start_year=1993 end_year=2029 prefix="bsrEnd" setID="true" fieldOrder=$localeData.locale_date_order}
            </div>
        </div>
        <div class="form-row"><div class="single-row">
            <span class="btn action"><button id="billing-id-generate" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
        </div></div>
    </form>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
{elseif $revenueTotals}
    {****** end parameters section, start report template section ******}
    <h2 class="text-center">{"TRANS_BILLED_SERVER_REVENUE_FOR_PERIOD"|lmsg}: {$startTime|getDate:short} {"TRANS_THROUGH"|lmsg} {$endTime|getDate:short}</h2>
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_SERVER_ID"|lmsg}</th>
                    <th>{"TRANS_SERVER_NAME"|lmsg}</th>
                    <!-- <th>{"TRANS_TOTAL_PACKAGES"|lmsg}</th> -->
                    <th class="text-right">{"TRANS_REVENUE"|lmsg}</th>
                </tr>
            </thead>
            <tbody>
            {foreach item="server" key="i" from=$revenueTotals}
                <tr class="{cycle values="odd,even"}">
                    <td>{$server.serverID}</td>
                    <td>{$server.serverName}</td>
                    <!-- <td width="75" align="right">
                        {foreach item="totals" key="currencyID" from=$server.currencies.0}
                            {$totals.0.numPackages}<br>
                        {/foreach}
                    </td> -->
                    <td class="text-right">
                        {foreach item="totals" key="currencyID" from=$server.currencies.0}
                            {$totals.0.revTotal|getAmount:$currencyID}<br>
                        {/foreach}
                    </td>
                </tr>
            {foreachelse}
                <tr>
                    <td colspan="3">{"TRANS_NONE"|lmsg}</td>
                </tr>
            {/foreach}
            </tbody>
        </table>
    </div>
{/if}