{****** make sure you create your parameters section ******}

<div class="list">
    <table width="100%" cellspacing="0" id="sortTable">
        <thead>
            <tr>
                <th>{"TRANS_PRODUCT_ID"|lmsg}</th>
                <th>{"TRANS_NAME"|lmsg}</th>
                <th>{"TRANS_STATUS"|lmsg}</th>
                <th>{"TRANS_NUMBER_OF_PACKAGES"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {foreach item="pkg" key="i" from=$packageTotals}
                <tr class="{cycle values="odd,even"}">
                    <td>{$pkg.productID}</td>
                    <td>{$pkg.productName}</td>
                    <td tableSortingValue="0">
                        {foreach item="stat" key="x" from=$pkg.statuses}
                            {$statusNames[$stat.packageStatus]}<br>
                        {/foreach}
                    </td>
                    <td tableSortingValue="{foreach item="stat" key="x" from=$pkg.statuses}{if $stat.packageStatus==0}{$stat.numPackages}{/if}{/foreach}">
                        {foreach item="stat" key="x" from=$pkg.statuses}
                            {$stat.numPackages}<br>
                        {/foreach}
                    </td>
                </tr>
            {foreachelse}
                <tr>
                    <td colspan="4"><em>{"TRANS_NONE"|lmsg}</em></td>
                </tr>
            {/foreach}
        </tbody>
    </table>
</div>
