{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
    {include file="$tplDirectory/widgets/form-box-header.tpl"}
    <div class="form-row"><div class="single-row"><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&cpBeginDay=`$thirtyDaysStart.0`&cpBeginMonth=`$thirtyDaysStart.1`&cpBeginYear=`$thirtyDaysStart.2`&cpEndDay=`$thirtyDaysEnd.0`&cpEndMonth=`$thirtyDaysEnd.1`&cpEndYear=`$thirtyDaysEnd.2`"}">{"TRANS_LAST_THIRTY_DAYS"|lmsg}: {$thirtyDaysStartTime|getDate:short} - {$thirtyDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&cpBeginDay=`$thirtyDaysStart.0`&cpBeginMonth=`$thirtyDaysStart.1`&cpBeginYear=`$thirtyDaysStart.2`&cpEndDay=`$thirtyDaysEnd.0`&cpEndMonth=`$thirtyDaysEnd.1`&cpEndYear=`$thirtyDaysEnd.2`&print=1"}">[{"TRANS_PRINT"|lmsg}]</a></div></div>
    <form method="GET" action="{getFormAction controller="default"}">
        <input type="hidden" name="token" value="{$token}">
        <input type="hidden" name="ctr" value="reports">
        <input type="hidden" name="act" value="{getActionID action="ShowReportContainer"}">
        <input type="hidden" name="reportName" value="{$reportInfo.reportName}">
        <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
            <div class="field-value">
                {html_select_locale_date start_year=1993 end_year=2029 prefix="cpBegin" setID="true" fieldOrder=$localeData.locale_date_order}
            </div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
            <div class="field-value">
                {html_select_locale_date start_year=1993 end_year=2029 prefix="cpEnd" setID="true" fieldOrder=$localeData.locale_date_order}
            </div>
        </div>
        <div class="form-row"><div class="single-row">
            <span class="btn action"><button id="billing-id-generate" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
        </div></div>
    </form>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
{elseif $transactions}
    {****** end parameters section, start report template section ******}
    <h2 class="text-center">{"TRANS_PAYMENTS_FOR_PERIOD"|lmsg}: {$startDate|getDate:short} {"TRANS_THROUGH"|lmsg} {$endDate|getDate:short}</h2>
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
            <tr>
                <th>{"TRANS_CUSTOMER"|lmsg}</th>
                <th>{"TRANS_DATE"|lmsg}</th>
                <th>{"TRANS_PAYMENT_TYPE"|lmsg}</th>
                <th>{"TRANS_CAUSE"|lmsg}</th>
                <th>{"TRANS_INVOICE"|lmsg}</th>
                <th>{"TRANS_CURRENCY"|lmsg}</th>
                <th class="text-right">{"TRANS_REFUNDED"|lmsg}</th>
                <th class="text-right">{"TRANS_RECEIVED"|lmsg}</th>
            </tr>
            </thead>
            <tbody>
                {foreach item="trans" key="i" from=$transactions}
                    <tr class="{cycle values="odd,even"}">
                        <td>{$trans.contactLastName}, {$trans.contactFirstName}</td>
                        <td>{$trans.transactionDateCreated|getDate:short}</td>
                        <td>{$paymentTypes[$trans.transactionPaymentMethod]|lmsg}</td>
                        <td>{$paymentStatuses[$trans.authReturn]}</td>
                        <td>{$trans.invoiceNumber}</td>
                        <td>{$trans.currencyID}</td>
                        <td class="text-right">{$trans.transactionAmountRefunded|getAmount:$trans.currencyID}</td>
                        <td class="text-right">{$trans.transactionAmount|getAmount:$trans.currencyID}</td>
                    </tr>
                {/foreach}
            </tbody>
        </table>
    </div>
{else}
    {"TRANS_NO_DATA_IN_PERIOD"|lmsg}
{/if}