<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class RemovePanel extends MB_Action
{
	public function execute()
	{
		$configGroupID = ((int) $_REQUEST["configGroupID"]);

		if(!$configGroupID) {
			// Assign smarty variables
			$smartyVars = array();
			$smartyVars["errors"][] = array
			("title" => blmsg('TRANS_ACTIONERROR'),"message" => "No Panel ID given.");

		} else {
			$query = $this->getMBAPIQuery("GetConfigs", "", array("configGroupID" => $configGroupID));
			$data = dispatchMBAPI($query, 1);

			$header = $data['mbapi'][0]['header'][0];
			$results =  $data['mbapi'][0]['results'][0]["configs"][0]["config"];

			if($this->addMBAPIErrors($data) === 0) {

				if($results) {
					foreach($results as $k => $v) {
						if($v["configParamName"][0] == "moduleDisplayName") {
							$serverName = $v["configParamValue"][0];
							$type = $v["configGroupTransKey"][0];
						}
					}
				}
				if(!$serverName) {
					$serverName = "Unknown";
				}
				if(!$type) {
					$type = "Unknown";
				}
				// Assign smarty variables
				$smartyVars = array();
				$smartyVars["panel"]["configGroupID"] = $configGroupID;
				$smartyVars["panel"]["panelName"] = $serverName;
				$smartyVars["panel"]["panelType"] = $type;

				$smartyVars["pageLinks"] = $results["paginationLinks"];
				// Set the templete for output
				//
				$this->addTemplate("servers/RemovePanel", $smartyVars, 1);
				//

			}
			$this->addErrorTemplates();
			return $this->hasExecutedSuccessfully();
		}
	}
}