<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class ShowServerGroupDetails extends MB_Action
{
	public $params = array("serverGroupID", "serverGroupFillType");

	public function execute()
	{
		parent::execute();

		$serverGroupID = ((int) $_REQUEST["serverGroupID"]);
		if(!$serverGroupID) {
			$this->addError('TRANS_ACTIONERROR', "No ServerGroup ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetServerGroups");
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				if(((int) $data["mbapi"][0]["header"][0]["numResults"][0]) > 0) {
					$smartyVars = array();
					$smartyVars["serverGroup"] = collapseArrayElements($data["mbapi"][0]["results"][0]["serverGroups"][0]["serverGroup"][0]);
					$this->addTemplate("servers/ShowServerGroupDetails", $smartyVars, 1);

				} else {
					$this->addError('TRANS_ACTIONERROR', "ServerGroup does not exist.");
				}
			}
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}