<?php
require_once ("lib-action/action.php");

class EditDomainResponse extends MB_Action
{
    public $params = array("domainID", "domainSLD", "domainTLD", "domainDateCreated", "domainDateExpires",
			"domainRenewType", "registrarID", "packageID");

	public function execute()
    {
		global $CONF;
		parent::execute();
		$domainID = ((int) $_REQUEST["domainID"]);
		if(!$domainID || !$this->confirmClientPermission("GetDomains", "domainID", $domainID, $CONF["user"]["id"])) {
			$this->addError('TRANS_ACTIONERROR', "No domain ID given.");
		} else {
			$query = $this->getMBAPIQuery("SetDomains", "update", array());
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				redirect("domains.php",getActionID("ShowDomainDetails"),array("domainID"=>$domainID));
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
