<?php
require_once("lib-action/action.php");

class ShowOveruseDetails extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$contact = Factory()->Contact(getCurrentSession()->user_id);
        $this->smartyVars["overuses"] = Service()->CustomerManager->getOveruseDetails(Factory()->Customer($contact->Customer->id));
        $this->smartyVars["traffic_resource_name"] = \Billing\Object\SubscriptionResourcesUsageLog::TRAFFIC_RESOURCE_NAME;
        $this->hasExecutedSuccessfully = ((int) $this->addTemplate("overuses/ShowOveruseDetails", $this->smartyVars));
        $this->addErrorTemplates();

		return $this->hasExecutedSuccessfully();
	}
}