<?php

require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowBillingAccounts extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_MENU_CLIENT_PROFILE_BILLING_ACCOUNTS");
		$client_contact_id = getCurrentSession()->user_id;
		$contact = Factory()->Contact($client_contact_id);
		if ($contact->contact_primary) {
			// allow primary contact see accounts of additional contacts in list
			$client_contact_id = NULL;
		}
		require_once("UI/List/UIBillingAccountList.php");
		$page->addListPanel(new UIBillingAccountList($contact->client_id, $client_contact_id ));
		$this->smartyVars["page"] = $page;
		$this->smartyVars["showScreenTitle"] = true;
		$this->addTemplate("page", $this->smartyVars);
		return $this->hasExecutedSuccessfully();
	}
}
