<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */
function smarty_function_buttons($params, &$smarty)
{
    $buttons = array();
    $buttons['id'] = $params['id'];
    if (!empty($params['class'])) {
        $buttons['class'] = $params['class'];
    }
    $buttons['name'] = $params['name'];
    $buttons['value'] = $params['value'];
    $buttons['type'] = $params['type'];
    $buttons['label'] = $params['label'];
    if (!empty($params['onclick'])) {
        $buttons['onclick'] = $params['onclick'];
    }
    if ((bool)$params['substitute']) {
        $smarty->assign('buttons', array($buttons));
    } else {
        $smarty->append('buttons', $buttons);
    }
}