<?php

require_once("lib-tk/mbapimap.php");

$CONF['sources']['adminGroups'] = array(
	"names" => array(
		"singular" => "adminGroup",
		"plural" => "adminGroups",
		"file" => "admins",
	),
	"request" => array(
		"command" => "GetAdminGroups",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("adminGroups", "adminGroup"),
	),
	"insert" => array(
		"command" => "SetAdminGroups",
		"subCommand" => "insert",
		"params" => array(), // $allParamsRoot
	),
	"update" => array(
		"command" => "SetAdminGroups",
		"subCommand" => "update",
		"params" => array(), // $allParamsRoot
	),
	"delete" => array(
		"command" => "SetAdminGroups",
		"subCommand" => "delete",
		"params" => new Params(new Param("adminGroupID")),
	),
	"table" => "admin_groups",
	"columns" => array(
		"adminGroupID" => COLUMN_PRIMARY_KEY,
		"adminGroupName" => COLUMN_PRIMARY_NAME,
	),
	"relations" => array(
		"admins" => array("admin_group_rel", "adminIDs", "adminID"),
	),
	"display" => array(
		"showTemplate" => "admins/ShowAdminGroups",
		"system" => true,
		"revContext" => array(
			"products" => "notifyAdminGroupID",
		),
	),
);
