<?php

require_once("lib-tk/mbapimap.php");

$CONF['sources']['productUsagePrices'] = array(
	"names" => array(
		"singular" => "productUsagePrice",
		"plural" => "productUsagePrices",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetProductUsagePrices",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("productUsagePrices", "productUsagePrice"),
	),
	"insert" => array(
		"command" => "SetProductUsagePrices",
		"subCommand" => "insert",
		"params" => array(), // $allParamsRoot
	),
	"update" => array(
		"command" => "SetProductUsagePrices",
		"subCommand" => "update",
		"params" => array(), // $allParamsRoot
	),
	"delete" => array(
		"command" => "SetProductUsagePrices",
		"subCommand" => "delete",
		"params" => new Params(new Param("productID")),
	),
	"table" => "product_usage_prices",
	"columns" => array(
		"productUsagePriceID" => COLUMN_PRIMARY_KEY,
		"productID" => COLUMN_ID,
		"currencyID" => COLUMN_TEXT,
		"productUsagePriceAmount" => COLUMN_AMOUNT,
	),
	"display" => array(
		"context" => array(
			"productID" => "products",
		),
	),
);
