<?php

require_once("lib-tk/mbapimap.php");

$CONF['sources']['websiteWidgets'] = array(
	"names" => array(
		"singular" => "websiteWidget",
		"plural" => "websiteWidgets",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetWebsiteWidgets",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("websiteWidgets", "websiteWidget"),
	),
	"insert" => array(
		"command" => "SetWebsiteWidgets",
		"subCommand" => "insert",
		"params" => array(), // $allParamsRoot
	),
	"update" => array(
		"command" => "SetWebsiteWidgets",
		"subCommand" => "update",
		"params" => array(), // $allParamsRoot
	),
	"delete" => array(
		"command" => "SetWebsiteWidgets",
		"subCommand" => "delete",
		"params" => new Params(new Param("productID")),
	),
	"table" => "website_widgets",
	"columns" => array(
		"websiteWidgetID" => COLUMN_PRIMARY_KEY,
		"websiteWidgetName" => COLUMN_PRIMARY_NAME,
		"websiteWidgetTpl" => COLUMN_TEXT,
		"code" => COLUMN_TEXT,
		"orderFormID" => COLUMN_ID,
	),
	"relations" => array(
		"products" => array("website_widgets_products_rel", "productIDs", "productID"),
	),
	"display" => array(
	),
);
