<?php

namespace Module\Ssl\Opensrs;

class Regisrty
{
	public static function getInstance()
	{
		if (is_null(self::$_instance)) {
			return self::$_instance = new self();
		}
		return self::$_instance;
	}
	
	public function __get($name)
	{
		if (!isset($this->_resources[$name])) {
			throw new Exception('Resource "' . $name . '" is not registered.');
		}
		return $this->_resources[$name];
	}
	
	public function __set($name, $resource) {
		$this->_resources[$name] = $resource;
	}
	
	private static $_instance = null;
	
	private $_resources = array();
}