{* $Id: AddGeneralJournalEntry.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_GENERAL_JOURNAL' => action_url('accounting', 'ShowGeneralJournal'), 'TRANS_CREATE_GENERAL_JOURNAL_ENTRY');{/php}

<form name="generalform" method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="act" value="{getActionID action="AddGeneralJournalEntryResponse"}">
{section name=i loop=$failreason}
    {include file="$tplDirectory/widgets/showInvalidCustom.tpl" message=$failreason[i] identifier=$smarty.section.i.index class="error"}
{/section}

{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CREATE_GENERAL_JOURNAL_ENTRY"}
<div class="form-row"><div class="field-name">{"TRANS_DATE"|lmsg}</div>
    <div class="field-value">
        {html_select_locale_date time="`$generalDateCreatedYear`-`$generalDateCreatedMonth`-`$generalDateCreatedDay`" start_year=1993 end_year=2029 prefix="general" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order}
    </div>
</div>
<div class="form-row"><div class="field-name">{"TRANS_GENERAL_JOURNAL_DESCRIPTION"|lmsg}</div>
    <div class="field-value">
        <input class="f-middle-size" type="text" size="50" name="generalDescription" value="{$generalDescription}">
    </div>
</div>
<div class="form-row"><div class="field-name">{"TRANS_CURRENCY_ID"|lmsg}</div>
    <div class="field-value">
        <input class="f-middle-size" type="text" size="3" maxlength="3" name="currencyID" value="{$currencyID}" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');">
    </div>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}
{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_LEDGER_ENTRY"}
<div class="form-row">
    <div class="single-row list">
    {"TRANS_LEDGER_ENTRIES_EXPLAINATION"|lmsg}
    </div>
</div>
{include file="$tplDirectory/widgets/ledgerForm.tpl"
      containerClass="box01"
      containerName="leDiv"
      fieldPrefix="addGeneral"
      printScript=1
      currency=""
      formname="generalform"
      existingEntries=$existingEntries
      ledgerAccounts=$ledgerAccounts
      ledgerTypes=$ledgerTypes}

{include file="$tplDirectory/widgets/form-box-footer.tpl"}
{include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}

</form>