{* $Id: AddLedgerAccount.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$ledgerAccounts (array of ledger account data)
 *		ledgerAccountID
 *		ledgerAccountNumber
 *		ledgerAccountType
 * 		ledgerAccountName
 *		ledgerAccountTransKey
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{php}$GLOBALS['__pagePath'] = array('TRANS_ACCOUNTING' => action_url('accounting', 'ShowLedgerAccounts'), 'TRANS_ADD_LEDGER_ACCOUNT');{/php}

{assign var="ledgerAccountID" value=$ledgerAccounts.ledgerAccountID}
<form method="post" action="{getFormAction controller="accounting"}" onsubmit="if (this.ledgerAccountNumber.value=='' || this.ledgerAccountTransKey.value==''){literal}{{/literal}alert('{"TRANS_FILL_IN_ALL_FIELDS"|lmsg|escape:javascript}');return false;{literal}}{/literal}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="act" value="{getActionID action="EditLedgerAccountResponse"}">
    <input type="hidden" name="ledgerAccountID" value="{$account.ledgerAccountID}">

    {include file="$tplDirectory/widgets/form-box-header.tpl"}
    {if $errorMessages}
        <div class="form-row"><div class="single-row">
            {section name=i loop=$errorMessages}
                {assign var="tkey" value=$errorMessages[i]}
                {$tkey|lmsg}<br>
            {/section}</strong>
        </div></div>
    {/if}
    <div class="form-row"><div class="field-name">{"TRANS_GL_ACCOUNT_TYPE"|lmsg}</div>
        <div class="field-value">
            <select class="f-large-size" name="ledgerAccountType">
                {foreach key=key item=item from=$accountTypes}
                    {assign var="tkey" value=$item.1}
                    <option value="{$key}"{if $request.ledgerAccountType==$key} selected="selected"{/if}>{$tkey|lmsg}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_GL_NUMBER"|lmsg}<span class="required">*</span></div>
        <div class="field-value">
            <input class="f-large-size" type="text" size="10" value="{$request.ledgerAccountNumber}" name="ledgerAccountNumber" onkeyup="this.value=XKfilterString(this.value, '1234567890');">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_GL_ACCOUNT_PARENT"|lmsg}</div>
        <div class="field-value">
            <select class="f-large-size" name="parentLedgerAccountID">
                <option value="0">{"TRANS_NONE"|lmsg}</option>
                {include file="$tplDirectory/widgets/accountingLedgerSelect.tpl"
                    selectedLedgerID=$request.parentLedgerAccountID
                    ledgerAccounts=$ledgerAccounts
                    accountTypes=$accountTypes}
            </select>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_LEDGER_ACCOUNT_LABEL"|lmsg}<span class="required">*</span></div>
        <div class="field-value">
            <input class="f-large-size" type="text" size="50" value="{$request.ledgerAccountTransKey}" name="ledgerAccountTransKey">
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_ACCOUNT_KEY_NAME"|lmsg}</div>
        <div class="field-value">
            <input class="f-large-size" type="text" size="20" value="{$request.ledgerAccountName}" name="ledgerAccountName" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyz1234567890_');" onchange="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyz1234567890_');">
            <span class="hint">({"TRANS_ACCOUNT_KEY_ALLOWED"|lmsg})</span>
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>
