{* $Id: ShowAccountingReportsMenu.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a the accounting journals menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_BUSINESS_MONITORING_ACCOUNTING');{/php}
{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_BALANCE_SHEET" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_BALANCE_SHEET_EXPLANATION"|lmsg}</p>
<div class="form-row"><div class="field-name">{"TRANS_BALANCE_SHEET_TODAY"|lmsg}</div>
    <div class="field-value">
        <span class="btn action"><button id="balanceSheetToday" name="balanceSheetToday" value="{"TRANS_SHOW_BALANCE_SHEET"|lmsg}" type="button" onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowBalanceSheetContainer"}&dateRange={$nowDate}';">{"TRANS_SHOW_BALANCE_SHEET"|lmsg}</button></span>
    </div>
</div>
<div class="form-row"><div class="field-name">{"TRANS_SELECT_BALANCE_SHEET_DATE"|lmsg}</div>
    <div class="field-value">
        {html_select_locale_date start_year=1993 end_year=2029 prefix="balanceSheetDate" setID="true" fieldOrder=$localeData.locale_date_order}
    </div>
</div>
<div class="form-row"><div class="single-row">
    <span class="btn action"><button id="billing-id-generate1" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="button" onclick="javascript: goBalanceSheet('balanceSheetDate');">{"TRANS_GENERATE"|lmsg}</button></span>
</div></div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_PROFIT_AND_LOSS_STATEMENT" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_PROFIT_AND_LOSS_EXPLANATION"|lmsg}</p>
<div class="form-row"><div class="field-name">{"TRANS_PROFIT_AND_LOSS_TODAY"|lmsg}</div>
    <div class="field-value">
        <span class="btn action"><button id="profitAndLossToday" name="profitAndLossToday" value="{"TRANS_SHOW_PROFIT_AND_LOSS"|lmsg}" type="button" onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowProfitAndLossContainer"}&profitAndLossBeginMonth={$nowDateParts.0}&profitAndLossBeginDay=1&profitAndLossBeginYear={$nowDateParts.2}&profitAndLossEndMonth={$nowDateParts.0}&profitAndLossEndDay={$nowDateParts.1}&profitAndLossEndYear={$nowDateParts.2}';">{"TRANS_SHOW_PROFIT_AND_LOSS"|lmsg}</button></span>
    </div>
</div>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowProfitAndLossContainer"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="profitAndLossBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="profitAndLossEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate2" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_AR_AGING_REPORT" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_AR_AGING_EXPLANATION"|lmsg}</p>
<div class="form-row"><div class="field-name">{"TRANS_AGING_REPORT_TODAY"|lmsg}</div>
    <div class="field-value">
        <span class="btn action"><button id="agingReportToday" name="agingReportToday" value="{"TRANS_SHOW_AGING_REPORT"|lmsg}" type="button" onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowAgingReportContainer"}&dateRange={$nowDate}';">{"TRANS_SHOW_AGING_REPORT"|lmsg}</button></span>
    </div>
</div>
<div class="form-row"><div class="field-name">{"TRANS_SELECT_AGING_REPORT_DATE"|lmsg}</div>
    <div class="field-value">
        {html_select_locale_date start_year=1993 end_year=2029 prefix="agingReportDate" setID="true" fieldOrder=$localeData.locale_date_order}
    </div>
</div>
<div class="form-row"><div class="single-row">
    <span class="btn action"><button id="billing-id-generate3" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="button" onclick="javascript: goAgingReport('agingReportDate');">{"TRANS_GENERATE"|lmsg}</button></span>
</div></div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_RANGED_CASH_FLOW_REPORT" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_RANGED_CASH_FLOW_EXPLANATION"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowCashFlowContainer"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="cashFlowBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="cashFlowEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate4" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_RANGED_PRODUCT_REVENUE_REPORT" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_RANGED_PRODUCT_REVENUE_EXPLANATION"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowProductsRevenueContainer"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="productsRevenueBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="productsRevenueEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate5" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_DAILY_INVOICE_SHEET" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_DAILY_INVOICE_SHEET_EXPLANATION"|lmsg}</p>
<div class="form-row"><div class="field-name">{"TRANS_INVOICE_SHEET_TODAY"|lmsg}</div>
    <div class="field-value">
        <span class="btn action"><button id="invoiceSheetToday" name="invoiceSheetToday" value="{"TRANS_SHOW_DAILY_INVOICE_SHEET"|lmsg}" type="button" onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowInvoiceSheetContainer"}&dateRange={$nowDate}';">{"TRANS_SHOW_DAILY_INVOICE_SHEET"|lmsg}</button></span>
    </div>
</div>
<div class="form-row"><div class="field-name">{"TRANS_SELECT_INVOICE_SHEET_DATE"|lmsg}</div>
    <div class="field-value">
        {html_select_locale_date start_year=1993 end_year=2029 prefix="invoiceSheetDate" setID="true" fieldOrder=$localeData.locale_date_order}
    </div>
</div>
<div class="form-row"><div class="single-row">
    <span class="btn action"><button id="billing-id-generate6" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="button" onclick="javascript: goInvoiceSheet('invoiceSheetDate');">{"TRANS_GENERATE"|lmsg}</button></span>
</div></div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_RANGED_DAILY_SIGNUP_REPORT" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_RANGED_DAILY_SIGNUP_EXPLANATION"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowSignupSheetContainer"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="signupSheetBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="signupSheetEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate7" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

<script>
{literal}

function getDateFromInput(prefix) {
    return jQuery('#'+prefix+'Month').val()+'/'+jQuery('#'+prefix+'Day').val()+'/'+jQuery('#'+prefix+'Year').val();
}
function goInvoiceSheet(prefix) {
    var date = getDateFromInput(prefix);
    {/literal}
        var url = "{getHREF page="accounting.php" actionName="ShowInvoiceSheetContainer"}&dateRange="+date;
    {literal}
    window.location = url;
}

function goBalanceSheet(prefix) {
    var date = getDateFromInput(prefix);
    {/literal}
        var url = "{getHREF page="accounting.php" actionName="ShowBalanceSheetContainer"}&dateRange="+date;
    {literal}
    window.location = url;
}

function goAgingReport(prefix) {
    var date = getDateFromInput(prefix);
    {/literal}
        var url = "{getHREF page="accounting.php" actionName="ShowAgingReportContainer"}&dateRange="+date;
    {literal}
    window.location = url;
}
{/literal}
</script>