{* $Id: ShowBalanceSheet.tpl 9331 2006-10-06 14:56:50Z mfountain $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
<h2 class="text-center">{"TRANS_BALANCE_SHEET"|lmsg} {"TRANS_THROUGH"|lmsg} {$endDate|getDate:short}</h2>
{foreach key="currencyID" item="totals" from=$ledgerAccountsTotals}
    {include file="$tplDirectory/widgets/list-box-header.tpl" title=$currencyID}
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_GL_ACCOUNT_NUMBER"|lmsg}</th>
                    <th>{"TRANS_GL_ACCOUNT_NAME"|lmsg}</th>
                    <th class="text-right">{"TRANS_BALANCES_AND_TOTALS"|lmsg}</th>
                </tr>
            </thead>
            {assign var="didFirst" value=0}
            {assign var="loopData" value=$totals.asset}
            {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.asset}
            <tbody>
                {section name="i" loop=$loopData}
                    {assign var="accountid" value=$loopData[i].accountInfo.ledgerAccountID}
                    {if $didFirst}
                        {assign var="class" value="odd"}
                    {else}
                        <tr>
                            <td colspan="3">{"TRANS_ASSET_LABEL"|lmsg}</td>
                        </tr>
                        {assign var="didFirst" value=1}
                        {assign var="class" value="even"}
                    {/if}
                    <tr class="{$class}">
                        <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
                        {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
                        <td>{$tkey|lmsg}</td>
                        <td class="text-right">{$loopData[i].total|getAmount:$currencyID}</td>
                    </tr>
                {/section}
                <tr>
                    <td colspan="2" class="text-right">{"TRANS_ASSET_TOTALS"|lmsg}</td>
                    <td class="text-right">{$totalsData|getAmount:$currencyID}</td>
                </tr>
                {* ------------------------------------------------------------- *}

                {* ------------------------ LIABILITY -------------------------- *}

                {assign var="didFirst" value=0}
                {assign var="loopData" value=$totals.liability}
                {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.liability}

                {section name="i" loop=$loopData}
                    {assign var="accountid" value=$loopData[i].accountInfo.ledgerAccountID}
                    {if $didFirst}
                        {assign var="class" value="odd"}
                    {else}
                        <tr>
                            <td colspan="3">{"TRANS_LIABILITY_LABEL"|lmsg}</td>
                        </tr>
                        {assign var="didFirst" value=1}
                        {assign var="class" value="even"}
                    {/if}
                    <tr class="{$class}">
                        <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
                        {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
                        <td>{$tkey|lmsg}</td>
                        <td class="text-right">{$loopData[i].total|getAmount:$currencyID}</td>
                    </tr>
                {/section}

                <tr>
                    <td colspan="2" class="text-right">{"TRANS_LIABILITY_TOTALS"|lmsg}</td>
                    <td class="text-right">{$totalsData|getAmount:$currencyID}</td>
                </tr>

                {* ------------------------------------------------------------- *}

                {* ------------------------ EQUITY ----------------------------- *}

                {assign var="didFirst" value=0}
                {assign var="loopData" value=$totals.equity}
                {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.equity}

                <tr>
                    <td colspan="3">{"TRANS_EQUITY_LABEL"|lmsg}</td>
                </tr>

                {assign var="class" value="first"}
                {section name="i" loop=$loopData}
                    {assign var="accountid" value=$loopData[i].accountInfo.ledgerAccountID}
                    {if $didFirst}
                        {assign var="class" value="odd"}
                    {else}
                        {assign var="didFirst" value=1}
                    {/if}

                    <tr class="{$class}">
                        <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
                        {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
                        <td>{$tkey|lmsg}</td>
                        <td class="text-right">{$loopData[i].total|getAmount:$currencyID}</td>
                    </tr>
                {/section}

                <tr class="{$class}">
                    <td> </td>
                    <td>{"TRANS_CURRENT_RETAINED_EARNINGS"|lmsg}</td>
                    <td class="text-right">{$ledgerTypeTotals.$currencyID.equityretained|getAmount:$currencyID}</td>
                </tr>

                <tr>
                    <td colspan="2" class="text-right">{"TRANS_EQUITY_TOTALS"|lmsg}</td>
                    <td class="text-right">{$totalsData|getAmount:$currencyID}</td>
                </tr>

                {* ------------------------------------------------------------- *}

                <tr class="">
                    <td colspan="2" class="text-right">{"TRANS_LIABILITIES_AND_EQUITY"|lmsg}</td>
                    <td class="text-right">{$ledgerTypeTotals.$currencyID.equity+$ledgerTypeTotals.$currencyID.liability|getAmount:$currencyID}</td>
                </tr>
            </tbody>
        </table>
    </div>
    {include file="$tplDirectory/widgets/list-box-footer.tpl"}
{/foreach}
<p>{"TRANS_RETAINED_EXPLAINATION"|lmsg}</p>