{* $Id: ShowCashFlow.tpl 10125 2006-11-27 16:53:24Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
<h2 class="text-center">{"TRANS_CASH_FLOW_REPORT"|lmsg} {"TRANS_BEGINNING"|lmsg} {$startDate|getDate:short} - {"TRANS_ENDING"|lmsg} {$endDate|getDate:short}</h2>
{if $noData==1}
    {"TRANS_NO_ENTRIES_IN_RANGE"|lmsg}
{else}
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_LEDGER_ACCOUNT"|lmsg}</th>
                    <th>{"TRANS_CURRENCY"|lmsg}</th>
                    <th>{"TRANS_DEBITS"|lmsg}</th>
                    <th>{"TRANS_CREDITS"|lmsg}</th>
                    <th>{"TRANS_NET_CHANGE"|lmsg}</th>
                </tr>
            </thead>
            <tbody>
                {include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.cash description="TRANS_CASH_FLOW_CASH_ACCOUNT_DESCRIPTION"}
                {if $accountTotals.cash_1}
                    {include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.cash_1 description="TRANS_CASH_FLOW_CASH_ACCOUNT_DESCRIPTION"}
                {/if}
                {if $accountTotals.cash_2}
                    {include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.cash_2 description="TRANS_CASH_FLOW_CASH_ACCOUNT_DESCRIPTION"}
                {/if}
                {include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.customer_credits description="TRANS_CASH_FLOW_CLIENT_CREDITS_ACCOUNT_DESCRIPTION"}
                {include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.accounts_receivable description="TRANS_CASH_FLOW_AR_ACCOUNT_DESCRIPTION"}
                {if $accountTotals.authorized_payments}
                    {include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.authorized_payments description="TRANS_CASH_FLOW_AUTHORIZED_ACCOUNT_DESCRIPTION"}
                {/if}
                {if $accountTotals.deferred_revenue}
                    {include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.deferred_revenue reverseRedGreen="yes" description="TRANS_CASH_FLOW_DEFERRED_REVENUE_ACCOUNT_DESCRIPTION"}
                {/if}
            </tbody>
        </table>
    </div>
    <div class="list">
        <table width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_SUMMARY"|lmsg}</th>
                    {foreach key="k" item="currencyID" from=$currencies}
                        <th>{$currencyID}</th>
                    {/foreach}
                </tr>
            </thead>
            <tbody>
                <tr class="odd">
                    <td class="text-right">{"TRANS_YOU_COLLECTED"|lmsg} </td>
                    {foreach key="k" item="currencyID" from=$currencies}
                        <td class="text-right">{$accountTotals.cash[$currencyID].debits+$accountTotals.cash_1[$currencyID].debits+$accountTotals.cash_2[$currencyID].debits|getAmount:$currencyID}</td>
                    {/foreach}
                </tr>
                <tr class="even">
                    <td class="text-right">{"TRANS_YOU_AUTHORIZED"|lmsg} </td>
                    {foreach key="k" item="currencyID" from=$currencies}
                        <td class="text-right">{$accountTotals.authorized_payments[$currencyID].debits+$accountTotals.cash_1[$currencyID].debits+$accountTotals.cash_2[$currencyID].debits|getAmount:$currencyID}</td>
                    {/foreach}
                </tr>
                <tr class="odd">
                    <td class="text-right">{"TRANS_YOU_PAID_OUT"|lmsg} </td>
                    {foreach key="k" item="currencyID" from=$currencies}
                        <td class="text-right">{$accountTotals.cash[$currencyID].credits+$accountTotals.cash_1[$currencyID].credits+$accountTotals.cash_2[$currencyID].credits|getAmount:$currencyID}</td>
                    {/foreach}
                </tr>
                <tr class="even">
                    <td class="text-right">{"TRANS_YOU_INVOICED_FOR"|lmsg} </td>
                    {foreach key="k" item="currencyID" from=$currencies}
                        <td class="text-right">{$accountTotals.accounts_receivable[$currencyID].debits|getAmount:$currencyID}</td>
                    {/foreach}
                </tr>
                <tr class="odd">
                    <td class="text-right">{"TRANS_YOU_DEFERRED_THIS_REVENUE"|lmsg} </td>
                    {foreach key="k" item="currencyID" from=$currencies}
                        <td class="text-right">{$accountTotals.deferred_revenue[$currencyID].debits|getAmount:$currencyID}</td>
                    {/foreach}
                </tr>
                <tr class="even">
                    <td class="text-right">{"TRANS_YOU_EARNED_THIS_MUCH_DEFERRED_REVENUE"|lmsg} </td>
                    {foreach key="k" item="currencyID" from=$currencies}
                        <td class="text-right">{$accountTotals.deferred_revenue[$currencyID].credits|getAmount:$currencyID}</td>
                    {/foreach}
                </tr>
            </tbody>
        </table>
    </div>
{/if}