{* $Id: ShowGeneralJournal.tpl 7960 2006-07-06 16:30:12Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_GENERAL_JOURNAL');{/php}

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<div class="actions-box">
    <div class="objects-toolbar clearfix">
        <a id="billing-id-add-new" class="s-btn sb-add-new" title="{"TRANS_CREATE_GENERAL_JOURNAL_ENTRY"|lmsg}" href="{getHREF page="accounting.php" actionName="AddGeneralJournalEntry"}">
            <i><i><i><span>{"TRANS_CREATE_GENERAL_JOURNAL_ENTRY"|lmsg}</span></i></i></i>
        </a>
    </div>
</div>
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GENERAL_JOURNAL_ID" sortColumn="generalJournalID"}
                {include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" headerName="TRANS_DATE" sortColumn="generalDateCreated"}
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GENERAL_JOURNAL_DESCRIPTION" sortColumn="generalDescription"}
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_CURRENCY_ID" sortColumn="currencyID"}
                {include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerName="TRANS_DEBITS" sortColumn="generalDebitAmount"}
                {include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerName="TRANS_CREDITS" sortColumn="generalCreditAmount"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT"}
            </tr>
        </thead>
        <tbody>
            {section name=i loop=$entries}
                <tr class="{cycle values="odd,even"}">
                    <td>{$entries[i].generalJournalID}</td>
                    <td>{$entries[i].generalDateCreated|getDate:short}</td>
                    <td>{$entries[i].generalDescription}</td>
                    <td>{$entries[i].currencyID}</td>
                    <td class="text-right">{$entries[i].generalDebitAmount|getAmount:$entries[i].currencyID:false}</td>
                    <td class="text-right">{$entries[i].generalCreditAmount|getAmount:$entries[i].currencyID:false}</td>
                    <td>
                        {include file="$tplDirectory/widgets/actionLink.tpl"
                            page="accounting.php"
                            actionName="EditGeneralJournalEntry"
                            args="generalJournalID=`$entries[i].generalJournalID`"
                            icoImage="edit"
                            altText="TRANS_EDIT"
                            linkText="TRANS_EDIT"}
                    </td>
                </tr>
            {sectionelse}
                <tr class="odd">
                    <td colspan="7">{"TRANS_NO_TRANSACTIONS"|lmsg}</td>
                </tr>
            {/section}
        </tbody>
    </table>
</div>
{include file="$tplDirectory/widgets/paginationLinks.tpl"}
