{* $Id: ShowJournalsMenu.tpl 9891 2006-10-31 21:49:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a the accounting journals menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_DAILY_JOURNALS');{/php}
{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_SALES_AND_RECEIPTS_JOURNAL" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_SALES_AND_RECEIPTS_DESC"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowReceiptsJournal"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="salesJournalBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="salesJournalEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate1" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}

{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_PURCHASES_JOURNAL" isContentCollapsible=true isContentCollapsed=true}
<p>{"TRANS_PURCHASES_JOURNAL_DESC"|lmsg}</p>
<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="ShowPurchasesJournal"}">
    <input type="hidden" name="token" value="{$token}">
    <div class="form-row"><div class="field-name">{"TRANS_FROM"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="purchasesJournalBegin" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_TO"|lmsg}</div>
        <div class="field-value">
            {html_select_locale_date start_year=1993 end_year=2029 prefix="purchasesJournalEnd" setID="true" fieldOrder=$localeData.locale_date_order}
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        <span class="btn action"><button id="billing-id-generate2" name="generate" value="{"TRANS_GENERATE"|lmsg}" type="submit">{"TRANS_GENERATE"|lmsg}</button></span>
    </div></div>
</form>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}