{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CLIENTS', 'TRANS_ADD_NEW_CLIENT_LEGEND');{/php}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{if $smarty.const.numClientsRemaining<1}
    <div class="form-row error"><div class="single-row">
        {"TRANS_YOUR_LICENSE_ONLY_ALLOWS"|lmsg} <strong>{$smarty.const.numClients}</strong> {"TRANS_ACTIVE_CLIENT_SLOTS"|lmsg}<br>
        {"TRANS_EITHER_PURCHASE_A_LARGER_CAPACITY_LICENSE_OR_REMOVE_OR_ARCHIVE_SOME_OLD_CLIENTS"|lmsg}
    </div></div>
{else}
    <form id="billing-id-add-customer" name="addClientForm" method="post" action="{getFormAction controller="clients"}">
        <input type="hidden" name="act" value="{getActionID action="AddClientResponse"}">
        <input type="hidden" name="nextAction" value="AddClientContact">
        <input type="hidden" name="token" value="{$token}">
        <input type="hidden" name="clientActive" value="1">
        <input type="hidden" name="skinID" value="winxp.new">
        <input type="hidden" name="contactPrimary" value="{$formValues.contactPrimary}">

        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CLIENT_DETAILS_LEGEND"}
        <div class="form-row {if $invalid.clientType}error{/if}"><div class="field-name"><label for="clientType">{"TRANS_CUSTOMER_TYPE_OPTION"|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                <select class="f-large-size" id="clientType" name="clientType">{html_options options=$clientTypes selected=$formValues.clientType}</select> {if $invalid.clientType}<span class="error-hint">{$invalid.clientType}</span>{/if}
            </div></div>
        </div>
        <div class="form-row {if $invalid.groupID}error{/if}"><div class="field-name"><label for="groupID">{"TRANS_CLIENT_GROUP"|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                <select class="f-large-size" id="groupID" name="groupID">{html_options options=$attributeGroups selected=$formValues.groupID}</select>
                {if $permissionCustomerGroups}
                    [{include
                        file="$tplDirectory/widgets/actionLink.tpl"
                        page="clients.php"
                        actionName="ShowAttributeGroups"
                        args="groupID=`$formValues.groupID`"
                        altText="TRANS_MANAGE"
                        linkText="TRANS_MANAGE"}]
                {/if}
                <div class="hint">{"TRANS_CLIENT_GROUP_DESC"|lmsg}</div>
            </div></div>
        </div>
        {include file="$tplDirectory/widgets/form-box-footer.tpl"}

        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_CLIENT_STATUS"}
        <div class="form-row {if $invalid.clientStatus}error{/if}"><div class="field-name"><label for="clientStatus">{"TRANS_CURRENT_CLIENT_STATUS"|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                <select class="f-large-size" id="clientStatus" name="clientStatus">{html_options options=$statusList selected=$formValues.clientStatus}</select>
                <div class="hint">{"TRANS_CURRENT_STATUS_CHANGING"|lmsg}</div>
            </div></div>
        </div>
        {include file="$tplDirectory/widgets/form-box-footer.tpl"}

        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_BILLING_AND_TAX_SETTINGS"}
        <div class="form-row {if $invalid.clientBillingDay}error{/if}"><div class="field-name"><label for="clientBillingDay">{"TRANS_BILLING_DAY_OF_MONTH"|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                <select class="f-large-size" id="clientBillingDay" name="clientBillingDay">
                    <option value="0" selected="selected">{"TRANS_OBEY_SYSTEMWIDE_SETTINGS"|lmsg}</option>
                    {section name=item loop=29 start=1}
                        <option value="{$smarty.section.item.iteration}">{$smarty.section.item.iteration}</option>
                    {/section}
                </select>
                {if $invalid.clientBillingDay}<span class="error-hint">{$invalid.clientBillingDay}</span>{/if}
                <span class="hint">{"TRANS_BILLING_DAY_EXPLAINED"|lmsg}</span>
            </div></div>
        </div>
        <div class="form-row {if $invalid.applyTax}error{/if}"><div class="field-name"><label>{"TRANS_IS_TAXABLE"|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                <input type="radio" name="applyTax" value="1" {if $formValues.applyTax=="1"}checked="checked"{/if}> {"TRANS_YES"|lmsg}
                <br>
                <input type="radio" name="applyTax" value="0" {if $formValues.applyTax!="1"}checked="checked"{/if}> {"TRANS_NO"|lmsg}
                <br>
                <div class="hint">{"TRANS_IS_TAXABLE_DESC"|lmsg}</div>
            </div></div>
        </div>
        <div class="form-row {if $invalid.taxIDNumber}error{/if}"><div class="field-name"><label for="taxIDNumber">{"TRANS_TAX_ID_NUMBER"|lmsg}</label></div>
            <div class="field-value"><div class="text-value">
                <input class="f-large-size text-input" maxlength="50" id="taxIDNumber" type="text" name="taxIDNumber" value="{$formValues.taxIDNumber|safetyhtml}">
                {if $invalid.taxIDNumber}<span class="error-hint">{$invalid.taxIDNumber}</span>{/if}
                <div class="hint">{"TRANS_TAX_ID_NUMBER_DESC"|lmsg}</div>
            </div></div>
        </div>
        {include file="$tplDirectory/widgets/form-box-footer.tpl"}
        {include file="$commonTplDirectory/clients/commonCustomerContact.tpl" isUsernameChangeable=true isPasswordRequired=true formId="billing-id-add-customer" }

        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_BILLING_ACCOUNT_LEGEND"}
        <div class="form-row {if $invalid.billingAccountType}error{/if}"><div class="field-name">{"TRANS_TYPE"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {section name=billing loop=$billingAccountTypes}
                    {assign var="thisBillingAccountType" value=$billingAccountTypes[billing]}
                    {assign var="thisBillingAccountTypeIndex" value=$smarty.section.billing.index}
                    <label for="type_{$thisBillingAccountTypeIndex}"><input onclick="updateTypeEnableState()" id="type_{$thisBillingAccountTypeIndex}" type="radio" class="radio" name="billingAccountType" value="{$thisBillingAccountTypeIndex}" {if $thisBillingAccountTypeIndex == $formValues.billingAccountType}checked="checked"{/if}> {$thisBillingAccountType}</label>
                    <br>
                {/section}
            </div></div>
        </div>
        {include file="$tplDirectory/widgets/form-box-footer.tpl"}

        {include file="$commonTplDirectory/clients/commonBillingAccount.tpl"}
        {buttons id='billing-id-save' class='action' name='save' value='TRANS_ADD_CLIENT' type='submit' label='TRANS_ADD_CLIENT'}
        {include file="$commonTplDirectory/widgets/buttons.tpl" buttons=$buttons}
    </form>
{/if}