{php}
$client = $this->get_template_vars('client');
$GLOBALS['__pagePath'] = array(
    'TRANS_BILLING_ACCOUNTS' => action_url("clients", "ShowBillingAccounts", array('clientID' => $client['clientID'])),
    'TRANS_EDIT'
);
{/php}
{if $isBlockedByQuarantine}
    <div class="msg-box msg-warning"><div><div><div><div><div>
        <div class="msg-content">
            <span class="title">{"TRANS_BILLING_ACCOUNT_BLOCKED_BY_QUARATINE"|lmsg:date:$billingAccountQuarantineDate}</span>
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                id="billing-id-billing-account-quarantine-stop"
                module="clients"
                controller="billing-account"
                action="quarantine-stop"
                arguments="id=`$billingAccount.billingAccountID`"
                altText="TRANS_BILLING_ACCOUNT_QUARANTINE_STOP"
                linkText="TRANS_BILLING_ACCOUNT_QUARANTINE_STOP"}
        </div>
    </div></div></div></div></div></div>
{/if}
{if $isBlockedByLimitOfFailures}
    <div class="msg-box msg-warning"><div><div><div><div><div>
        <div class="msg-content">
            <span class="title">{"TRANS_BILLING_ACCOUNT_BLOCKED_BY_LIMIT_FAILURES"|lmsg}</span>
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                id="billing-id-billing-account-limit-failures-reset"
                module="clients"
                controller="billing-account"
                action="limit-failures-reset"
                arguments="id=`$billingAccount.billingAccountID`"
                altText="TRANS_BILLING_ACCOUNT_LIMIT_FAILURES_RESET"
                linkText="TRANS_BILLING_ACCOUNT_LIMIT_FAILURES_RESET"}
        </div>
    </div></div></div></div></div></div>
{/if}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/contact.tpl" contact=$contact suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}

<form method="post" name="billing" id="billing" action="{getFormAction controller="clients"}" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
    <input type="hidden" name="act" value="{getActionID action="EditBillingAccountResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="clientID" value="{$client.clientID}">
    <input type="hidden" name="clientContactID" value="{$contact.clientContactID}">
    <input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}">
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_BILLING_ACCOUNT_LEGEND"}
    <div class="form-row {if $invalid.billingAccountType}error{/if}"><div class="field-name">{"TRANS_TYPE"|lmsg}</div>
        <div class="field-value">
            <input id="billingAccountType" type="hidden" name="billingAccountType" value="{$formValues.billingAccountType}">
            <label for="billingAccountType">{$billingAccountTypeName|lmsg}</label>
            {$invalid.billingAccountType}
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_DEFAULT"|lmsg}</div>
        <div class="field-value">
            <label for="defaultBillingAccount">
                <input id="defaultBillingAccount" type="checkbox" name="defaultBillingAccount" value="1" {if $client.defaultBillingAccountID==$billingAccount.billingAccountID}checked="checked" disabled="disabled"{/if}> - {"TRANS_THIS_ACCOUNT_IS_THE_DEFAULT_BILLING_ACCOUNT_FOR_THIS_CLIENT"|lmsg}
            </label>
            {if $client.defaultBillingAccountID==$billingAccount.billingAccountID}
                <div class="hint">{"TRANS_TO_REMOVE_THIS_AS_THE_DEFAULT_ACCOUNT_EDIT_THE_CLIENT_OR_ANOTHER_BILLING_ACCOUNT"|lmsg}</div>
            {/if}
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {include file="$commonTplDirectory/clients/commonBillingAccount.tpl" showDecryptedLink=true}

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR"}
    <div class="single-row">
        {if $paymentQueue_enableAdvancedShareEditing!=1}
            {$doubleListSelector->doubleListSelector("subscriptions", "", $doubleListSelectorAttribs, $doubleListSelectorOptions) }
        {else}
            {"TRANS_ADVANCED_BILLING_ACCOUNT_EDITING_IS_ON_GOTO_PACKAGES_TO_EDIT"|lmsg}
        {/if}
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>