{* $Id: ManageClientAction.tpl 9739 2006-10-19 23:36:15Z achrist $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}

{if $clientIsReseller}
	{assign var='accountStatusTitle' value='TRANS_RESELLER_STATUS_INFO_LEGEND'}
	{assign var='accountStatusReason' value='TRANS_RESELLER_STATUS_REASON_FOR_CHANGE_OPTION'}
{else}
	{assign var='accountStatusTitle' value='TRANS_CLIENT_STATUS_INFO'}
	{assign var='accountStatusReason' value='TRANS_CUSTOMER_STATUS_REASON_FOR_CHANGE_OPTION'}
{/if}

{**********************************ManageClientActionActivate**********************************}
{if $actionName == "ManageClientActionActivate"}

	{assign var=childName value="TRANS_ACTIVE_CLIENT"}
	{assign var=checkboxName value="TRANS_ACTIVATE"}
	{assign var=responseActionName value="ManageClientActionActivateResponse"}
    {assign var=description value="TRANS_MANAGE_CLIENTS_ACTIVATE_DESC"}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_ACTIVE_CLIENT', '');{/php}

{**********************************ManageClientActionSuspend**********************************}
{elseif $actionName == "ManageClientActionSuspend"}

	{assign var=actionTransName value="TRANS_SUSPEND_CLIENT"}
	{assign var=checkboxName value="TRANS_MANAGE_CLIENTS_SUSPEND_CLIENT_SUSPEND_PRODUCT"}
    {assign var=checkboxDelName value="TRANS_MANAGE_CLIENTS_SUSPEND_CLIENT_DELETE_PRODUCT"}
	{assign var=actionResponseName value="ManageClientActionSuspendResponse"}
    {assign var=description value="TRANS_MANAGE_CLIENTS_SUSPEND_DESC"}

	{assign var=newStatusID value="client"|getStatusID:"suspended"}
	{assign var=newStatusTransName value="TRANS_SUSPEND"}
	{assign var=packageAction value="suspend"}
	{assign var=panelAction value="suspend"}

	{if $clientIsReseller}
		{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_RESELLERS', 'TRANS_RESELLER_SUSPEND', '');{/php}
		{assign var='accountStatusDesc' value='TRANS_RESELLER_SUSPEND_DESC'}
		{assign var='subscriptionsDesc' value='TRANS_RESELLER_SUSPEND_SUBSCRIPTIONS_DESC'}
	{else}
		{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_SUSPEND_CLIENT', '');{/php}
		{assign var='accountStatusDesc' value='TRANS_CUSTOMER_SUSPEND_DESC'}
		{assign var='subscriptionsDesc' value='TRANS_CUSTOMER_SUSPEND_SUBSCRIPTIONS_DESC'}
	{/if}

{**********************************ManageClientActionUnsuspend**********************************}
{elseif $actionName == "ManageClientActionUnsuspend"}

	{assign var=actionTransName value="TRANS_UNSUSPEND_CLIENT"}
	{assign var=checkboxName value="TRANS_ACTIVATE"}
	{assign var=actionResponseName value="ManageClientActionUnsuspendResponse"}
    {assign var=description value="TRANS_MANAGE_CLIENTS_ACTIVATE_DESC"}

	{assign var=newStatusID value="client"|getStatusID:"none"} {* non = active *}
	{assign var=newStatusTransName value="TRANS_ACTIVE"}
	{assign var=packageAction value="unsuspend"}
	{assign var=panelAction value="enable"}

	{if $clientIsReseller}
		{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_RESELLERS', 'TRANS_RESELLER_UNSUSPEND', '');{/php}
		{assign var='accountStatusDesc' value='TRANS_RESELLER_UNSUSPEND_DESC'}
		{assign var='subscriptionsDesc' value='TRANS_RESELLER_UNSUSPEND_SUBSCRIPTIONS_DESC'}
	{else}
		{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_UNSUSPEND_CLIENT', '');{/php}
		{assign var='accountStatusDesc' value='TRANS_CUSTOMER_UNSUSPEND_DESC'}
		{assign var='subscriptionsDesc' value='TRANS_CUSTOMER_UNSUSPEND_SUBSCRIPTIONS_DESC'}
	{/if}

{**********************************ManageClientActionCancel**********************************}
{elseif $actionName == "ManageClientActionCancel"}

	{assign var=actionTransName value="TRANS_CANCEL_CLIENT"}
	{assign var=checkboxName value="TRANS_MANAGE_CLIENTS_CANCEL_CLIENT_CANCEL_PRODUCT"}
    {assign var=checkboxDelName value="TRANS_MANAGE_CLIENTS_CANCEL_CLIENT_DELETE_PRODUCT"}
	{assign var=actionResponseName value="ManageClientActionCancelResponse"}
    {assign var=description value="TRANS_MANAGE_CLIENTS_CANCEL_DESC"}

	{assign var=newStatusID value="client"|getStatusID:"canceled"}
	{assign var=newStatusTransName value="TRANS_CLIENT_STATUS_CANCELED"}
	{assign var=packageAction value="cancel"}
	{assign var=panelAction value="suspend"}

	{if $clientIsReseller}
		{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_RESELLERS', 'TRANS_RESELLER_CANCEL', '');{/php}
		{assign var='accountStatusDesc' value='TRANS_RESELLER_CANCEL_DESC'}
		{assign var='subscriptionsDesc' value='TRANS_RESELLER_CANCEL_SUBSCRIPTIONS_DESC'}
	{else}
		{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CANCEL_CLIENT', '');{/php}
		{assign var='accountStatusDesc' value='TRANS_CUSTOMER_CANCEL_DESC'}
		{assign var='subscriptionsDesc' value='TRANS_CUSTOMER_CANCEL_SUBSCRIPTIONS_DESC'}
	{/if}

{**********************************ManageClientActionPurge**********************************}
{elseif $actionName == "ManageClientActionPurge"}

	{assign var=actionTransName value="TRANS_PURGE_CLIENT"}
	{assign var=checkboxName value="TRANS_PURGE"}
	{assign var=actionResponseName value="ManageClientActionPurgeResponse"}

	{assign var=newStatusID value="client"|getStatusID:"canceled"}
	{assign var=newStatusTransName value="TRANS_CLIENT_STATUS_CANCELED"}
	{assign var=packageAction value="cancel"}
	{assign var=panelAction value="suspend"}

	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_PURGE_CLIENT', '');{/php}

{/if}


<script>
    {literal}
        function cbx_register_click(id,targetID) {
            setTimeout('cbx_process_event("'+id+'","'+targetID+'");',100);
        }
        function cbx_process_event(id,targetID) {
            if (document.getElementById(id).checked) {
                cbx_select(id,targetID);
            } else {
                cbx_deselect(id,targetID);
            }
        }
        function cbx_select(id,targetID) {
            document.getElementById(targetID).disabled = true;
            document.getElementById(targetID).checked = false;
        }
        function cbx_deselect(id,targetID) {
            document.getElementById(targetID).disabled = false;
        }
    {/literal}
</script>

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink=1 suppressDeleteLink=1}

<br>

<form method="post" action="{getFormAction controller="clients"}">
    <input type="hidden" name="act" value="{getActionID action=$actionResponseName}">
    <input type="hidden" name="referralActionID" value="{getActionID action="ShowClientDetails"}">
    <input type="hidden" name="clientID" value="{$client.clientID}">
    <input type="hidden" name="token" value="{$token}">

    {include file="$tplDirectory/widgets/form-box-header.tpl" title="`$accountStatusTitle`" desc="`$accountStatusDesc`"}
    <div class="form-row"><div class="field-name">{"TRANS_CURRENT_CLIENT_STATUS"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            {$client.clientStatus|getStatusName:"client"}
        </div></div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_SET_NEW_CLIENT_STATUS"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <input class="checkbox" type="checkbox" name="newStatusID" value="{$newStatusID}" checked="checked">{$smarty.const.$newStatusTransName}
        </div></div>
    </div>
    <div class="form-row"><div class="field-name">{$accountStatusReason|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <textarea class="f-large-size" name="clientStatusReason"></textarea>
        </div></div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {foreach from=$groupedPackages key="packageType" item="packages"}
    <div class="form-box">
        <div class="box-area">
            <div class="title"><div class="title-area"><h3><span>{"TRANS_PACKAGETYPE"|lmsg} {$packageType|getTypeName:"products"}</span></h3></div></div>
            <div class="content">
                <div class="content-area">
                    <div class="content-wrapper">
                        {if $packageType == "products"|getTypeID:"domain"}
                            <div class="msgWarning"><strong>{"TRANS_NOTICE"|lmsg}</strong> {"TRANS_DOMAIN_PRODUCT_NOTICE"|lmsg}</div>
                        {elseif $packageType == "products"|getTypeID:"cert"}
                            <div class="msgWarning"><strong>{"TRANS_NOTICE"|lmsg}</strong> {"TRANS_CERT_PRODUCT_NOTICE"|lmsg}</div>
                        {elseif !is_null($description)}
                            <div class="msgWarning">{$description|lmsg}</div>
                        {/if}
                        <p>{$subscriptionsDesc|lmsg}</p>
                        <div class="list">
                            <table width="100%" cellspacing="0">
                                <thead>
                                    <tr>
                                        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ID"}
                                        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_PACKAGE"}
                                        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CYCLE"}
                                        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_PRICE"}
                                        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_NEXT_RENEWAL"}
                                        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CURRENT_PACKAGE_STATUS"}
                                        {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTION"}
                                    </tr>
                                </thead>
                                {section name=i loop="$packages"}
                                    {assign var="packageID" value=$packages[i].packageID}
                                    {assign var="events" value=$packages[i].systemQueueItems}
                                    {assign var="currencyID" value=$packages[i].currencyID}
                                    <tbody>
                                        <tr class="{cycle values="odd,even"}">
                                            <td>
                                                {include
                                                    file="$tplDirectory/widgets/actionLink.tpl"
                                                    page="packages.php"
                                                    actionName="ShowPackageDetails"
                                                    args="packageID=$packageID"
                                                    altText=$packageID
                                                    linkText=$packageID
                                                    target="_blank"}
                                            </td>
                                            <td>{$packages[i].packageName|stripslashes}</td>
                                            <td>{$packages[i].cycleID|getCycleName|lmsg}</td>
                                            <td>{$packages[i].packagePrice|getAmount:$packages[i].currencyID}</td>
                                            <td>{$packages[i].packageDateNextRenewal|getDate}</td>
                                            <td>{$packages[i].packageStatus|getStatusName:"package"}</td>
                                            <td>
                                                {assign var="disabled" value=false}
                                                {if $packageType == "products"|getTypeID:"domain" ||
                                                    $packageType == "products"|getTypeID:"cert"}
                                                    {assign var="disabled" value=true}
                                                {/if}
                                                {*******************************************
                                                //Possible package status
                                                //	suspend, unsuspend, cancel, archive
                                                //
                                                //Possible panel actions
                                                //	suspend, unsuspend, delete
                                                *******************************************}
                                                <input type="radio" name="packages[{$packageID}]" value="{$packageAction},{$panelAction}"
                                                    {if $disabled}disabled="disabled"{/if}> {$checkboxName|lmsg}
                                                {if !is_null($checkboxDelName)}    
                                                    <br>
                                                    <input type="radio" name="packages[{$packageID}]" value="{$packageAction},delete"
                                                        {if $disabled}disabled="disabled"{/if}> {$checkboxDelName|lmsg}
                                                {/if}
                                                <br>
                                                <input type="radio" name="packages[{$packageID}]" value="no_action"
                                                    {if $disabled}disabled="disabled"{/if} checked="checked"> {"TRANS_DONT_CHANGE_STATUS"|lmsg}
                                            </td>
                                        </tr>
                                    </tbody>
                                {/section}
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {/foreach}

    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>