<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_INVOICE_NUMBER"|lmsg}</th>
                <th class="text-right">{"TRANS_AMOUNT"|lmsg}</th>
                <th class="text-center">{"TRANS_ENTERED"|lmsg}</th>
                <th class="text-center">{"TRANS_DUE_HEADER"|lmsg}</th>
                <th>{"TRANS_STATUS"|lmsg}</th>
                <th>{"TRANS_ACTIONS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {section name="i" loop=$invoices}
                {assign var="xclientID" value=$invoices[i].clientID}
                {assign var="clientContactID" value=$invoices[i].clientContactID}
                {assign var="invoiceID" value=$invoices[i].invoiceID}
                {assign var="invoiceNumber" value=$invoices[i].invoiceNumber}
                {assign var="extendeddata" value=$invoices[i].lineItems.lineItem.0}
                {assign var=currencyID value=$invoice[i].currencyID}
                <tr class="{cycle values='odd,even'}">
                    <td>
                        {if $invoiceNumber}
                           {include
                                file="$tplDirectory/widgets/actionLink.tpl"
                                page="invoices.php"
                                actionName="ShowInvoiceDetails"
                                args="invoiceID=$invoiceID"
                                altText=$invoiceNumber
                                linkText=$invoiceNumber}
                        {else}
                            {"TRANS_ASSIGNING_INVOICE_NUMBER"|lmsg}
                        {/if}
                    </td>
                    <td class="text-right">
                        {$invoices[i].invoiceAmount|getAmount:$invoices[i].currencyID}
                    </td>
                    <td class="text-center">
                        {$invoices[i].invoiceDateEntered|getDate}
                    </td>
                    <td class="text-center">
                        {$invoices[i].invoiceDateDue|getDate}
                    </td>
                    <td>
                        {$invoices[i].invoiceStatus|getArrayValueByID:$invoiceStatusList|lmsg}
                    </td>
                    <td>
                        {include
                            file="$tplDirectory/widgets/actionLink.tpl"
                            page="invoice_pdf.php"
                            args="invoiceID=$invoiceID"
                            icoImage="print.png"
                            altText="TRANS_PRINT"
                            linkText="TRANS_PRINT"
                            target="_blank"}
                    </td>
                </tr>
            {sectionelse}
                <tr>
                    <td colspan="6">{"TRANS_NORESULTS"|lmsg}</td>
                </tr>
            {/section}
        </tbody>
    </table>
</div>