{assign var="numCols" value="9"}

<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_ID"|lmsg}</th>
                <th>{"TRANS_PACKAGE"|lmsg}</th>
                <th>{"TRANS_PACKAGE_TYPE"|lmsg}</th>
                <th>{"TRANS_CYCLE"|lmsg}</th>
                <th>{"TRANS_LAST_RENEWAL"|lmsg}</th>
                <th>{"TRANS_NEXT_RENEWAL"|lmsg}</th>
                <th>{"TRANS_STATUS"|lmsg}</th>
                <th>{"TRANS_ACTIONS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {section name=i loop="$packages"}
                {assign var="packageID" value=$packages[i].packageID}
                {assign var="events" value=$packages[i].systemQueueItems}
                {assign var="currencyID" value=$packages[i].currencyID}
                <tr class="{cycle values="odd,even"}">
                    <td>
                        {include
                            file="$tplDirectory/widgets/actionLink.tpl"
                            id="billing-id-expand-collapse-$packageID-1"
                            onclick="jQuery('#row_$packageID').toggle();"
                            javascriptLink="void(0);"
                            icoImage="expand.png"
                            altText=$packageID
                            linkText=$packageID}
                    </td>
                    <td>{$packages[i].packageName|safetyhtml}</td>
                    <td>{$packages[i].packageType|getTypeName:"products"}</td>
                    <td class="text-center">{$packages[i].cycleID|getArrayValueByID:$cycles}</td>
                    <td class="text-center">{$packages[i].packageDateLastRenewal|getDate}</td>
                    <td class="text-center">{$packages[i].packageDateNextRenewal|getDate}</td>
                    <td>{$packages[i].packageStatus|getStatusName:"package"}</td>
                    <td>
                        {include
                            file="$tplDirectory/widgets/actionLink.tpl"
                            id="billing-id-expand-collapse-$packageID-2"
                            onclick="jQuery('#row_$packageID').toggle();"
                            javascriptLink="void(0);"
                            icoImage="expand.png"
                            altText="TRANS_VIEW"
                            linkText="TRANS_VIEW"}
                    </td>
                </tr>
                {if $packages[i].packageMeta.ip ||
                    $packages[i].packageMeta.ipv6 ||
                    $packages[i].packageMeta.domainUserName ||
                    $packages[i].packageMeta.clientLogin ||
                    $packages[i].packageMeta.packageUserName ||
                    $packages[i].packageMeta.ftpUsername ||
                    $packages[i].packageMeta.configGroupName ||
                    $packages[i].packageMeta.serverGroupName ||
                    $packages[i].packageMeta.domainName}
                    <tr class="{cycle values="even,odd"}">
                        <td colspan="{$numCols}">
                            {if $packages[i].packageMeta.ip}
                                [{"TRANS_SERVER_IP"|lmsg}&nbsp;{$packages[i].packageMeta.ip|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {/if}
                            {if $packages[i].packageMeta.ipv6}
                                [{"TRANS_SERVER_IP"|lmsg}&nbsp;{$packages[i].packageMeta.ipv6|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {/if}
                            {if $packages[i].packageMeta.domainUserName}
                                [{"TRANS_USERNAME"|lmsg}&nbsp;{$packages[i].packageMeta.domainUserName|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {elseif $packages[i].packageMeta.clientLogin}
                                [{"TRANS_USERNAME"|lmsg}&nbsp;{$packages[i].packageMeta.clientLogin|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {elseif $packages[i].packageMeta.packageUserName}
                                [{"TRANS_USERNAME"|lmsg}&nbsp;{$packages[i].packageMeta.packageUserName|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {/if}
                            {if $packages[i].packageMeta.ftpUsername}
                                [{"TRANS_PACKAGE_ATTRIBUTES__FTPUSERNAME"|lmsg}&nbsp;{$packages[i].packageMeta.ftpUsername|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {/if}
                            {if $packages[i].packageMeta.configGroupName}
                                [{"TRANS_PANEL_SERVERNAME_OPTION"|lmsg}&nbsp;{$packages[i].packageMeta.configGroupName|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {/if}
                            {if $packages[i].packageMeta.serverGroupName}
                                [{"TRANS_SERVER_GROUP_OPTION"|lmsg}&nbsp;{$packages[i].packageMeta.serverGroupName|default:"TRANS_UNKNOWN"|lmsg}]&nbsp;&nbsp;&nbsp;
                            {/if}
                            {if $packages[i].packageMeta.domainName}
                                [{"TRANS_DOMAIN"|lmsg}&nbsp;{$packages[i].packageMeta.domainName}]&nbsp;&nbsp;&nbsp;
                            {/if}
                        </td>
                    </tr>
                {/if}
                <tr id="row_{$packageID}" style="display: none;" >
                    <td colspan="{$numCols}">
                        <table width="100%" cellspacing="0">
                            <tbody>
                                <tr>
                                    <td>
                                        {strip}
                                        {"TRANS_ADDITIONAL_ACTIONS"|lmsg}
                                        &nbsp;&nbsp;&nbsp;
                                        {* DETAILS *}
                                        {include
                                            file="$tplDirectory/widgets/actionLink.tpl"
                                            page="packages.php"
                                            actionName="ShowPackageDetails"
                                            args="packageID=$packageID"
                                            icoImage="view-subscription.png"
                                            altText="TRANS_DETAILS"
                                            linkText="TRANS_DETAILS"
                                        }
                                        &nbsp;&nbsp;&nbsp;
                                        {* EDIT *}
                                        {include
                                            file="$tplDirectory/widgets/actionLink.tpl"
                                            page="packages.php"
                                            actionName="EditPackage"
                                            args="packageID=$packageID"
                                            icoImage="edit-subscription.png"
                                            altText="TRANS_EDIT"
                                            linkText="TRANS_EDIT"}
                                        &nbsp;&nbsp;&nbsp;
                                        {if $packages[i].canUpgrade}
                                            {* UPGRADE *}
                                            {include
                                                file="$tplDirectory/widgets/actionLink.tpl"
                                                page="packages.php"
                                                actionName="UpgradePackage"
                                                args="packageID=$packageID"
                                                icoImage="upgrade-subscription.png"
                                                altText="TRANS_UPGRADE"
                                                linkText="TRANS_UPGRADE"}
                                            &nbsp;&nbsp;&nbsp;
                                        {/if}
                                        {if $packages[i].canDowngrade}
                                            {* DOWNGRADE *}
                                            {include
                                                file="$tplDirectory/widgets/actionLink.tpl"
                                                page="packages.php"
                                                actionName="DowngradePackage"
                                                args="packageID=$packageID"
                                                icoImage="downgrade-subscription.png"
                                                altText="TRANS_DOWNGRADE"
                                                linkText="TRANS_DOWNGRADE"}
                                            &nbsp;&nbsp;&nbsp;
                                        {/if}

                                        {* ATTRIBUTES *}
                                        {include
                                            file="$tplDirectory/widgets/actionLink.tpl"
                                            page="packages.php"
                                            actionName="ShowPackageAttributes"
                                            args="packageID=$packageID"
                                            icoImage="show-all-subscription-properties.png"
                                            altText="TRANS_ATTRIBUTES"
                                            linkText="TRANS_ATTRIBUTES"}
                                        &nbsp;&nbsp;&nbsp;

                                        {* ADDONS *}
                                        {if $packages[i].packageType != $resellerProductType}
                                        {include
                                            file="$tplDirectory/widgets/actionLink.tpl"
                                            page="packages.php"
                                            actionName="ShowPackageAddons"
                                            args="packageID=$packageID"
                                            icoImage="show-all-subscription-addons.png"
                                            altText="TRANS_ADDONS"
                                            linkText="TRANS_ADDONS"}
                                        &nbsp;&nbsp;&nbsp;
                                        {/if}

                                        {if $packages[i].canTransfer}
                                        {* MOVE PACKAGE *}
                                            {include
                                                file="$tplDirectory/widgets/actionLink.tpl"
                                                id="billing-id-transfer-subscription"
                                                javascriptLink="void(0);"
                                                icoImage="transfer-subscription.png"
                                                altText="TRANS_TRANSFER_PACKAGE"
                                                linkText="TRANS_TRANSFER_PACKAGE"}
                                            {include file="$tplDirectory/widgets/popup-panel-header.tpl" id="billing-id-transfer-subscription-popup-panel" heading="TRANS_TRANSFER_PACKAGE" class="transfer-subscription"}
                                                <div class="popup-content-area">
                                                    <form method="post" action="{getFormAction controller="packages"}">
                                                        <input type="hidden" name="act" value="{getActionID action="ChangePackageClient"}">
                                                        <input type="hidden" name="packageID" value="{$packageID}">
                                                        <div class="form-box">
                                                            <div class="box-area">
                                                                <div class="form-row">
                                                                    <div class="field-name">{"TRANS_CLIENT_ID"|lmsg}</div>
                                                                    <div class="field-value"><div class="text-value">
                                                                        <input type="text" name="clientID" value="{$editValue}" onClick="javascript:this.form.editValue.focus();this.form.editValue.select();">
                                                                    </div></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="btns-box">
                                                            <div class="box-area">
                                                                <div class="form-row">
                                                                    <div class="single-row">
                                                                        <div class="field-value">
                                                                            <span class="btn action"><button id="billing-id-process-transfer-subscription" value="">{"TRANS_TRANSFER"|lmsg}</button></span>
                                                                            <span class="btn"><button id="billing-id-cancel-transfer-subscription" value="">{"TRANS_CANCEL"|lmsg}</button></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            {include file="$tplDirectory/widgets/popup-panel-footer.tpl"}
                                        {/if}
                                        {/strip}
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <div class="list">
                                            <table width="100%" cellspacing="0">
                                                <tr>
                                                    <td>
                                                        {* COLUMN 1a *}
                                                        {if ! $client}
                                                            <div class="list">
                                                                <table width="100%" cellspacing="0">
                                                                    <thead>
                                                                    <tr>
                                                                        <th colspan="2">
                                                                            {"TRANS_CLIENT_ID"|lmsg} {$packages[i].clientID}
                                                                            {include
                                                                                file="$tplDirectory/widgets/actionLink.tpl"
                                                                                page="clients.php"
                                                                                actionName="ShowClientDetails"
                                                                                args="clientID=`$packages[i].clientID`"
                                                                                icoImage="view.png"
                                                                                altText="TRANS_DETAILS"
                                                                                linkText="TRANS_DETAILS"}
                                                                        </th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        <tr class="odd">
                                                                            <td>{"TRANS_COMPANY"|lmsg}</td>
                                                                            <td>{$packages[i].clientCompany|safetyhtml|default:"TRANS_EMPTY"|lmsg}</td>
                                                                        </tr>
                                                                        <tr class="even">
                                                                            <td>{"TRANS_NAME"|lmsg}</td>
                                                                            <td>{$packages[i].contactLastName|safetyhtml}, {$packages[i].contactFirstName|safetyhtml}</td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        {/if}
                                                        {* COLUMN 1b *}
                                                        <div class="list">
                                                            <table width="100%" cellspacing="0">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2">
                                                                        {"TRANS_PRODUCT_ID"|lmsg} {$packages[i].productID}
                                                                        {include
                                                                            file="$tplDirectory/widgets/actionLink.tpl"
                                                                            module="products"
                                                                            controller="plan-overview"
                                                                            arguments="&id=`$packages[i].productID`"
                                                                            icoImage="view.png"
                                                                            altText="TRANS_DETAILS"
                                                                            linkText="TRANS_DETAILS"}
                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr class="odd">
                                                                        <td>{"TRANS_NAME"|lmsg}</td>
                                                                        <td>{$packages[i].productName|safetyhtml}</td>
                                                                    </tr>
                                                                    <tr class="even">
                                                                        <td>{"TRANS_COMMENTS"|lmsg}</td>
                                                                        <td>{$packages[i].productComments|stripslashes|html_entity_decode}</td>
                                                                    </tr>
                                                                    {if $packages[i].domains.0.domainSLD}
                                                                        {assign var="domain" value=$domains.$packageID}
                                                                        <tr class="odd">
                                                                            <td>{"TRANS_DOMAIN_NAME_OPTION"|lmsg}</td>
                                                                            <td>{$packages[i].domains.0.domainSLD}.{$packages[i].domains.0.domainTLD}</td>
                                                                        </tr>
                                                                    {/if}
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="list">
                                                            <table width="100%" cellspacing="0">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2">{"TRANS_GENERAL_RENEWAL_DATES"|lmsg}</th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr class="odd">
                                                                        <td>{"TRANS_CYCLE"|lmsg}</td>
                                                                        <td>{$packages[i].cycleID|getArrayValueByID:$cycles}</td>
                                                                    </tr>
                                                                    <tr class="even">
                                                                        <td>{"TRANS_ENTERED_OPTION"|lmsg}</td>
                                                                        <td>{$packages[i].packageDateCreated|getDateTime}</td>
                                                                    </tr>
                                                                    <tr class="odd">
                                                                        <td>{"TRANS_PACKAGE_ACTIVATION_DATE_OPTION"|lmsg}</td>
                                                                        <td>{$packages[i].packageDateBeginRenewal|getDateTime}</td>
                                                                    </tr>
                                                                    <tr class="even">
                                                                        <td>{"TRANS_PACKAGE_DATE_NEXT_RENEWAL"|lmsg}</td>
                                                                        <td>{$packages[i].packageDateNextRenewal|getDateTime}</td>
                                                                    </tr>
                                                                    <tr class="odd">
                                                                        <td>{"TRANS_PACKAGE_DATE_LAST_RENEWAL"|lmsg}</td>
                                                                        <td>{$packages[i].packageDateLastRenewal|getDateTime}</td>
                                                                    </tr>
                                                                    <tr class="even">
                                                                        <td>{"TRANS_EXPIRATION_DATE_OPTION"|lmsg}</td>
                                                                        <td>{$packages[i].packageDateStopRenewal|getDateTime}</td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            {sectionelse}
                <tr>
                    <td colspan="{$numCols}">{"TRANS_NORESULTS"|lmsg}</td>
                </tr>
            {/section}
        </tbody>
    </table>
</div>