{* $Id: TakeClientPayment.tpl 11916 2007-09-17 16:43:07Z kbailey $
 * --------------------------------------------------------------
 *}

{if $clientIsReseller}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_RESELLERS', 'TRANS_RESELLER_INVOICES_TITLE', 'TRANS_TAKE_PAYMENT');{/php}
{else}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CLIENT_INVOICES', 'TRANS_TAKE_PAYMENT');{/php}
{/if}

{include file="$tplDirectory/header.tpl"}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink=1 suppressDeleteLink=1}

<script type="text/javascript">
    function formSubmitted(){literal}{{/literal}
        document.getElementById('fsub').disabled = true;
        document.getElementById('fsub').value = '{"TRANS_PROCESSING_PLEASE_WAIT"|lmsg}';
    {literal}}{/literal}
</script>
<p>
    {if $clientIsReseller}
        {"TRANS_TAKE_RESELLER_PAYMENT_DESCR"|lmsg}
    {else}
        {"TRANS_TAKE_CLIENT_PAYMENT_DESCR"|lmsg}
    {/if}
</p>


<form method="post" action="{getFormAction controller="clients"}" onsubmit="formSubmitted();">
    <input type="hidden" name="act" value="{getActionID action="TakeClientPaymentResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="clientID" value="{$client.clientID}">
    {if $clientIsReseller}
        {include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_CHARGE_RESELLER_ACCOUNTS_FOR_INVOICES_LEGEND"}
    {else}
        {include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_CHARGE_CLIENT_ACCOUNTS_FOR_INVOICES"}
    {/if}
    <div class="list">
        <table width="100%" class="list sortable" cellspacing="0">
            <thead>
                <tr>
                    <th>{"TRANS_INVOICE"|lmsg}</th>
                    <th>{"TRANS_DATE_DUE"|lmsg}</th>
                    <th>{"TRANS_AMOUNT"|lmsg}</th>
                    <th>{"TRANS_AMOUNT_PAID"|lmsg}</th>
                    <th>{"TRANS_AMOUNT_DUE"|lmsg}</th>
                </tr>
            </thead>
            <tbody>
                {foreach item="invoice" key="k" from=$invoices}
                    <tr class="{cycle values="odd,even"}">
                        <td tableSortingValue="{$invoice.invoiceNumber}"><input type="checkbox" name="invoiceIDs[]" checked="checked" value="{$invoice.invoiceID}" id="inv{$invoice.invoiceNumber}"> <label for="inv{$invoice.invoiceNumber}">{$invoice.invoiceNumber}</label></td>
                        <td tableSortingValue="{$invoice.invoiceDateDue}">{$invoice.invoiceDateDue|getDate:short}</td>
                        <td tableSortingValue="{$invoice.invoiceAmount}">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
                        <td tableSortingValue="{$invoice.invoiceAmountPaid}">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
                        <td tableSortingValue="{$invoice.invoiceAmount-$invoice.invoiceAmountPaid}"><strong>{$invoice.invoiceAmount-$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</strong></td>
                    </tr>
                {/foreach}
            </tbody>
        </table>
    </div>
    <div class="form-row"><div class="single-row">
        <label for="billing-id-ignoreQuarantinePeriod"><input id="billing-id-ignoreQuarantinePeriod" type="checkbox" value="1" name="ignoreQuarantinePeriod" checked="checked"> {"TRANS_IGNORE_BILLING_ACCOUNT_RETRY_TIMES"|lmsg}</label>
    </div></div>
    <div class="form-row"><div class="single-row">
        <label for="billing-id-ignoreFailuresNum"><input id="billing-id-ignoreFailuresNum" type="checkbox" value="1" name="ignoreFailuresNum" checked="checked"> {"TRANS_IGNORE_BILLING_ACCOUNT_FAILURES_NUM"|lmsg}</label>
    </div></div>
    {include file="$tplDirectory/widgets/list-box-footer.tpl"}

    {buttons id='fsub' class='action' name='charge' value='TRANS_CHARGE_ACCOUNTS' type='submit' label='TRANS_CHARGE_ACCOUNTS'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>
