<table class="system-overview-panel form-table" width="100%">
<tbody>
    <tr class="form-row">
        <td class="field-name nowrap">
            <div class="b-indent">
                <img alt="" src="/theme/icons/16/billing/customer.png" class="b-indent-icon">
                <b>{"TRANS_CLIENTS"|lmsg}</b>
            </div>
        </td>
        <td><a id="system-overview-customers-active" href="{getHREF page='clients.php' actionName='ShowClients' args='filter[client_active]=1&filter[client_status]=0'}">{$customers.active} {"TRANS_CUSTOMER_ACTIVE"|lmsg|lower}</a></td>
        <td><a class="link-01" href="{getHREF page='clients.php' actionName='AddClient'}">{"TRANS_LINK_ADD_NEW"|lmsg}</a></td>
    </tr>
    <tr class="form-row">
        <td>&nbsp;</td>
        <td><a id="system-overview-customers-pending" href="{getHREF page='clients.php' actionName='ShowClients' args='filter[client_active]=1&filter[client_status]=1'}">{$customers.pending} {"TRANS_CUSTOMER_PENDING"|lmsg|lower}</a></td>
        <td>&nbsp;</td>
    </tr>
    <tr class="form-row">
        <td colspan="3">
            <hr>
            <a class="s-btn sb-stats" href="{getHREF page='clients.php' actionName='ShowClientStats'}"><i><i><i><span>{"TRANS_CUSTOMER_SUMMARY_STAT_LINK"|lmsg}</span></i></i></i></a>
            <br><br>
        </td>
    </tr>
    {if isset($resellers)}
        <tr class="form-row">
            <td class="field-name nowrap">
                <div class="b-indent">
                    <img alt="" src="/theme/icons/16/billing/reseller.png" class="b-indent-icon">
                    <b>{"TRANS_RESELLERS"|lmsg}</b>
                </div>
            </td>
            <td><a id="system-overview-resellers-active" href="{getHREF page='resellers.php' actionName='ShowResellers' args='filter[status]=0'}">{$resellers.active} {"TRANS_RESELLER_ACTIVE"|lmsg|lower}</a></td>
            <td><a class="link-01" href="{getAdminActionUrl module='resellers' controller='reseller-profile'}">{"TRANS_LINK_ADD_NEW"|lmsg}</a></td>
        </tr>
        <tr class="form-row">
            <td>&nbsp;</td>
            <td><a id="system-overview-resellers-pending" href="{getHREF page='resellers.php' actionName='ShowResellers' args='filter[status]=1'}">{$resellers.pending} {"TRANS_RESELLER_PENDING"|lmsg|lower}</a></td>
            <td>&nbsp;</td>
        </tr>
        <tr class="form-row">
            <td colspan="3"><hr></td>
        </tr>
    {/if}
    <tr class="form-row">
        <td class="field-name nowrap">
            <div class="b-indent">
                <img alt="" src="/theme/icons/16/billing/subscription.png" class="b-indent-icon">
                <b>{"TRANS_SUBSCRIPTIONS_ACTIVE"|lmsg}</b>
            </div>
        </td>
        <td><a href="{getHREF page='packages.php' actionName='ShowPackages' args='filter[package_status]=0&filter[package_active]=1'}">{$subscriptions.active} {"TRANS_TOTAL"|lmsg|lower}</a></td>
        <td>&nbsp;</td>
    </tr>
    <tr class="form-row">
        <td>&nbsp;</td>
        <td><a href="{getHREF page='packages.php' actionName='ShowPackages' args='filter[package_status]=0&filter[package_type]=1&filter[package_active]=1'}">{$subscriptions.hosting} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_PLANS_HOSTING"|lmsg|lower}</a></td>
        <td>&nbsp;</td>
    </tr>
    {if isset($subscriptions.reseller)}
        <tr class="form-row">
            <td>&nbsp;</td>
            <td><a href="{getHREF page='packages.php' actionName='ShowPackages' args='filter[package_status]=0&filter[package_type]=12&filter[package_active]=1'}">{$subscriptions.reseller} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_PLANS_RESELLER"|lmsg|lower}</a></td>
            <td>&nbsp;</td>
        </tr>
    {/if}
    <tr class="form-row">
        <td>&nbsp;</td>
        <td><a href="{getHREF page='packages.php' actionName='ShowPackages' args='filter[package_status]=0&filter[package_type]=3&filter[package_active]=1'}">{$subscriptions.domain} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_PLANS_DOMAIN"|lmsg|lower}</a></td>
        <td>&nbsp;</td>
    </tr>
    <tr class="form-row">
        <td>&nbsp;</td>
        <td><a href="{getHREF page='packages.php' actionName='ShowPackages' args='filter[package_status]=0&filter[package_type]=11&filter[package_active]=1'}">{$subscriptions.ssl} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_PLANS_SSL_CERTIFICATE"|lmsg|lower}</a></td>
        <td>&nbsp;</td>
    </tr>
    <tr class="form-row">
        <td colspan="3">
            <hr>
            <a class="s-btn sb-stats" href="{getHREF page='reports.php' actionName='ShowReportContainer' args='reportName=Packages.PackagesPerStatus'}"><i><i><i><span>{"TRANS_REPORTS_PACKAGES_BY_STATUS"|lmsg}</span></i></i></i></a>
            <br><br>
        </td>
    </tr>
    <tr class="form-row">
        <td class="field-name nowrap">
            <div class="b-indent">
                <img alt="" src="/theme/icons/16/billing/invoice.png" class="b-indent-icon">
                <b>{"TRANS_INVOICES"|lmsg}</b>
            </div>
        </td>
        <td>
            {assign var="due_min" value=$invoices.due_min}
            {assign var="due_date" value=$invoices.due_date}
            <a href="{getHREF page='invoices.php' actionName='ShowInvoices' args="filter[invoice_amount_due_min]=$due_min&filter[invoice_date_due_min]=$due_date"}">{$invoices.due} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_INVOICE_DUE"|lmsg|lower}</a>
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr class="form-row">
        <td>&nbsp;</td>
        <td>
            {assign var="overdue_date" value=$invoices.overdue_date}
            <a href="{getHREF page='invoices.php' actionName='ShowInvoices' args="filter[invoice_amount_due_min]=$due_min&filter[invoice_date_due_max]=$overdue_date"}">{$invoices.overdue} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_INVOICE_OVERDUE"|lmsg|lower}</a>
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr class="form-row">
        <td colspan="3">
            <hr>
        </td>
    </tr>
    <tr class="form-row">
        <td class="field-name nowrap">
            <div class="b-indent">
                <img alt="" src="/theme/icons/16/billing/affiliate.png" class="b-indent-icon">
                <b>{"TRANS_DASHBOARD_SYSTEM_OVERVIEW_AFFILIATE_PROGRAMS"|lmsg}</b>
            </div>
        </td>
        <td>
            {foreach from=$affiliatePrograms.commission key=currencyCode item=commission name=commission}
                {if !$smarty.foreach.commission.first}<br/>{/if}
                <a href="{getHREF page='clients.php' actionName='ShowAffiliateProgramsPartners' args="currencyId=$currencyCode"}">{$commission|getAmount:$currencyCode} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_AFFILIATE_COMMISSION"|lmsg|lower}</a>
            {foreachelse}
                {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_AFFILIATE_COMMISSION_NONE"|lmsg}
            {/foreach}
        </td>
        <td>
            {if $affiliatePrograms.affiliateProgramsCount}
                <a class="link-01" href="{getHREF page='discounts.php' actionName='ShowAffiliatePrograms'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
            {else}
                <a class="link-01" href="{getAdminActionUrl module='discounts' controller='affiliate' action='add'}">{"TRANS_LINK_ADD_NEW"|lmsg}</a>
            {/if}
        </td>
    </tr>
    <tr class="form-row">
        <td>&nbsp;</td>
        <td>
            {foreach from=$affiliatePrograms.commissionToPayout key=currencyCode item=commissionToPayout name=commissionToPayout}
                {if !$smarty.foreach.commissionToPayout.first}<br/>{/if}
                {if 0 < $commissionToPayout}
                    <a href="{getHREF page='clients.php' actionName='ShowAffiliateProgramsPartners' args="filter[is_above_threshod]=1&currencyId=$currencyCode"}">{$commissionToPayout|getAmount:$currencyCode}</span> {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_AFFILIATE_COMMISSION_READY_TO_PAYOUT"|lmsg|lower}</a>
                {else}  
                    {$commissionToPayout|getAmount:$currencyCode}</span> {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_AFFILIATE_COMMISSION_READY_TO_PAYOUT"|lmsg|lower}
                {/if}
            {foreachelse}
                <span>{"TRANS_DASHBOARD_SYSTEM_OVERVIEW_AFFILIATE_COMMISSION_NONE"|lmsg}</span>
            {/foreach}
        </td>
    </tr>
    {if 0 < $affiliatePrograms.payoutRequests}
        <tr class="form-row">
            <td>&nbsp;</td>
            <td>
                <a href="{getHREF page='clients.php' actionName='ShowAffiliateProgramsPartners' args="filter[payout_requested]=1"}">{$affiliatePrograms.payoutRequests} {"TRANS_DASHBOARD_SYSTEM_OVERVIEW_AFFILIATE_PAYOUT_REQUESTS"|lmsg|lower}
            </td>
        </tr>
    {/if}
</tbody>
</table>