{* $Id: ShowEmailTemplateGroups.tpl 10673 2007-02-13 22:29:29Z bsmith $
 * --------------------------------------------------------------
 * This template displays a list of Email Template Groups in the system, and provides links with
 * which to manage those Email Template Groups.
 *
 * Smarty Variables:
 *	$emailTplGroups  --  An array of email template data found for the given criteria.
 *
 *}{strip}
{/strip}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_EMAILS' => action_url('events', 'ShowEmailQueue'), 'TRANS_EMAIL_TEMPLATES_SHOW', '');{/php}
{include file="$tplDirectory/header.tpl"}

{foreach key=key item=action from=$emailActions}
    {include file="$tplDirectory/widgets/list-box-header.tpl" title=$action|constant isContentCollapsible=true isContentCollapsed=true}
    <div class="form-row"><div class="single-row">
        {include file="$tplDirectory/widgets/actionLink.tpl"
            page="emails.php"
            actionName="AddEmailTemplateGroup"
            args="emailActionID=$key"
            icoImage="add-new-email-group.png"
            altText="TRANS_TEMPLATE_ADD"
            linkText="TRANS_TEMPLATE_ADD"}
    </div></div>
    <div class="form-row"><div class="single-row list">
        {assign var="tplGroup" value=$assocTplGroup[$key]}
        <table width="100%" cellspacing="0">
            <tbody>
                {section name="tg" loop="$tplGroup"}
                    {assign var="etgid" value=$tplGroup[tg].emailTplGroupID}
                    <tr class="{cycle values="odd,even"}">
                        <td width="20px">{$etgid}</td>
                        <td>{$tplGroup[tg].emailTplGroupName|safetyhtml}</td>
                        <td width="50%">
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="emails.php"
                                actionName="EditEmailTemplateGroup"
                                args="emailTplGroupID=$etgid"
                                icoImage="edit"
                                altText="TRANS_EDIT"
                                linkText="TRANS_EDIT"}
                            &nbsp;&nbsp;&nbsp;
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="emails.php"
                                actionName="RemoveEmailTemplateGroup"
                                args="emailTplGroupID=$etgid"
                                icoImage="remove"
                                altText="TRANS_REMOVE"
                                linkText="TRANS_REMOVE"}
                    </tr>
                {/section}
            </tbody>
        </table>
    </div></div>
    {include file="$tplDirectory/widgets/list-box-footer.tpl"}
{/foreach}
{include file="$tplDirectory/widgets/paginationLinks.tpl"}