{* $Id: ShowFraudSetDetails.tpl 11488 2007-07-02 15:36:16Z kbailey $
 * --------------------------------------------------------------
 * This template displays a fraud set's details.
 *
 * Smarty Variables:
 *  $fraudSet (array of this fraud set's data)
 *
 * Author: Michael Fountain
 *}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM' => admin_action_url("configs", "system", "show"), 'TRANS_MANAGE_FRAUD_SETTINGS' => action_url('fraudsets', 'ShowFraudSets'), 'TRANS_DETAILS');{/php}

{if $saved}
    {include file="$tplDirectory/widgets/showInvalidCustom.tpl" duration="4" message="TRANS_SETTINGS_SAVED_SUCCESSFULLY"|lmsg}
{/if}
{include file="$tplDirectory/widgets/form-box-header.tpl"}
<div class="form-row"><div class="field-name">{"TRANS_FRAUD_SET_NAME"|lmsg}</div>
    <div class="field-value"><div class="text-value">
        {include
            file="$tplDirectory/widgets/quickEditLink.tpl"
            useEditIcon=1
            editActionName="EditFraudSetResponse"
            editID=$fraudSet.fraudSetID
            editKey="fraudSetID"
            editName="TRANS_FRAUD_SET_NAME"
            editColumn="fraudSetName"
            editValue=$fraudSet.fraudSetName}
        {$fraudSet.fraudSetName|safetyhtml}
    </div></div>
</div>
<div class="form-row"><div class="field-name">{"TRANS_FRAUD_SET_EMAIL"|lmsg}</div>
    <div class="field-value"><div class="text-value">
        {include
            file="$tplDirectory/widgets/quickEditLink.tpl"
            useEditIcon=1
            editActionName="EditFraudSetResponse"
            editID=$fraudSet.fraudSetID
            editKey="fraudSetID"
            editName="TRANS_FRAUD_SET_EMAIL"
            editColumn="fraudSetEmail"
            editValue=$fraudSet.fraudSetEmail}
        {$fraudSet.fraudSetEmail|safetyhtml}
    </div></div>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}

<form action="{getFormAction controller="fraudsets"}" method="post" name="combo_box" onsubmit="XKselectAllOptionsInMultiSelects(this);">
    <input type="hidden" name="act" value="{getActionID action="EditFraudSetResponse"}">
    <input type="hidden" name="fraudSetID" value="{$fraudSet.fraudSetID}">
    <input type="hidden" name="redirectURL" value="{$fileName}">
    <input type="hidden" name="redirectAction" value="{$actionName}">
    <input type="hidden" name="redirectArgs" value="{$bookmarkArgs}">
    <input type="hidden" name="token" value="{$token}">
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_SELECT_ORDER_FORMS_THAT_APPLY"}
    {$doubleListSelector->doubleListSelector("stores", "", $doubleListSelectorAttribsStores, $doubleListSelectorOptionsStores) }
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_SELECT_COUNTRY_THRESHOLDS_THAT_APPLY"}
    {$doubleListSelector->doubleListSelector("thresholds", "", $doubleListSelectorAttribsThresholds, $doubleListSelectorOptionsThresholds) }
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>