{* $Id: header.print.tpl 10430 2007-01-08 17:43:40Z kbailey $
 * --------------------------------------------------------------
 * This is the print header template for the Admin GUI of ModernBill.
 *
 * Smarty Variables:
 *  $htmlTitle		The title of this document
 *  $htmlLang		The language this document will render
 *	$parentName		The page info parent name
 *	$childName		The page info child name
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/header.print.tpl" parentName="TRANS_MANAGE_CLIENTS" childName="TRANS_SHOW_CLIENTS"}
 *
 * Author: Michael Fountain
 *}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{"TRANS_TEXTDIRECTION"|lmsg}">
<head>
<title>{strip}
	{if $htmlTitle}
		{$htmlTitle}
	{else}
		{if $parentName}
			{$parentName|lmsg}
		{/if}
		{if $childName}
			&nbsp;&raquo; {$childName|lmsg}
		{/if}
		{if $grandchildName}
			&nbsp;&raquo; {$grandchildName|lmsg}
		{/if}
	{/if}
{/strip}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="{$cssDirectory}/style.css" />
<script language="JavaScript" type="text/javascript" src="{$jsDirectory}/toggle.js"></script>
<script language="JavaScript" type="text/javascript" src="{$jsDirectory}/main.js"></script>
<script language="JavaScript" type="text/javascript" src="{$jsDirectory}/pushpull.js"></script>
{if $systemQueue.systemQueueRunning}
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/progress.js"></script>
{/if}
{if $includeAjaxJS}
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/ajax/core/ajax.inc.js"></script>
{/if}
{if $includeDomainJS}
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/domains.js"></script>
{/if}
{* the following css & js files support the js calendar *}
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/scriptaculous/lib/prototype.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/scriptaculous/src/scriptaculous.js"></script>
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/cal/src/utils.js"></script>
</head>
<body {if $__now==1}onload="printwin();"{/if}>
<div class="block02">{* required open div -- do not remove or close *}
<div class="block03" style="background-color:#FFFFFF;">{* required open div -- do not remove or close *}

