{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_MANAGE_INVOICES', 'TRANS_PROCESS_TRANSACTION_REFUND');{/php}
{include file="$tplDirectory/header.tpl"}

{foreach item="transaction" from=$transactions}
{if 1 == $transaction.CCtransaction}
    {assign var="boxTitle" value="TRANS_PROCESS_REFUND_CONFIRM_MESSAGE"}
    {assign var="yesTitle" value="TRANS_PROCESS_REFUND_CONFIRM_YES"}
{else}
    {assign var="boxTitle" value="TRANS_CANCEL_TRANSACTION_CONFIRM_MESSAGE"}
    {assign var="yesTitle" value="TRANS_CANCEL_TRANSACTION_CONFIRM_YES"}
{/if}

<form method="post" action="{getFormAction controller="invoices"}">
    <input type="hidden" name="act" value="{getActionID action="ProcessTransactionRefundResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="invoiceID" value="{$invoiceID}">
    <input type="hidden" name="transactionID" value="{$transaction.transactionID}">
    <input type="hidden" name="redirectURL" value="invoices.php">
    <input type="hidden" name="redirectAction" value="ShowInvoiceDetails">
    <input type="hidden" name="redirectArgs" value="invoiceID={$invoiceID}">
    {include file="$tplDirectory/widgets/form-box-header.tpl" title=$boxTitle}
    <div class="form-row"><div class="field-name">{"TRANS_INVOICES"|lmsg}</div>
        <div class="field-value">
            <div class="text-value">{$invoiceInfo.invoiceNumber}</div>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_MB_TRANSACTION_ID"|lmsg}</div>
        <div class="field-value">
            <div class="text-value">{$transaction.transactionID}</div>
        </div>
    </div>
    {if 1 == $transaction.CCtransaction}
        <div class="form-row"><div class="field-name">{"TRANS_TRANSACTION_ID"|lmsg}</div>
            <div class="field-value">
                <div class="text-value">{$transaction.transactionCode}</div>
            </div>
        </div>
    {/if}
    {if $lineItemsForTransactions}
        <div class="form-row"><div class="field-name">{"TRANS_LINE_ITEMS_TO_BE_REFUNDED"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {foreach item="li" from=$lineItemsForTransactions[$transaction.transactionID]}
                    {$li.lineItemPaymentAmount|getAmount:$transaction.currencyID} - {$lineItemNames[$li.lineItemID]}<br>
                    <input type="hidden" name="lineItemIDs[]" value="{$li.lineItemID}">
                {/foreach}
                {"TRANS_TOTAL"|lmsg} {$transactionRefundTotals[$transaction.transactionID]|getAmount:$transaction.currencyID}
                <input type="hidden" name="refundAmount" value="{$transactionRefundTotals[$transaction.transactionID]}">
            </div></div>
        </div>
        <div class="form-row">
            <div class="single-row">
                <input name="markUnpaid" type="checkbox" value="1" checked="checked"> 
                <label for="markUnpaid">{"TRANS_MARK_RELATED_ITEMS_AS_UNPAID"|lmsg}</label>
            </div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_ACTION"|lmsg}</div>
            <div class="field-value">
                <select name="gatewayAction">
                    {html_options options=$transaction.gatewayActions selected=$transaction.selectedAction}
                </select>
            </div>
        </div>
    {else}
        {if $transaction.canPartial == 1}
            <div class="form-row"><div class="field-name">{"TRANS_TRANSACTION_AMOUNT"|lmsg}</div>
                <div class="field-value">
                    <input type="radio" name="refundType" id="refundTypeFull{$transaction.transactionID}" value="full" checked="checked" onmouseup="setTimeout('checkRefundType{$transaction.transactionID}();', 100);">{$transaction.transactionAmount-$transaction.transactionAmountRefunded|getAmount:$transaction.currencyID}<br>
                    <input type="radio" name="refundType" id="refundTypePartial{$transaction.transactionID}" value="partial" onmouseup="setTimeout('checkRefundType{$transaction.transactionID}();', 100);"> {"TRANS_LESSER_AMOUNT"|lmsg} 
                    <input type="text" name="lesserAmount" disabled="disabled" id="lesserAmount{$transaction.transactionID}" value="{$transaction.transactionAmount-$transaction.transactionAmountRefunded|getAmount:$transaction.currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}'); checkLesserAmount('{$transaction.transactionAmount-$transaction.transactionAmountRefunded}', this);">
                </div>
            </div>
        {else}
            <div class="form-row"><div class="field-name">{"TRANS_TRANSACTION_AMOUNT"|lmsg}</div>
                <div class="field-value">
                    <div class="text-value">{$transaction.transactionAmount-$transaction.transactionAmountRefunded|getAmount:$transaction.currencyID}</div>
                </div>
            </div>
        {/if}
        <div class="form-row">
            <div class="single-row">
                <input id="markUnpaid{$transaction.transactionID}"  name="markUnpaid" type="checkbox" value="1" checked="checked"> 
                <label for="markUnpaid">{"TRANS_MARK_RELATED_ITEMS_AS_UNPAID"|lmsg}</label>
            </div>
        </div>
        {if 1 == $transaction.CCtransaction}
            <div class="form-row"><div class="field-name">{"TRANS_ACTION"|lmsg}</div>
                <div class="field-value">
                    <select id="gatewayAction{$transaction.transactionID}" name="gatewayAction">
                        {html_options options=$transaction.gatewayActions selected=$transaction.selectedAction}
                    </select>
                    <span class="hint">{"TRANS_REFUND_VOID_EXPLAINATION"|lmsg}</span>
                </div>
            </div>
        {/if}
    {/if}
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {buttons id="billing-id-ok-`$transaction.transactionID`" class='action' name='ok' value='TRANS_PROCESS_REFUND_CONFIRM_YES' type='submit' label=$yesTitle substitute=true}
    {buttons id="billing-id-cancel-`$transaction.transactionID`" name='cancel' value='TRANS_CANCEL' type='button' label='TRANS_CANCEL' onclick='history.go(-1);'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>

<script>
    {literal}
    function checkRefundType{/literal}{$transaction.transactionID}{literal}() 
    {
        var refundTypePartial = document.getElementById('refundTypePartial{/literal}{$transaction.transactionID}{literal}');
        if (null == refundTypePartial) {
            return;
        }
        if (refundTypePartial.checked) {
            document.getElementById('lesserAmount{/literal}{$transaction.transactionID}{literal}').disabled = false;
            var gatewayAction = document.getElementById('gatewayAction{/literal}{$transaction.transactionID}{literal}');
            for (var i=0; i < gatewayAction.options.length; i++) {
                if ('refund' == gatewayAction.options[i].value) {
                    gatewayAction.options[i].selected = true;
                }
            }
            gatewayAction.disabled = true;
        } else {
            document.getElementById('lesserAmount{/literal}{$transaction.transactionID}{literal}').disabled = true;
            document.getElementById('gatewayAction{/literal}{$transaction.transactionID}{literal}').disabled = false;
        }
    }
    setTimeout('checkRefundType{/literal}{$transaction.transactionID}{literal}();', 100);
    {/literal}
</script>
{/foreach}

<script>
    {literal}
    function checkLesserAmount(maxAmt, field)
    {
        var amt = XKgetNumberFromLocaleFormat(field.value, "{/literal}{$localeArray.locale_separator_decimal}{literal}", "{/literal}{$localeArray.locale_separator_grouping}{literal}");
        if (amt>parseFloat(maxAmt)){
            {/literal}field.value = XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', maxAmt, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');{literal}
        }
    }
    {/literal}
</script>
