{* $Id: ShowResendInvoice.tpl 10320 2006-12-15 19:54:15Z eradtke $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{assign var="filterArgs" value="invoiceStatus=$invoiceStatus"}
{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_MANAGE_INVOICES', 'TRANS_SHOW_INVOICES');{/php}
{include file="$tplDirectory/header.tpl"}

{include file="$tplDirectory/widgets/commonInvoice.tpl"}

<form method="post" action="{getFormAction controller="clients"}" name="clientEmail">
    <input type="hidden" name="act" value="{getActionID action="SendClientEmailResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="contacts[{$previewInvoice.contact.clientContactID}]" value="1">
    <input type="hidden" name="clientID" value="{$previewInvoice.contact.clientID}">
    <input type="hidden" name="invoiceID" value="{$invoice.invoiceID}">
    <input type="hidden" name="redirectAction" value="ShowResendInvoice">
    {include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_INVOICE_PREVIEW"}

    <div class="form-row"><div class="field-name">{"TRANS_SUBJECT"|lmsg}: </div>
        <div class="field-value">
            <input type="text" name="emailSubject" value="{$previewInvoice.subject}">
        </div>
    </div>
    <div class="form-row"><div class="single-row">
        {include file="$tplDirectory/widgets/showTinymce.tpl" mode="exact" elements="emailBody"}
        <textarea name="emailBody" id="emailBody" style="width:90%" rows="25">{$previewInvoice.html}</textarea>
    </div></div>
    {include file="$tplDirectory/widgets/list-box-footer.tpl"}

    {buttons id='billing-id-send' class='action' name='send' value='TRANS_SEND' type='submit' label='TRANS_SEND'}
    {buttons id='billing-id-reset' name='reset' value='TRANS_RESET' type='reset' label='TRANS_RESET'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}

</form>