{if $historical}
	{assign var="title" value="TRANS_IMPORT_EXISTING_PACKAGE_TITLE"}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_IMPORT_EXISTING_PACKAGE_TITLE', '');{/php}
{else}
	{assign var="title" value="TRANS_ADD_NEW_PACKAGE_TITLE"}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_ADD_NEW_PACKAGE_TITLE', '');{/php}
{/if}
{include file="$tplDirectory/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$clientInfo suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$productTypes}
{if $productType == "domain"}
    {include file="$tplDirectory/widgets/context/tld.tpl" TLD=$TLD}
{/if}
{include file="$tplDirectory/widgets/context/cycle.tpl" cycle=$cycle}

<form method="post" action="{getFormAction controller="packages"}">
    <input type="hidden" name="act" value="{getActionID action="AddHistoricalPackageResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="clientID" value="{$clientID}">
    <input type="hidden" name="orderFormID" value="{$orderFormID}">
    <input type="hidden" name="productID" value="{$productID}">
    <input type="hidden" name="productVariantID" value="{$productVariantID}">
    <input type="hidden" name="cycleID" value="{$cycleID}">
    <input type="hidden" name="mode" value="{$mode}">
    {if $historical}
        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_IMPORT_EXISTING_PACKAGE_LEGEND"}
    {else}
        {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_ADD_NEW_PACKAGE_LEGEND"}
    {/if}
    {if $product.productStopNumCycles != 1}
        <div class="form-row {if $invalid.packageNextRenewal}error{/if}"><div class="field-name"><label for="packageNextRenewal">{"TRANS_NEXT_RENEWAL_DATE"|lmsg}</label></div>
            <div class="field-value">
                {include file="$tplDirectory/widgets/dateSelector.tpl" param="packageNextRenewal"}
                {if $invalid.packageNextRenewal}<span class="error-hint">{$invalid.packageNextRenewal}</span>{/if}
                <div class="hint">{"TRANS_SUBSCRIPTION_CREATE_NEXT_RENEWAL_DATE_DESC"|lmsg}</div>
            </div>
        </div>
    {/if}
    <div class="form-row {if $invalid.packageStartDate}error{/if}"><div class="field-name"><label for="packageStartDate">{"TRANS_BEGIN_RENEWAL_DATE"|lmsg}</label></div>
        <div class="field-value">
            {include file="$tplDirectory/widgets/dateSelector.tpl" param="packageStartDate"}
            {if $invalid.packageStartDate}<span class="error-hint">{$invalid.packageStartDate}</span>{/if}
            <div class="hint">{"TRANS_SUBSCRIPTION_CREATE_BEGIN_RENEWAL_DATE_DESC"|lmsg}</div>
        </div>
    </div>

    {if 2 != $domainRequired}
        <div class="form-row {if $invalid.domainName}error{/if}"><div class="field-name"><label for="domainName">{"TRANS_SUBSCRIPTION_DOMAINS"|lmsg}</label>{if 1 == $domainRequired}<span class="required">*</span>{/if}</div>
            <div class="field-value">
                {if $clientDomains}
                    <select id="packageDomainID" name="packageDomainID" onchange="hideDomainName(); return false;"> <option value="">{"TRANS_CUSTOM"|lmsg}</option> {html_options options=$clientDomains selected=$formValues.packageDomainID} </select> {$invalid.packageDomainID}
                {/if}
                <span id='customDomainName'>
                {if $clientDomains}{"TRANS_OR_ADD_MANUAL_DOMAIN"|lmsg}&nbsp;{/if}<input size="32" maxlength="255" type="text" id="domainName" name="domainName" value="{$formValues.domainName}">
                    {if $invalid.domainName}<span class="error-hint">{$invalid.domainName}</span>{/if}
                    {if $tldExtension}.{$tldExtension}{else}. <input  size="5" maxlength="255" type="text" id="domainTLD" name="domainTLD" value="{$formValues.domainTLD}">{/if}
                    {if $invalid.domainTLD}<span class="error-hint">{$invalid.domainTLD}</span>{/if}
                </span>
                <script language="javascript">
                    {literal}
                        function hideDomainName() {
                            if ('' == jQuery('#packageDomainID').val()){
                                jQuery('#customDomainName').show();
                            } else {
                                jQuery('#customDomainName').hide();
                            }
                        }
                    {/literal}
                </script>
            </div>
        </div>
    {/if}

    {if $productType == "domain"}
        <div class="form-row {if $invalid.registerDomain}error{/if}"><div class="field-name"><label for="registerDomain">{"TRANS_REGISTER_DOMAIN_OPTION"|lmsg}</label></div>
            <div class="field-value">
                {include file="$tplDirectory/widgets/dateSelector.tpl" param="registerDomain" optional="yes"}
                {if $invalid.registerDomain}<span class="error-hint">{$invalid.registerDomain}</span>{/if}
            </div>
        </div>
    {/if}
    <div class="form-row {if $invalid.billingAccountID}error{/if}"><div class="field-name"><label for="billingAccountID">{"TRANS_BILLING_ACCOUNT_BIND_TO_SUBSCRIPTION_OPTION"|lmsg}</label></div>
        <div class="field-value">
            {if $formValues.billingAccountID}
                {assign var="selectedBillingAccountID" value=$formValues.billingAccountID}
            {else}
                {assign var="selectedBillingAccountID" value=$clientInfo.defaultBillingAccountID}
            {/if}
            <select id="billingAccountID" name="billingAccountID"> <option value="">{"TRANS_NONE"|lmsg}</option> {html_options options=$clientBillingAccounts selected=$selectedBillingAccountID} </select>
            {if $invalid.billingAccountID}<span class="error-hint">{$invalid.billingAccountID}</span>{/if}
            {if $enableCharging}
                <input type="checkbox" id="enableCharging" name="enableCharging" value="1"> <label for="enableCharging">{"TRANS_CHARGE_IMMEDIATELY_IF_POSSIBLE"|lmsg}</label>
                <div class="hint">{"TRANS_CHARGE_IMMEDIATELY_IF_POSSIBLE_DESC"|lmsg}</div>
                <script>
                    {literal}
                        function updateEnableChargingDisabledAttr() {
                            if ('' == jQuery('#billingAccountID').val() || false == jQuery('#generateInvoice').attr('checked')) {
                                jQuery('#enableCharging').attr('disabled', 'disabled');
                            } else {
                                jQuery('#enableCharging').removeAttr('disabled');
                            }
                        }
                        jQuery('#billingAccountID').change(function () {
                            updateEnableChargingDisabledAttr();
                        });
                    {/literal}
                </script>
            {else}
                <label for="enableCharging"><input type="checkbox" id="enableCharging" name="enableCharging" value="1" disabled="disabled">{"TRANS_CHARGE_IMMEDIATELY_IF_POSSIBLE"|lmsg}</label>
                <span class="hint">{"TRANS_CHARGE_IMMEDIATELY_IF_POSSIBLE_DISABLED_DESC"|lmsg}</span>
            {/if}
        </div>
    </div>
    {if isset($clientSubscriptions)}
        <div class="form-row {if $invalid.parentSubscriptionID}error{/if}"><div class="field-name"><label for="parentSubscriptionID">{"TRANS_ADD_NEW_PACKAGE_ATTACH_AS_SUPPLEMENTARY"|lmsg}</label></div>
            <div class="field-value">
                <select id="parentSubscriptionID" name="parentSubscriptionID"> <option value="">{"TRANS_NONE"|lmsg}</option> {html_options options=$clientSubscriptions} </select>
                <div class="hint">{"TRANS_ADD_NEW_PACKAGE_ATTACH_AS_SUPPLEMENTARY_DESC"|lmsg}</div>
            </div>
        </div>
    {/if}
    <div class="form-row {if $invalid.comments}error{/if}"><div class="field-name"><label for="comments">{"TRANS_ADD_NEW_PACKAGE_COMMENT"|lmsg}</label></div>
        <div class="field-value">
            <textarea id="comments" name="comments" style="width: 97%;" rows="4"></textarea>
        </div>
    </div>

    {if $formValues.generalPrice != -1}
        <div class="form-row {if $invalid.generalPrice}error{/if}"><div class="field-name"><label for="generalPrice">{"TRANS_PRICE"|lmsg}</label></div>
            <div class="field-value">
                <input size="32" maxlength="255" type="text" id="generalPrice" name="generalPrice" value="{$formValues.generalPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');">
                {if $invalid.generalPrice}<span class="error-hint">{$invalid.generalPrice}</span>{/if}
            </div>
        </div>
    {/if}
    {if $formValues.setupPrice != -1}
        <div class="form-row {if $invalid.setupPrice}error{/if}"><div class="field-name"><label for="setupPrice">{"TRANS_PACKAGE_SETUP_PRICE"|lmsg}</label></div>
            <div class="field-value">
                <input size="32" maxlength="255" type="text" id="setupPrice" name="setupPrice" value="{$formValues.setupPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');">
                {if $invalid.setupPrice}<span class="error-hint">{$invalid.setupPrice}</span>{/if}
            </div>
        </div>
    {/if}
    {if $productType != "domain"}
        <div class="form-row"><div class="field-name">{"TRANS_SERVER_GROUPS_PROVISION"|lmsg}</div>
            <div class="field-value">
                {foreach from=$serverGroups key="serverGroupID" item="serverGroupName"}
                    {assign var="panels" value=$panelsByServerGroupID.$serverGroupID}
                    {assign var="createArg" value="sg`$serverGroupID`create"}
                    <div class="list">
                        <table width="100%" cellspacing="0">
                            <tbody>
                                <tr class="{cycle values="odd,even"}">
                                    <td width="20%">
                                        <input type="checkbox" name="sg{$serverGroupID}create" value="1" {if $formValues.$createArg}checked{/if} onclick="{literal}if(this.checked) { jQuery('#provisionToPanel_{/literal}{$serverGroupID}{literal}').show(); } else { jQuery('#provisionToPanel_{/literal}{$serverGroupID}{literal}').hide(); }{/literal}"> {$serverGroupName}
                                    </td>
                                    <td width="80%">
                                        <div id="provisionToPanel_{$serverGroupID}" {if !$formValues.$createArg}style="display: none;"{/if}>
                                            <table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
                                                <tbody>
                                                    {assign var="usernameArg" value="sg`$serverGroupID`username"}
                                                    {assign var="passwordArg" value="sg`$serverGroupID`password"}
                                                    {assign var="panelArg" value="sg`$serverGroupID`panel"}
                                                    {if $showCredentialFields[$serverGroupID] == true}
                                                    <tr>
                                                        <td class="title">{"TRANS_USERNAME"|lmsg}</td>
                                                        <td><input size="32" maxlength="255" type="text" id="{$usernameArg}" name="{$usernameArg}" value="{$formValues.$usernameArg}"></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="title">{"TRANS_PASSWORD"|lmsg}</td>
                                                        <td><input size="32" maxlength="255" type="text" id="{$passwordArg}" name="{$passwordArg}" value="{$formValues.$passwordArg}"></td>
                                                    </tr>
                                                    {/if}
                                                    {if $historical}
                                                    <tr>
                                                        <td class="title">{"TRANS_PANELS"|lmsg}</td>
                                                        <td><select id="{$panelArg}" name="{$panelArg}"> {html_options options=$panels selected=$formValues.panelArg} </select></td>
                                                    </tr>
                                                    {/if}
                                                </tbody>
                                            </table>
                                            {include file="$tplDirectory/widgets/dateSelector.tpl" param=$createArg}
                                            <div class="hint">{"TRANS_PACKAGE_ADMIN_CREATE_DESC"|lmsg}</div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                {foreachelse}
                    {"TRANS_NO_SERVER_GROUPS"|lmsg}
                {/foreach}
            </div>
        </div>
    {/if}
    <div class="form-row"><div class="field-name"><label for="generateInvoice">{"TRANS_GENERATE_INVOICE_IMMEDIATELY"|lmsg}</label></div>
        <div class="field-value">
            <label xonmouseup="setTimeout('checkEnableEmailCheckbox();', 100)" for="generateInvoice"><input class="checkbox" type="checkbox" checked="checked" id="generateInvoice" name="generateInvoice" value="1" xonmouseup="setTimeout('checkEnableEmailCheckbox();', 100)"> {"TRANS_GENERATE_INVOICE_IMMEDIATELY_DESC"|lmsg}</label>
            <script>
                {literal}
                    updateEnableChargingDisabledAttr();
                    jQuery('#generateInvoice').change(function () {
                        updateEnableChargingDisabledAttr();
                    });
                {/literal}
            </script>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_EMAIL_TO_SEND"|lmsg}</div>
        <div class="field-value">
            <select name="emailOptions">
                <option value="0">{"TRANS_NONE"|lmsg}</option>
                <option value="1">{"TRANS_NEW_ORDER_EMAIL"|lmsg}</option>
                <option value="2">{"TRANS_INVOICE_EMAIL"|lmsg}</option>
            </select>
        </div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_INVOICE_DUE_DATE_OVERRIDE"|lmsg}</div>
        <div class="field-value">
            {include file="$tplDirectory/widgets/dateSelector.tpl" param="overrideDateDue" optional="yes"}
        </div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {if $historical}
        {buttons id='billing-id-import' class="action" name='import' value='TRANS_IMPORT_EXISTING_PACKAGE_BUTTON' type='submit' label='TRANS_IMPORT_EXISTING_PACKAGE_BUTTON'}
    {else}
        {buttons id='billing-id-add' class="action" name='add' value='TRANS_ADD_NEW_PACKAGE_BUTTON' type='submit' label='TRANS_ADD_NEW_PACKAGE_BUTTON'}
    {/if}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>