{* $Id: AddPackageAddon.tpl 7515 2006-06-16 03:42:44Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PACKAGES', 'TRANS_MANAGE_PACKAGE_ADDONS', 'TRANS_ADD_PACKAGE_ADDON');{/php}

{include file="$tplDirectory/widgets/context/package.tpl" package=$packageInfo}

{assign var="currencyID" value=$packageInfo.currencyID}

{foreach key="groupId" item="addons" from=$products}
{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_ADD_ADDON"}
<form method="post" action="{getFormAction controller="packages"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="act" value="{getActionID action="AddPackageAddonResponse"}">
    <input type="hidden" name="packageID" value="{$packageInfo.packageID}">
    <div class="form-row"><div class="single-row">{assign var="group" value=$addonGroups.$groupId}{$group.productAddonGroupName}</div></div>
    {if "c" == $group.productAddonGroupInputType}
        {assign var="inputType" value="checkbox"}
    {else}
        {assign var="inputType" value="radio"}
    {/if}
    {foreach key="id" item="addon" from=$addons}
        <div class="form-row">
            <div class="field-name"><input type="{$inputType}" name="addons[]" value="{$id}">&nbsp; - {$addon.productName|constant|safetyhtml}
                {if !$addon.productActive}({"TRANS_INACTIVE"|lmsg|lower}){/if}
                {if $displayAddonCycles}<br>[{$addon.cycleID|getCycleName|lmsg}]{/if}
            </div>
            <div class="field-value"><div class="list">
                <table width="100%" cellspacing="0">
                    {if $displayAddonCycles}
                        <tr class="even">
                            <td>{"TRANS_NEXT_RENEWAL_DATE"|lmsg} </td>
                            <td>{include file="$tplDirectory/widgets/dateSelector.tpl" param="$id-nextrenewal"}</td>
                        </tr>
                    {/if}
                    <tr class="odd">
                        <td>{"TRANS_PRICE"|lmsg} </td>
                        <td><input type="text" name="prices[{$id}][general]" value="{$addon.0.productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                        <td>{"TRANS_COUPON_PRICE"|lmsg} </td>
                        <td><input type="text" name="prices[{$id}][coupon]" value="{$addon.0.productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                    </tr>
                    <tr class="even">
                        <td>{"TRANS_PLUS_SETUP"|lmsg} </td>
                        <td><input type="text" name="prices[{$id}][setup]" value="{$addon.1.productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                        <td>{"TRANS_COUPON_NUM_CYCLES"|lmsg} </td>
                        <td><input type="text" name="prices[{$id}][couponcycles]" value="0"></td>
                    </tr>
                </table>
            </div></div>
        </div>
    {/foreach}
{include file="$tplDirectory/widgets/form-box-footer.tpl"}
{include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>
    {foreachelse}
{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_ADD_ADDON"}
<div class="form-row">
    <div class="single-row">
        {if $displayAddonCycles}
            {"TRANS_NO_ADDONS"|lmsg}
        {else}
            {"TRANS_NO_ADDONS_FOR_CYCLE"|lmsg}
        {/if}
    </div>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}
{/foreach}