{* $Id: ChangePackageClient.tpl 8964 2006-09-18 17:39:24Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of package records.
 *
 * Smarty Variables:
 *	$packages (array of packages that match input criteria)
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Kris Bailey
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PACKAGES', 'TRANS_SHOW_PACKAGES', 'TRANS_TRANSFER_PACKAGE');{/php}

{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_TRANSFERING_PACKAGE"}
<div class="form-row"><div class="single-row">
{include file="$tplDirectory/widgets/context/package.tpl" package=$package types=$packageTypes}
</div></div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}

<form method="post" action="{getFormAction controller="packages"}">
    <input type='hidden' name='act' value='{getActionID action="ChangePackageClientResponse"}'>
    <input type='hidden' name='packageID' value='{$package.packageID}'>
    <input type='hidden' name='clientID' value='{$toClient.clientID}'>
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_FROM_CLIENT"}
    <div class="form-row"><div class="single-row">
        {include file="$tplDirectory/widgets/context/client.tpl" client=$fromClient suppressEditLink=1 suppressDeleteLink=1}
    </div></div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_TO_CLIENT"}
    <div class="form-row"><div class="single-row">
        {include file="$tplDirectory/widgets/context/client.tpl" client=$toClient suppressEditLink=1 suppressDeleteLink=1}
    </div></div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_BILLING_ACCOUNT_TO_PAY_FOR_PACKAGE"}
        <div class="form-row"><div class="single-row">
            <select name="billingAccountID">
                {html_options options=$selectableBillingAccounts}
            </select>
        </div></div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>