{* $Id: AddTodo.tpl 6528 2006-05-02 20:01:42Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to add a new to-do. The form must post to todos.php, 
 * with the action ID for the AddTodoResponse action, so that the POST data can 
 * be handled by the server. This template takes the $todostatus smarty variable, used to display
 * the options for the status of the to-do.
 *
 * Smarty Variables:
 *	$todostatus -- Array of possible statuses for the To Do item.
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_TODOS', 'TRANS_ADD_TODO', '');{/php}
{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="{getFormAction controller="todos"}">
    <input type="hidden" name="act" value="{getActionID action="AddTodoResponse"}">
    <input type="hidden" name="token" value="{$token}">

    {include file="$tplDirectory/widgets/addTodo.tpl"}

    {buttons id='billing-id-ok' class='action' name='ok' value='TRANS_OK' type='submit' label='TRANS_OK'}
    {buttons id='billing-id-cancel' name='cancel' value='TRANS_CANCEL' type='button' label='TRANS_CANCEL' onclick='history.go(-1);'}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>
