{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_PACKAGES_SUMMARY"}

{assign var=reset value="true"}
{foreach from=$packageStatuses key=statusID item=num}
    <div class="form-row"><div class="field-name">
        <a href="{getHREF page="packages.php" actionName="ShowPackages" args="clientID=$clientID&packageStatus=$statusID&filter[package_active]=1"}">{$statusID|getStatusName:"package"}</a>:
    </div><div class="field-value"><div class="text-value">
        {$num}
    </div></div></div>
    {assign var=reset value="false"}
{/foreach}
{if count($packageStatuses) != 1}
    <div class="form-row"><div class="field-name">
        <a href="{getHREF page="packages.php" actionName="ShowPackages" args="clientID=$clientID&filter[package_active]=1"}">{"TRANS_TOTAL"|lmsg}</a>:
    </div><div class="field-value"><div class="text-value">
        {array_sum array=$packageStatuses}
    </div></div></div>
{/if}
{assign var=p value=$client.clientID}
{assign var=p value=$client.clientID}
{strip}
    <div class="form-row"><div class="single-row">
        {if $productCount>20}
            {if $clientIsReseller}
                {include
                    file="$tplDirectory/widgets/actionLink.tpl"
                    page="products.php"
                    actionName="ShowProducts"
                    args="clientID=`$clientID`&mode=1&reseller=1"
                    icoImage="add-new-subscription.png"
                    altText="TRANS_CREATE_NEW_PACKAGE"
                    linkText="TRANS_CREATE_NEW_PACKAGE"}
            {else}
                {include
                    file="$tplDirectory/widgets/actionLink.tpl"
                    page="products.php"
                    actionName="ShowProducts"
                    args="clientID=`$clientID`&mode=1"
                    icoImage="add-new-subscription.png"
                    altText="TRANS_CREATE_NEW_PACKAGE"
                    linkText="TRANS_CREATE_NEW_PACKAGE"}
            {/if}
        {else}
            {include
                file="$tplDirectory/widgets/actionLink.tpl"
                id="billing-id-add-new-subscription"
                javascriptLink="void(0);"
                onclick="addPackage(event, 'mode=1');"
                icoImage="add-new-subscription.png"
                altText="TRANS_CREATE_NEW_PACKAGE"
                linkText="TRANS_CREATE_NEW_PACKAGE"}
        {/if}
    </div></div>
{/strip}
<div class="form-row">
    <div class="single-row">
        {include
            file="$tplDirectory/widgets/actionLink.tpl"
            page="packages.php"
            actionName="ShowPackages"
            args="clientID=$p&filter[package_active]=1"
            icoImage="view.png"
            altText="TRANS_SHOW_ALL_PACKAGES"
            linkText="TRANS_SHOW_ALL_PACKAGES"}
    </div>
</div>

<div class="form-row">
    <div class="single-row">
        {include
            id="billing-id-resend-subscription-info"
            file="$tplDirectory/widgets/actionLink.tpl"
            javascriptLink="void(0);"
            icoImage="edit-properties.png"
            altText="TRANS_RESEND_PACKAGE_INFO_EMAIL"
            linkText="TRANS_RESEND_PACKAGE_INFO_EMAIL"}

        {include file="$tplDirectory/widgets/popup-panel-header.tpl" id="resendPackageInfoEmailContainer" heading="TRANS_CHOOSE_PACKAGE_AND_SERVER" class="resend-subscription-info"}
        <div class="popup-content-area">
            <div class="form-box">
                <div class="box-area">
                    {if $resendEmailPackages}
                        {foreach item="packageServer" key="k" from=$resendEmailPackages}
                            <div class="form-row">
                                <div class="single-row">
                                    <a href="{getBaseUrl page="clients.php" actionName="ShowClientDetails"}&clientID={$smarty.request.clientID}&packageID={$packageServer.packageID}&configGroupID={$packageServer.configGroupID}&resendPackageInfoEmail=1">({$packageServer.packageID}) {if $packageServer.domainID}<strong>{$packageServer.domainSLD|safetyhtml}.{$packageServer.domainTLD|safetyhtml}</strong> :: {/if} {$packageServer.packageName|safetyhtml} - {$packageServer.serverGroupName|safetyhtml} :: {$packageServer.serverName|safetyhtml}</a>
                                </div>
                            </div>
                        {/foreach}
                        {else}
                        <div class="form-row">
                            <div class="single-row">
                                {"TRANS_PACKAGE_INFO_EMAILS_LIST_RESEND_EMPTY"|lmsg}
                            </div>
                        </div>
                    {/if}
                </div>
            </div>
            <div class="btns-box">
                <div class="box-area">
                    <div class="form-row">
                        <div class="single-row">
                            <div class="field-value">
                                <span class="btn"><button id="billing-id-cancel-resend-subscription-info" value="" type="submit">{"TRANS_CANCEL"|lmsg}</button></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {include file="$tplDirectory/widgets/popup-panel-footer.tpl"}
    </div>
</div>
{if $resendPackageInfoEmailMessage}
    <div class="form-row">
        <div class="single-row">
            {$resendPackageInfoEmailMessage|constant|default:$resendPackageInfoEmailMessage}
        </div>
    </div>
{/if}

{include file="$tplDirectory/widgets/form-box-footer.tpl"}