{* $Id: client.tpl 9229 2006-09-28 15:10:03Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
 *}
{if !$clientIsReseller}
    {assign var="clientID" value=$client.clientID}
    {assign var="accountId" value=$client.clientID}
    <div class="list">
        <table width="100%" cellspacing="0">
        <thead>
            <tr >
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_CLIENTID"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_COMPANY"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_PRIMARY_CONTACT"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_EMAIL"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_ACTIONS"}
            </tr>
        </thead>
        <tbody>
        <tr class="odd">
            <td>
                {include file="$tplDirectory/widgets/actionLink.tpl"
                    page="clients.php"
                    actionName="ShowClientDetails"
                    args="clientID=$clientID"
                    clientID=$clientID
                    clientContactID=$client.clientContactID
                    altText=$accountId
                    linkText=$accountId}
            </td>
            <td>{$client.clientCompany|default:"TRANS_EMPTY"|lmsg|safetyhtml|mb_truncate:20}</td>
            <td>
                {if $client.contactLastName && $client.contactFirstName}
                    <a href="{getHREF page="clients.php" actionName="ShowClientContacts" args="clientID=$clientID&clientContactID=`$client.clientContactID`"}">
                        <span>{$client.contactLastName|safetyhtml|mb_truncate:25}, {$client.contactFirstName|safetyhtml|mb_truncate:25}</span>
                    </a>
                {else}
                    {"TRANS_EMPTY"|lmsg}
                {/if}
            </td>
            <td>
                {if $client.contactEmail}
                    <a href="{getHREF page="clients.php" actionName="SendClientEmail" args="clientID=$clientID"}">
                        <span>{$client.contactEmail|safetyhtml|mb_truncate:45}</span>
                    </a>
                {else}
                    {"TRANS_EMPTY"|lmsg}
                {/if}
            </td>
            <td>
                {strip}
                {if !$suppressDetailsLink}
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="clients.php"
                        actionName="ShowClientDetails"
                        args="clientID=$clientID"
                        clientID=$clientID
                        clientContactID=$client.clientContactID
                        icoImage="view.png"
                        altText="TRANS_DETAILS"
                        linkText="TRANS_DETAILS"}
                    &nbsp;&nbsp;&nbsp;
                {/if}
                {if !$suppressEditLink}
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="clients.php"
                        actionName="EditClient"
                        args="clientID=$clientID"
                        icoImage="edit-customer.png"
                        altText="TRANS_EDIT"
                        linkText="TRANS_EDIT"}
                    &nbsp;&nbsp;&nbsp;
                {/if}
                {if !$suppressDeleteLink}
                    {assign var="clientActive" value=$client.clientActive}
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="clients.php"
                        actionName="RemoveClient"
                        args="id[]=$clientID&client_active=$clientActive"
                        icoImage="remove-customer.png"
                        altText="TRANS_REMOVE"
                        linkText="TRANS_REMOVE"
                    }
                    &nbsp;&nbsp;&nbsp;
                {/if}
                {/strip}
            </td>
        </tr>
        </tbody>
        </table>
    </div>
{/if}