{* $Id: cycle.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the cycle context bar.
 *
 * Smarty Variables:
 *	$cycle		array of cycle information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/cycle.tpl" cycle=$cycle}
 *}

<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_CYCLE_ID"|lmsg}</th>
                <th>{"TRANS_CYCLE_NAME"|lmsg}</th>
                <th>{"TRANS_SECONDS"|lmsg}</th>
                <th>{"TRANS_MINUTES"|lmsg}</th>
                <th>{"TRANS_HOURS"|lmsg}</th>
                <th>{"TRANS_DAYS"|lmsg}</th>
                <th>{"TRANS_MONTHS"|lmsg}</th>
                <th>{"TRANS_YEARS"|lmsg}</th>
                {if !$isReseller}
                    <th>{"TRANS_ACTIONS"|lmsg}</th>
                {/if}
            </tr>
        </thead>
        <tbody>
            <tr class="odd">
                <td>{$cycle.cycleID}</td>
                <td>{$cycle.cycleDisplayName}</td>
                <td>{$cycle.cycleNumSeconds}</td>
                <td>{$cycle.cycleNumMinutes}</td>
                <td>{$cycle.cycleNumHours}</td>
                <td>{$cycle.cycleNumDays}</td>
                <td>{$cycle.cycleNumMonths}</td>
                <td>{$cycle.cycleNumYears}</td>
                {if !$isReseller}
                    <td>
                        {assign var="tldID" value=$TLD.tldID}
                        {include
                            file="$tplDirectory/widgets/actionLink.tpl"
                            page="products.php"
                            actionName="EditCycle"
                            args="cycleID=$cycleID"
                            icoImage="edit"
                            altText="TRANS_EDIT"
                            linkText="TRANS_EDIT"}
                    </td>
                {/if}
            </tr>
        </tbody>
    </table>
</div>