{* $Id: product.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 * $contact		array of contact information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$types activeInactive=$activeInactive}
 *}

{assign var="productID" value=$product.productID}
{assign var="productTypes" value="products"|getTypes}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr class="headerRow">
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="firstTD" headerName="TRANS_PRODUCTID"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_PRODUCT"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="20%" headerName="TRANS_PRODUCT_TYPE"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_STATUS"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="20%" headerClass="lastTD" headerName="TRANS_ACTIONS"}
	</tr>
	<tr class="althover">
		<td class="listRowFirstTD">
			<strong>
				{include file="$tplDirectory/widgets/actionLink.tpl"
					module="products"
					controller="plan-overview"
					action="index"
					arguments="id=$productID"
					altText=$productID
					linkText=$productID
				}
			</strong>
		</td>
		<td>
			{$product.productName|safetyhtml}
		</td>
		<td>
			{$productTypes[$product.productType]}
		</td>
		<td>
			{assign var="thisStatus" value=$product.productActive} {$activeInactive.$thisStatus}
		</td>
		<td>
			{strip}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				module="products"
				controller="plan-overview"
				action="index"
				arguments="id=$productID"
				icoImage="view"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_DETAILS"
				titleText=""
				linkText="TRANS_DETAILS"
				noSpace="1"
			}
			{/strip}
		</td>
	</tr>
</table>
<br />