{* $Id: miniProgressBar.tpl 10417 2007-01-04 19:35:25Z kbailey $
 * --------------------------------------------------------------
 * This template is a widget that displays the pagination links for a list of results.
 *
 * Smarty Variables:
 *  $containerWidth         The width of the container
 *  $containerColor         The background color of the containing div (nothing if not set)
 *  $barWidth               The pixel width of the bar NOT INCLUDING THE 10px FOR THE SIDES
 *  $tdid                   The html id to use for the td in the middle
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/miniProgressBar.tpl"
 *      tdid=""
 *      containerWidth="100"
 *      containerColor="#CCCCCC"
 *      barWidth="45"}
 *}
<div class="progress-bar-box">
    <div class="box-area">
        <div class="content">
            <div class="content-area">
                <div class="progress-counter">{$barWidth}%</div>
                <div class="progress-bar">
                    <div class="progress-bar-wrap">
                        <div style="width: {$barWidth}%;" class="progress-bar-fill"><span></span></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>