{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_PACKAGE_ATTRIBUTES"}
<div class="list">
    <table width="100%" cellspacing="0">
        <tbody>
            {foreach key="serverGroupID" item="attributes" from=$allAttributes.package}
                <tr>
                    <th class="text-center" colspan="2">
                        {$serverGroupList.$serverGroupID}
                        {if $attributes.packageUsername.configGroupID>0} - <a href="packages.php?action={getActionID action="ShowPackageDetails"}&packageID={$packageInfo.packageID}&configGroupID={$attributes.packageUsername.configGroupID}&resendPackageInfoEmail=1">{"TRANS_RESEND_INFO_EMAIL"|lmsg}</a>
                            - <a href="{getBaseUrl page="packages.php" actionName="ShowPackageDetails"}&packageID={$packageInfo.packageID}&reprovisionServerGroupID={$serverGroupID}">{"TRANS_REPROVISION_SERVICE"|lmsg}</a>
                        {/if}
                    </th>
                </tr>
                <tr>
                    <th>{"TRANS_ATTRIBUTE_DISPLAY_NAME"|lmsg}</th>
                    <th>{"TRANS_ATTRIBUTE_INTERNAL_VALUE"|lmsg}</th>
                </tr>
                {assign var="isOdd" value=true}
                {foreach key="attributeName" item="attribute" from=$attributes}
                    <tr class="{if $isOdd}odd{else}even{/if}">
                        <td>{$attributeName}</td>
                        <td>{$attribute.packageAttributeValue}</td>
                    </tr>
                    {assign var="isOdd" value=$isOdd-1|abs}
                    {foreach key="x" item="subAttribute" from=$allAttributes.addon.$serverGroupID.$attributeName}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td></td><img title="{"TRANS_ADDON_ATTRIBUTE"|lmsg}" src="/theme/icons/16/billing/addons.png">{$subAttribute.packageAttributeName|getHumanReadable}</td>
                            <td>{$subAttribute.packageAttributeValue}</td>
                        </tr>
                        {assign var="isOdd" value=$isOdd-1|abs}
                    {/foreach}
                {/foreach}
            {foreachelse}
                <tr class="odd">
                    <td colspan="2">{"TRANS_NO_ATTRIBUTES"|lmsg}</td>
                </tr>
            {/foreach}
        </tbody>
    </table>
</div>
{include file="$tplDirectory/widgets/form-box-footer.tpl"}

<form method="post" action="{getFormAction controller="packages"}">
    <input type="hidden" name="packageID" value="{$packageInfo.packageID}">
    <input type="hidden" name="act" value="{getActionID action="EditPackageResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="task" value="serverassociate">
    {include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_ASSOCIATE_WITH_SERVICE"}
    <div class="form-row"><div class="field-name">{"TRANS_CHOOSE_SERVER"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <select name="serverID">
                {html_options options=$serverGroupServersList}
            </select>
        </div></div>
    </div>
    <div class="form-row"><div class="field-name">{"TRANS_SUBSCRIBER_USERNAME"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            <input type="text" name="domainUserName" value="{$allAttributes.package.0.packageUsername.packageAttributeValue}">
        </div></div>
    </div>
    {include file="$tplDirectory/widgets/form-box-footer.tpl"}
    {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttonsForAttributes isSingleRow=true}
</form>
