{include file="$tplDirectory/widgets/form-box-header.tpl" title="TRANS_GENERAL_INFORMATION"}
<div class="form-row">
    <div class="field-name">{"TRANS_RECORD_IS_ACTIVE"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$yesNo[$packageInfo.packageActive]}</div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_PRODUCT_TYPE"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$packageTypes[$packageInfo.packageType]}</div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_PRODUCT_NAME"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$packageInfo.packageName|safetyhtml}</div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_PRODUCT"|lmsg}</div>
    <div class="field-value"><div class="text-value"><a href="{getAdminActionUrl module="products" controller="plan-overview"}&id={$packageInfo.productID}">{$packageInfo.productName|safetyhtml}</a></div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_PACKAGE_QUANTITY"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$packageInfo.packageQuantity}</div></div>
</div>
<div class="form-row">
    <div class="field-name">{"TRANS_DATE_CREATED"|lmsg}</div>
    <div class="field-value"><div class="text-value">{$packageInfo.packageDateCreated|getDateTime}</div></div>
</div>
{if $packageInfo.packagePriorID}
    <div class="form-row">
        <div class="field-name">{"TRANS_UPGRADED_OR_DOWNGRADED_FROM"|lmsg}</div>
        <div class="field-value"><div class="text-value">
            {include file="$tplDirectory/widgets/actionLink.tpl"
                page="packages.php"
                actionName="ShowPackageDetails"
                args="packageID=`$packageInfo.packagePriorID`"
                altText=$packageInfo.packagePriorID
                linkText=$packageInfo.packagePriorID}
        </div></div>
    </div>
{/if}
{if count($packageInfo.domains)}
<div class="form-row">
    <div class="field-name">{"TRANS_DOMAINS"|lmsg}</div>
    <div class="field-value"><div class="text-value">
        {section name=i loop=$packageInfo.domains}
            {$packageInfo.domains[i].domainSLD}.{$packageInfo.domains[i].domainTLD}<br>
        {/section}
    </div></div>
</div>
{/if}
{include file="$tplDirectory/widgets/form-box-footer.tpl"}