<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th colspan="12">
                {assign var="linkText" value="TRANS_INVOICE_NUMBER"|lmsg|cat:" "|cat:$invoiceInfo.invoiceNumber}
                {include
                    file="$tplDirectory/widgets/actionLink.tpl"
                    page="invoices.php"
                    actionName="ShowInvoiceDetails"
                    args="invoiceID=`$invoiceInfo.invoiceID`"
                    icoImage="view-invoice.png"
                    altText=$linkText
                    linkText=$linkText
                    suppressActionMenu=1}
                </th>
            </tr>
            <tr>
                <th>#</th>
                <th>{"TRANS_DESCRIPTION"|lmsg}</th>
                <th>{"TRANS_BEGIN"|lmsg}</th>
                <th>{"TRANS_CURRENT"|lmsg}</th>
                <th>{"TRANS_NEXT_RENEWAL"|lmsg}</th>
                <th>{"TRANS_QUANTITY_ABBR"|lmsg}</th>
                <th class="text-right">{"TRANS_PRICE"|lmsg}</th>
                <th class="text-right">{"TRANS_DISCOUNT"|lmsg}</th>
                <th class="text-right">{"TRANS_SETUP"|lmsg}</th>
                <th class="text-right">{"TRANS_SUB_TOTAL"|lmsg}</th>
                <th class="text-right">{"TRANS_TAX"|lmsg}</th>
                <th class="text-right">{"TRANS_TOTALS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {assign var="lastPackageId" value=0}
            {assign var="currencyID" value=$invoiceInfo.currencyID}
            {assign var="isOdd" value=true}
            {section name="j" loop=$lineItems}
                {assign var="tpid" value=$lineItems[j].packageID}
                {if $lineItems[j].packageAddonID>0}
                    {if $tpid != $lastPackageId}
                        {assign var="rowspan" value="2"}
                    {else}
                        {assign var="rowspan" value="1"}
                    {/if}
                    <tr class="{if $isOdd}odd{else}even{/if}">
                        <td rowspan="{$rowspan}">{$smarty.section.j.index+1}</td>
                        <td>
                            [{"TRANS_ADDON"|lmsg} <strong>{$lineItems[j].packageAddonID}</strong>]
                            {$lineItems[j].lineItemDescription|safetyhtml|highlightTerm}
                        </td>
                        {if $displayAddonDates}
                            <td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                            <td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                            <td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                        {else}
                            <td colspan="3"></td>
                        {/if}
                        <td >{$lineItems[j].lineItemQuantity}</td>
                        <td class="text-right">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
                            {if $lineItems[j].lineItemDiscountAmount>0}
                            <br>
                            {"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
                                {if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                                {elseif $lineItems[j].lineItemDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}%
                                {elseif $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].prorationDiscount*100}%
                                {/if}
                            {/if}
                        </td>
                        <td class="text-right">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                    </tr>
                    {if $tpid != $lastPackageId}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td colspan="12">
                                {"TRANS_SUBSCRIPTION"|lmsg} <strong>{$tpid} {$lineItems[j].packageName|safetyhtml}</strong>
                            </td>
                        </tr>
                    {/if}
                    {assign var="isOdd" value=$isOdd-1|abs}
                {else}
                    {if $lineItems[j].packageComments!=""}
                        {assign var="rowspan" value="2"}
                    {else}
                        {assign var="rowspan" value="1"}
                    {/if}
                    {assign var="lastPackageId" value=$tpid}
                    <tr class="{if $isOdd}odd{else}even{/if}">
                        <td rowspan="{$rowspan}">{$smarty.section.j.index+1}</td>
                        <td>
                            [<strong>{$tpid}</strong>]
                            {$lineItems[j].lineItemDescription|safetyhtml}
                            {if $domains.$tpid}
                                <br>{"TRANS_DOMAIN"|lmsg} <strong>{$domains.$tpid.domainName}</strong>
                            {/if}
                        </td>
                        <td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                        <td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                        <td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                        <td>{$lineItems[j].lineItemQuantity}</td>
                        <td class="text-right">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
                            {if $lineItems[j].lineItemDiscountAmount>0}
                            <br>
                            {"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
                                {if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                                {elseif $lineItems[j].lineItemDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}%
                                {elseif $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].prorationDiscount*100}%
                                {/if}
                            {/if}
                        </td>
                        <td class="text-right">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                        {assign var="isOdd" value=$isOdd-1|abs}
                    </tr>
                    {if $lineItems[j].packageComments!=""}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td colspan="12">{$lineItems[j].packageComments|highlightTerm}</td>
                        </tr>
                    {/if}
                {/if}
            {/section}
        </tbody>
    </table>
</div>