{* $Id: listHeaderText.tpl 10611 2007-01-31 23:58:12Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> with no sorting or filtering.
 *
 * Smarty Variables:
 *	$headerName  	The constant representation of that column name.
 *	$headerAlign  	The text alignment of the header name.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_X" headerAlign="center"}
 *}

{strip}
    <th {if $colSpan>0} colspan="{$colSpan}"{/if} {if $colWidth>0} width="{$colWidth}"{/if} align="{$headerAlign}" class="{$headerClass}">
        {$headerName|lmsg}
    </th>
    {if $addEmptyTD}
        <th>&nbsp;</th>
    {/if}
{/strip}