{* $Id: variantLedgerForm.tpl 10386 2006-12-29 18:06:25Z kbailey $
 * --------------------------------------------------------------
 * This template is a widget that displays the pagination links for a list of results.
 *
 * Smarty Variables:
 *  $containerWidth         The width of the container
 *  $containerColor         The background color of the containing div (nothing if not set)
 *  $barWidth               The pixel width of the bar NOT INCLUDING THE 10px FOR THE SIDES
 *  $tdid                   The html id to use for the td in the middle
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/variantLedgerForm.tpl"
 *      containerClass="box01"
 *      containerName="leDiv"
 *      fieldPrefix=""
 *      existingEntries=$existingEntries
 *      printScript=1
 *      currency="USD"
 *      formname="form"
 *      ledgerAccounts=$ledgerAccounts
 *      accountTypes=$accountTypes}
 *}


{assign var="prefix" value=$fieldPrefix}

{if $printScript}
{literal}
<script>

    var XKLEtabletop = "";
    var XKLEtablebottom = "";

    function killRow(rid, form, prefix, containername){
        if (confirm("{/literal}{"TRANS_REMOVE_LEDGER_ENTRY_ARE_YOU_SURE"|lmsg|escape:javascript}{literal}")){
            document.getElementById(rid).style.display = 'none';
            document.getElementById(rid).innerHTML = '';
            XKmakeTotals(form, prefix, containername);
        }
    }

    var XKLEUID = 1000;

    function buildLedgerRow(prefix, formname, containerName){
        XKLEUID++;
        leHTML = "<td><a class\"st01\" href=\"javascript:killRow('{/literal}{$containerName}{literal}"+XKLEUID+"', document."+formname+", '"+prefix+"', '"+containerName+"');\">X</a></td>";
        leHTML += "<td><select class='f-middle-size' name='"+prefix+"ledgerEntries["+XKLEUID+"][ledgerAccountID]'>"
{/literal}
        {section name=i loop=$ledgerAccounts}
            {assign var="ledgerAccountID" value=$ledgerAccounts[i].ledgerAccountID}

                {if $ledgerAccounts[i].ledgerAccountType != $ledgerAccountType}
{if $notFirstTime}
        leHTML += "</optgroup>";
{/if}
                        {assign var="ledgerAccountType" value=$ledgerAccounts[i].ledgerAccountType}
                        {assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
        leHTML += "<optgroup label=\"{$transkey|lmsg}\">";
                        {assign var="notFirstTime" value="1"}
                {/if}
{assign var="ledgerAccountTransKey" value=$ledgerAccounts[i].ledgerAccountTransKey}
        leHTML += "<option value=\"{$ledgerAccounts[i].ledgerAccountID}\"{if $selectedLedgerID == $ledgerAccounts[i].ledgerAccountID} selected=\"selected\"{/if}>";
        leHTML += "    {$ledgerAccounts[i].ledgerAccountNumber} - {$ledgerAccountTransKey|lmsg}";
        leHTML += "</option>";

        {sectionelse}

        {/section}
        leHTML += "</optgroup>";
{literal}
        leHTML += "</select></div>";
        leHTML += "<td><input type=text name='"+prefix+"ledgerEntries["+XKLEUID+"][generalLedgerDescription]' value=''></td>";
        leHTML += "<td class=\"text-right\">{/literal}{$currency}{literal} <input type='text' name='"+prefix+"ledgerEntryDebits["+XKLEUID+"][generalLedgerDebitAmount]' onchange=\"XKmakeTotals(document."+formname+", '"+prefix+"', '"+containerName+"');this.value=XKformatNumber(' ###.##; ###.##', XKround(this.value,2).toString(), '.', ',');\" size=10 value='0.00'></td>";
        leHTML += "<td class=\"text-right\">{/literal}{$currency}{literal} <input type='text' name='"+prefix+"ledgerEntryCredits["+XKLEUID+"][generalLedgerCreditAmount]' onchange=\"XKmakeTotals(document."+formname+", '"+prefix+"', '"+containerName+"');this.value=XKformatNumber(' ###.##; ###.##', XKround(this.value,2).toString(), '.', ',');\" size=10 value='0.00'></td>";
        {/literal}
        jQuery('#{$containerName}'+XKLEUID).after("<tr id='{$containerName}"+(XKLEUID+1)+"'></tr>");
        {literal}

        return leHTML;
    }

    function addLedgerEntry(prefix, formname, containerName){

        var leHTML = buildLedgerRow(prefix, formname, containerName);
        target = document.getElementById(containerName+XKLEUID);
        target.innerHTML += leHTML;

    }

    function XKmakeTotals(form, prefix, containerName){
        //ledgerEntrieCredits
        var debits = XKgetFormFieldTotals(form, prefix+"ledgerEntryDebits");
        var credits = XKgetFormFieldTotals(form, prefix+"ledgerEntryCredits");
        var cango = XKcheckDebitCredit(form, prefix+"ledgerEntryDebits");
        document.getElementById(containerName+'dtotal').innerHTML = XKformatNumber("{/literal}{$currency}{literal} ###.##;{/literal}{$currency}{literal} ###.##", debits, '.', ',');
        document.getElementById(containerName+'ctotal').innerHTML = XKformatNumber("{/literal}{$currency}{literal} ###.##;{/literal}{$currency}{literal} ###.##", credits, '.', ',');
        if (debits==credits && cango==true){
            //form.save.disabled = false;
            document.getElementById(containerName+'dtotal').style.color = '';
            document.getElementById(containerName+'ctotal').style.color = '';
        } else {
            //form.save.disabled = true;
            document.getElementById(containerName+'dtotal').style.color = 'red';
            document.getElementById(containerName+'ctotal').style.color = 'red';
        }
    }
</script>
{/literal}
{/if}

{if $containerClass==''}
    {assign var="class" value="box01"}
{/if}

{if $containerName==''}
    {assign var="containerName" value="leDiv"}
{/if}
<div class="list">
    <table width="100%">
        <thead>
            <tr>
                <th style='width: 33px;'>&nbsp;</th>
                <th style='width: 197px;'>{"TRANS_GL_ACCOUNT"|lmsg}</th>
                <th style='width: 230px;'>{"TRANS_DESCRIPTION"|lmsg}</th>
                <th style='width: 125px;' class="text-right">{"TRANS_DEBITS"|lmsg}</th>
                <th style='width: 125px;' class="text-right">{"TRANS_CREDITS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {section name=i loop=$existingEntries}
                <tr id='ledgerRow{$smarty.section.i.index}'>
                    <input type="hidden" name="{$fieldPrefix}ledgerEntries[{$smarty.section.i.index}][productLedgerID]" value="{$existingEntries[i].productLedgerID}">
                    <td><a class="st01" href="javascript:killRow('ledgerRow{$smarty.section.i.index}');">X</a></td>
                    <td>
                        <select class="f-middle-size" name='{$fieldPrefix}ledgerEntries[{$smarty.section.i.index}][ledgerAccountID]'>
                            {section name=j loop=$ledgerAccounts}
                                {assign var="ledgerAccountID" value=$ledgerAccounts[j].ledgerAccountID}
                                    {if $ledgerAccounts[j].ledgerAccountType != $ledgerAccountType}
                                        {if $notFirstTime}
                                            </optgroup>
                                        {/if}
                                        {assign var="ledgerAccountType" value=$ledgerAccounts[j].ledgerAccountType}
                                        {assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
                                    <optgroup label="{$transkey|lmsg}">
                                        {assign var="notFirstTime" value="1"}
                                    {/if}
                                    {assign var="ledgerAccountTransKey" value=$ledgerAccounts[j].ledgerAccountTransKey}
                                    <option value="{$ledgerAccounts[j].ledgerAccountID}"{if $existingEntries[i].ledgerAccountID == $ledgerAccounts[j].ledgerAccountID} selected="selected"{/if}>
                                        {$ledgerAccounts[j].ledgerAccountNumber} - {$ledgerAccountTransKey|lmsg}
                                    </option>
                                {/section}
                            </optgroup>
                        </select>
                    </td> 
                    <td><input type="text" name='{$prefix}ledgerEntries[{$smarty.section.i.index}][generalLedgerDescription]' value='{$existingEntries[i].generalLedgerDescription}'></td>
                    <td class='text-right'>{$currency} <input type='text' name='{$prefix}ledgerEntryDebits[{$smarty.section.i.index}][generalLedgerDebitAmount]' onchange="XKmakeTotals(document.{$formname}, '{$prefix}', '{$containerName}');this.value=XKformatNumber(' ###.##; ###.##', XKround(this.value,2).toString(), '.', ',');" size="10" value='{$existingEntries[i].generalLedgerDebitAmount}'></td>
                    <td class='text-right'>{$currency} <input type='text' name='{$prefix}ledgerEntryCredits[{$smarty.section.i.index}][generalLedgerCreditAmount]' onchange="XKmakeTotals(document.{$formname}, '{$prefix}', '{$containerName}');this.value=XKformatNumber(' ###.##; ###.##', XKround(this.value,2).toString(), '.', ',');" size="10" value='{$existingEntries[i].generalLedgerCreditAmount}'></td>
                </tr>
            {/section}
            <tr id="{$containerName}1001" class="{$containerClass}"></tr>
        </tbody>
        <tfoot>
            <tr>
                <td>&nbsp;</td>
                <td><a class="st01" href="javascript:addLedgerEntry('{$fieldPrefix}', '{$formname}', '{$containerName}');">{"TRANS_ADD_LEDGER_ENTRY"|lmsg}</a></td>
                <td><a class="st01" href="javascript:XKmakeTotals(document.{$formname}, '{$prefix}', '{$containerName}');">{"TRANS_RECALCULATE"|lmsg}</a></td>
                <td id="{$containerName}dtotal" class="text-right">-</td>
                <td id="{$containerName}ctotal" class="text-right">-</td>
            </tr>
        </tfoot>
    </table>
</div>

<script>
    XKmakeTotals(document.{$formname}, '{$prefix}', '{$containerName}');
</script>
