{* $Id: wizardQuestionInputRadio.tpl 12708 2008-02-28 17:01:59Z kbailey $
 * --------------------------------------------------------------
 * This widget template displays a list of radio options.
 *
 * Smarty Variables:
 *	$question		The question.
 *  $inputName		The name of the select menu.
 *  $inputValue		The value of the input.
 *  $inputOptions	The array of radio options as defined here: http://smarty.php.net/manual/en/language.function.html.radios.php
 *  $appendText		The appended text messege.
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/widgets/wizard/questionInputRadio.tpl" question="Some Question" inputName="" inputValue="" inputOptions="" appendText=""}
 *}
{if $smarty.const.WIZARD_ADMIN_ADDON_DISPLAY==1}
    {section name="i" loop=$questionAnswers}
        {assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
        <label for="{$inputid}_{literal}{ID}{/literal}"><input id="{$inputid}_{literal}{ID}{/literal}" type="radio" value="{$questionAnswers[i].value|safetyhtml}" name="addonValues[{literal}{ID}{/literal}][{$questionID}]" {if ($questionAnswers[i].selected)}checked="checked"{/if}>{$questionAnswers[i].answer|safetyhtml}</label><br>
    {/section}
    {if $questionDescription}<span class="hint">{$questionDescription|safetyhtml}</span>{/if}
    {if $questionErrorMesgs}<span class="error-hint">{$questionErrorMesgs}</span>{/if}

{else}
    <div class="form-row {if $questionErrorMesgs}error{/if}"><div class="field-name"><label for="{$questionID}">{$question|safetyhtml}{if ($requiredField)}<span class="required">*</span>{/if}</label></div>
        <div class="field-value">
            {section name="i" loop=$questionAnswers}
                {assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
                <label for="{$inputid}"><input id="{$inputid}" type="radio" value="{$questionAnswers[i].value|safetyhtml}" name="{$questionID}" {if ($questionAnswers[i].selected)}checked="checked"{/if}> {$questionAnswers[i].answer|safetyhtml}</label><br>
            {/section}
            {if $questionDescription}<span class="hint">{$questionDescription|safetyhtml}</span>{/if}
            {if $questionErrorMesgs}<span class="error-hint">{$questionErrorMesgs}</span>{/if}
        </div>
    </div>
{/if}