{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_CLIENT_SUBSCRIPTIONS_SUBSCRIPTIONS', 'TRANS_SHOW_PACKAGE_DETAILS', '');{/php}
{include file="$tplDirectory/header.tpl"}

{if $numPackages==0}
    <p>{"TRANS_NO_PACKAGES_FOUND"|lmsg}</p>
{else}
    {foreach key="statusID" item="packageGroup" from=$statusPackages}
        {assign var="packages" value=$packageGroup.packages}
        {include file="$commonTplDirectory/widgets/list-box-header.tpl" title=$packageStatuses.$statusID}
        <div class="form-row">
            <div class="single-row list">
                <table width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>{"TRANS_PACKAGE"|lmsg}</th>
                            <th>{"TRANS_ACTIONS"|lmsg}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {section name="i" loop=$packages}
                            <tr class="{cycle values="odd,even"}">
                                <td colspan="2">
                                    {$packages[i].packageName}
                                </td>
                            </tr>
                            <tr class="{cycle values="odd,even"}">
                                <td>
                                    <table width="100%" cellspacing="0" class="form-table">
                                        <tr class="form-row">
                                            <td class="field-name">{"TRANS_ID"|lmsg}</td>
                                            <td class="field-value">{$packages[i].packageID}</td>
                                        </tr>
                                        {if $packages[i].domains}
                                            <tr class="form-row">
                                                <td class="field-name">{"TRANS_DOMAINS"|lmsg}</td>
                                                <td class="field-value">
                                                    {section name="x" loop=$packages[i].domains}
                                                        <strong>{$packages[i].domains[x].domainSLD}.{$packages[i].domains[x].domainTLD}</strong><br />
                                                    {/section}
                                                </td>
                                            </tr>
                                        {/if}
                                        {if $isPrimary}
                                            {foreach key="serverGroupID" item="attrs" from=$packages[i].keyedAttributes}
                                                {if $serverGroupID>0}
                                                    {if $attrs.packageUserName.packageAttributeValue || $attrs.domainUserName.packageAttributeValue || $attrs.clientLogin.packageAttributeValue || $attrs.ftpUsername.packageAttributeValue}
                                                        <tr class="form-row">
                                                            <td class="field-name">{if $serverGroupID==0}{"TRANS_GENERAL_CREDENTIALS"|lmsg}{else}{$keyedServerGroups.$serverGroupID}{/if}</td>
                                                            <td class="field-value">
                                                                {if $attrs.domainUserName.packageAttributeValue}
                                                                    <strong>{"TRANS_USERNAME"|lmsg}</strong> {$attrs.domainUserName.packageAttributeValue}<br />
                                                                {elseif $attrs.clientLogin.packageAttributeValue}
                                                                    <strong>{"TRANS_USERNAME"|lmsg}</strong> {$attrs.clientLogin.packageAttributeValue}<br />
                                                                {elseif $attrs.packageUserName.packageAttributeValue}
                                                                    <strong>{"TRANS_USERNAME"|lmsg}</strong> {$attrs.packageUserName.packageAttributeValue}<br />
                                                                {/if}
                                                                {if $attrs.ftpUsername.packageAttributeValue}
                                                                    <br/><strong>{"TRANS_PACKAGE_ATTRIBUTES__FTPUSERNAME"|lmsg}</strong> {$attrs.ftpUsername.packageAttributeValue}<br/>
                                                                {/if}
                                                            </td>
                                                        </tr>
                                                    {/if}
                                                {/if}
                                            {/foreach}
                                        {/if}
                                        <tr class="form-row">
                                            <td class="field-name">{"TRANS_BILLING_CYCLE"|lmsg}</td>
                                            <td class="field-value">{$packages[i].cycleID|getArrayValueByID:$cycles}</td>
                                        </tr>
                                        <tr class="form-row">
                                            <td class="field-name">{"TRANS_NEXT_BILL_DATE"|lmsg}</td>
                                            <td class="field-value">{$packages[i].packageDateNextRenewal|getDate:short}</td>
                                        </tr>
                                        {if $packages[i].stopDate>10}
                                            <tr class="form-row">
                                                <td class="field-name">{"TRANS_STOP_DATE"|lmsg}</td>
                                                <td class="field-value">{$packages[i].stopDate|getDate:short}<br />
                                                    <small style="white-space: nowrap;">({$packages[i].moreCycles} {"TRANS_MORE_CYCLES"|lmsg})</small></td>
                                            </tr>
                                        {/if}
                                        {if $packages[i].packageCustomerStatusReason}
                                            <tr class="form-row">
                                                <td class="field-name">{"TRANS_STATUS_CHANGE_REASON"|lmsg}</td>
                                                <td class="field-value">{$packages[i].packageCustomerStatusReason}</td>
                                            </tr>
                                        {/if}
                                        {if $packages[i].keyedAttributes[0].PVT.packageAttributeValue}
                                            <tr class="form-row">
                                                <td class="field-name">{"TRANS_PACKAGE_ATTRIBUTES__PVT"|lmsg}</td>
                                                <td class="field-value">{$attrs.PVT.packageAttributeValue}</td>
                                            </tr>
                                        {/if}
                                        {if $packages[i].keyedAttributes[0].CSR.packageAttributeValue}
                                            <tr class="form-row">
                                                <td class="field-name">{"TRANS_PACKAGE_ATTRIBUTES__CSR"|lmsg}</td>
                                                <td class="field-value">{$attrs.CSR.packageAttributeValue}</td>
                                            </tr>
                                        {/if}
                                        {if $packages[i].packageType == $packageStatusSSLCert}
                                            <tr class="form-row">
                                                <td class="field-name">{"TRANS_PACKAGE_ATTRIBUTES__SSL_CERTIFICATE"|lmsg}</td>
                                            {if $packages[i].keyedAttributes[0].SSLCertificate.packageAttributeValue}
                                                <td class="field-value">{$attrs.SSLCertificate.packageAttributeValue}</td>
                                            {else}
                                                <td class="field-value">{"TRANS_PACKAGE_ATTRIBUTES__SSL_CERTIFICATE_WILL_BE_ISSUED"|lmsg}</td>
                                            {/if}
                                            </tr>
                                        {/if}

                                    </table>
                                    <table width="100%">
                                        <thead>
                                            <tr>
                                                <th>&nbsp;</th>
                                                {if $displayAddonCycles}
                                                    <th>{"TRANS_BILLING_CYCLE"|lmsg}</th>
                                                    <th>{"TRANS_NEXT_BILL_DATE"|lmsg}</th>
                                                {/if}
                                                <th>{"TRANS_SUBSCRIPTION_PRICE_CYCLE"|lmsg}</th>
                                                <th>{"TRANS_SUBSCRIPTION_PRICE_DISCOUNT"|lmsg}</th>
                                                <th>{"TRANS_SUBSCRIPTION_PRICE_TAX"|lmsg}</th>
                                                <th>{"TRANS_SUBSCRIPTION_PRICE"|lmsg}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr class="odd">
                                                <td>{$packages[i].packageName}</td>
                                                {if $displayAddonCycles}
                                                    <td>{$packages[i].cycleID|getCycleName|lmsg}</td>
                                                    <td>{$packages[i].packageDateNextRenewal|getDate:short}</td>
                                                {/if}
                                                <td>{$packages[i].planPrice.original|getAmount:$packages[i].currencyID}</td>
                                                <td>{$packages[i].planPrice.discount|getAmount:$packages[i].currencyID}</td>
                                                <td>{$packages[i].planPrice.tax|getAmount:$packages[i].currencyID}</td>
                                                <td>{$packages[i].planPrice.total|getAmount:$packages[i].currencyID}</td>
                                            </tr>
                                            {foreach from=$packages[i].addonPrices item=addon key=addonName}
                                                <tr class="{cycle values="even,odd"}">
                                                    <td>{$addonName}</td>
                                                    {if $displayAddonCycles}
                                                        <td>{$addon.cycleID|getCycleName|lmsg}</td>
                                                        <td>{$addon.nextBillDate|getDate:short}</td>
                                                    {/if}
                                                    <td>{$addon.original|getAmount:$packages[i].currencyID}</td>
                                                    <td>{$addon.discount|getAmount:$packages[i].currencyID}</td>
                                                    <td>{$addon.tax|getAmount:$packages[i].currencyID}</td>
                                                    <td>{$addon.total|getAmount:$packages[i].currencyID}</td>
                                                </tr>
                                            {/foreach}
                                        </tbody>
                                        <tfoot>
                                            <tr class="{cycle values="even,odd"}">
                                                <td>{"TRANS_SUBSCRIPTION_PRICE_TOTAL"|lmsg}</td>
                                                {if $displayAddonCycles}
                                                    <td>&nbsp;</td>
                                                    <td>&nbsp;</td>
                                                {/if}
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>{$packages[i].totalPrice|getAmount:$packages[i].currencyID}</td>
                                            </tr>
                                        </tfoot>
                                    </table>

                                    {assign var="packageID" value=$packages[i].packageID}
                                    {if (isset($childPackages) &&  $childPackages.$packageID)}
                                        <br />{"TRANS_OPTIONS"|lmsg}<br />
                                        <table border="0">
                                        {foreach key="x" item="package" from=$childPackages.$packageID}
                                            <tr class="comments altinner">
                                                <td></td>
                                                <td style="text-align: center; cursor: pointer;">
                                                    {$package.packageID}
                                                </td>
                                                <td style="text-align: left;">
                                                    {$package.packageName}
                                                </td>
                                                <td style="text-align: right;">
                                                    {$package.packagePrice|getAmount:$package.currencyID}
                                                </td>
                                                <td style="text-align: center;">
                                                    {$package.cycleID|getArrayValueByID:$cycles}
                                                </td>
                                                <td style="text-align: center;">
                                                    {$package.packageDateNextRenewal|getDate:short}
                                                </td>
                                                <td style="text-align: center;">
                                                    {if $package.stopDate>10}
                                                        {$package.stopDate|getDate:short}<br />
                                                        <small style="white-space: nowrap;">({$package.moreCycles} {"TRANS_MORE_CYCLES"|lmsg})</small>
                                                    {else}
                                                        --
                                                    {/if}
                                                </td>

                                                <td></td>

                                            </tr>
                                        {/foreach}
                                        </table>
                                    {/if}
                                </td>
                                <td>
                                    {if $packages[i].clientCancel==1}
                                        {if $packages[i].packagePendingCancellation==0 && $packages[i].mayCancel==1}
                                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                                page="packages.php"
                                                actionName="CancelPackage"
                                                args="packageID=`$packages[i].packageID`"
                                                icoImage="cancel"
                                                altText="TRANS_CANCEL"
                                                titleText="TRANS_CANCEL"
                                                linkText="TRANS_CANCEL"}<br>
                                        {/if}
                                        {if $packages[i].packagePendingCancellation==1}
                                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                                page="packages.php"
                                                actionName="CancelPackage"
                                                args="packageID=`$packages[i].packageID`"
                                                icoImage="uncancel"
                                                altText="TRANS_WITHDRAW_CANCELLATION"
                                                titleText="TRANS_WITHDRAW_CANCELLATION"
                                                linkText="TRANS_WITHDRAW_CANCELLATION"}<br>
                                        {/if}
                                    {/if}
                                    {if $statusID == ("none"|get_status_id:"package") AND $packages[i].productType == ("products"|getTypeID:"hosting")}
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                            page="packages.php"
                                            actionName="ShowPanelOptions"
                                            args="packageID=`$packages[i].packageID`"
                                            icoImage="view"
                                            altText="TRANS_PANEL_OPTIONS"
                                            titleText="TRANS_PANEL_OPTIONS"
                                            linkText="TRANS_PANEL_OPTIONS"}<br>
                                    {/if}
                                    {if $packages[i].productType == ("products"|getTypeID:"cert")}
                                        {if  $statusID == ("pending"|get_status_id:"package") && $packages[i].invoicePaid}
                                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                                page="certs.php"
                                                actionName="OrderCertCSRRequest"
                                                args="packageID=`$packages[i].packageID`"
                                                icoImage="view"
                                                altText="TRANS_TODO_BEGIN_CERT_REQUEST"
                                                titleText="TRANS_TODO_BEGIN_CERT_REQUEST"
                                                linkText="TRANS_TODO_BEGIN_CERT_REQUEST"}<br>
                                        {elseif  $statusID == ("none"|get_status_id:"package")}
                                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                                page="certs.php"
                                                actionName="ShowCertDetails"
                                                args="packageID=`$packages[i].packageID`"
                                                icoImage="view"
                                                altText="TRANS_MANAGE_CERT"
                                                titleText="TRANS_MANAGE_CERT"
                                                linkText="TRANS_MANAGE_CERT"}<br>
                                        {/if}
                                    {/if}
                                    {if $packages[i].packagePendingCancellation==0 && $upgradeDowngradeStatuses.$statusID==1}
                                        {if $packages[i].rules.upgrade==1 && $packages[i].canUpgrade}
                                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                                page="packages.php"
                                                actionName="UpgradePackage"
                                                args="packageID=`$packages[i].packageID`"
                                                icoImage="upgrade"
                                                altText="TRANS_UPGRADE"
                                                titleText="TRANS_UPGRADE"
                                                linkText="TRANS_UPGRADE"}<br>
                                        {/if}
                                        {if $packages[i].rules.downgrade==1 && $packages[i].canDowngrade}
                                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                                page="packages.php"
                                                actionName="DowngradePackage"
                                                args="packageID=`$packages[i].packageID`"
                                                icoImage="downgrade"
                                                altText="TRANS_DOWNGRADE"
                                                titleText="TRANS_DOWNGRADE"
                                                linkText="TRANS_DOWNGRADE"}<br>
                                        {/if}
                                    {/if}
                                    {if $packages[i].canCancelUpgrade}
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                            page="packages.php"
                                            actionName="CancelPackage"
                                            args="packageID=`$packages[i].packageID`"
                                            icoImage="cancel"
                                            altText="TRANS_SUBSCRIPTION_OPERATION_CANCEL_UPGRADE_DOWNGRADE"
                                            titleText="TRANS_SUBSCRIPTION_OPERATION_CANCEL_UPGRADE_DOWNGRADE"
                                            linkText="TRANS_SUBSCRIPTION_OPERATION_CANCEL_UPGRADE_DOWNGRADE"}<br>
                                    {/if}
                                    {if $packages[i].canUpsell && $packages[i].rules.upsell==1}
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                                page="dashboard.php"
                                                actionName="LogInToStore"
                                                args="`$packages[i].upsellUrlArgs`"
                                                target="_blank"
                                                icoImage="upgrade"
                                                altText="TRANS_ATTACH_NEW_SERVICES"
                                                titleText="TRANS_ATTACH_NEW_SERVICES"
                                                linkText="TRANS_ATTACH_NEW_SERVICES"}<br>
                                    {/if}
                                    {if $packages[i].canRenew}
                                        {include file="$tplDirectory/widgets/actionLink.tpl"
                                                module="packages"
                                                controller="action"
                                                action="renew"
                                                arguments="id=`$packages[i].packageID`"
                                                icoImage="refresh.png"
                                                altText="TRANS_SUBSCRIPTION_OPERATION_RENEW"
                                                titleText="TRANS_SUBSCRIPTION_OPERATION_RENEW"
                                                linkText="TRANS_SUBSCRIPTION_OPERATION_RENEW"}<br>
                                    {/if}
                                    {if $packages[i].packageStatus == 0 || $packages[i].packageStatus==13}
                                        <br>
                                        {assign var="panelFiles" value=$packages[i].panelTemplates}
                                        {foreach item="tmpl" key="serverGroupID" from=$panelFiles}
                                            {include file=$tmpl.0 serverGroupID=$serverGroupID attributes=$packages[i].keyedAttributes}<br /><br>
                                        {/foreach}
                                    {else}
                                        {"TRANS_PACKAGE_IS_NOT_ACTIVE"|lmsg}
                                    {/if}
                                </td>
                            </tr>
                            {if $packageUsage[$packageID]}
                                {assign var="usage" value=$packageUsage[$packageID]}
                                {if $usage.packageUsage != 0}
                                    <tr>
                                        <td colspan="8">
                                            {if $usage.packageUsageInUnits > $usage.packageUsageLimit}
                                                <div style="padding: 4px; color: red; font-weight: bold;">{"TRANS_USAGE"|lmsg} <strong>{$usage.packageUsageInUnits|getAmount:" "}</strong> of <strong>{$usage.packageUsageLimit|getAmount:" "}</strong> {$usage.packageUsageUnit}</div>
                                                {include file="$tplDirectory/widgets/progressBar.tpl"
                                                    containerWidth="400"
                                                    containerColor="red"
                                                    leftPercentage="TRANS_OVER_THE_LIMIT"|lmsg
                                                    barWidth=$usage.packageUsageLimit*400/$usage.packageUsageInUnits}
                                            {else}
                                                <div style="padding: 4px;">{"TRANS_USAGE"|lmsg} <strong>{$usage.packageUsageInUnits|getAmount:" "}</strong> of <strong>{$usage.packageUsageLimit|getAmount:" "}</strong> {$usage.packageUsageUnit}</div>
                                                {include file="$tplDirectory/widgets/progressBar.tpl"
                                                       containerWidth="400"
                                                       containerColor="#CCCCCC"
                                                       barWidth=$usage.packageUsageInUnits*400/$usage.packageUsageLimit}
                                            {/if}
                                        </td>
                                    </tr>
                                {/if}
                            {/if}
                        {/section}
                    </tbody>
                </table>
            </div>
        </div>
        {include file="$commonTplDirectory/widgets/list-box-footer.tpl"}
    {/foreach}
{/if}