{* $Id: ShowPanelOptions.tpl 11815 2007-08-27 22:22:11Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of packages.
 *
 * Smarty Variables:
 *	$packages (array of packages that match criteria)
 *
 *}
{include file="$tplDirectory/header.tpl"}
{assign var="packageID" value=$package.packageID}
{include file="$commonTplDirectory/widgets/list-box-header.tpl" title="TRANS_PACKAGE_DETAILS"}
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_PACKAGE_ID"|lmsg}</th>
                <th>{"TRANS_NAME"|lmsg}</th>
                <th>{"TRANS_TYPE"|lmsg}</th>
                <th>{"TRANS_STATUS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            <tr class="odd">
                <td>{$package.packageID}</td>
                <td>{$package.packageName}</td>
                <td>{assign var="thisType" value=$package.packageType} {$packageTypes.$thisType}</td>
                <td>{assign var="thisStatus" value=$package.packageStatus} {$packageStatuses.$thisStatus}</td>
            </tr>
        </tbody>
    </table>
</div>
{include file="$commonTplDirectory/widgets/list-box-footer.tpl"}

{include file="$commonTplDirectory/widgets/list-box-header.tpl" title="TRANS_AVAILABLE_PANELS"}
{if !$numConfigGroups}
    <p>{"TRANS_NO_PANELS_FOUND"|lmsg}</p>
{else}
<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>{"TRANS_ID"|lmsg}</th>
                <th>{"TRANS_SERVER_GROUP"|lmsg}</th>
                <th>{"TRANS_PANEL_NAME"|lmsg}</th>
                <th>{"TRANS_USERNAME"|lmsg}</th>
                <th>{"TRANS_ACTIONS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$configGroups item=configGroup key=configGroupID}
                <tr class="{cycle values="odd,even"}">
                    <td>{$configGroupID}</td>
                    <td>{$configGroup.serverGroup.0.serverGroupName}</td>
                    <td>
                        {assign var=tempTransKey value=$configGroup.configGroupTransKey}
                        {$tempTransKey|lmsg}
                    </td>
                    <td>{$configGroup.panelUsername}</td>
                    <td>
                        {if $configGroup.clientLogin && $configGroup.panelConfig.allowClientLogin}
                            {include file="$tplDirectory/widgets/actionLink.tpl"
                                page="packages.php"
                                actionName="ShowPanelClientLogin"
                                args="packageID=$packageID&configGroupID=$configGroupID"
                                icoImage="view"
                                altText="TRANS_PANEL_LOGIN"
                                titleText="TRANS_PANEL_LOGIN"
                                linkText="TRANS_PANEL_LOGIN"
                                target="_blank"}
                        {/if}
                    </td>
                </tr>
            {/foreach}
        </tbody>
    </table>
</div>
{/if}
{include file="$commonTplDirectory/widgets/list-box-footer.tpl"}