{*
 * --------------------------------------------------------------
 * This template displays a form to edit a BillingAccount.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_CLIENT_PROFILE_BILLING_ACCOUNTS', 'TRANS_ADD_BILLING_ACCOUNT', '');{/php}
{include file="$tplDirectory/header.tpl"}
{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="billing" id="billing" action="{getFormAction controller="profile"}" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
    <input type="hidden" name="act" value="{getActionID action="AddBillingAccountResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}">

    {include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_BILLING_ACCOUNT_LEGEND"}
    <div class="form-row {if $invalid.billingAccountType}error{/if}"><div class="field-name">{"TRANS_TYPE"|lmsg}</div>
        <div class="field-value">
        {section name=billing loop=$billingAccountTypes}
            {assign var="thisBillingAccountType" value=$billingAccountTypes[billing]}
            {assign var="thisBillingAccountTypeIndex" value=$smarty.section.billing.index}
            <label for="type_{$thisBillingAccountTypeIndex}"><input onclick="updateTypeEnableState()" id="type_{$thisBillingAccountTypeIndex}" type="radio" class="radio" name="billingAccountType" value="{$thisBillingAccountTypeIndex}" {if $thisBillingAccountTypeIndex == $formValues.billingAccountType}checked="checked"{/if}> {$thisBillingAccountType}</label>
            <br>
        {/section}
        </div>
    </div>
    {if $contacts}
        <div class="form-row {if $invalid.contact}error{/if}"><div class="field-name">{"TRANS_BILLING_ACCOUNT_OWNER"|lmsg}</div>
            <div class="field-value">
                <select name="contactId">
                    {html_options options=$contacts selected=$formValues.contactId}
                </select>
                {if $invalid.contact}<span class="error-hint">{$invalid.contact}</span>{/if}
            </div>
        </div>
    {/if}
    {if $isPrimary}
        <div class="form-row"><div class="field-name">{"TRANS_DEFAULT"|lmsg}</div>
            <div class="field-value">
                <label for="defaultBillingAccount">
                    <label for="defaultBillingAccount"><input id="defaultBillingAccount" type="checkbox" name="defaultBillingAccount" value="1"/> {"TRANS_THIS_ACCOUNT_IS_THE_DEFAULT_BILLING_ACCOUNT_FOR_THIS_CLIENT"|lmsg}</label>
                </label>
            </div>
        </div>
    {/if}
    {include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

    {include file="$commonTplDirectory/clients/commonBillingAccount.tpl"}
    {include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR"}
    <div class="field-value"><div class="single-row">
        {$doubleListSelector->doubleListSelector("subscriptions", "", $doubleListSelectorAttribs, $doubleListSelectorOptions) }
    </div></div>
    {include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

    {buttons id='billing-id-save' class='action' name='save' value='TRANS_SAVE_CHANGES' type='submit' label='TRANS_SAVE_CHANGES'}
    {include file="$commonTplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>