{*
 * --------------------------------------------------------------
 * This template displays a form to edit a BillingAccount.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_CLIENT_PROFILE_BILLING_ACCOUNTS', 'TRANS_EDIT_BILLING_ACCOUNT', '');{/php}
{include file="$tplDirectory/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{if $rejects}
<legend><img src="{$imageDirectory}/ico/billing-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle"> {"TRANS_REJECTED_TRANSACTIONS"|lmsg}</legend>

    {"TRANS_REJECTED_TRANSACTIONS_DESC"|lmsg}
<div>
    {section name="i" loop=$rejects}
        {assign var="reject" value=$rejects[i]}
        {assign var="rejectID" value=$reject.gwTransactionID}

        <form method="post" name="billing" id="billing" action="{getFormAction controller="profile"}" onsubmit="" >
            <div>
                <input type="hidden" name="act" value="{getActionID action="ReauthBillingAccountResponse"}">
                <input type="hidden" name="token" value="{$token}">
                <input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}">
                <input type="hidden" name="gwTransactionID" value="{$rejectID}">
            </div>

            <table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
                <caption>{"TRANS_REJECTED_TRANSACTION"|lmsg} {$rejectID}</caption>
                {assign var="attrs" value=$reject.attrs}
                <tr>
                    <td class="title">{"TRANS_TYPE"|lmsg}</td>
                    <td>{$attrs.subCommand}</td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_AMOUNT"|lmsg}</td>
                    <td>{$attrs.paymentAmount} {$attrs.currency}</td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_DESCRIPTION"|lmsg}</td>
                    <td>{$attrs.paymentDescription}</td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_REJECTION_MESSAGE"|lmsg}</td>
                    <td>{$attrs.Message}</td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_CARD_NUMBER"|lmsg}</td>
                    <td>
                        <input size="16" maxlength="19" type="text" id="cardNum" name="cardNum" value="">
                    </td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_CARD_VERIFICATION_NUMBER"|lmsg}</td>
                    <td>
                        <input size="4 maxlength="4" type="text" id="cardCVV2" name="cardCVV2" value="">
                    </td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_REAUTHORIZE"|lmsg}</td>
                    <td>
                        <input size="10" maxlength="10" type="text" id="authAmount" name="authAmount" value="{$attrs.paymentAmount|safetyhtml}"> {$attrs.currency}
                        <input class="submit" type="submit" name="submit" value="{"TRANS_AUTHORIZE_FOR_THIS_AMOUNT"|lmsg}">
                    </td>
                </tr>
            </table>
        </form>
    {/section}
</div>
{/if}

<form method="post" name="billing" id="billing" action="{getFormAction controller="profile"}" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
    <input type="hidden" name="act" value="{getActionID action="EditBillingAccountResponse"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}">
    <input type="hidden" name="clientContactID" value="{$billingAccount.clientContactID}">

    {include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_BILLING_ACCOUNT_LEGEND"}
    <div class="form-row {if $invalid.billingAccountType}error{/if}"><div class="field-name">{"TRANS_TYPE"|lmsg}</div>
        <div class="field-value">
            {foreach from=$billingAccountTypes item=billingAccountType key=key}
                <input id="type_{$key}" type="radio" name="billingAccountType" value="{$key}" {if $key == $formValues.billingAccountType}checked="checked"{/if} style="display: none;" />
                {if $key == $formValues.billingAccountType}{$billingAccountType}{/if}
            {/foreach}
        </div>
    </div>
    {if $isPrimary}
        <div class="form-row"><div class="field-name">{"TRANS_DEFAULT"|lmsg}</div>
            <div class="field-value">
                <label for="defaultBillingAccount">
                    <label for="defaultBillingAccount"><input id="defaultBillingAccount" type="checkbox" name="defaultBillingAccount" value="1" {if $client.defaultBillingAccountID==$billingAccount.billingAccountID}checked="checked" disabled="disabled"{/if} /> {"TRANS_THIS_ACCOUNT_IS_THE_DEFAULT_BILLING_ACCOUNT_FOR_THIS_CLIENT"|lmsg}</label>
                    {if $client.defaultBillingAccountID==$billingAccount.billingAccountID}
                        <span class="hint">{"TRANS_TO_REMOVE_THIS_AS_THE_DEFAULT_ACCOUNT_EDIT_THE_CLIENT_OR_ANOTHER_BILLING_ACCOUNT"|lmsg}</span>
                    {/if}
                </label>
            </div>
        </div>
    {/if}
    {include file="$commonTplDirectory/widgets/form-box-footer.tpl"}


    {include file="$commonTplDirectory/clients/commonBillingAccount.tpl"}

    {include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR"}
    <div class="field-value"><div class="single-row">
        {$doubleListSelector->doubleListSelector("subscriptions", "", $doubleListSelectorAttribs, $doubleListSelectorOptions) }
    </div></div>
    {include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

    {buttons id='billing-id-save' class='action' name='save' value='TRANS_SAVE_CHANGES' type='submit' label='TRANS_SAVE_CHANGES'}
    {include file="$commonTplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
</form>