{* $Id: actionLink.tpl 10559 2007-01-23 18:02:40Z kbailey $
 * --------------------------------------------------------------
 * This widget template creates a single action link.
 *
 * Example Usage:
    {include file="$tplDirectory/widgets/actionLink.tpl"
        page=""
        actionName=""
        javascriptLink=""
        args=""
        icoImage=""
        icoWidth=""
        icoHeight=""
        icoStyle=""
        altText=""
        titleText=""
        linkText=""
        noSpace=""}
 *
 * Author: Michael Fountain
 *}

{************************ ADD AS NEEDED ************************}
{if $icoImage=="view"}
    {assign var="icoImage" value="view.png"}
{elseif $icoImage=="edit"}
    {assign var="icoImage" value="edit.png"}
{elseif $icoImage=="remove"}
    {assign var="icoImage" value="remove.png"}
{elseif $icoImage=="details"}
    {assign var="icoImage" value="details.png"}
{elseif $icoImage=="addons"}
    {assign var="icoImage" value="addons.png"}
{elseif $icoImage=="upgrade"}
    {assign var="icoImage" value="upgrade-subscription.png"}
{elseif $icoImage=="downgrade"}
    {assign var="icoImage" value="downgrade-subscription.png"}
{elseif $icoImage=="uncancel"}
    {assign var="icoImage" value="next.png"}
{elseif $icoImage=="cancel"}
    {assign var="icoImage" value="cancel.png"}
{/if}

{if $icoWidth==""}
    {assign var="icoWidth" value="16"}
{/if}

{if $icoHeight==""}
    {assign var="icoHeight" value="16"}
{/if}

{if $icoStyle==""}
    {assign var="icoStyle" value="vertical-align:middle;border-style:none;"}
{/if}

{if $titleText==""}
    {assign var="titleText" value=$altText}
{/if}

{strip}
{if $linkText != ""}
	{if $controller}
	    <a class="i-link"  href="{getCustomerActionUrl module="$module" controller="$controller" action="$action" arguments="$arguments"}" {if $onclick}onclick="{$onclick}"{/if} {if $target}target="{$target}"{/if}>
	        {if $icoImage != ""}<img src="/theme/icons/16/billing/{$icoImage}" width="{$icoWidth}" height="{$icoHeight}" alt="{$altText|lmsg|safetyhtml}" title="{$titleText|lmsg|safetyhtml}">{/if}<span>{$linkText|lmsg|safetyhtml}</span>
	    </a>
	{else}
	    <a class="i-link" href="{if $page}{getHREF page="$page" actionName="$actionName" args="$args"}{else}javascript:{$javascriptLink}{/if}"{if $target != ""} target="{$target}"{/if}>
	        {if $icoImage != ""}<img src="/theme/icons/16/billing/{$icoImage}" width="{$icoWidth}" height="{$icoHeight}" style="{$icoStyle}" alt="{$altText|lmsg|safetyhtml}" title="{$titleText|lmsg|safetyhtml}" />{/if}<span>{$linkText|lmsg|safetyhtml}</span>
	    </a>
	{/if}
{/if}
{/strip}