{* $Id: contactInfo.tpl 10480 2007-01-12 22:59:57Z bsmith $
 * --------------------------------------------------------------
 * This bookmark template displays the admin's bookmarks.
 *
 * Smarty Variables:
 *	$title			The title of the ouput
 *	$message		The main body of the element
 *	$actionName		The current action name
 *  $sid			The current sessionID
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/showBookmarks.tpl"}
 *
 * Author: Brian Smith
 *}
{strip}
{if $title==""}
	{assign var=title value=$data.title}
{/if}

{/strip}

<div style="border:1px solid black;width:600px;padding:5px;margin:5px;" class="alt2">
	{if $title}
		{strip}
		<h2>
			{$title|lmsg}
		</h2>
		{/strip}
	{/if}
	
	{strip}
	{if $data.message.name}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_NAME"|lmsg message=$data.message.name}
	{/if}

	{if $data.message.address1}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_ADDRESS"|lmsg message=$data.message.address1}
	{/if}
	
	{if $data.message.phone1}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_PHONE"|lmsg message=$data.message.phone1}
	{/if}

	{if $data.message.email}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title="TRANS_EMAIL"|lmsg message=$data.message.email}
	{/if}
	{/strip}
</div>

