{include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_CREDIT_CARD_ACCOUNT_LEGEND" id="ccard_account" style="display:none;"}
<div class="form-row {if $invalid.billingCardNameOnCard}error{/if}"><div class="field-name"><label for="billingCardNameOnCard">{"TRANS_NAME_ON_CARD"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-middle-size input-text" size="25" maxlength="75" type="text" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard|safetyhtml}"> {if $invalid.billingCardNameOnCard}<span class="error-hint">{$invalid.billingCardNameOnCard}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.billingCardType}error{/if}"><div class="field-name"><label for="billingCardType">{"TRANS_TYPE"|lmsg}</label></div>
    <div class="field-value">
        <select class="f-middle-size" id="billingCardType" name="billingCardType" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType}</select> {if $invalid.billingCardType}<span class="error-hint">{$invalid.billingCardType}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.billingCardNum}error{/if}"><div class="field-name"><label for="billingCardNum">{"TRANS_CARD_NUMBER"|lmsg}</label></div>
    <div class="field-value">
        {if $canDecryptData && $showDecryptedValue}
            <input class="f-middle-size input-text" size="16" maxlength="19" type="text" id="billingCardNum" name="billingCardNum" onkeyup="this.value=XKfilterString(this.value, '0123456789');" value="{$billingAccount.decryptedCard}"> {if $invalid.billingCardNum}<span class="error-hint">{$invalid.billingCardNum}</span>{/if}
        {else}
            <input class="f-middle-size input-text" size="16" maxlength="19" type="text" id="billingCardNum" name="billingCardNum" onkeyup="this.value=XKfilterString(this.value, '0123456789');" value=""> {if $invalid.billingCardNum}<span class="error-hint">{$invalid.billingCardNum}</span>{/if}
        {/if}
        {if $canDecryptData && $showDecryptedLink}
            [{include
                file="$tplDirectory/widgets/actionLink.tpl"
                id="viewCC"
                page="clients.php"
                icoImage="view"
                actionName="EditDecryptedBillingAccount"
                args="clientID=`$client.clientID`&clientContactID=`$contact.clientContactID`&billingAccountID=`$billingAccount.billingAccountID`"
                altText="TRANS_VIEW_CC"
                linkText="TRANS_VIEW_CC"}]
        {/if}
    </div>
</div>
<div class="form-row {if $invalid.billingCardExpMonth}error{/if}"><div class="field-name"><label for="billingCardExpMonth">{"TRANS_EXPIRY_MONTH"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-small-size text-input" size="2" maxlength="2" type="text" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth|safetyhtml}"> [00] {$invalid.billingCardExpMonth}
    </div>
</div>
<div class="form-row {if $invalid.billingCardExpYear}error{/if}"><div class="field-name"><label for="billingCardExpYear">{"TRANS_EXPIRY_YEAR"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-small-size text-input" size="4" maxlength="4" type="text" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear|safetyhtml}"> [0000] {$invalid.billingCardExpYear}
    </div>
</div>
<div class="form-row {if $invalid.billingCardIssueNum}error{/if}"><div class="field-name"><label for="billingCardIssueNum">{"TRANS_ISSUE_NUMBER"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-small-size text-input" size="3" maxlength="3" type="text" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum|safetyhtml}"> {if $invalid.billingCardIssueNum}<span class="error-hint">{$invalid.billingCardIssueNum}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.billingCardStartDate}error{/if}"><div class="field-name"><label for="billingCardStartDate">{"TRANS_START_DATE"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-small-size text-input" size="25" maxlength="50" type="text" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate|safetyhtml}"> {if $invalid.billingCardStartDate}<span class="error-hint">{$invalid.billingCardStartDate}</span>{/if}
    </div>
</div>
{include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

{include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_BANK_ACCOUNT" id="bank_account" style="display:none;"}
<div class="form-row {if $invalid.billingBankName}error{/if}"><div class="field-name"><label for="billingBankName" id="label_billingBankName">{"TRANS_BANK_NAME"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-large-size text-input" size="25" maxlength="50" type="text" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName|safetyhtml}"> {if $invalid.billingBankName}<span class="error-hint">{$invalid.billingBankName}</span>{/if}
    </div>
</div>
<div id="row_billingBankState" class="form-row {if $invalid.billingBankState}error{/if}"><div class="field-name"><label for="billingBankState">{"TRANS_BANK_STATE"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-large-size text-input" size="25" maxlength="50" type="text" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState|safetyhtml}"> {if $invalid.billingBankState}<span class="error-hint">{$invalid.billingBankState}</span>{/if}
    </div>
</div>
<div id="row_billingBankType" class="form-row {if $invalid.billingBankType}error{/if}"><div class="field-name"><label for="billingBankType">{"TRANS_TYPE"|lmsg}</label></div>
    <div class="field-value">
        <select id="billingBankType" class="f-large-size" name="billingBankType">{html_options options=$bankAccountTypes selected=$formValues.billingBankType}</select> {if $invalid.billingBankType}<span class="error-hint">{$invalid.billingBankType}</span>{/if}
    </div>
</div>
<div id="row_billingBankAbaCode" class="form-row {if $invalid.billingBankAbaCode}error{/if}"><div class="field-name"><label for="billingBankAbaCode" id="label_billingBankAbaCode">{"TRANS_ROUTING_NUMBER"|lmsg}</label></div>
    <div class="field-value">
        <input id="billingBankAbaCode" class="f-large-size text-input" size="20" maxlength="20" type="text" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode|safetyhtml}"> {if $invalid.billingBankAbaCode}<span class="error-hint">{$invalid.billingBankAbaCode}</span>{/if}
    </div>
</div>
<div id="row_billingBankAccountNum" class="form-row {if $invalid.billingBankAccountNum}error{/if}"><div class="field-name"><label for="billingBankAccountNum" id="label_billingBankAccountNum">{"TRANS_ACCOUNT_NUMBER"|lmsg}</label></div>
    <div class="field-value">
        {if $canDecryptData && $showDecryptedValue}
            <input class="f-large-size text-input" size="20" maxlength="20" type="text" id="billingBankAccountNum" name="billingBankAccountNum" value="{$billingAccount.decryptedAccountNum|safetyhtml}"> {if $invalid.billingBankAccountNum}<span class="error-hint">{$invalid.billingBankAccountNum}</span>{/if}
        {else}
            <input class="f-large-size text-input" size="20" maxlength="20" type="text" id="billingBankAccountNum" name="billingBankAccountNum" value=""> {if $invalid.billingBankAccountNum}<span class="error-hint">{$invalid.billingBankAccountNum}</span>{/if}
        {/if}
        {if $canDecryptData && $showDecryptedLink}
            [{include
                file="$tplDirectory/widgets/actionLink.tpl"
                id="viewBA"
                page="clients.php"
                icoImage="view"
                actionName="EditDecryptedBillingAccount"
                args="clientID=`$client.clientID`&clientContactID=`$contact.clientContactID`&billingAccountID=`$billingAccount.billingAccountID`"
                altText="TRANS_VIEW_BANK_ACCOUNT_NUM"
                linkText="TRANS_VIEW_BANK_ACCOUNT_NUM"}]
        {/if}
    </div>
</div>
<div id="row_billingBankLicenseNum" class="form-row {if $invalid.billingBankLicenseNum}error{/if}"><div class="field-name"><label for="billingBankLicenseNum">{"TRANS_LICENSE_NUMBER"|lmsg}</label></div>
    <div class="field-value">
        <input size="20" maxlength="20" type="text" class="f-large-size text-input" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum|safetyhtml}"> {$invalid.billingBankLicenseNum}
    </div>
</div>
<div id="row_billingBankLicenseState" class="form-row {if $invalid.billingBankLicenseState}error{/if}"><div class="field-name"><label for="billingBankLicenseState">{"TRANS_LICENSE_STATE"|lmsg}</label></div>
    <div class="field-value">
        <input size="25" maxlength="50" type="text" class="f-large-size text-input" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState|safetyhtml}"> {$invalid.billingBankLicenseState}
    </div>
</div>
<div id="row_billingBankDob" class="form-row {if $invalid.billingBankDob}error{/if}"><div class="field-name"><label for="billingBankDob">{"TRANS_DOB"|lmsg}</label></div>
    <div class="field-value">
        <input size="25" maxlength="25" type="text" class="f-large-size text-input" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob|safetyhtml}"> {$invalid.billingBankDob}
    </div>
</div>
{include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

{include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_DDBP_ACCOUNT_LEGEND" id="ddbp_account" style="display:none;"}
<div class="form-row"><div class="field-name"><label>{"TRANS_SELECT_DDBP_ACCOUNT_TYPE_OPT"|lmsg}</label></div>
    <div class="field-value">
        {section name=ddbp_acc_i loop=$ddbp_accounts}
            {assign var="gatewayID" value=$ddbp_accounts[ddbp_acc_i].gateway_id}
            {assign var="gatewayName" value=$ddbp_accounts[ddbp_acc_i].gateway_name}
            {assign var="gatewayDesc" value=$ddbp_accounts[ddbp_acc_i].gateway_desc}
            {if $smarty.section.ddbp_acc_i.iteration == 1}
                {assign var="firstDDBPAccountID" value=$gatewayID}
            {/if}
            <label for="ddbp_type_{$gatewayID}">
                <input type="radio" onclick="updateDDBPAccountState({$gatewayID})" id="ddbp_type_{$gatewayID}" name="selected_ddbp_gateway_id" value="{$gatewayID}" {if $selected_ddbp_gateway_id == $gatewayID || (! $selected_ddbp_gateway_id && $smarty.section.ddbp_acc_i.iteration == 1)}checked{/if}>
                {$gatewayName}
                {if $gatewayDesc}<div class="hint">({$gatewayDesc})</div>{/if}
            </label>
            <br>
        {/section}
    </div>
</div>
{section name=ddbp_acc_i loop=$ddbp_accounts}
    {assign var="thisDDBPAccount" value=$ddbp_accounts[ddbp_acc_i]}
    {assign var="gatewayID" value=$ddbp_accounts[ddbp_acc_i].gateway_id}
    <div id="ddbp_account_{$gatewayID}" class="form-row"><div class="single-row">
        <table width="100%" cellpadding="0" class="form-table">
            <tbody>
                {section name=fields_i loop=$thisDDBPAccount.fields}
                    {assign var="fieldName" value=$thisDDBPAccount.fields[fields_i].field_name}
                    {assign var="fieldTitle" value=$thisDDBPAccount.fields[fields_i].field_title}
                    {assign var="fieldDesc" value=$thisDDBPAccount.fields[fields_i].field_desc}
                    <tr class="form-row {if $invalid.$fieldName}error{/if}">
                        <td class="field-name"><label for="{$fieldName}">{$fieldTitle|lmsg}</label>&nbsp;<span class="required">*<span></td>
                        <td class="field-value">
                            <input class="f-large-size text-input" size="50" maxlength="50" type="text" id="{$fieldName}" name="{$fieldName}" value="{$formValues.$fieldName|safetyhtml}"> {$invalid.$fieldName}
                            <div class="hint">{$fieldDesc|lmsg}</div>
                        </td>
                    </tr>
                {/section}
            </tbody>
        </table>
    </div></div>
{/section}
{if $canDecryptData && $showDecryptedLink}
    <div class="form-row"><div class="single-row">
        [{include
            file="$tplDirectory/widgets/actionLink.tpl"
            id="viewBA"
            page="clients.php"
            icoImage="view"
            actionName="EditDecryptedBillingAccount"
            args="clientID=`$client.clientID`&clientContactID=`$contact.clientContactID`&billingAccountID=`$billingAccount.billingAccountID`"
            altText="TRANS_VIEW_BANK_ACCOUNT_NUM"
            linkText="TRANS_VIEW_BANK_ACCOUNT_NUM"}]
    </div></div>
{/if}
{include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

<script>
    {literal}
    function showCCardAccount()
    {
        document.getElementById('ccard_account').style.display="";
        document.getElementById('ddbp_account').style.display="none";
        document.getElementById('bank_account').style.display="none";
    }
    function showBankAccount()
    {
        document.getElementById('ccard_account').style.display="none";
        document.getElementById('ddbp_account').style.display="none";
        document.getElementById('bank_account').style.display="";
    }
    function hideAccount()
    {
        document.getElementById('ccard_account').style.display="none";
        document.getElementById('bank_account').style.display="none";
        document.getElementById('ddbp_account').style.display="none";
    }

    function updateTypeEnableState() {
        var type;
        if (document.getElementById('billingAccountType') !== null) {
            type = document.getElementById('billingAccountType').value;
        } else {
            type = jQuery('input[name=billingAccountType]:checked').val();
        }
        switch(type) {
            case '{/literal}{$ccAccount}{literal}':
                showCCardAccount();
                updateCardExtraEnableState();
                break;
            case '{/literal}{$manualAccount}{literal}':
            case '{/literal}{$thirdPartyAccount}{literal}':
                hideAccount();
                break;
            case '{/literal}{$bankTransferAccount}{literal}':
                showDDBPAccount();
                break;
            default:
                showBankAccount();
                break;
        }
    }
    updateTypeEnableState();

    function hideAllDDBPAccounts()
    {
    {/literal}{section name=ddbp_acc_i loop=$ddbp_accounts}
        {assign var="gatewayID" value=$ddbp_accounts[ddbp_acc_i].gateway_id}{literal}
                document.getElementById('ddbp_account_{/literal}{$gatewayID}{literal}').style.display="none";
        {/literal}{/section}{literal}
    }

    function showDDBPAccount(gateway_id)
    {
        if (!gateway_id) {
            document.getElementById('ccard_account').style.display="none";
            document.getElementById('ddbp_account').style.display="";
            document.getElementById('bank_account').style.display="none";
            return;
        }
        document.getElementById('ddbp_account_'+gateway_id).style.display="";
    }

    function updateDDBPAccountState(gateway_id) {
        hideAllDDBPAccounts();
        showDDBPAccount(gateway_id);
    }

    {/literal}{if isset($selected_ddbp_gateway_id) || isset($firstDDBPAccountID)}{literal}
            updateDDBPAccountState({/literal}{if $selected_ddbp_gateway_id}{$selected_ddbp_gateway_id}{else}{$firstDDBPAccountID}{/if}{literal});
    {/literal}{/if}{literal}

    function updateCardExtraEnableState() {
            cardExtraTypes = Array({/literal}{strip}
        {assign var="comma" value=0}
        {section name=iter loop=$cardExtraTypes}
            {if $comma}, {/if}
            {$cardExtraTypes[iter]}
            {assign var="comma" value=1}
        {/section}
    {/strip}{literal})

        selected = document.getElementById('billingCardType').selectedIndex;
        c = cardExtraTypes.length;
        cardExtraTypeSelected = false;
        for(i = 0; i < c; i++) {
            cardExtraType = cardExtraTypes[i];
            if(cardExtraType == selected) {
                cardExtraTypeSelected = true;
            }
        }
        if(cardExtraTypeSelected) {
            document.getElementById('billingCardIssueNum').disabled=false;
            document.getElementById('billingCardStartDate').disabled=false;
        } else {
            document.getElementById('billingCardIssueNum').disabled=true;
            document.getElementById('billingCardStartDate').disabled=true;
        }
    }
    updateCardExtraEnableState();
    {/literal}
</script>