{include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_CONTACT_DETAILS"}
<div class="form-row"><div class="field-name">{"TRANS_CONTACT_IS_PRIMARY"|lmsg}</div><div class="field-value">{if $formValues.contactPrimary}{"TRANS_YES"|lmsg}{else}{"TRANS_NO"|lmsg}{/if}</div></div>
{if $isContactActiveChangeable}
    <div class="form-row {if $invalid.contactActive}error{/if}"><div class="field-name">{"TRANS_CONTACT_IS_ACTIVE"|lmsg}</div>
        <div class="field-value">
            <input class="radio" type="radio" name="contactActive" value="1" {if $formValues.contactActive=="1"}checked="checked"{/if}>{"TRANS_YES"|lmsg}
            <br>
            <input class="radio" type="radio" name="contactActive" value="0" {if $formValues.contactActive!="1"}checked="checked"{/if}>{"TRANS_NO"|lmsg}
            <br>
        </div>
    </div>
{else}
    <div class="form-row"><div class="field-name">{"TRANS_CONTACT_IS_ACTIVE"|lmsg}</div>
        <div class="field-value"><input type="hidden" name="contactActive" value="1">{"TRANS_YES"|lmsg}</div>
    </div>
{/if}
{include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

{include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_LOGIN_INFORMATION"}
<div class="form-row {if $invalid.contactUsername}error{/if}"><div class="field-name"><label for="contactUsername">{"TRANS_USERNAME"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input autocomplete="no" class="f-short-size input-text" maxlength="75" type="text" id="contactUsername" name="contactUsername" value="{$formValues.contactUsername|safetyhtml}" {if $disabledFields.editUserName || !$isUsernameChangeable}disabled="disabled"{/if}>
        {if $invalid.contactUsername}<span class="error-hint">{$invalid.contactUsername}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactPassword}error{/if}"><div class="field-name"><label for="contactPassword">{"TRANS_NEW_PASSWORD"|lmsg}</label>{if !$linkToResetPassword && $isPasswordRequired}</label><span class="required">*</span>{/if}</div>
    <div class="field-value">
        <input class="f-short-size input-text" autocomplete="no" maxlength="255" type="password" id="contactPassword" name="contactPassword" value="">
        {if $linkToResetPassword && $formValues.contactActive}
            [<a href="{getHREF page="clients.php" actionName="ResetContactPassword" args="clientContactID=`$formValues.clientContactID`"}">{"TRANS_GENERATE_AND_RESEND_PASSWORD"|lmsg}</a>]
        {/if}
        {if $invalid.contactPassword}<span class="error-hint">{$invalid.contactPassword}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactPasswordConfirm}error{/if}"><div class="field-name"><label for="contactPasswordConfirm">{"TRANS_CONFIRM_PASSWORD"|lmsg}</label>{if !$linkToResetPassword && $isPasswordRequired}</label><span class="required">*</span>{/if}</div>
    <div class="field-value">
        <input class="f-short-size input-text" autocomplete="no" maxlength="255" type="password" id="contactPasswordConfirm" name="contactPasswordConfirm" value="">
        {if $invalid.contactPasswordConfirm}<span class="error-hint">{$invalid.contactPasswordConfirm}</span>{/if}
    </div>
</div>
{include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

{include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_CONTACT_INFORMATION"}
<div class="form-row {if $invalid.contactCompany}error{/if}"><div class="field-name"><label for="contactCompany">{"TRANS_COMPANY"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-large-size input-text" maxlength="100" type="text" id="contactCompany" name="contactCompany" value="{$formValues.contactCompany|safetyhtml}" {if $disabledFields.editCompanyName}disabled="disabled"{/if}> {if $invalid.contactCompany}<span class="error-hint">{$invalid.contactCompany}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactFirstName}error{/if}"><div class="field-name"><label for="contactFirstName">{"TRANS_FIRST_NAME"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="50" type="text" id="contactFirstName" name="contactFirstName" value="{$formValues.contactFirstName|safetyhtml}" {if $disabledFields.editFirstName}disabled="disabled"{/if}> {if $invalid.contactFirstName}<span class="error-hint">{$invalid.contactFirstName}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactLastName}error{/if}"><div class="field-name"><label for="contactLastName">{"TRANS_LAST_NAME"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="50" type="text" id="contactLastName" name="contactLastName" value="{$formValues.contactLastName|safetyhtml}" {if $disabledFields.editLastName}disabled="disabled"{/if}> {if $invalid.contactLastName}<span class="error-hint">{$invalid.contactLastName}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactEmail}error{/if}"><div class="field-name"><label for="contactEmail">{"TRANS_EMAIL"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input class="f-large-size input-text" maxlength="100" type="text" id="contactEmail" name="contactEmail" value="{$formValues.contactEmail|safetyhtml}" {if $disabledFields.editEmail}disabled="disabled"{/if}> {if $invalid.contactEmail}<span class="error-hint">{$invalid.contactEmail}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactAddress1}error{/if}"><div class="field-name"><label for="contactAddress1">{"TRANS_ADDRESS"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input class="f-large-size input-text" maxlength="100" type="text" id="contactAddress1" name="contactAddress1" value="{$formValues.contactAddress1|safetyhtml}" > {if $invalid.contactAddress1}<span class="error-hint">{$invalid.contactAddress1}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactAddress2}error{/if}"><div class="field-name"><label for="contactAddress2">{"TRANS_ADDRESS2"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-large-size input-text" maxlength="100" type="text" id="contactAddress2" name="contactAddress2" value="{$formValues.contactAddress2|safetyhtml}"> {if $invalid.contactAddress2}<span class="error-hint">{$invalid.contactAddress2}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactCity}error{/if}"><div class="field-name"><label for="contactCity">{"TRANS_CITY"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input class="f-large-size input-text" maxlength="100" type="text" id="contactCity" name="contactCity" value="{$formValues.contactCity|safetyhtml}"> {if $invalid.contactCity}<span class="error-hint">{$invalid.contactCity}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactState}error{/if}"><div class="field-name"><label for="contactState">{"TRANS_STATE_OR_REGION"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="100" type="text" id="contactState" name="contactState" value="{$formValues.contactState|safetyhtml}" onchange="updateCountyList();" > {if $invalid.contactState}<span class="error-hint">{$invalid.contactState}</span>{/if}
        <div class="hint">{"TRANS_CUSTOMER_FIELD_STATE_DESC"|lmsg}</div>
    </div>
</div>
<div id="countyTB" class="form-row {if $invalid.contactCounty}error{/if}"><div class="field-name"><label for="contactCounty">{"TRANS_COUNTY"|lmsg}</label></div>
    <div class="field-value">
        <select class="f-large-size" id="contactCounty" name="contactCounty">
            <option value="{$formValues.contactCounty}">{$formValues.contactCounty}</option>
        </select>
    </div>
</div>
<div class="form-row {if $invalid.contactZip}error{/if}"><div class="field-name"><label for="contactZip">{"TRANS_ZIP_OR_POSTALCODE"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="100" type="text" id="contactZip" name="contactZip" value="{$formValues.contactZip|safetyhtml}" > {if $invalid.contactZip}<span class="error-hint">{$invalid.contactZip}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.countriesID}error{/if}"><div class="field-name"><label for="countriesID">{"TRANS_COUNTRY"|lmsg}</label></div>
    <div class="field-value">
        <select class="f-large-size" id="countriesID" id="countriesID" name="countriesID" {if $disabledFields.editCountry}disabled="disabled"{/if}>{html_options options=$countryList selected=$formValues.countriesID}</select> {if $invalid.countriesID}<span class="error-hint">{$invalid.countriesID}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.languageID}error{/if}"><div class="field-name"><label for="languageID">{"TRANS_LANGUAGE"|lmsg}</label></div>
    <div class="field-value">
        <select class="f-medium-size" id="languageID" id="languageID" name="languageID">{html_options options=$languageList selected=$formValues.languageID}</select> {if $invalid.languageID}<span class="error-hint">{$invalid.languageID}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactPhone1}error{/if}"><div class="field-name"><label for="contactPhone1">{"TRANS_PRIMARY_PHONE"|lmsg}</label><span class="required">*</span></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="25" type="text" id="contactPhone1" name="contactPhone1" value="{$formValues.contactPhone1|safetyhtml}" > {if $invalid.contactPhone1}<span class="error-hint">{$invalid.contactPhone1}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactPhone2}error{/if}"><div class="field-name"><label for="contactPhone2">{"TRANS_SECONDARY_PHONE"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="25" type="text" id="contactPhone2" name="contactPhone2" value="{$formValues.contactPhone2|safetyhtml}" > {if $invalid.contactPhone2}<span class="error-hint">{$invalid.contactPhone2}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactFax}error{/if}"><div class="field-name"><label for="contactFax">{"TRANS_FAX"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="25" type="text" id="contactFax" name="contactFax" value="{$formValues.contactFax|safetyhtml}" > {if $invalid.contactFax}<span class="error-hint">{$invalid.contactFax}</span>{/if}
    </div>
</div>
<div class="form-row {if $invalid.contactMobilePhone}error{/if}"><div class="field-name"><label for="contactMobilePhone">{"TRANS_MOBILE_PHONE"|lmsg}</label></div>
    <div class="field-value">
        <input class="f-short-size input-text" maxlength="25" type="text" id="contactMobilePhone" name="contactMobilePhone" value="{$formValues.contactMobilePhone|safetyhtml}" > {if $invalid.contactMobilePhone}<span class="error-hint">{$invalid.contactMobilePhone}</span>{/if}
    </div>
</div>
{include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

{include file="$commonTplDirectory/widgets/form-box-header.tpl" title="TRANS_EMAIL_PREFERENCES"}
<div class="form-row {if $invalid.contactEmailFormat}error{/if}"><div class="field-name"><label>{"TRANS_EMAIL_FORMAT"|lmsg}</label></div>
    <div class="field-value">
        <input type="radio" name="contactEmailFormat" value="1" {if $formValues.contactEmailFormat=="1"}checked="checked"{/if} > {"TRANS_HTML"|lmsg}
        <br>
        <input type="radio" name="contactEmailFormat" value="0" {if $formValues.contactEmailFormat!="1"}checked="checked"{/if} > {"TRANS_PLAIN_TEXT"|lmsg}
        <br>
    </div>
</div>
{if !$disabledFields.editEmailActions}
    <div class="form-row"><div class="field-name"><label>{"TRANS_EMAIL_ACTIONS"|lmsg}</label></div>
        <div class="field-value">
            <input name="checkbox_contactUseSpecifiedEmailRulesOnly" type="checkbox" value="1" {if $contact.contactUseSpecifiedEmailRulesOnly}checked{/if} onclick="onclickUseSpecifiedEmailsOnly(this);">
            <input id="contactUseSpecifiedEmailRulesOnly" name="contactUseSpecifiedEmailRulesOnly" type="hidden" value="{if $contact.contactUseSpecifiedEmailRulesOnly}1{else}0{/if}">
            <div class="hint">{"TRANS_EMAIL_ACTIONS_DESC"|lmsg}</div>
            <br>
            <script>
                {literal}
                function onclickUseSpecifiedEmailsOnly(el) {
                    var hidden_contactUseSpecifiedEmailRulesOnly = document.getElementById('contactUseSpecifiedEmailRulesOnly');
                    var checks = document.getElementsByName('emailActionIDs[]');
                    var toggle_actions = document.getElementById('billing-id-email-actions');
                    for (var i = 0; i < checks.length; i++) {
                        checks[i].disabled = ! el.checked;
                        if (! el.checked) {
                            checks[i].checked = true;
                        }
                    }
                    if (el.checked) {
                        toggle_actions.style.display = '';
                        hidden_contactUseSpecifiedEmailRulesOnly.value = 1;
                    } else {
                        toggle_actions.style.display = 'none';
                        hidden_contactUseSpecifiedEmailRulesOnly.value = 0;
                    }
                }
                {/literal}
            </script>
            {if !$contact.contactUseSpecifiedEmailRulesOnly}
                {assign var=displayToogleEmailActions value="none"}
            {else}
                {assign var=displayToogleEmailActions value=""}
            {/if}
            <span id="billing-id-email-actions" style="display:{$displayToogleEmailActions};">
                <a id="billing-id-email-actions-check-all" href="javascript:void(0);"><span>[{"TRANS_CHECK_ALL"|lmsg}]</span></a>&nbsp;
                <a id="billing-id-email-actions-uncheck-all" href="javascript:void(0);"><span>[{"TRANS_UNCHECK_ALL"|lmsg}]</span></a><br>
            </span>
            {if !$contact.contactUseSpecifiedEmailRulesOnly}
                {php}
                    $emailActions = $this->get_template_vars('emailActions');
                    $this->assign('emailActionIDs', array_keys($emailActions));
                {/php}
                {foreach key=emailActionID item=emailActionTitle from=$emailActions}
                    <input name="emailActionIDs[]" type="checkbox" value="{$emailActionID}" checked="checked" disabled>&nbsp;{$emailActionTitle}<br>
                {/foreach}
            {else}
                {html_checkboxes name="emailActionIDs" options=$emailActions selected=$selectedEmailActionIDs separator="<br>"}
            {/if}
        </div>
    </div>
{/if}
{include file="$commonTplDirectory/widgets/form-box-footer.tpl"}

<script>
    {literal}
    jQuery(document).ready(function() {
        jQuery('#billing-id-email-actions-uncheck-all').click(function() {
            jQuery('input[name="emailActionIDs[]"]').each(function() {
                jQuery(this).attr('checked', false);
            });
        });
        jQuery('#billing-id-email-actions-check-all').click(function() {
            jQuery('input[name="emailActionIDs[]"]').each(function() {
                jQuery(this).attr('checked', true);
            });
        });
    });

    function updateCountyList() {
        var state = jQuery('#contactState').val();
        if (state.length != 2) {
            turnOffCounty();
            return;
        }
        var myAjax = new Ajax.Request(
            '{/literal}{$billingSecureUrl}{literal}/getstatecounties.php?state='+state,
            {
                method: 'get',
                onComplete: handleCountiesUpdate
            });
    }
    function handleCountiesUpdate(res){
        res = XKgetJSONArray(res.responseText);
        if (typeof res=="undefined"){
            turnOffCounty();
            return;
        }
        var county = jQuery('#contactCounty');
        var currValue = county.val();
        county.find('option').remove();
        for (x in res){
            var selected = (currValue == res[x]) ? "selected" : "";
            county.append('<option value="'+res[x]+'" '+selected+'>'+res[x]+'</option>')
        }
        jQuery('#countyTB').show();
    }
    function turnOffCounty(){
        jQuery('#contactCounty').html('<option value=""></option>');
        jQuery('#countyTB').hide();
    }
    jQuery(document).ready(function() {
        updateCountyList();
    });
    {/literal}
</script>