<style><!--
	{include file="$tplDirectory/widgets/cssbased/styles.css"}
--></style>

<center>

<table class="emailBody" cellpadding="0" cellspacing="0">
<tr><td class="emailTitle">
	Welcome to {$companyName}
</td></tr>
<tr><td>
	<table class="content" border="0" cellspacing="0">
		<tr>
			<td class="leftColumn">
				<p><strong>Dear {$contactFirstName} {$contactLastName},</strong></p>

				<p>Thank you very much for choosing {$companyName} as your Web and
				E-Commerce Hosting Provider. This is your order confirmation email
				for your Web hosting account with {$companyName}. Please note that
				this is not your account information. An email with your username,
				password, and IP address will be emailed to you later once your
				account is setup at {$companyName}.</p>

				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">CONTACT INFORMATION</td></tr>
					<tr><td class="data">
						<p><span class="title">Email:</span></p>
						<p>{$contactEmail}</p>

						<p><span class="title">Company:</span></p>
						<p>
							{if $contactCompany}
								{$contactCompany}
							{elseif $clientCompany}
								{$clientCompany}
							{/if}
						</p>

						<p><span class="title">Address:</span></p>
						<p>
							{$contactAddress1}<br/>
							{strip}
								{if $contactAddress2}
									{$contactAddress2}<br/>
								{/if}
							{/strip}
							{$contactCity}, {$contactState} {$contactZip}
						</p>

						<p><span class="title">Phone:</span></p>
						<p>{$contactPhone1}</p>

						{if $contactFax}
							<p><span class="title">Fax:</span></p>
							<p>{$contactFax}</p>
						{/if}

						<p><span class="title">Username:</span></p>
						<p>{$contactUsername}</p>
					</td></tr>
				</table>
				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">ORDER INFORMATION</td></tr>
					<tr><td class="data">


                        <table class="details" border="0" cellspacing="0">
                            <tr>
                                <td class="header">Description</td>
                                <td class="header">Cycle</td>
                                <td class="header">Price</td>
                                <td class="header">Disc.</td>
                                <td class="header">Tax</td>
                                <td class="header">Total</td>
                            </tr>
                            <!-- {foreach key="i" item="lineItem" from=$lineItems} -->
                            <tr>
                                <td class="data">
                                    <p><strong>
                                        {$lineItem.lineItemDescription}:
                                        {strip}
                                            {if $lineItem.domainName}
                                                {$lineItem.domainName}<br/>
                                            {elseif $lineItem.domains.0}
                                                {$lineItem.domains.0.domainSLD}.{$lineItem.domains.0.domainTLD}<br/>
                                            {/if}
                                        {/strip}
                                    </strong></p>
                                </td>
                                <td class="data">{$cycles[$lineItem.cycleID]}</td>
                                <td class="data">{$lineItem.lineItemPriceAmount|getAmount:$currencyID}</td>
                                <td class="data">{$lineItem.lineItemDiscountAmount|getAmount:$currencyID}</td>
                                <td class="data">{$lineItem.lineItemTaxAmount|getAmount:$currencyID}</td>
                                <td class="data">{$lineItem.lineItemTotalAmount|getAmount:$currencyID}</td>
                            </tr>
                            <!-- {/foreach} -->
                        </table>

						<p><span class="title">Sub Total:</span></p>
						<p>{$invoiceSubTotal|getAmount:$currencyID}</p>

						<p><span class="title">Total Due:</span></p>
						<p>{$invoiceAmount|getAmount:$currencyID}</p>
					</td></tr>
				</table>

				<p>Thank you for signing up!</p>
			</td>
		</tr>
	</table>
</td></tr></table>

</center>
