Welcome {$contactFirstName} {$contactLastName}!

Thank you for signing up with {$companyName}. Your new account information is provided below.

ACCOUNT INFORMATION:

Plan: {$packageName}
Price: {$packagePrice|getAmount:$currencyID}
{if $resellerPackageType != $packageType}Domain: {$domainSLD}.{$domainTLD}{/if}
{if "msp" != PACKAGE_TYPE && $resellerPackageType != $packageType}IP Address: {$packageIP}
{/if}

LOGIN INFORMATION:

{if $resellerPackageType != $packageType}Domain: {$domainSLD}.{$domainTLD}{/if}
Username: {$contactUsername}
Password: use password specified during the ordering process

You may access your control panel at
{if $resellerPackageType != $packageType}https://{$packageIP}:8443 or https://{$domainSLD}.{$domainTLD}:8443 if your domain has been transferred to our nameservers.{else}{$packagePanelUrl}{/if}

{if "msp" != PACKAGE_TYPE && $resellerPackageType != $packageType}
FTP INFORMATION:

FTP: {$packageIP}
Username: {if $ftpUsername}{$ftpUsername}
{else}{$packageUsername}
{/if}
Password: System password is generated randomly and you should replace it in Control Panel before using. Refer to Control Panel User Guide to find out how to change system password.

Use these settings if your service plan allows logging in by FTP.

SSH/RDP INFORMATION:

SSH/RDP: {$packageIP}
Username: {if $ftpUsername}{$ftpUsername}
{else}{$packageUsername}
{/if}
Password: System password is generated randomly and you should replace it in Control Panel before using. Refer to Control Panel User Guide to find out how to change system password.

Use these settings if your service plan allows logging in by SSH/RDP.
{/if}

{if $nameserver1 || $nameserver2 || $nameserver3 || $nameserver4}
NAMESERVER INFORMATION:

{if $nameserver1}{$nameserver1}: {$nameserver1IP}
{/if}
{if $nameserver2}{$nameserver2}: {$nameserver2IP}
{/if}
{if $nameserver3}{$nameserver3}: {$nameserver3IP}
{/if}
{if $nameserver4}{$nameserver4}: {$nameserver4IP}
{/if}
{/if}

BILLING:

Login to our client billing system at the following URL to view and pay your invoices, change your payment type or billing details, update contact information, and more!

{$companyClientURL}
Username: {$contactUsername}
Password: use password specified during the ordering process

Need help with your password? Visit the URL above and click the Forgot your password? link to retrieve your password.

QUESTIONS?

If you have any questions regarding your account, please contact us at your convenience.

Thank you,
{$companyName}
{if $companyURL}{$companyURL}
{/if}

{$companyAddress1}
{if $companyAddress2}{$companyAddress2}
{/if}
{$companyCity}{if $companyState}, {$companyState}
{/if}
{$companyZip}

Date: {$currentTime|getDateTime:full}
