<?php

class TermsOfUseAction extends sfAction {
	
	public function execute($request) {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);
		if (!$store = $this->_getStore($request)) {
			$this->redirect404();
		}
		$this->terms = $store->termsText;
	}

    private function _getStore($request)
    {
        // trying to get store from context
        if ($store = sfContext::getInstance()->getUser()->getAttribute('store')) {
            return $store;
        }

        // trying to get store from request
        if ($storeId = $request->getParameter('store')) {
            return ResourceLocator::getInstance()->billingStoreService->getById($storeId);
        }
        return false;
    }
	
}