<?php if (isset($cartItem) && count($cartItem->getPurchases())>0): ?>
    <div class="p-box-infobar">
        <ul class="p-box-infobar-list">
            <li class="p-box-infobar-item i-purchased-products">
                <?php echo __('TRANS_STORE_PLAN'); ?>:
                <?php foreach ($cartItem->getPurchases() as $purchase) : ?>
                     <?php if ($selectedPurchase == $purchase) : ?>
                        <b><?php echo $purchase->getName(); ?></b>
                    <?php else: ?>
                        <?php echo $purchase->getName(); ?>
                    <?php endif; ?>
                    <?php if ($purchase->getDescription()) : ?>
                        <span class="b-additional-data">(<?php echo $purchase->getDescription(); ?>)</span>
                    <?php endif; ?>
                <?php endforeach; ?>
            </li>
            <?php foreach ($cartItem->getPurchases() as $purchase) : ?>
                <?php include_partial('headerDomains', array('purchase' => $purchase, 'selectedPurchase' => $selectedPurchase)); ?>
                <?php if ($purchase->hasNonDomainSupplementary()) : ?>
                    <li class="p-box-infobar-item i-purchased-products">
                        <?php echo __('TRANS_STORE_SUPPLEMENTARY_PLAN'); ?>:
                        <?php foreach ($purchase->getPurchases() as $subPurchase): ?>
                            <?php if (!$subPurchase->isDomain()) : ?>
                                <?php echo ($selectedPurchase == $subPurchase) ? "<b>".$subPurchase->getName()."</b>" : $subPurchase->getName(); ?>,
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </li>
                <?php endif; ?>
            <?php endforeach; ?>
        </ul>
    </div>
<?php endif; ?>