<?php foreach ($purchaseData['ownDomains'] as $ownDomains): ?>
    <?php foreach ($ownDomains as $ownDomain): ?>
        <tr>
            <td class="t-summary-item-name"><?php echo formatProductName($ownDomain['name']); ?></td>
            <td class="t-summary-item-price">
                <?php if ($ownDomain['price']): ?>
                    <?php if ($ownDomain['useTransferFee']): ?>
                        <span><b><?php echo formatPrice($ownDomain['price']->getTransferFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($ownDomain['cycle']->cycleDisplayName); ?></span>
                        <?php include_partial('catalog/priceAdditionalData', array('price' => $ownDomain['price'], 'currencyId' => $currencyId, 'displayTaxes' => true, 'useTransferFee' => true)); ?>
                    <?php else: ?>
                        <span><b><?php echo formatPrice($ownDomain['price']->getCycleFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($ownDomain['cycle']->cycleDisplayName); ?></span>
                        <?php include_partial('catalog/priceAdditionalData', array('price' => $ownDomain['price'], 'currencyId' => $currencyId, 'displayTaxes' => true)); ?>
                    <?php endif; ?>
                <?php else: ?>
                    &nbsp;
                <?php endif; ?>
            </td>
            <?php if ($showAction): ?>
                <td class="t-summary-actions">
                    <a class="i-btn" href="#" onclick="removeOwnDomain('<?php echo $purchaseData['id']; ?>', '<?php echo $ownDomain['name']; ?>'); return false;"><img src="<?php echo image_path('icons/remove_16.gif'); ?>" alt="" /><span><?php echo __('TRANS_REMOVE'); ?></span></a>
                </td>
            <?php endif; ?>
        </tr>
    <?php endforeach; ?>
<?php endforeach; ?>
