<?php if ($purchaseData['purchases'] || $purchaseData['addons']): ?>
    <div class="b-summary-inner">
        <table class="t-summary">
            <tbody>
                <?php include_partial('showAddons', array('purchaseData' => $purchaseData, 'currencyId' => $currencyId, 'showAction' => $showAction)); ?>
                <?php include_partial('showOwnDomains', array('purchaseData' => $purchaseData, 'currencyId' => $currencyId, 'showAction' => $showAction)); ?>
            </tbody>
        </table>
        <?php foreach ($purchaseData['purchases'] as  $subPurchaseData): ?>
            <table class="t-summary">
                <tbody>
                    <tr>
                        <td class="t-summary-item-name">
                            <?php echo formatProductName($subPurchaseData['name']); ?>
                            <?php if ($showAction && $subPurchaseData['hasAdditionalInformation']): ?>
                                <div><a class="i-btn" href="#" onclick="editInformation('<?php echo $subPurchaseData['id']; ?>'); return false;"><span><?php echo __('TRANS_INFORMATION_EDIT'); ?></span></a></div>
                            <?php endif; ?>
                        </td>
                        <?php if ($showAction): ?><td class="t-summary-item-price"><?php else: ?><td class="t-summary-item-price text-right"><div class="i-block"><?php endif; ?>
                            <?php if ($subPurchaseData['price']): ?>
                                <?php if ($subPurchaseData['useTransferFee']): ?>
                                    <span><b><?php echo formatPrice($subPurchaseData['price']->getTransferFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($subPurchaseData['cycle']->cycleDisplayName); ?></span>
                                    <?php include_partial('catalog/priceAdditionalData', array('price' => $subPurchaseData['price'], 'currencyId' => $currencyId, 'displayTaxes' => true, 'useTransferFee' => true)); ?>
                                <?php else: ?>
                                    <span><b><?php echo formatPrice($subPurchaseData['price']->getCycleFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($subPurchaseData['cycle']->cycleDisplayName); ?></span>
                                    <?php include_partial('catalog/priceAdditionalData', array('price' => $subPurchaseData['price'], 'currencyId' => $currencyId, 'displayTaxes' => true)); ?>
                                <?php endif; ?>
                            <?php else: ?>
                                &nbsp;
                            <?php endif; ?>
                        <?php if ($showAction): include_partial('actions', array('purchaseData' => $subPurchaseData, 'cartItemId' => $cartItemId, 'isSubPurchase' => true)); ?></td><?php else: ?></div></td><?php endif; ?>
                    </tr>
                </tbody>
            </table>
            <?php include_partial('showSubPurchase', array('purchaseData' => $subPurchaseData, 'currencyId' => $currencyId, 'cartItemId' => $cartItemId, 'showAction' => $showAction)); ?>
        <?php endforeach; ?>
    </div>
<?php endif; ?>