<?php

class ContinueShoppingUrlAction extends sfAction
{
	public function execute($request)
    {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);

		if ($container = $this->getRequest()->getParameter('container', false)) {
            $routes = $this->context->getRouting()->getRoutes();
            if (!isset($routes['catalog'])) {
                return sfView::NONE;
            }
            return $this->renderText('@HOSTNAME@' . $routes['catalog']->generate(array('container' => $container)));
		} else {
			return sfView::NONE;
		}
	}
}