<?php

class BillingSubscriptionService extends BillingService {

	protected static $instance = null;

	public function getExistingHostingSubscriptions($storeId, $clientId) {
		$subscriptions = array();
		$responce = $this->executeGetExistingHostingSubscriptions($storeId, $clientId, null);
		if (!$responce->hasErrors()) {
			foreach ($responce->getData() as $data) {
                $subscriptions[] = new BillingSubscription($data);
			}
		}
		return $subscriptions;
	}

    public function getSubscriptionsToAttachAsParent($clientId, $planId, $cycleId)
    {
        $subscriptions = array();
        $response = $this->executeGetSubscriptionsToAttachAsParent($clientId, $planId, $cycleId);
        if (!$response->hasErrors()) {
            foreach ($response->getData() as $data) {
                $subscriptions[] = new BillingSubscription($data);
            }
        }

        return $subscriptions;
    }

    public function getSubscription($subscriptionId)
    {
        $subscription = null;
        $response = $this->executeGetSubscription($subscriptionId);
        if (!$response->hasErrors()) {
            foreach ($response->getData() as $data) {
                $subscription = new BillingSubscription($data);
            }
        }

        return $subscription;
    }

    public static function getInstance() {
		if (self::$instance == null) {
			self::$instance = new self(self::prepareSoapClient('product'));
		}
		return self::$instance;
	}

}