<?php

class BillingSfWidgetFormSelect extends sfWidgetFormSelect
{
    public function generateId($name, $value = null)
    {
        if (false === $this->getOption('id_format')){
            return null;
        }
        // check to see if we have an array variable for a field name
        if (strstr($name, '[')){
            $name = str_replace(array('[]', '][', '[', ']'), array((null !== $value ? '_'.$value : ''), '_', '_', ''), $name);
        }
        if (false !== strpos($this->getOption('id_format'), '%s')){
            $name = sprintf($this->getOption('id_format'), $name);
        }

        // remove illegal characters
        $name = preg_replace(array('/^[^A-Za-z]+/'), array(''), $name);
        return $name;
    }
}
